package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import androidx.appcompat.widget.C0118k0;
import androidx.appcompat.widget.H0;
import androidx.appcompat.widget.I1;
import androidx.appcompat.widget.InterfaceC0132p;
/* loaded from: classes.dex */
public class ActionMenuItemView extends C0118k0 implements F, View.OnClickListener, InterfaceC0132p {

    /* renamed from: j  reason: collision with root package name */
    s f1278j;

    /* renamed from: k  reason: collision with root package name */
    private CharSequence f1279k;
    private Drawable l;

    /* renamed from: m  reason: collision with root package name */
    p f1280m;

    /* renamed from: n  reason: collision with root package name */
    private H0 f1281n;

    /* renamed from: o  reason: collision with root package name */
    AbstractC0077c f1282o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f1283p;

    /* renamed from: q  reason: collision with root package name */
    private int f1284q;
    private int r;

    /* renamed from: s  reason: collision with root package name */
    private int f1285s;

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, 0);
        Resources resources = context.getResources();
        this.f1283p = C();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, G0.i.f423c, 0, 0);
        this.f1284q = obtainStyledAttributes.getDimensionPixelSize(0, 0);
        obtainStyledAttributes.recycle();
        this.f1285s = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.r = -1;
        setSaveEnabled(false);
    }

    private boolean C() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i2 = configuration.screenWidthDp;
        return i2 >= 480 || (i2 >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    private void D() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f1279k);
        if (this.l != null && (!this.f1278j.w() || !this.f1283p)) {
            z2 = false;
        }
        boolean z4 = z3 & z2;
        setText(z4 ? this.f1279k : null);
        CharSequence contentDescription = this.f1278j.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            contentDescription = z4 ? null : this.f1278j.getTitle();
        }
        setContentDescription(contentDescription);
        CharSequence tooltipText = this.f1278j.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            I1.d(this, z4 ? null : this.f1278j.getTitle());
        } else {
            I1.d(this, tooltipText);
        }
    }

    public void A(p pVar) {
        this.f1280m = pVar;
    }

    public void B(AbstractC0077c abstractC0077c) {
        this.f1282o = abstractC0077c;
    }

    @Override // androidx.appcompat.widget.InterfaceC0132p
    public boolean a() {
        return z();
    }

    @Override // androidx.appcompat.view.menu.F
    public s b() {
        return this.f1278j;
    }

    @Override // androidx.appcompat.view.menu.F
    public boolean d() {
        return true;
    }

    @Override // androidx.appcompat.widget.InterfaceC0132p
    public boolean g() {
        return z() && this.f1278j.getIcon() == null;
    }

    @Override // android.widget.TextView, android.view.View
    public CharSequence getAccessibilityClassName() {
        return Button.class.getName();
    }

    @Override // androidx.appcompat.view.menu.F
    public void j(s sVar, int i2) {
        this.f1278j = sVar;
        Drawable icon = sVar.getIcon();
        this.l = icon;
        if (icon != null) {
            int intrinsicWidth = icon.getIntrinsicWidth();
            int intrinsicHeight = icon.getIntrinsicHeight();
            int i3 = this.f1285s;
            if (intrinsicWidth > i3) {
                intrinsicHeight = (int) (intrinsicHeight * (i3 / intrinsicWidth));
                intrinsicWidth = i3;
            }
            if (intrinsicHeight > i3) {
                intrinsicWidth = (int) (intrinsicWidth * (i3 / intrinsicHeight));
            } else {
                i3 = intrinsicHeight;
            }
            icon.setBounds(0, 0, intrinsicWidth, i3);
        }
        setCompoundDrawables(icon, null, null, null);
        D();
        this.f1279k = sVar.h(this);
        D();
        setId(sVar.getItemId());
        setVisibility(sVar.isVisible() ? 0 : 8);
        setEnabled(sVar.isEnabled());
        if (sVar.hasSubMenu() && this.f1281n == null) {
            this.f1281n = new C0076b(this);
        }
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        p pVar = this.f1280m;
        if (pVar != null) {
            pVar.a(this.f1278j);
        }
    }

    @Override // android.widget.TextView, android.view.View
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f1283p = C();
        D();
    }

    @Override // androidx.appcompat.widget.C0118k0, android.widget.TextView, android.view.View
    protected void onMeasure(int i2, int i3) {
        int i4;
        boolean z2 = z();
        if (z2 && (i4 = this.r) >= 0) {
            super.setPadding(i4, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i2, i3);
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.f1284q) : this.f1284q;
        if (mode != 1073741824 && this.f1284q > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, 1073741824), i3);
        }
        if (z2 || this.l == null) {
            return;
        }
        super.setPadding((getMeasuredWidth() - this.l.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
    }

    @Override // android.widget.TextView, android.view.View
    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    @Override // android.widget.TextView, android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        H0 h02;
        if (this.f1278j.hasSubMenu() && (h02 = this.f1281n) != null && h02.onTouch(this, motionEvent)) {
            return true;
        }
        return super.onTouchEvent(motionEvent);
    }

    @Override // android.widget.TextView, android.view.View
    public void setPadding(int i2, int i3, int i4, int i5) {
        this.r = i2;
        super.setPadding(i2, i3, i4, i5);
    }

    public boolean z() {
        return !TextUtils.isEmpty(getText());
    }
}
