package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.widget.w1;
import androidx.core.view.c0;
import com.jsjt2hk.app.R;
/* loaded from: classes.dex */
public class ListMenuItemView extends LinearLayout implements F, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: d  reason: collision with root package name */
    private s f1316d;
    private ImageView e;

    /* renamed from: f  reason: collision with root package name */
    private RadioButton f1317f;

    /* renamed from: g  reason: collision with root package name */
    private TextView f1318g;

    /* renamed from: h  reason: collision with root package name */
    private CheckBox f1319h;

    /* renamed from: i  reason: collision with root package name */
    private TextView f1320i;

    /* renamed from: j  reason: collision with root package name */
    private ImageView f1321j;

    /* renamed from: k  reason: collision with root package name */
    private ImageView f1322k;
    private LinearLayout l;

    /* renamed from: m  reason: collision with root package name */
    private Drawable f1323m;

    /* renamed from: n  reason: collision with root package name */
    private int f1324n;

    /* renamed from: o  reason: collision with root package name */
    private Context f1325o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f1326p;

    /* renamed from: q  reason: collision with root package name */
    private Drawable f1327q;
    private boolean r;

    /* renamed from: s  reason: collision with root package name */
    private LayoutInflater f1328s;

    /* renamed from: t  reason: collision with root package name */
    private boolean f1329t;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        w1 w2 = w1.w(getContext(), attributeSet, G0.i.r, R.attr.listMenuViewStyle, 0);
        this.f1323m = w2.i(5);
        this.f1324n = w2.p(1, -1);
        this.f1326p = w2.d(7, false);
        this.f1325o = context;
        this.f1327q = w2.i(8);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, R.attr.dropDownListViewStyle, 0);
        this.r = obtainStyledAttributes.hasValue(0);
        w2.y();
        obtainStyledAttributes.recycle();
    }

    private LayoutInflater a() {
        if (this.f1328s == null) {
            this.f1328s = LayoutInflater.from(getContext());
        }
        return this.f1328s;
    }

    @Override // android.widget.AbsListView.SelectionBoundsAdjuster
    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f1322k;
        if (imageView == null || imageView.getVisibility() != 0) {
            return;
        }
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f1322k.getLayoutParams();
        rect.top = this.f1322k.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
    }

    @Override // androidx.appcompat.view.menu.F
    public s b() {
        return this.f1316d;
    }

    public void c(boolean z2) {
        this.f1329t = z2;
        this.f1326p = z2;
    }

    @Override // androidx.appcompat.view.menu.F
    public boolean d() {
        return false;
    }

    public void e(boolean z2) {
        ImageView imageView = this.f1322k;
        if (imageView != null) {
            imageView.setVisibility((this.r || !z2) ? 8 : 0);
        }
    }

    @Override // androidx.appcompat.view.menu.F
    public void j(s sVar, int i2) {
        TextView textView;
        int i3;
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        ImageView imageView;
        this.f1316d = sVar;
        setVisibility(sVar.isVisible() ? 0 : 8);
        CharSequence h2 = sVar.h(this);
        if (h2 != null) {
            this.f1318g.setText(h2);
            if (this.f1318g.getVisibility() != 0) {
                textView = this.f1318g;
                i3 = 0;
                textView.setVisibility(i3);
            }
        } else if (this.f1318g.getVisibility() != 8) {
            textView = this.f1318g;
            i3 = 8;
            textView.setVisibility(i3);
        }
        boolean isCheckable = sVar.isCheckable();
        if (isCheckable || this.f1317f != null || this.f1319h != null) {
            if (this.f1316d.l()) {
                if (this.f1317f == null) {
                    RadioButton radioButton = (RadioButton) a().inflate(R.layout.abc_list_menu_item_radio, (ViewGroup) this, false);
                    this.f1317f = radioButton;
                    LinearLayout linearLayout = this.l;
                    if (linearLayout != null) {
                        linearLayout.addView(radioButton, -1);
                    } else {
                        addView(radioButton, -1);
                    }
                }
                compoundButton = this.f1317f;
                compoundButton2 = this.f1319h;
            } else {
                if (this.f1319h == null) {
                    CheckBox checkBox = (CheckBox) a().inflate(R.layout.abc_list_menu_item_checkbox, (ViewGroup) this, false);
                    this.f1319h = checkBox;
                    LinearLayout linearLayout2 = this.l;
                    if (linearLayout2 != null) {
                        linearLayout2.addView(checkBox, -1);
                    } else {
                        addView(checkBox, -1);
                    }
                }
                compoundButton = this.f1319h;
                compoundButton2 = this.f1317f;
            }
            if (isCheckable) {
                compoundButton.setChecked(this.f1316d.isChecked());
                if (compoundButton.getVisibility() != 0) {
                    compoundButton.setVisibility(0);
                }
                if (compoundButton2 != null && compoundButton2.getVisibility() != 8) {
                    compoundButton2.setVisibility(8);
                }
            } else {
                CheckBox checkBox2 = this.f1319h;
                if (checkBox2 != null) {
                    checkBox2.setVisibility(8);
                }
                RadioButton radioButton2 = this.f1317f;
                if (radioButton2 != null) {
                    radioButton2.setVisibility(8);
                }
            }
        }
        boolean v2 = sVar.v();
        sVar.f();
        int i4 = (v2 && this.f1316d.v()) ? 0 : 8;
        if (i4 == 0) {
            this.f1320i.setText(this.f1316d.g());
        }
        if (this.f1320i.getVisibility() != i4) {
            this.f1320i.setVisibility(i4);
        }
        Drawable icon = sVar.getIcon();
        this.f1316d.f1436n.getClass();
        boolean z2 = this.f1329t;
        if ((z2 || this.f1326p) && ((imageView = this.e) != null || icon != null || this.f1326p)) {
            if (imageView == null) {
                ImageView imageView2 = (ImageView) a().inflate(R.layout.abc_list_menu_item_icon, (ViewGroup) this, false);
                this.e = imageView2;
                LinearLayout linearLayout3 = this.l;
                if (linearLayout3 != null) {
                    linearLayout3.addView(imageView2, 0);
                } else {
                    addView(imageView2, 0);
                }
            }
            if (icon != null || this.f1326p) {
                ImageView imageView3 = this.e;
                if (!z2) {
                    icon = null;
                }
                imageView3.setImageDrawable(icon);
                if (this.e.getVisibility() != 0) {
                    this.e.setVisibility(0);
                }
            } else {
                this.e.setVisibility(8);
            }
        }
        setEnabled(sVar.isEnabled());
        boolean hasSubMenu = sVar.hasSubMenu();
        ImageView imageView4 = this.f1321j;
        if (imageView4 != null) {
            imageView4.setVisibility(hasSubMenu ? 0 : 8);
        }
        setContentDescription(sVar.getContentDescription());
    }

    @Override // android.view.View
    protected void onFinishInflate() {
        super.onFinishInflate();
        c0.G(this, this.f1323m);
        TextView textView = (TextView) findViewById(R.id.title);
        this.f1318g = textView;
        int i2 = this.f1324n;
        if (i2 != -1) {
            textView.setTextAppearance(this.f1325o, i2);
        }
        this.f1320i = (TextView) findViewById(R.id.shortcut);
        ImageView imageView = (ImageView) findViewById(R.id.submenuarrow);
        this.f1321j = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f1327q);
        }
        this.f1322k = (ImageView) findViewById(R.id.group_divider);
        this.l = (LinearLayout) findViewById(R.id.content);
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onMeasure(int i2, int i3) {
        if (this.e != null && this.f1326p) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.e.getLayoutParams();
            int i4 = layoutParams.height;
            if (i4 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i4;
            }
        }
        super.onMeasure(i2, i3);
    }
}
