package androidx.appcompat.view.menu;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.SparseArray;
import android.view.KeyCharacterMap;
import android.view.KeyEvent;
import android.view.MenuItem;
import android.view.SubMenu;
import android.view.View;
import android.view.ViewConfiguration;
import androidx.core.view.AbstractC0159e;
import androidx.core.view.e0;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
import m.InterfaceMenuC0347a;
/* loaded from: classes.dex */
public class q implements InterfaceMenuC0347a {

    /* renamed from: y  reason: collision with root package name */
    private static final int[] f1398y = {1, 4, 5, 3, 2, 0};

    /* renamed from: a  reason: collision with root package name */
    private final Context f1399a;

    /* renamed from: b  reason: collision with root package name */
    private final Resources f1400b;

    /* renamed from: c  reason: collision with root package name */
    private boolean f1401c;

    /* renamed from: d  reason: collision with root package name */
    private boolean f1402d;
    private o e;

    /* renamed from: f  reason: collision with root package name */
    private ArrayList f1403f;

    /* renamed from: g  reason: collision with root package name */
    private ArrayList f1404g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f1405h;

    /* renamed from: i  reason: collision with root package name */
    private ArrayList f1406i;

    /* renamed from: j  reason: collision with root package name */
    private ArrayList f1407j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f1408k;

    /* renamed from: m  reason: collision with root package name */
    CharSequence f1409m;

    /* renamed from: n  reason: collision with root package name */
    Drawable f1410n;

    /* renamed from: o  reason: collision with root package name */
    View f1411o;

    /* renamed from: v  reason: collision with root package name */
    private s f1417v;
    private boolean x;
    private int l = 0;

    /* renamed from: p  reason: collision with root package name */
    private boolean f1412p = false;

    /* renamed from: q  reason: collision with root package name */
    private boolean f1413q = false;
    private boolean r = false;

    /* renamed from: s  reason: collision with root package name */
    private boolean f1414s = false;

    /* renamed from: t  reason: collision with root package name */
    private ArrayList f1415t = new ArrayList();

    /* renamed from: u  reason: collision with root package name */
    private CopyOnWriteArrayList f1416u = new CopyOnWriteArrayList();

    /* renamed from: w  reason: collision with root package name */
    private boolean f1418w = false;

    public q(Context context) {
        boolean z2 = false;
        this.f1399a = context;
        Resources resources = context.getResources();
        this.f1400b = resources;
        this.f1403f = new ArrayList();
        this.f1404g = new ArrayList();
        this.f1405h = true;
        this.f1406i = new ArrayList();
        this.f1407j = new ArrayList();
        this.f1408k = true;
        if (resources.getConfiguration().keyboard != 1 && e0.b(ViewConfiguration.get(context), context)) {
            z2 = true;
        }
        this.f1402d = z2;
    }

    private void A(int i2, boolean z2) {
        if (i2 < 0 || i2 >= this.f1403f.size()) {
            return;
        }
        this.f1403f.remove(i2);
        if (z2) {
            x(true);
        }
    }

    private void J(int i2, CharSequence charSequence, int i3, Drawable drawable, View view) {
        Resources resources = this.f1400b;
        if (view != null) {
            this.f1411o = view;
            this.f1409m = null;
            this.f1410n = null;
        } else {
            if (i2 > 0) {
                this.f1409m = resources.getText(i2);
            } else if (charSequence != null) {
                this.f1409m = charSequence;
            }
            if (i3 > 0) {
                this.f1410n = androidx.core.content.h.c(this.f1399a, i3);
            } else if (drawable != null) {
                this.f1410n = drawable;
            }
            this.f1411o = null;
        }
        x(false);
    }

    public void B(E e) {
        Iterator it = this.f1416u.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            E e2 = (E) weakReference.get();
            if (e2 == null || e2 == e) {
                this.f1416u.remove(weakReference);
            }
        }
    }

    public void C(Bundle bundle) {
        MenuItem findItem;
        if (bundle == null) {
            return;
        }
        SparseArray<Parcelable> sparseParcelableArray = bundle.getSparseParcelableArray(m());
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = getItem(i2);
            View actionView = item.getActionView();
            if (actionView != null && actionView.getId() != -1) {
                actionView.restoreHierarchyState(sparseParcelableArray);
            }
            if (item.hasSubMenu()) {
                ((K) item.getSubMenu()).C(bundle);
            }
        }
        int i3 = bundle.getInt("android:menu:expandedactionview");
        if (i3 <= 0 || (findItem = findItem(i3)) == null) {
            return;
        }
        findItem.expandActionView();
    }

    public void D(Bundle bundle) {
        int size = size();
        SparseArray<? extends Parcelable> sparseArray = null;
        for (int i2 = 0; i2 < size; i2++) {
            MenuItem item = getItem(i2);
            View actionView = item.getActionView();
            if (actionView != null && actionView.getId() != -1) {
                if (sparseArray == null) {
                    sparseArray = new SparseArray<>();
                }
                actionView.saveHierarchyState(sparseArray);
                if (item.isActionViewExpanded()) {
                    bundle.putInt("android:menu:expandedactionview", item.getItemId());
                }
            }
            if (item.hasSubMenu()) {
                ((K) item.getSubMenu()).D(bundle);
            }
        }
        if (sparseArray != null) {
            bundle.putSparseParcelableArray(m(), sparseArray);
        }
    }

    public void E(o oVar) {
        this.e = oVar;
    }

    public q F(int i2) {
        this.l = i2;
        return this;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void G(MenuItem menuItem) {
        int groupId = ((s) menuItem).getGroupId();
        int size = this.f1403f.size();
        P();
        for (int i2 = 0; i2 < size; i2++) {
            s sVar = (s) this.f1403f.get(i2);
            if (sVar.getGroupId() == groupId && sVar.l() && sVar.isCheckable()) {
                sVar.q(sVar == menuItem);
            }
        }
        O();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public q H(int i2) {
        J(0, null, i2, null, null);
        return this;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public q I(Drawable drawable) {
        J(0, null, 0, drawable, null);
        return this;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public q K(int i2) {
        J(i2, null, 0, null, null);
        return this;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public q L(CharSequence charSequence) {
        J(0, charSequence, 0, null, null);
        return this;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public q M(View view) {
        J(0, null, 0, null, view);
        return this;
    }

    public void N(boolean z2) {
        this.x = z2;
    }

    public void O() {
        this.f1412p = false;
        if (this.f1413q) {
            this.f1413q = false;
            x(this.r);
        }
    }

    public void P() {
        if (this.f1412p) {
            return;
        }
        this.f1412p = true;
        this.f1413q = false;
        this.r = false;
    }

    protected MenuItem a(int i2, int i3, int i4, CharSequence charSequence) {
        int i5;
        int i6 = ((-65536) & i4) >> 16;
        if (i6 >= 0) {
            int[] iArr = f1398y;
            if (i6 < iArr.length) {
                int i7 = (iArr[i6] << 16) | (65535 & i4);
                s sVar = new s(this, i2, i3, i4, i7, charSequence, this.l);
                ArrayList arrayList = this.f1403f;
                int size = arrayList.size();
                while (true) {
                    size--;
                    if (size < 0) {
                        i5 = 0;
                        break;
                    } else if (((s) arrayList.get(size)).e() <= i7) {
                        i5 = size + 1;
                        break;
                    }
                }
                arrayList.add(i5, sVar);
                x(true);
                return sVar;
            }
        }
        throw new IllegalArgumentException("order does not contain a valid category.");
    }

    @Override // android.view.Menu
    public MenuItem add(int i2) {
        return a(0, 0, 0, this.f1400b.getString(i2));
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, int i5) {
        return a(i2, i3, i4, this.f1400b.getString(i5));
    }

    @Override // android.view.Menu
    public MenuItem add(int i2, int i3, int i4, CharSequence charSequence) {
        return a(i2, i3, i4, charSequence);
    }

    @Override // android.view.Menu
    public MenuItem add(CharSequence charSequence) {
        return a(0, 0, 0, charSequence);
    }

    @Override // android.view.Menu
    public int addIntentOptions(int i2, int i3, int i4, ComponentName componentName, Intent[] intentArr, Intent intent, int i5, MenuItem[] menuItemArr) {
        int i6;
        PackageManager packageManager = this.f1399a.getPackageManager();
        List<ResolveInfo> queryIntentActivityOptions = packageManager.queryIntentActivityOptions(componentName, intentArr, intent, 0);
        int size = queryIntentActivityOptions != null ? queryIntentActivityOptions.size() : 0;
        if ((i5 & 1) == 0) {
            removeGroup(i2);
        }
        for (int i7 = 0; i7 < size; i7++) {
            ResolveInfo resolveInfo = queryIntentActivityOptions.get(i7);
            int i8 = resolveInfo.specificIndex;
            Intent intent2 = new Intent(i8 < 0 ? intent : intentArr[i8]);
            ActivityInfo activityInfo = resolveInfo.activityInfo;
            intent2.setComponent(new ComponentName(activityInfo.applicationInfo.packageName, activityInfo.name));
            s sVar = (s) a(i2, i3, i4, resolveInfo.loadLabel(packageManager));
            sVar.setIcon(resolveInfo.loadIcon(packageManager));
            sVar.setIntent(intent2);
            if (menuItemArr != null && (i6 = resolveInfo.specificIndex) >= 0) {
                menuItemArr[i6] = sVar;
            }
        }
        return size;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2) {
        return addSubMenu(0, 0, 0, this.f1400b.getString(i2));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, int i5) {
        return addSubMenu(i2, i3, i4, this.f1400b.getString(i5));
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, CharSequence charSequence) {
        s sVar = (s) a(i2, i3, i4, charSequence);
        K k2 = new K(this.f1399a, this, sVar);
        sVar.t(k2);
        return k2;
    }

    @Override // android.view.Menu
    public SubMenu addSubMenu(CharSequence charSequence) {
        return addSubMenu(0, 0, 0, charSequence);
    }

    public void b(E e) {
        c(e, this.f1399a);
    }

    public void c(E e, Context context) {
        this.f1416u.add(new WeakReference(e));
        e.e(context, this);
        this.f1408k = true;
    }

    @Override // android.view.Menu
    public void clear() {
        s sVar = this.f1417v;
        if (sVar != null) {
            f(sVar);
        }
        this.f1403f.clear();
        x(true);
    }

    public void clearHeader() {
        this.f1410n = null;
        this.f1409m = null;
        this.f1411o = null;
        x(false);
    }

    @Override // android.view.Menu
    public void close() {
        e(true);
    }

    public void d() {
        o oVar = this.e;
        if (oVar != null) {
            oVar.d(this);
        }
    }

    public final void e(boolean z2) {
        if (this.f1414s) {
            return;
        }
        this.f1414s = true;
        Iterator it = this.f1416u.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            E e = (E) weakReference.get();
            if (e == null) {
                this.f1416u.remove(weakReference);
            } else {
                e.b(this, z2);
            }
        }
        this.f1414s = false;
    }

    public boolean f(s sVar) {
        boolean z2 = false;
        if (!this.f1416u.isEmpty() && this.f1417v == sVar) {
            P();
            Iterator it = this.f1416u.iterator();
            while (it.hasNext()) {
                WeakReference weakReference = (WeakReference) it.next();
                E e = (E) weakReference.get();
                if (e == null) {
                    this.f1416u.remove(weakReference);
                } else {
                    z2 = e.f(this, sVar);
                    if (z2) {
                        break;
                    }
                }
            }
            O();
            if (z2) {
                this.f1417v = null;
            }
        }
        return z2;
    }

    @Override // android.view.Menu
    public MenuItem findItem(int i2) {
        MenuItem findItem;
        int size = size();
        for (int i3 = 0; i3 < size; i3++) {
            s sVar = (s) this.f1403f.get(i3);
            if (sVar.getItemId() == i2) {
                return sVar;
            }
            if (sVar.hasSubMenu() && (findItem = ((q) sVar.getSubMenu()).findItem(i2)) != null) {
                return findItem;
            }
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean g(q qVar, MenuItem menuItem) {
        o oVar = this.e;
        return oVar != null && oVar.a(qVar, menuItem);
    }

    @Override // android.view.Menu
    public MenuItem getItem(int i2) {
        return (MenuItem) this.f1403f.get(i2);
    }

    public boolean h(s sVar) {
        boolean z2 = false;
        if (this.f1416u.isEmpty()) {
            return false;
        }
        P();
        Iterator it = this.f1416u.iterator();
        while (it.hasNext()) {
            WeakReference weakReference = (WeakReference) it.next();
            E e = (E) weakReference.get();
            if (e == null) {
                this.f1416u.remove(weakReference);
            } else {
                z2 = e.h(this, sVar);
                if (z2) {
                    break;
                }
            }
        }
        O();
        if (z2) {
            this.f1417v = sVar;
        }
        return z2;
    }

    @Override // android.view.Menu
    public boolean hasVisibleItems() {
        if (this.x) {
            return true;
        }
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            if (((s) this.f1403f.get(i2)).isVisible()) {
                return true;
            }
        }
        return false;
    }

    s i(int i2, KeyEvent keyEvent) {
        ArrayList arrayList = this.f1415t;
        arrayList.clear();
        j(arrayList, i2, keyEvent);
        if (arrayList.isEmpty()) {
            return null;
        }
        int metaState = keyEvent.getMetaState();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        keyEvent.getKeyData(keyData);
        int size = arrayList.size();
        if (size == 1) {
            return (s) arrayList.get(0);
        }
        boolean t2 = t();
        for (int i3 = 0; i3 < size; i3++) {
            s sVar = (s) arrayList.get(i3);
            char alphabeticShortcut = t2 ? sVar.getAlphabeticShortcut() : sVar.getNumericShortcut();
            char[] cArr = keyData.meta;
            if ((alphabeticShortcut == cArr[0] && (metaState & 2) == 0) || ((alphabeticShortcut == cArr[2] && (metaState & 2) != 0) || (t2 && alphabeticShortcut == '\b' && i2 == 67))) {
                return sVar;
            }
        }
        return null;
    }

    @Override // android.view.Menu
    public boolean isShortcutKey(int i2, KeyEvent keyEvent) {
        return i(i2, keyEvent) != null;
    }

    void j(List list, int i2, KeyEvent keyEvent) {
        boolean t2 = t();
        int modifiers = keyEvent.getModifiers();
        KeyCharacterMap.KeyData keyData = new KeyCharacterMap.KeyData();
        if (keyEvent.getKeyData(keyData) || i2 == 67) {
            int size = this.f1403f.size();
            for (int i3 = 0; i3 < size; i3++) {
                s sVar = (s) this.f1403f.get(i3);
                if (sVar.hasSubMenu()) {
                    ((q) sVar.getSubMenu()).j(list, i2, keyEvent);
                }
                char alphabeticShortcut = t2 ? sVar.getAlphabeticShortcut() : sVar.getNumericShortcut();
                if (((modifiers & 69647) == ((t2 ? sVar.getAlphabeticModifiers() : sVar.getNumericModifiers()) & 69647)) && alphabeticShortcut != 0) {
                    char[] cArr = keyData.meta;
                    if ((alphabeticShortcut == cArr[0] || alphabeticShortcut == cArr[2] || (t2 && alphabeticShortcut == '\b' && i2 == 67)) && sVar.isEnabled()) {
                        list.add(sVar);
                    }
                }
            }
        }
    }

    public void k() {
        ArrayList r = r();
        if (this.f1408k) {
            Iterator it = this.f1416u.iterator();
            boolean z2 = false;
            while (it.hasNext()) {
                WeakReference weakReference = (WeakReference) it.next();
                E e = (E) weakReference.get();
                if (e == null) {
                    this.f1416u.remove(weakReference);
                } else {
                    z2 |= e.d();
                }
            }
            if (z2) {
                this.f1406i.clear();
                this.f1407j.clear();
                int size = r.size();
                for (int i2 = 0; i2 < size; i2++) {
                    s sVar = (s) r.get(i2);
                    (sVar.k() ? this.f1406i : this.f1407j).add(sVar);
                }
            } else {
                this.f1406i.clear();
                this.f1407j.clear();
                this.f1407j.addAll(r());
            }
            this.f1408k = false;
        }
    }

    public ArrayList l() {
        k();
        return this.f1406i;
    }

    protected String m() {
        return "android:menu:actionviewstates";
    }

    public Context n() {
        return this.f1399a;
    }

    public s o() {
        return this.f1417v;
    }

    public ArrayList p() {
        k();
        return this.f1407j;
    }

    @Override // android.view.Menu
    public boolean performIdentifierAction(int i2, int i3) {
        return y(findItem(i2), i3);
    }

    @Override // android.view.Menu
    public boolean performShortcut(int i2, KeyEvent keyEvent, int i3) {
        s i4 = i(i2, keyEvent);
        boolean z2 = i4 != null ? z(i4, null, i3) : false;
        if ((i3 & 2) != 0) {
            e(true);
        }
        return z2;
    }

    public q q() {
        return this;
    }

    public ArrayList r() {
        if (this.f1405h) {
            this.f1404g.clear();
            int size = this.f1403f.size();
            for (int i2 = 0; i2 < size; i2++) {
                s sVar = (s) this.f1403f.get(i2);
                if (sVar.isVisible()) {
                    this.f1404g.add(sVar);
                }
            }
            this.f1405h = false;
            this.f1408k = true;
            return this.f1404g;
        }
        return this.f1404g;
    }

    @Override // android.view.Menu
    public void removeGroup(int i2) {
        int size = size();
        int i3 = 0;
        while (true) {
            if (i3 >= size) {
                i3 = -1;
                break;
            } else if (((s) this.f1403f.get(i3)).getGroupId() == i2) {
                break;
            } else {
                i3++;
            }
        }
        if (i3 >= 0) {
            int size2 = this.f1403f.size() - i3;
            int i4 = 0;
            while (true) {
                int i5 = i4 + 1;
                if (i4 >= size2 || ((s) this.f1403f.get(i3)).getGroupId() != i2) {
                    break;
                }
                A(i3, false);
                i4 = i5;
            }
            x(true);
        }
    }

    @Override // android.view.Menu
    public void removeItem(int i2) {
        int size = size();
        int i3 = 0;
        while (true) {
            if (i3 >= size) {
                i3 = -1;
                break;
            } else if (((s) this.f1403f.get(i3)).getItemId() == i2) {
                break;
            } else {
                i3++;
            }
        }
        A(i3, true);
    }

    public boolean s() {
        return this.f1418w;
    }

    @Override // android.view.Menu
    public void setGroupCheckable(int i2, boolean z2, boolean z3) {
        int size = this.f1403f.size();
        for (int i3 = 0; i3 < size; i3++) {
            s sVar = (s) this.f1403f.get(i3);
            if (sVar.getGroupId() == i2) {
                sVar.r(z3);
                sVar.setCheckable(z2);
            }
        }
    }

    @Override // android.view.Menu
    public void setGroupDividerEnabled(boolean z2) {
        this.f1418w = z2;
    }

    @Override // android.view.Menu
    public void setGroupEnabled(int i2, boolean z2) {
        int size = this.f1403f.size();
        for (int i3 = 0; i3 < size; i3++) {
            s sVar = (s) this.f1403f.get(i3);
            if (sVar.getGroupId() == i2) {
                sVar.setEnabled(z2);
            }
        }
    }

    @Override // android.view.Menu
    public void setGroupVisible(int i2, boolean z2) {
        int size = this.f1403f.size();
        boolean z3 = false;
        for (int i3 = 0; i3 < size; i3++) {
            s sVar = (s) this.f1403f.get(i3);
            if (sVar.getGroupId() == i2 && sVar.u(z2)) {
                z3 = true;
            }
        }
        if (z3) {
            x(true);
        }
    }

    @Override // android.view.Menu
    public void setQwertyMode(boolean z2) {
        this.f1401c = z2;
        x(false);
    }

    @Override // android.view.Menu
    public int size() {
        return this.f1403f.size();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean t() {
        return this.f1401c;
    }

    public boolean u() {
        return this.f1402d;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void v(s sVar) {
        this.f1408k = true;
        x(true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void w(s sVar) {
        this.f1405h = true;
        x(true);
    }

    public void x(boolean z2) {
        if (!this.f1412p) {
            if (z2) {
                this.f1405h = true;
                this.f1408k = true;
            }
            if (this.f1416u.isEmpty()) {
                return;
            }
            P();
            Iterator it = this.f1416u.iterator();
            while (it.hasNext()) {
                WeakReference weakReference = (WeakReference) it.next();
                E e = (E) weakReference.get();
                if (e == null) {
                    this.f1416u.remove(weakReference);
                } else {
                    e.k(z2);
                }
            }
            O();
            return;
        }
        this.f1413q = true;
        if (z2) {
            this.r = true;
        }
    }

    public boolean y(MenuItem menuItem, int i2) {
        return z(menuItem, null, i2);
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x002c, code lost:
        if (r1 != false) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003b, code lost:
        if ((r9 & 1) == 0) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0097, code lost:
        if (r1 == false) goto L16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0099, code lost:
        e(true);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean z(MenuItem menuItem, E e, int i2) {
        s sVar = (s) menuItem;
        if (sVar == null || !sVar.isEnabled()) {
            return false;
        }
        boolean j2 = sVar.j();
        AbstractC0159e b2 = sVar.b();
        boolean z2 = b2 != null && b2.a();
        if (sVar.i()) {
            j2 |= sVar.expandActionView();
        } else if (sVar.hasSubMenu() || z2) {
            if ((i2 & 4) == 0) {
                e(false);
            }
            if (!sVar.hasSubMenu()) {
                sVar.t(new K(this.f1399a, this, sVar));
            }
            K k2 = (K) sVar.getSubMenu();
            if (z2) {
                b2.f(k2);
            }
            if (!this.f1416u.isEmpty()) {
                r0 = e != null ? e.j(k2) : false;
                Iterator it = this.f1416u.iterator();
                while (it.hasNext()) {
                    WeakReference weakReference = (WeakReference) it.next();
                    E e2 = (E) weakReference.get();
                    if (e2 == null) {
                        this.f1416u.remove(weakReference);
                    } else if (!r0) {
                        r0 = e2.j(k2);
                    }
                }
            }
            j2 |= r0;
        }
        return j2;
    }
}
