package androidx.appcompat.widget;

import android.app.Activity;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Editable;
import android.text.method.KeyListener;
import android.text.method.NumberKeyListener;
import android.util.AttributeSet;
import android.util.Log;
import android.view.ActionMode;
import android.view.DragEvent;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.textclassifier.TextClassifier;
import android.widget.EditText;
import androidx.core.view.C0160f;
import androidx.core.view.C0166l;
import com.jsjt2hk.app.R;
import n.C0352a;
/* loaded from: classes.dex */
public class A extends EditText implements androidx.core.view.G, androidx.core.view.E, androidx.core.widget.x {

    /* renamed from: d */
    private final C0139t f1463d;
    private final C0112i0 e;

    /* renamed from: f */
    private final B f1464f;

    /* renamed from: g */
    private final androidx.core.widget.u f1465g;

    /* renamed from: h */
    private final B f1466h;

    /* renamed from: i */
    private C0126n f1467i;

    public A(Context context, AttributeSet attributeSet) {
        super(t1.a(context), attributeSet, R.attr.editTextStyle);
        r1.a(this, getContext());
        C0139t c0139t = new C0139t(this);
        this.f1463d = c0139t;
        c0139t.d(attributeSet, R.attr.editTextStyle);
        C0112i0 c0112i0 = new C0112i0(this);
        this.e = c0112i0;
        c0112i0.k(attributeSet, R.attr.editTextStyle);
        c0112i0.b();
        this.f1464f = new B(this, 2);
        this.f1465g = new androidx.core.widget.u();
        B b2 = new B(this);
        this.f1466h = b2;
        b2.d(attributeSet, R.attr.editTextStyle);
        KeyListener keyListener = getKeyListener();
        if (!(keyListener instanceof NumberKeyListener)) {
            boolean isFocusable = isFocusable();
            boolean isClickable = isClickable();
            boolean isLongClickable = isLongClickable();
            int inputType = getInputType();
            KeyListener b3 = b2.b(keyListener);
            if (b3 == keyListener) {
                return;
            }
            super.setKeyListener(b3);
            setRawInputType(inputType);
            setFocusable(isFocusable);
            setClickable(isClickable);
            setLongClickable(isLongClickable);
        }
    }

    @Override // androidx.core.view.E
    public C0166l a(C0166l c0166l) {
        return this.f1465g.a(this, c0166l);
    }

    @Override // androidx.core.view.G
    public PorterDuff.Mode c() {
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            return c0139t.c();
        }
        return null;
    }

    @Override // android.widget.TextView, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            c0139t.a();
        }
        C0112i0 c0112i0 = this.e;
        if (c0112i0 != null) {
            c0112i0.b();
        }
    }

    @Override // androidx.core.widget.x
    public void e(ColorStateList colorStateList) {
        this.e.r(colorStateList);
        this.e.b();
    }

    @Override // androidx.core.view.G
    public ColorStateList f() {
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            return c0139t.b();
        }
        return null;
    }

    @Override // android.widget.TextView
    public ActionMode.Callback getCustomSelectionActionModeCallback() {
        return androidx.core.widget.c.s(super.getCustomSelectionActionModeCallback());
    }

    @Override // android.widget.EditText, android.widget.TextView
    public Editable getText() {
        return Build.VERSION.SDK_INT >= 28 ? super.getText() : getEditableText();
    }

    @Override // android.widget.TextView
    public TextClassifier getTextClassifier() {
        B b2;
        if (Build.VERSION.SDK_INT >= 28 || (b2 = this.f1464f) == null) {
            if (this.f1467i == null) {
                this.f1467i = new C0126n(this, 2);
            }
            return this.f1467i.e();
        }
        return b2.c();
    }

    @Override // androidx.core.view.G
    public void h(PorterDuff.Mode mode) {
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            c0139t.i(mode);
        }
    }

    @Override // androidx.core.view.G
    public void i(ColorStateList colorStateList) {
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            c0139t.h(colorStateList);
        }
    }

    @Override // androidx.core.widget.x
    public void k(PorterDuff.Mode mode) {
        this.e.s(mode);
        this.e.b();
    }

    @Override // android.widget.TextView, android.view.View
    public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
        String[] m2;
        InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
        this.e.getClass();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 30 && onCreateInputConnection != null) {
            C0352a.e(editorInfo, getText());
        }
        I1.a(onCreateInputConnection, editorInfo, this);
        if (onCreateInputConnection != null && i2 <= 30 && (m2 = androidx.core.view.c0.m(this)) != null) {
            C0352a.d(editorInfo, m2);
            onCreateInputConnection = C0352a.a(this, onCreateInputConnection, editorInfo);
        }
        return this.f1466h.e(onCreateInputConnection, editorInfo);
    }

    @Override // android.widget.TextView, android.view.View
    public boolean onDragEvent(DragEvent dragEvent) {
        Activity activity;
        int i2 = Build.VERSION.SDK_INT;
        boolean z2 = false;
        if (i2 < 31 && i2 >= 24 && dragEvent.getLocalState() == null && androidx.core.view.c0.m(this) != null) {
            Context context = getContext();
            while (true) {
                if (!(context instanceof ContextWrapper)) {
                    activity = null;
                    break;
                } else if (context instanceof Activity) {
                    activity = (Activity) context;
                    break;
                } else {
                    context = ((ContextWrapper) context).getBaseContext();
                }
            }
            if (activity == null) {
                Log.i("ReceiveContent", "Can't handle drop: no activity: view=" + this);
            } else if (dragEvent.getAction() != 1 && dragEvent.getAction() == 3) {
                z2 = K.a(dragEvent, this, activity);
            }
        }
        if (z2) {
            return true;
        }
        return super.onDragEvent(dragEvent);
    }

    @Override // android.widget.TextView
    public boolean onTextContextMenuItem(int i2) {
        if (Build.VERSION.SDK_INT < 31 && androidx.core.view.c0.m(this) != null && (i2 == 16908322 || i2 == 16908337)) {
            ClipboardManager clipboardManager = (ClipboardManager) getContext().getSystemService("clipboard");
            ClipData primaryClip = clipboardManager == null ? null : clipboardManager.getPrimaryClip();
            if (primaryClip != null && primaryClip.getItemCount() > 0) {
                C0160f c0160f = new C0160f(primaryClip, 1);
                c0160f.j(i2 != 16908322 ? 1 : 0);
                androidx.core.view.c0.x(this, c0160f.e());
            }
            r1 = 1;
        }
        if (r1 != 0) {
            return true;
        }
        return super.onTextContextMenuItem(i2);
    }

    @Override // android.view.View
    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            c0139t.e();
        }
    }

    @Override // android.view.View
    public void setBackgroundResource(int i2) {
        super.setBackgroundResource(i2);
        C0139t c0139t = this.f1463d;
        if (c0139t != null) {
            c0139t.f(i2);
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        C0112i0 c0112i0 = this.e;
        if (c0112i0 != null) {
            c0112i0.b();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        C0112i0 c0112i0 = this.e;
        if (c0112i0 != null) {
            c0112i0.b();
        }
    }

    @Override // android.widget.TextView
    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(androidx.core.widget.c.t(this, callback));
    }

    @Override // android.widget.TextView
    public void setKeyListener(KeyListener keyListener) {
        super.setKeyListener(this.f1466h.b(keyListener));
    }

    @Override // android.widget.TextView
    public void setTextAppearance(Context context, int i2) {
        super.setTextAppearance(context, i2);
        C0112i0 c0112i0 = this.e;
        if (c0112i0 != null) {
            c0112i0.n(context, i2);
        }
    }

    @Override // android.widget.TextView
    public void setTextClassifier(TextClassifier textClassifier) {
        B b2;
        if (Build.VERSION.SDK_INT < 28 && (b2 = this.f1464f) != null) {
            b2.h(textClassifier);
            return;
        }
        if (this.f1467i == null) {
            this.f1467i = new C0126n(this, 2);
        }
        this.f1467i.h(textClassifier);
    }
}
