package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import com.jsjt2hk.app.R;
/* JADX INFO: Access modifiers changed from: package-private */
/* renamed from: androidx.appcompat.widget.b  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public abstract class AbstractC0090b extends ViewGroup {

    /* renamed from: d  reason: collision with root package name */
    protected final C0087a f1778d;
    protected final Context e;

    /* renamed from: f  reason: collision with root package name */
    protected ActionMenuView f1779f;

    /* renamed from: g  reason: collision with root package name */
    protected C0129o f1780g;

    /* renamed from: h  reason: collision with root package name */
    protected int f1781h;

    /* renamed from: i  reason: collision with root package name */
    protected androidx.core.view.j0 f1782i;

    /* renamed from: j  reason: collision with root package name */
    private boolean f1783j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f1784k;

    AbstractC0090b(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public AbstractC0090b(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1778d = new C0087a(this);
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(R.attr.actionBarPopupTheme, typedValue, true) || typedValue.resourceId == 0) {
            this.e = context;
        } else {
            this.e = new ContextThemeWrapper(context, typedValue.resourceId);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public int c(View view, int i2, int i3, int i4) {
        view.measure(View.MeasureSpec.makeMeasureSpec(i2, Integer.MIN_VALUE), i3);
        return Math.max(0, (i2 - view.getMeasuredWidth()) - i4);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public int d(View view, int i2, int i3, int i4, boolean z2) {
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        int i5 = ((i4 - measuredHeight) / 2) + i3;
        if (z2) {
            view.layout(i2 - measuredWidth, i5, i2, measuredHeight + i5);
        } else {
            view.layout(i2, i5, i2 + measuredWidth, measuredHeight + i5);
        }
        return z2 ? -measuredWidth : measuredWidth;
    }

    public void e(int i2) {
        this.f1781h = i2;
        requestLayout();
    }

    @Override // android.view.View
    protected void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(null, G0.i.f421a, R.attr.actionBarStyle, 0);
        e(obtainStyledAttributes.getLayoutDimension(13, 0));
        obtainStyledAttributes.recycle();
        C0129o c0129o = this.f1780g;
        if (c0129o != null) {
            c0129o.y();
        }
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.f1784k = false;
        }
        if (!this.f1784k) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.f1784k = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.f1784k = false;
        }
        return true;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f1783j = false;
        }
        if (!this.f1783j) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.f1783j = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.f1783j = false;
        }
        return true;
    }

    @Override // android.view.View
    public void setVisibility(int i2) {
        if (i2 != getVisibility()) {
            androidx.core.view.j0 j0Var = this.f1782i;
            if (j0Var != null) {
                j0Var.b();
            }
            super.setVisibility(i2);
        }
    }
}
