package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.widget.FrameLayout;
import com.jsjt2hk.app.R;
/* loaded from: classes.dex */
public class ActionBarContainer extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    private boolean f1468d;
    private View e;

    /* renamed from: f  reason: collision with root package name */
    private View f1469f;

    /* renamed from: g  reason: collision with root package name */
    private View f1470g;

    /* renamed from: h  reason: collision with root package name */
    Drawable f1471h;

    /* renamed from: i  reason: collision with root package name */
    Drawable f1472i;

    /* renamed from: j  reason: collision with root package name */
    Drawable f1473j;

    /* renamed from: k  reason: collision with root package name */
    boolean f1474k;
    boolean l;

    /* renamed from: m  reason: collision with root package name */
    private int f1475m;

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        androidx.core.view.c0.G(this, new C0093c(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, G0.i.f421a);
        boolean z2 = false;
        this.f1471h = obtainStyledAttributes.getDrawable(0);
        this.f1472i = obtainStyledAttributes.getDrawable(2);
        this.f1475m = obtainStyledAttributes.getDimensionPixelSize(13, -1);
        if (getId() == R.id.split_action_bar) {
            this.f1474k = true;
            this.f1473j = obtainStyledAttributes.getDrawable(1);
        }
        obtainStyledAttributes.recycle();
        if (!this.f1474k ? !(this.f1471h != null || this.f1472i != null) : this.f1473j == null) {
            z2 = true;
        }
        setWillNotDraw(z2);
    }

    private int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    private boolean c(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    public View b() {
        return this.e;
    }

    public void d(Drawable drawable) {
        Drawable drawable2 = this.f1471h;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f1471h);
        }
        this.f1471h = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f1469f;
            if (view != null) {
                this.f1471h.setBounds(view.getLeft(), this.f1469f.getTop(), this.f1469f.getRight(), this.f1469f.getBottom());
            }
        }
        boolean z2 = true;
        if (!this.f1474k ? this.f1471h != null || this.f1472i != null : this.f1473j != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f1471h;
        if (drawable != null && drawable.isStateful()) {
            this.f1471h.setState(getDrawableState());
        }
        Drawable drawable2 = this.f1472i;
        if (drawable2 != null && drawable2.isStateful()) {
            this.f1472i.setState(getDrawableState());
        }
        Drawable drawable3 = this.f1473j;
        if (drawable3 == null || !drawable3.isStateful()) {
            return;
        }
        this.f1473j.setState(getDrawableState());
    }

    public void e(C0104f1 c0104f1) {
        View view = this.e;
        if (view != null) {
            removeView(view);
        }
        this.e = null;
    }

    public void f(boolean z2) {
        this.f1468d = z2;
        setDescendantFocusability(z2 ? 393216 : 262144);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f1471h;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f1472i;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.f1473j;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    @Override // android.view.View
    public void onFinishInflate() {
        super.onFinishInflate();
        this.f1469f = findViewById(R.id.action_bar);
        this.f1470g = findViewById(R.id.action_context_bar);
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f1468d || super.onInterceptTouchEvent(motionEvent);
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        Drawable drawable;
        Drawable drawable2;
        int left;
        int top;
        int right;
        View view;
        super.onLayout(z2, i2, i3, i4, i5);
        View view2 = this.e;
        boolean z3 = true;
        boolean z4 = false;
        boolean z5 = (view2 == null || view2.getVisibility() == 8) ? false : true;
        if (view2 != null && view2.getVisibility() != 8) {
            int measuredHeight = getMeasuredHeight();
            int i6 = ((FrameLayout.LayoutParams) view2.getLayoutParams()).bottomMargin;
            view2.layout(i2, (measuredHeight - view2.getMeasuredHeight()) - i6, i4, measuredHeight - i6);
        }
        if (this.f1474k) {
            Drawable drawable3 = this.f1473j;
            if (drawable3 != null) {
                drawable3.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z3 = false;
            }
        } else {
            if (this.f1471h != null) {
                if (this.f1469f.getVisibility() == 0) {
                    drawable2 = this.f1471h;
                    left = this.f1469f.getLeft();
                    top = this.f1469f.getTop();
                    right = this.f1469f.getRight();
                    view = this.f1469f;
                } else {
                    View view3 = this.f1470g;
                    if (view3 == null || view3.getVisibility() != 0) {
                        this.f1471h.setBounds(0, 0, 0, 0);
                        z4 = true;
                    } else {
                        drawable2 = this.f1471h;
                        left = this.f1470g.getLeft();
                        top = this.f1470g.getTop();
                        right = this.f1470g.getRight();
                        view = this.f1470g;
                    }
                }
                drawable2.setBounds(left, top, right, view.getBottom());
                z4 = true;
            }
            this.l = z5;
            if (!z5 || (drawable = this.f1472i) == null) {
                z3 = z4;
            } else {
                drawable.setBounds(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            }
        }
        if (z3) {
            invalidate();
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:27:0x0055  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x005a  */
    @Override // android.widget.FrameLayout, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i2, int i3) {
        int i4;
        View view;
        int i5;
        if (this.f1469f == null && View.MeasureSpec.getMode(i3) == Integer.MIN_VALUE && (i5 = this.f1475m) >= 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(Math.min(i5, View.MeasureSpec.getSize(i3)), Integer.MIN_VALUE);
        }
        super.onMeasure(i2, i3);
        if (this.f1469f == null) {
            return;
        }
        int mode = View.MeasureSpec.getMode(i3);
        View view2 = this.e;
        if (view2 == null || view2.getVisibility() == 8 || mode == 1073741824) {
            return;
        }
        if (!c(this.f1469f)) {
            view = this.f1469f;
        } else if (c(this.f1470g)) {
            i4 = 0;
            setMeasuredDimension(getMeasuredWidth(), Math.min(i4 + a(this.e), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i3) : Integer.MAX_VALUE));
        } else {
            view = this.f1470g;
        }
        i4 = a(view);
        setMeasuredDimension(getMeasuredWidth(), Math.min(i4 + a(this.e), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i3) : Integer.MAX_VALUE));
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    @Override // android.view.View
    public void setVisibility(int i2) {
        super.setVisibility(i2);
        boolean z2 = i2 == 0;
        Drawable drawable = this.f1471h;
        if (drawable != null) {
            drawable.setVisible(z2, false);
        }
        Drawable drawable2 = this.f1472i;
        if (drawable2 != null) {
            drawable2.setVisible(z2, false);
        }
        Drawable drawable3 = this.f1473j;
        if (drawable3 != null) {
            drawable3.setVisible(z2, false);
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i2) {
        if (i2 != 0) {
            return super.startActionModeForChild(view, callback, i2);
        }
        return null;
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f1471h && !this.f1474k) || (drawable == this.f1472i && this.l) || ((drawable == this.f1473j && this.f1474k) || super.verifyDrawable(drawable));
    }
}
