package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import com.jsjt2hk.app.R;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParserException;
/* renamed from: androidx.appcompat.widget.c1  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public final class C0095c1 {

    /* renamed from: i  reason: collision with root package name */
    private static C0095c1 f1793i;

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap f1795a;

    /* renamed from: b  reason: collision with root package name */
    private k.l f1796b;

    /* renamed from: c  reason: collision with root package name */
    private k.m f1797c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakHashMap f1798d = new WeakHashMap(0);
    private TypedValue e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f1799f;

    /* renamed from: g  reason: collision with root package name */
    private InterfaceC0092b1 f1800g;

    /* renamed from: h  reason: collision with root package name */
    private static final PorterDuff.Mode f1792h = PorterDuff.Mode.SRC_IN;

    /* renamed from: j  reason: collision with root package name */
    private static final Z0 f1794j = new Z0(6);

    private void a(String str, InterfaceC0089a1 interfaceC0089a1) {
        if (this.f1796b == null) {
            this.f1796b = new k.l();
        }
        this.f1796b.put(str, interfaceC0089a1);
    }

    private synchronized boolean b(Context context, long j2, Drawable drawable) {
        boolean z2;
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState != null) {
            k.e eVar = (k.e) this.f1798d.get(context);
            if (eVar == null) {
                eVar = new k.e();
                this.f1798d.put(context, eVar);
            }
            eVar.g(j2, new WeakReference(constantState));
            z2 = true;
        } else {
            z2 = false;
        }
        return z2;
    }

    private Drawable c(Context context, int i2) {
        if (this.e == null) {
            this.e = new TypedValue();
        }
        TypedValue typedValue = this.e;
        context.getResources().getValue(i2, typedValue, true);
        long j2 = (typedValue.assetCookie << 32) | typedValue.data;
        Drawable e = e(context, j2);
        if (e != null) {
            return e;
        }
        InterfaceC0092b1 interfaceC0092b1 = this.f1800g;
        Drawable c2 = interfaceC0092b1 == null ? null : ((C0149y) interfaceC0092b1).c(this, context, i2);
        if (c2 != null) {
            c2.setChangingConfigurations(typedValue.changingConfigurations);
            b(context, j2, c2);
        }
        return c2;
    }

    public static synchronized C0095c1 d() {
        C0095c1 c0095c1;
        synchronized (C0095c1.class) {
            if (f1793i == null) {
                C0095c1 c0095c12 = new C0095c1();
                f1793i = c0095c12;
                j(c0095c12);
            }
            c0095c1 = f1793i;
        }
        return c0095c1;
    }

    private synchronized Drawable e(Context context, long j2) {
        k.e eVar = (k.e) this.f1798d.get(context);
        if (eVar == null) {
            return null;
        }
        WeakReference weakReference = (WeakReference) eVar.f(j2, null);
        if (weakReference != null) {
            Drawable.ConstantState constantState = (Drawable.ConstantState) weakReference.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            eVar.h(j2);
        }
        return null;
    }

    public static synchronized PorterDuffColorFilter h(int i2, PorterDuff.Mode mode) {
        PorterDuffColorFilter porterDuffColorFilter;
        synchronized (C0095c1.class) {
            Z0 z02 = f1794j;
            z02.getClass();
            int i3 = (i2 + 31) * 31;
            porterDuffColorFilter = (PorterDuffColorFilter) z02.a(Integer.valueOf(mode.hashCode() + i3));
            if (porterDuffColorFilter == null) {
                porterDuffColorFilter = new PorterDuffColorFilter(i2, mode);
                z02.getClass();
                PorterDuffColorFilter porterDuffColorFilter2 = (PorterDuffColorFilter) z02.b(Integer.valueOf(mode.hashCode() + i3), porterDuffColorFilter);
            }
        }
        return porterDuffColorFilter;
    }

    private static void j(C0095c1 c0095c1) {
        if (Build.VERSION.SDK_INT < 24) {
            c0095c1.a("vector", new Y0(3));
            c0095c1.a("animated-vector", new Y0(1));
            c0095c1.a("animated-selector", new Y0(0));
            c0095c1.a("drawable", new Y0(2));
        }
    }

    private Drawable k(Context context, int i2) {
        int next;
        k.l lVar = this.f1796b;
        if (lVar == null || lVar.isEmpty()) {
            return null;
        }
        k.m mVar = this.f1797c;
        if (mVar != null) {
            String str = (String) mVar.e(i2, null);
            if ("appcompat_skip_skip".equals(str) || (str != null && this.f1796b.getOrDefault(str, null) == null)) {
                return null;
            }
        } else {
            this.f1797c = new k.m();
        }
        if (this.e == null) {
            this.e = new TypedValue();
        }
        TypedValue typedValue = this.e;
        Resources resources = context.getResources();
        resources.getValue(i2, typedValue, true);
        long j2 = (typedValue.assetCookie << 32) | typedValue.data;
        Drawable e = e(context, j2);
        if (e != null) {
            return e;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i2);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        break;
                    }
                }
                if (next != 2) {
                    throw new XmlPullParserException("No start tag found");
                }
                String name = xml.getName();
                this.f1797c.b(i2, name);
                InterfaceC0089a1 interfaceC0089a1 = (InterfaceC0089a1) this.f1796b.get(name);
                if (interfaceC0089a1 != null) {
                    e = interfaceC0089a1.a(context, xml, asAttributeSet, context.getTheme());
                }
                if (e != null) {
                    e.setChangingConfigurations(typedValue.changingConfigurations);
                    b(context, j2, e);
                }
            } catch (Exception e2) {
                Log.e("ResourceManagerInternal", "Exception while inflating drawable", e2);
            }
        }
        if (e == null) {
            this.f1797c.b(i2, "appcompat_skip_skip");
        }
        return e;
    }

    private Drawable n(Context context, int i2, boolean z2, Drawable drawable) {
        ColorStateList i3 = i(context, i2);
        PorterDuff.Mode mode = null;
        if (i3 == null) {
            InterfaceC0092b1 interfaceC0092b1 = this.f1800g;
            if (interfaceC0092b1 == null || !((C0149y) interfaceC0092b1).g(context, i2, drawable)) {
                InterfaceC0092b1 interfaceC0092b12 = this.f1800g;
                if ((interfaceC0092b12 != null && ((C0149y) interfaceC0092b12).h(context, i2, drawable)) || !z2) {
                    return drawable;
                }
                return null;
            }
            return drawable;
        }
        int i4 = C0146w0.f1914c;
        Drawable o2 = androidx.core.graphics.drawable.d.o(drawable.mutate());
        androidx.core.graphics.drawable.d.m(o2, i3);
        if (this.f1800g != null && i2 == R.drawable.abc_switch_thumb_material) {
            mode = PorterDuff.Mode.MULTIPLY;
        }
        if (mode != null) {
            androidx.core.graphics.drawable.d.n(o2, mode);
            return o2;
        }
        return o2;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void o(Drawable drawable, u1 u1Var, int[] iArr) {
        int[] state = drawable.getState();
        int i2 = C0146w0.f1914c;
        if (!(drawable.mutate() == drawable)) {
            Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
            return;
        }
        if ((drawable instanceof LayerDrawable) && drawable.isStateful()) {
            drawable.setState(new int[0]);
            drawable.setState(state);
        }
        boolean z2 = u1Var.f1904d;
        if (z2 || u1Var.f1903c) {
            PorterDuffColorFilter porterDuffColorFilter = null;
            ColorStateList colorStateList = z2 ? u1Var.f1901a : null;
            PorterDuff.Mode mode = u1Var.f1903c ? u1Var.f1902b : f1792h;
            if (colorStateList != null && mode != null) {
                porterDuffColorFilter = h(colorStateList.getColorForState(iArr, 0), mode);
            }
            drawable.setColorFilter(porterDuffColorFilter);
        } else {
            drawable.clearColorFilter();
        }
        if (Build.VERSION.SDK_INT <= 23) {
            drawable.invalidateSelf();
        }
    }

    public synchronized Drawable f(Context context, int i2) {
        return g(context, i2, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized Drawable g(Context context, int i2, boolean z2) {
        Drawable k2;
        if (!this.f1799f) {
            boolean z3 = true;
            this.f1799f = true;
            Drawable f2 = f(context, R.drawable.abc_vector_test);
            if (f2 != null) {
                if (!(f2 instanceof androidx.vectordrawable.graphics.drawable.r) && !"android.graphics.drawable.VectorDrawable".equals(f2.getClass().getName())) {
                    z3 = false;
                }
            }
            this.f1799f = false;
            throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
        }
        k2 = k(context, i2);
        if (k2 == null) {
            k2 = c(context, i2);
        }
        if (k2 == null) {
            k2 = androidx.core.content.h.c(context, i2);
        }
        if (k2 != null) {
            k2 = n(context, i2, z2, k2);
        }
        if (k2 != null) {
            C0146w0.a(k2);
        }
        return k2;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized ColorStateList i(Context context, int i2) {
        ColorStateList colorStateList;
        k.m mVar;
        WeakHashMap weakHashMap = this.f1795a;
        ColorStateList colorStateList2 = null;
        colorStateList = (weakHashMap == null || (mVar = (k.m) weakHashMap.get(context)) == null) ? null : (ColorStateList) mVar.e(i2, null);
        if (colorStateList == null) {
            InterfaceC0092b1 interfaceC0092b1 = this.f1800g;
            if (interfaceC0092b1 != null) {
                colorStateList2 = ((C0149y) interfaceC0092b1).e(context, i2);
            }
            if (colorStateList2 != null) {
                if (this.f1795a == null) {
                    this.f1795a = new WeakHashMap();
                }
                k.m mVar2 = (k.m) this.f1795a.get(context);
                if (mVar2 == null) {
                    mVar2 = new k.m();
                    this.f1795a.put(context, mVar2);
                }
                mVar2.b(i2, colorStateList2);
            }
            colorStateList = colorStateList2;
        }
        return colorStateList;
    }

    public synchronized void l(Context context) {
        k.e eVar = (k.e) this.f1798d.get(context);
        if (eVar != null) {
            eVar.c();
        }
    }

    public synchronized void m(InterfaceC0092b1 interfaceC0092b1) {
        this.f1800g = interfaceC0092b1;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean p(Context context, int i2, Drawable drawable) {
        InterfaceC0092b1 interfaceC0092b1 = this.f1800g;
        return interfaceC0092b1 != null && ((C0149y) interfaceC0092b1).h(context, i2, drawable);
    }
}
