package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* renamed from: androidx.appcompat.widget.r0  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class C0136r0 {
    private static final RectF l = new RectF();

    /* renamed from: m  reason: collision with root package name */
    private static ConcurrentHashMap f1868m = new ConcurrentHashMap();

    /* renamed from: n  reason: collision with root package name */
    private static ConcurrentHashMap f1869n = new ConcurrentHashMap();

    /* renamed from: a  reason: collision with root package name */
    private int f1870a = 0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f1871b = false;

    /* renamed from: c  reason: collision with root package name */
    private float f1872c = -1.0f;

    /* renamed from: d  reason: collision with root package name */
    private float f1873d = -1.0f;
    private float e = -1.0f;

    /* renamed from: f  reason: collision with root package name */
    private int[] f1874f = new int[0];

    /* renamed from: g  reason: collision with root package name */
    private boolean f1875g = false;

    /* renamed from: h  reason: collision with root package name */
    private TextPaint f1876h;

    /* renamed from: i  reason: collision with root package name */
    private final TextView f1877i;

    /* renamed from: j  reason: collision with root package name */
    private final Context f1878j;

    /* renamed from: k  reason: collision with root package name */
    private final C0135q0 f1879k;

    /* JADX INFO: Access modifiers changed from: package-private */
    public C0136r0(TextView textView) {
        this.f1877i = textView;
        this.f1878j = textView.getContext();
        int i2 = Build.VERSION.SDK_INT;
        this.f1879k = i2 >= 29 ? new C0133p0() : i2 >= 23 ? new C0130o0() : new C0135q0();
    }

    private int[] b(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i2 : iArr) {
            if (i2 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i2)) < 0) {
                arrayList.add(Integer.valueOf(i2));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i3 = 0; i3 < size; i3++) {
            iArr2[i3] = ((Integer) arrayList.get(i3)).intValue();
        }
        return iArr2;
    }

    private int c(RectF rectF) {
        int i2;
        StaticLayout a2;
        CharSequence transformation;
        int length = this.f1874f.length;
        if (length != 0) {
            int i3 = length - 1;
            int i4 = 1;
            int i5 = 0;
            while (i4 <= i3) {
                int i6 = (i4 + i3) / 2;
                int i7 = this.f1874f[i6];
                CharSequence text = this.f1877i.getText();
                TransformationMethod transformationMethod = this.f1877i.getTransformationMethod();
                if (transformationMethod != null && (transformation = transformationMethod.getTransformation(text, this.f1877i)) != null) {
                    text = transformation;
                }
                int i8 = Build.VERSION.SDK_INT;
                int b2 = C0121l0.b(this.f1877i);
                TextPaint textPaint = this.f1876h;
                if (textPaint == null) {
                    this.f1876h = new TextPaint();
                } else {
                    textPaint.reset();
                }
                this.f1876h.set(this.f1877i.getPaint());
                this.f1876h.setTextSize(i7);
                Layout.Alignment alignment = (Layout.Alignment) j(this.f1877i, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL);
                int round = Math.round(rectF.right);
                if (i8 >= 23) {
                    i2 = b2;
                    a2 = C0127n0.a(text, alignment, round, b2, this.f1877i, this.f1876h, this.f1879k);
                } else {
                    i2 = b2;
                    a2 = C0121l0.a(text, alignment, round, this.f1877i, this.f1876h);
                }
                if ((i2 == -1 || (a2.getLineCount() <= i2 && a2.getLineEnd(a2.getLineCount() - 1) == text.length())) && ((float) a2.getHeight()) <= rectF.bottom) {
                    int i9 = i6 + 1;
                    i5 = i4;
                    i4 = i9;
                } else {
                    i5 = i6 - 1;
                    i3 = i5;
                }
            }
            return this.f1874f[i5];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    private static Method i(String str) {
        try {
            Method method = (Method) f1868m.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f1868m.put(str, method);
            }
            return method;
        } catch (Exception e) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e);
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Object j(Object obj, String str, Object obj2) {
        try {
            return i(str).invoke(obj, new Object[0]);
        } catch (Exception e) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e);
            return obj2;
        }
    }

    private boolean q() {
        if (s() && this.f1870a == 1) {
            if (!this.f1875g || this.f1874f.length == 0) {
                int floor = ((int) Math.floor((this.e - this.f1873d) / this.f1872c)) + 1;
                int[] iArr = new int[floor];
                for (int i2 = 0; i2 < floor; i2++) {
                    iArr[i2] = Math.round((i2 * this.f1872c) + this.f1873d);
                }
                this.f1874f = b(iArr);
            }
            this.f1871b = true;
        } else {
            this.f1871b = false;
        }
        return this.f1871b;
    }

    private boolean r() {
        int[] iArr = this.f1874f;
        int length = iArr.length;
        boolean z2 = length > 0;
        this.f1875g = z2;
        if (z2) {
            this.f1870a = 1;
            this.f1873d = iArr[0];
            this.e = iArr[length - 1];
            this.f1872c = -1.0f;
        }
        return z2;
    }

    private boolean s() {
        return !(this.f1877i instanceof A);
    }

    private void t(float f2, float f3, float f4) {
        if (f2 <= 0.0f) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f2 + "px) is less or equal to (0px)");
        } else if (f3 <= f2) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f3 + "px) is less or equal to minimum auto-size text size (" + f2 + "px)");
        } else if (f4 <= 0.0f) {
            throw new IllegalArgumentException("The auto-size step granularity (" + f4 + "px) is less or equal to (0px)");
        } else {
            this.f1870a = 1;
            this.f1873d = f2;
            this.e = f3;
            this.f1872c = f4;
            this.f1875g = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a() {
        if (s() && this.f1870a != 0) {
            if (this.f1871b) {
                if (this.f1877i.getMeasuredHeight() <= 0 || this.f1877i.getMeasuredWidth() <= 0) {
                    return;
                }
                int measuredWidth = this.f1879k.b(this.f1877i) ? 1048576 : (this.f1877i.getMeasuredWidth() - this.f1877i.getTotalPaddingLeft()) - this.f1877i.getTotalPaddingRight();
                int height = (this.f1877i.getHeight() - this.f1877i.getCompoundPaddingBottom()) - this.f1877i.getCompoundPaddingTop();
                if (measuredWidth <= 0 || height <= 0) {
                    return;
                }
                RectF rectF = l;
                synchronized (rectF) {
                    rectF.setEmpty();
                    rectF.right = measuredWidth;
                    rectF.bottom = height;
                    float c2 = c(rectF);
                    if (c2 != this.f1877i.getTextSize()) {
                        p(0, c2);
                    }
                }
            }
            this.f1871b = true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int d() {
        return Math.round(this.e);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int e() {
        return Math.round(this.f1873d);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int f() {
        return Math.round(this.f1872c);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int[] g() {
        return this.f1874f;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int h() {
        return this.f1870a;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean k() {
        return s() && this.f1870a != 0;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void l(AttributeSet attributeSet, int i2) {
        int resourceId;
        Context context = this.f1878j;
        int[] iArr = G0.i.f428i;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i2, 0);
        TextView textView = this.f1877i;
        androidx.core.view.c0.C(textView, textView.getContext(), iArr, attributeSet, obtainStyledAttributes, i2, 0);
        if (obtainStyledAttributes.hasValue(5)) {
            this.f1870a = obtainStyledAttributes.getInt(5, 0);
        }
        float dimension = obtainStyledAttributes.hasValue(4) ? obtainStyledAttributes.getDimension(4, -1.0f) : -1.0f;
        float dimension2 = obtainStyledAttributes.hasValue(2) ? obtainStyledAttributes.getDimension(2, -1.0f) : -1.0f;
        float dimension3 = obtainStyledAttributes.hasValue(1) ? obtainStyledAttributes.getDimension(1, -1.0f) : -1.0f;
        if (obtainStyledAttributes.hasValue(3) && (resourceId = obtainStyledAttributes.getResourceId(3, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            int length = obtainTypedArray.length();
            int[] iArr2 = new int[length];
            if (length > 0) {
                for (int i3 = 0; i3 < length; i3++) {
                    iArr2[i3] = obtainTypedArray.getDimensionPixelSize(i3, -1);
                }
                this.f1874f = b(iArr2);
                r();
            }
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!s()) {
            this.f1870a = 0;
        } else if (this.f1870a == 1) {
            if (!this.f1875g) {
                DisplayMetrics displayMetrics = this.f1878j.getResources().getDisplayMetrics();
                if (dimension2 == -1.0f) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == -1.0f) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == -1.0f) {
                    dimension = 1.0f;
                }
                t(dimension2, dimension3, dimension);
            }
            q();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void m(int i2, int i3, int i4, int i5) {
        if (s()) {
            DisplayMetrics displayMetrics = this.f1878j.getResources().getDisplayMetrics();
            t(TypedValue.applyDimension(i5, i2, displayMetrics), TypedValue.applyDimension(i5, i3, displayMetrics), TypedValue.applyDimension(i5, i4, displayMetrics));
            if (q()) {
                a();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void n(int[] iArr, int i2) {
        if (s()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i2 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f1878j.getResources().getDisplayMetrics();
                    for (int i3 = 0; i3 < length; i3++) {
                        iArr2[i3] = Math.round(TypedValue.applyDimension(i2, iArr[i3], displayMetrics));
                    }
                }
                this.f1874f = b(iArr2);
                if (!r()) {
                    StringBuilder y2 = X.l.y("None of the preset sizes is valid: ");
                    y2.append(Arrays.toString(iArr));
                    throw new IllegalArgumentException(y2.toString());
                }
            } else {
                this.f1875g = false;
            }
            if (q()) {
                a();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void o(int i2) {
        if (s()) {
            if (i2 == 0) {
                this.f1870a = 0;
                this.f1873d = -1.0f;
                this.e = -1.0f;
                this.f1872c = -1.0f;
                this.f1874f = new int[0];
                this.f1871b = false;
            } else if (i2 != 1) {
                throw new IllegalArgumentException(X.l.t("Unknown auto-size text type: ", i2));
            } else {
                DisplayMetrics displayMetrics = this.f1878j.getResources().getDisplayMetrics();
                t(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
                if (q()) {
                    a();
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void p(int i2, float f2) {
        Context context = this.f1878j;
        float applyDimension = TypedValue.applyDimension(i2, f2, (context == null ? Resources.getSystem() : context.getResources()).getDisplayMetrics());
        if (applyDimension != this.f1877i.getPaint().getTextSize()) {
            this.f1877i.getPaint().setTextSize(applyDimension);
            boolean a2 = C0124m0.a(this.f1877i);
            if (this.f1877i.getLayout() != null) {
                this.f1871b = false;
                try {
                    Method i3 = i("nullLayouts");
                    if (i3 != null) {
                        i3.invoke(this.f1877i, new Object[0]);
                    }
                } catch (Exception e) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e);
                }
                if (a2) {
                    this.f1877i.forceLayout();
                } else {
                    this.f1877i.requestLayout();
                }
                this.f1877i.invalidate();
            }
        }
    }
}
