package androidx.appcompat.widget;

import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.ImageView;
import com.jsjt2hk.app.R;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public class SearchView extends J0 implements androidx.appcompat.view.d {

    /* renamed from: V  reason: collision with root package name */
    static final w1 f1674V;

    /* renamed from: A  reason: collision with root package name */
    private final View f1675A;

    /* renamed from: B  reason: collision with root package name */
    private q1 f1676B;

    /* renamed from: C  reason: collision with root package name */
    private Rect f1677C;

    /* renamed from: D  reason: collision with root package name */
    private Rect f1678D;

    /* renamed from: E  reason: collision with root package name */
    private int[] f1679E;

    /* renamed from: F  reason: collision with root package name */
    private int[] f1680F;

    /* renamed from: G  reason: collision with root package name */
    private final ImageView f1681G;

    /* renamed from: H  reason: collision with root package name */
    private final Drawable f1682H;

    /* renamed from: I  reason: collision with root package name */
    private final CharSequence f1683I;

    /* renamed from: J  reason: collision with root package name */
    private boolean f1684J;

    /* renamed from: K  reason: collision with root package name */
    private boolean f1685K;

    /* renamed from: L  reason: collision with root package name */
    private CharSequence f1686L;

    /* renamed from: M  reason: collision with root package name */
    private boolean f1687M;

    /* renamed from: N  reason: collision with root package name */
    private int f1688N;

    /* renamed from: O  reason: collision with root package name */
    private CharSequence f1689O;

    /* renamed from: P  reason: collision with root package name */
    private boolean f1690P;

    /* renamed from: Q  reason: collision with root package name */
    private int f1691Q;

    /* renamed from: R  reason: collision with root package name */
    private final Runnable f1692R;

    /* renamed from: S  reason: collision with root package name */
    private Runnable f1693S;

    /* renamed from: T  reason: collision with root package name */
    View.OnKeyListener f1694T;

    /* renamed from: U  reason: collision with root package name */
    private TextWatcher f1695U;

    /* renamed from: s  reason: collision with root package name */
    final SearchAutoComplete f1696s;

    /* renamed from: t  reason: collision with root package name */
    private final View f1697t;

    /* renamed from: u  reason: collision with root package name */
    private final View f1698u;

    /* renamed from: v  reason: collision with root package name */
    private final View f1699v;

    /* renamed from: w  reason: collision with root package name */
    final ImageView f1700w;
    final ImageView x;

    /* renamed from: y  reason: collision with root package name */
    final ImageView f1701y;

    /* renamed from: z  reason: collision with root package name */
    final ImageView f1702z;

    /* loaded from: classes.dex */
    public class SearchAutoComplete extends C0137s {

        /* renamed from: h  reason: collision with root package name */
        private int f1703h;

        /* renamed from: i  reason: collision with root package name */
        private SearchView f1704i;

        /* renamed from: j  reason: collision with root package name */
        private boolean f1705j;

        /* renamed from: k  reason: collision with root package name */
        final Runnable f1706k;

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            super(context, attributeSet, R.attr.autoCompleteTextViewStyle);
            this.f1706k = new C0(this, 1);
            this.f1703h = getThreshold();
        }

        void a() {
            if (Build.VERSION.SDK_INT < 29) {
                SearchView.f1674V.c(this);
                return;
            }
            C0131o1.b(this, 1);
            if (enoughToFilter()) {
                showDropDown();
            }
        }

        void b(boolean z2) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z2) {
                this.f1705j = false;
                removeCallbacks(this.f1706k);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (!inputMethodManager.isActive(this)) {
                this.f1705j = true;
            } else {
                this.f1705j = false;
                removeCallbacks(this.f1706k);
                inputMethodManager.showSoftInput(this, 0);
            }
        }

        void d(SearchView searchView) {
            this.f1704i = searchView;
        }

        @Override // android.widget.AutoCompleteTextView
        public boolean enoughToFilter() {
            return this.f1703h <= 0 || super.enoughToFilter();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public void g() {
            if (this.f1705j) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                this.f1705j = false;
            }
        }

        @Override // androidx.appcompat.widget.C0137s, android.widget.TextView, android.view.View
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.f1705j) {
                removeCallbacks(this.f1706k);
                post(this.f1706k);
            }
            return onCreateInputConnection;
        }

        @Override // android.view.View
        protected void onFinishInflate() {
            super.onFinishInflate();
            DisplayMetrics displayMetrics = getResources().getDisplayMetrics();
            Configuration configuration = getResources().getConfiguration();
            int i2 = configuration.screenWidthDp;
            int i3 = configuration.screenHeightDp;
            setMinWidth((int) TypedValue.applyDimension(1, (i2 < 960 || i3 < 720 || configuration.orientation != 2) ? (i2 >= 600 || (i2 >= 640 && i3 >= 480)) ? 192 : 160 : 256, displayMetrics));
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        protected void onFocusChanged(boolean z2, int i2, Rect rect) {
            super.onFocusChanged(z2, i2, rect);
            this.f1704i.u();
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public boolean onKeyPreIme(int i2, KeyEvent keyEvent) {
            if (i2 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f1704i.clearFocus();
                        b(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i2, keyEvent);
        }

        @Override // android.widget.AutoCompleteTextView, android.widget.TextView, android.view.View
        public void onWindowFocusChanged(boolean z2) {
            super.onWindowFocusChanged(z2);
            if (z2 && this.f1704i.hasFocus() && getVisibility() == 0) {
                this.f1705j = true;
                Context context = getContext();
                w1 w1Var = SearchView.f1674V;
                if (context.getResources().getConfiguration().orientation == 2) {
                    a();
                }
            }
        }

        @Override // android.widget.AutoCompleteTextView
        public void performCompletion() {
        }

        @Override // android.widget.AutoCompleteTextView
        protected void replaceText(CharSequence charSequence) {
        }

        @Override // android.widget.AutoCompleteTextView
        public void setThreshold(int i2) {
            super.setThreshold(i2);
            this.f1703h = i2;
        }
    }

    static {
        f1674V = Build.VERSION.SDK_INT < 29 ? new w1() : null;
    }

    public SearchView(Context context) {
        this(context, null);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, R.attr.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f1677C = new Rect();
        this.f1678D = new Rect();
        this.f1679E = new int[2];
        this.f1680F = new int[2];
        this.f1692R = new RunnableC0110h1(this, 0);
        this.f1693S = new RunnableC0110h1(this, 1);
        new WeakHashMap();
        View$OnClickListenerC0119k1 view$OnClickListenerC0119k1 = new View$OnClickListenerC0119k1(this, 0);
        this.f1694T = new View$OnKeyListenerC0122l1(this);
        C0125m1 c0125m1 = new C0125m1(this);
        C0128n1 c0128n1 = new C0128n1(this);
        L0 l02 = new L0(this, 1);
        this.f1695U = new C0107g1(this);
        int[] iArr = G0.i.f438u;
        w1 w1Var = new w1(context, context.obtainStyledAttributes(attributeSet, iArr, i2, 0));
        androidx.core.view.c0.C(this, context, iArr, attributeSet, w1Var.t(), i2, 0);
        LayoutInflater.from(context).inflate(w1Var.p(9, R.layout.abc_search_view), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(R.id.search_src_text);
        this.f1696s = searchAutoComplete;
        searchAutoComplete.d(this);
        this.f1697t = findViewById(R.id.search_edit_frame);
        View findViewById = findViewById(R.id.search_plate);
        this.f1698u = findViewById;
        View findViewById2 = findViewById(R.id.submit_area);
        this.f1699v = findViewById2;
        ImageView imageView = (ImageView) findViewById(R.id.search_button);
        this.f1700w = imageView;
        ImageView imageView2 = (ImageView) findViewById(R.id.search_go_btn);
        this.x = imageView2;
        ImageView imageView3 = (ImageView) findViewById(R.id.search_close_btn);
        this.f1701y = imageView3;
        ImageView imageView4 = (ImageView) findViewById(R.id.search_voice_btn);
        this.f1702z = imageView4;
        ImageView imageView5 = (ImageView) findViewById(R.id.search_mag_icon);
        this.f1681G = imageView5;
        androidx.core.view.c0.G(findViewById, w1Var.i(10));
        androidx.core.view.c0.G(findViewById2, w1Var.i(14));
        imageView.setImageDrawable(w1Var.i(13));
        imageView2.setImageDrawable(w1Var.i(7));
        imageView3.setImageDrawable(w1Var.i(4));
        imageView4.setImageDrawable(w1Var.i(16));
        imageView5.setImageDrawable(w1Var.i(13));
        this.f1682H = w1Var.i(12);
        I1.d(imageView, getResources().getString(R.string.abc_searchview_description_search));
        w1Var.p(15, R.layout.abc_search_dropdown_item_icons_2line);
        w1Var.p(5, 0);
        imageView.setOnClickListener(view$OnClickListenerC0119k1);
        imageView3.setOnClickListener(view$OnClickListenerC0119k1);
        imageView2.setOnClickListener(view$OnClickListenerC0119k1);
        imageView4.setOnClickListener(view$OnClickListenerC0119k1);
        searchAutoComplete.setOnClickListener(view$OnClickListenerC0119k1);
        searchAutoComplete.addTextChangedListener(this.f1695U);
        searchAutoComplete.setOnEditorActionListener(c0125m1);
        searchAutoComplete.setOnItemClickListener(c0128n1);
        searchAutoComplete.setOnItemSelectedListener(l02);
        searchAutoComplete.setOnKeyListener(this.f1694T);
        searchAutoComplete.setOnFocusChangeListener(new View$OnFocusChangeListenerC0113i1(this));
        boolean d2 = w1Var.d(8, true);
        if (this.f1684J != d2) {
            this.f1684J = d2;
            y(d2);
            x();
        }
        int h2 = w1Var.h(1, -1);
        if (h2 != -1) {
            this.f1688N = h2;
            requestLayout();
        }
        this.f1683I = w1Var.r(6);
        this.f1686L = w1Var.r(11);
        int m2 = w1Var.m(3, -1);
        if (m2 != -1) {
            searchAutoComplete.setImeOptions(m2);
        }
        int m3 = w1Var.m(2, -1);
        if (m3 != -1) {
            searchAutoComplete.setInputType(m3);
        }
        setFocusable(w1Var.d(0, true));
        w1Var.y();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        new Intent("android.speech.action.RECOGNIZE_SPEECH").addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.f1675A = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new View$OnLayoutChangeListenerC0116j1(this));
        }
        y(this.f1684J);
        x();
    }

    private void v() {
        boolean z2 = true;
        boolean z3 = !TextUtils.isEmpty(this.f1696s.getText());
        if (!z3 && (!this.f1684J || this.f1690P)) {
            z2 = false;
        }
        this.f1701y.setVisibility(z2 ? 0 : 8);
        Drawable drawable = this.f1701y.getDrawable();
        if (drawable != null) {
            drawable.setState(z3 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    private void x() {
        SpannableStringBuilder spannableStringBuilder = this.f1686L;
        if (spannableStringBuilder == null) {
            spannableStringBuilder = this.f1683I;
        }
        SearchAutoComplete searchAutoComplete = this.f1696s;
        if (spannableStringBuilder == null) {
            spannableStringBuilder = "";
        }
        if (this.f1684J && this.f1682H != null) {
            double textSize = searchAutoComplete.getTextSize();
            Double.isNaN(textSize);
            Double.isNaN(textSize);
            int i2 = (int) (textSize * 1.25d);
            this.f1682H.setBounds(0, 0, i2, i2);
            SpannableStringBuilder spannableStringBuilder2 = new SpannableStringBuilder("   ");
            spannableStringBuilder2.setSpan(new ImageSpan(this.f1682H), 1, 2, 33);
            spannableStringBuilder2.append(spannableStringBuilder);
            spannableStringBuilder = spannableStringBuilder2;
        }
        searchAutoComplete.setHint(spannableStringBuilder);
    }

    private void y(boolean z2) {
        this.f1685K = z2;
        int i2 = 0;
        int i3 = z2 ? 0 : 8;
        TextUtils.isEmpty(this.f1696s.getText());
        this.f1700w.setVisibility(i3);
        this.x.setVisibility(8);
        this.f1697t.setVisibility(z2 ? 8 : 0);
        this.f1681G.setVisibility((this.f1681G.getDrawable() == null || this.f1684J) ? 8 : 8);
        v();
        this.f1702z.setVisibility(8);
        this.f1699v.setVisibility(8);
    }

    @Override // androidx.appcompat.view.d
    public void c() {
        if (this.f1690P) {
            return;
        }
        this.f1690P = true;
        int imeOptions = this.f1696s.getImeOptions();
        this.f1691Q = imeOptions;
        this.f1696s.setImeOptions(imeOptions | 33554432);
        this.f1696s.setText("");
        y(false);
        this.f1696s.requestFocus();
        this.f1696s.b(true);
    }

    @Override // android.view.ViewGroup, android.view.View
    public void clearFocus() {
        this.f1687M = true;
        super.clearFocus();
        this.f1696s.clearFocus();
        this.f1696s.b(false);
        this.f1687M = false;
    }

    @Override // androidx.appcompat.view.d
    public void d() {
        this.f1696s.setText("");
        SearchAutoComplete searchAutoComplete = this.f1696s;
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.f1689O = "";
        clearFocus();
        y(true);
        this.f1696s.setImeOptions(this.f1691Q);
        this.f1690P = false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void o() {
        if (this.f1675A.getWidth() > 1) {
            Resources resources = getContext().getResources();
            int paddingLeft = this.f1698u.getPaddingLeft();
            Rect rect = new Rect();
            boolean b2 = N1.b(this);
            int dimensionPixelSize = this.f1684J ? resources.getDimensionPixelSize(R.dimen.abc_dropdownitem_text_padding_left) + resources.getDimensionPixelSize(R.dimen.abc_dropdownitem_icon_width) : 0;
            this.f1696s.getDropDownBackground().getPadding(rect);
            this.f1696s.setDropDownHorizontalOffset(b2 ? -rect.left : paddingLeft - (rect.left + dimensionPixelSize));
            this.f1696s.setDropDownWidth((((this.f1675A.getWidth() + rect.left) + rect.right) + dimensionPixelSize) - paddingLeft);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        removeCallbacks(this.f1692R);
        post(this.f1693S);
        super.onDetachedFromWindow();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.J0, android.view.ViewGroup, android.view.View
    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        if (z2) {
            SearchAutoComplete searchAutoComplete = this.f1696s;
            Rect rect = this.f1677C;
            searchAutoComplete.getLocationInWindow(this.f1679E);
            getLocationInWindow(this.f1680F);
            int[] iArr = this.f1679E;
            int i6 = iArr[1];
            int[] iArr2 = this.f1680F;
            int i7 = i6 - iArr2[1];
            int i8 = iArr[0] - iArr2[0];
            rect.set(i8, i7, searchAutoComplete.getWidth() + i8, searchAutoComplete.getHeight() + i7);
            Rect rect2 = this.f1678D;
            Rect rect3 = this.f1677C;
            rect2.set(rect3.left, 0, rect3.right, i5 - i3);
            q1 q1Var = this.f1676B;
            if (q1Var != null) {
                q1Var.a(this.f1678D, this.f1677C);
                return;
            }
            q1 q1Var2 = new q1(this.f1678D, this.f1677C, this.f1696s);
            this.f1676B = q1Var2;
            setTouchDelegate(q1Var2);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0020, code lost:
        if (r0 <= 0) goto L13;
     */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0057  */
    /* JADX WARN: Removed duplicated region for block: B:28:0x0067  */
    @Override // androidx.appcompat.widget.J0, android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void onMeasure(int i2, int i3) {
        int i4;
        int mode;
        if (this.f1685K) {
            super.onMeasure(i2, i3);
            return;
        }
        int mode2 = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                size = this.f1688N;
                if (size <= 0) {
                    size = getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_width);
                }
            } else if (mode2 == 1073741824) {
                i4 = this.f1688N;
            }
            mode = View.MeasureSpec.getMode(i3);
            int size2 = View.MeasureSpec.getSize(i3);
            if (mode != Integer.MIN_VALUE) {
                size2 = Math.min(getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_height), size2);
            } else if (mode == 0) {
                size2 = getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_height);
            }
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size2, 1073741824));
        }
        i4 = this.f1688N;
        if (i4 <= 0) {
            i4 = getContext().getResources().getDimensionPixelSize(R.dimen.abc_search_view_preferred_width);
        }
        size = Math.min(i4, size);
        mode = View.MeasureSpec.getMode(i3);
        int size22 = View.MeasureSpec.getSize(i3);
        if (mode != Integer.MIN_VALUE) {
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, 1073741824), View.MeasureSpec.makeMeasureSpec(size22, 1073741824));
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof p1)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        p1 p1Var = (p1) parcelable;
        super.onRestoreInstanceState(p1Var.a());
        y(p1Var.f1857f);
        requestLayout();
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        p1 p1Var = new p1(super.onSaveInstanceState());
        p1Var.f1857f = this.f1685K;
        return p1Var;
    }

    @Override // android.view.View
    public void onWindowFocusChanged(boolean z2) {
        super.onWindowFocusChanged(z2);
        post(this.f1692R);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void p() {
        if (Build.VERSION.SDK_INT >= 29) {
            C0131o1.a(this.f1696s);
            return;
        }
        w1 w1Var = f1674V;
        w1Var.b(this.f1696s);
        w1Var.a(this.f1696s);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void q() {
        if (!TextUtils.isEmpty(this.f1696s.getText())) {
            this.f1696s.setText("");
            this.f1696s.requestFocus();
            this.f1696s.b(true);
        } else if (this.f1684J) {
            clearFocus();
            y(true);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void r() {
        y(false);
        this.f1696s.requestFocus();
        this.f1696s.b(true);
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean requestFocus(int i2, Rect rect) {
        if (!this.f1687M && isFocusable()) {
            if (this.f1685K) {
                return super.requestFocus(i2, rect);
            }
            boolean requestFocus = this.f1696s.requestFocus(i2, rect);
            if (requestFocus) {
                y(false);
            }
            return requestFocus;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void s() {
        Editable text = this.f1696s.getText();
        if (text == null || TextUtils.getTrimmedLength(text) <= 0) {
            return;
        }
        this.f1696s.b(false);
        this.f1696s.dismissDropDown();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void t(CharSequence charSequence) {
        Editable text = this.f1696s.getText();
        this.f1689O = text;
        TextUtils.isEmpty(text);
        this.x.setVisibility(8);
        this.f1702z.setVisibility(8);
        v();
        this.f1699v.setVisibility(8);
        charSequence.toString();
    }

    void u() {
        y(this.f1685K);
        post(this.f1692R);
        if (this.f1696s.hasFocus()) {
            p();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void w() {
        int[] iArr = this.f1696s.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f1698u.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.f1699v.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }
}
