package androidx.concurrent.futures;

import java.util.Locale;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;
/* loaded from: classes.dex */
public abstract class k implements Future {

    /* renamed from: g  reason: collision with root package name */
    static final boolean f1986g = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: h  reason: collision with root package name */
    private static final Logger f1987h = Logger.getLogger(k.class.getName());

    /* renamed from: i  reason: collision with root package name */
    static final b f1988i;

    /* renamed from: j  reason: collision with root package name */
    private static final Object f1989j;

    /* renamed from: d  reason: collision with root package name */
    volatile Object f1990d;
    volatile f e;

    /* renamed from: f  reason: collision with root package name */
    volatile j f1991f;

    static {
        b iVar;
        try {
            iVar = new g(AtomicReferenceFieldUpdater.newUpdater(j.class, Thread.class, "a"), AtomicReferenceFieldUpdater.newUpdater(j.class, j.class, "b"), AtomicReferenceFieldUpdater.newUpdater(k.class, j.class, "f"), AtomicReferenceFieldUpdater.newUpdater(k.class, f.class, "e"), AtomicReferenceFieldUpdater.newUpdater(k.class, Object.class, "d"));
            th = null;
        } catch (Throwable th) {
            th = th;
            iVar = new i();
        }
        f1988i = iVar;
        if (th != null) {
            f1987h.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
        f1989j = new Object();
    }

    private void a(StringBuilder sb) {
        String str = "]";
        try {
            Object d2 = d(this);
            sb.append("SUCCESS, result=[");
            sb.append(d2 == this ? "this future" : String.valueOf(d2));
            sb.append("]");
        } catch (CancellationException unused) {
            str = "CANCELLED";
            sb.append(str);
        } catch (RuntimeException e) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e.getClass());
            str = " thrown from get()]";
            sb.append(str);
        } catch (ExecutionException e2) {
            sb.append("FAILURE, cause=[");
            sb.append(e2.getCause());
            sb.append(str);
        }
    }

    static void b(k kVar) {
        j jVar;
        f fVar;
        do {
            jVar = kVar.f1991f;
        } while (!f1988i.c(kVar, jVar, j.f1983c));
        while (jVar != null) {
            Thread thread = jVar.f1984a;
            if (thread != null) {
                jVar.f1984a = null;
                LockSupport.unpark(thread);
            }
            jVar = jVar.f1985b;
        }
        do {
            fVar = kVar.e;
        } while (!f1988i.a(kVar, fVar, f.f1975d));
        f fVar2 = null;
        while (fVar != null) {
            f fVar3 = fVar.f1978c;
            fVar.f1978c = fVar2;
            fVar2 = fVar;
            fVar = fVar3;
        }
        while (fVar2 != null) {
            f fVar4 = fVar2.f1978c;
            Runnable runnable = fVar2.f1976a;
            if (!(runnable instanceof h)) {
                Executor executor = fVar2.f1977b;
                try {
                    executor.execute(runnable);
                } catch (RuntimeException e) {
                    f1987h.log(Level.SEVERE, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e);
                }
                fVar2 = fVar4;
            } else {
                ((h) runnable).getClass();
                throw null;
            }
        }
    }

    private Object c(Object obj) {
        if (obj instanceof c) {
            Throwable th = ((c) obj).f1973b;
            CancellationException cancellationException = new CancellationException("Task was cancelled.");
            cancellationException.initCause(th);
            throw cancellationException;
        } else if (obj instanceof e) {
            throw new ExecutionException(((e) obj).f1974a);
        } else {
            if (obj == f1989j) {
                return null;
            }
            return obj;
        }
    }

    static Object d(Future future) {
        Object obj;
        boolean z2 = false;
        while (true) {
            try {
                obj = ((k) future).get();
                break;
            } catch (InterruptedException unused) {
                z2 = true;
            } catch (Throwable th) {
                if (z2) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z2) {
            Thread.currentThread().interrupt();
        }
        return obj;
    }

    private void f(j jVar) {
        jVar.f1984a = null;
        while (true) {
            j jVar2 = this.f1991f;
            if (jVar2 == j.f1983c) {
                return;
            }
            j jVar3 = null;
            while (jVar2 != null) {
                j jVar4 = jVar2.f1985b;
                if (jVar2.f1984a != null) {
                    jVar3 = jVar2;
                } else if (jVar3 != null) {
                    jVar3.f1985b = jVar4;
                    if (jVar3.f1984a == null) {
                        break;
                    }
                } else if (!f1988i.c(this, jVar2, jVar4)) {
                    break;
                }
                jVar2 = jVar4;
            }
            return;
        }
    }

    @Override // java.util.concurrent.Future
    public final boolean cancel(boolean z2) {
        Object obj = this.f1990d;
        if (!(obj == null) && !(obj instanceof h)) {
            return false;
        }
        c cVar = f1986g ? new c(z2, new CancellationException("Future.cancel() was called.")) : z2 ? c.f1970c : c.f1971d;
        while (!f1988i.b(this, obj, cVar)) {
            obj = this.f1990d;
            if (!(obj instanceof h)) {
                return false;
            }
        }
        b(this);
        if (obj instanceof h) {
            ((h) obj).getClass();
            throw null;
        }
        return true;
    }

    protected String e() {
        Object obj = this.f1990d;
        if (obj instanceof h) {
            ((h) obj).getClass();
            return "setFuture=[null]";
        } else if (this instanceof ScheduledFuture) {
            StringBuilder y2 = X.l.y("remaining delay=[");
            y2.append(((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS));
            y2.append(" ms]");
            return y2.toString();
        } else {
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public boolean g(Object obj) {
        if (obj == null) {
            obj = f1989j;
        }
        if (f1988i.b(this, null, obj)) {
            b(this);
            return true;
        }
        return false;
    }

    @Override // java.util.concurrent.Future
    public final Object get() {
        Object obj;
        if (Thread.interrupted()) {
            throw new InterruptedException();
        }
        Object obj2 = this.f1990d;
        if ((obj2 != null) && (!(obj2 instanceof h))) {
            return c(obj2);
        }
        j jVar = this.f1991f;
        if (jVar != j.f1983c) {
            j jVar2 = new j();
            do {
                b bVar = f1988i;
                bVar.d(jVar2, jVar);
                if (bVar.c(this, jVar, jVar2)) {
                    do {
                        LockSupport.park(this);
                        if (Thread.interrupted()) {
                            f(jVar2);
                            throw new InterruptedException();
                        }
                        obj = this.f1990d;
                    } while (!((obj != null) & (!(obj instanceof h))));
                    return c(obj);
                }
                jVar = this.f1991f;
            } while (jVar != j.f1983c);
            return c(this.f1990d);
        }
        return c(this.f1990d);
    }

    @Override // java.util.concurrent.Future
    public final boolean isCancelled() {
        return this.f1990d instanceof c;
    }

    @Override // java.util.concurrent.Future
    public final boolean isDone() {
        Object obj = this.f1990d;
        return (!(obj instanceof h)) & (obj != null);
    }

    public String toString() {
        String sb;
        String str;
        StringBuilder sb2 = new StringBuilder();
        sb2.append(super.toString());
        sb2.append("[status=");
        if (!(this.f1990d instanceof c)) {
            if (!isDone()) {
                try {
                    sb = e();
                } catch (RuntimeException e) {
                    StringBuilder y2 = X.l.y("Exception thrown from implementation: ");
                    y2.append(e.getClass());
                    sb = y2.toString();
                }
                if (sb != null && !sb.isEmpty()) {
                    sb2.append("PENDING, info=[");
                    sb2.append(sb);
                    sb2.append("]");
                    sb2.append("]");
                    return sb2.toString();
                }
                str = isDone() ? "PENDING" : "PENDING";
            }
            a(sb2);
            sb2.append("]");
            return sb2.toString();
        }
        str = "CANCELLED";
        sb2.append(str);
        sb2.append("]");
        return sb2.toString();
    }

    @Override // java.util.concurrent.Future
    public final Object get(long j2, TimeUnit timeUnit) {
        Locale locale;
        long nanos = timeUnit.toNanos(j2);
        if (Thread.interrupted()) {
            throw new InterruptedException();
        }
        Object obj = this.f1990d;
        if ((obj != null) && (!(obj instanceof h))) {
            return c(obj);
        }
        long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0L;
        if (nanos >= 1000) {
            j jVar = this.f1991f;
            if (jVar != j.f1983c) {
                j jVar2 = new j();
                do {
                    b bVar = f1988i;
                    bVar.d(jVar2, jVar);
                    if (bVar.c(this, jVar, jVar2)) {
                        do {
                            LockSupport.parkNanos(this, nanos);
                            if (Thread.interrupted()) {
                                f(jVar2);
                                throw new InterruptedException();
                            }
                            Object obj2 = this.f1990d;
                            if ((obj2 != null) && (!(obj2 instanceof h))) {
                                return c(obj2);
                            }
                            nanos = nanoTime - System.nanoTime();
                        } while (nanos >= 1000);
                        f(jVar2);
                    } else {
                        jVar = this.f1991f;
                    }
                } while (jVar != j.f1983c);
                return c(this.f1990d);
            }
            return c(this.f1990d);
        }
        while (nanos > 0) {
            Object obj3 = this.f1990d;
            if ((obj3 != null) && (!(obj3 instanceof h))) {
                return c(obj3);
            }
            if (Thread.interrupted()) {
                throw new InterruptedException();
            }
            nanos = nanoTime - System.nanoTime();
        }
        String kVar = toString();
        String lowerCase = timeUnit.toString().toLowerCase(Locale.ROOT);
        String str = "Waited " + j2 + " " + timeUnit.toString().toLowerCase(locale);
        if (nanos + 1000 < 0) {
            String u2 = X.l.u(str, " (plus ");
            long j3 = -nanos;
            long convert = timeUnit.convert(j3, TimeUnit.NANOSECONDS);
            long nanos2 = j3 - timeUnit.toNanos(convert);
            boolean z2 = convert == 0 || nanos2 > 1000;
            if (convert > 0) {
                String str2 = u2 + convert + " " + lowerCase;
                if (z2) {
                    str2 = X.l.u(str2, ",");
                }
                u2 = X.l.u(str2, " ");
            }
            if (z2) {
                u2 = u2 + nanos2 + " nanoseconds ";
            }
            str = X.l.u(u2, "delay)");
        }
        if (isDone()) {
            throw new TimeoutException(X.l.u(str, " but future completed as timeout expired"));
        }
        throw new TimeoutException(X.l.v(str, " for ", kVar));
    }
}
