package androidx.core.content.res;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.util.SparseArray;
import android.util.TypedValue;
import java.util.WeakHashMap;
/* loaded from: classes.dex */
public final class s {

    /* renamed from: a  reason: collision with root package name */
    private static final ThreadLocal f2057a = new ThreadLocal();

    /* renamed from: b  reason: collision with root package name */
    private static final WeakHashMap f2058b = new WeakHashMap(0);

    /* renamed from: c  reason: collision with root package name */
    private static final Object f2059c = new Object();

    /* renamed from: d  reason: collision with root package name */
    public static final /* synthetic */ int f2060d = 0;

    public static ColorStateList a(Resources resources, int i2, Resources.Theme theme) {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        n nVar;
        o oVar = new o(resources, theme);
        synchronized (f2059c) {
            SparseArray sparseArray = (SparseArray) f2058b.get(oVar);
            colorStateList = null;
            if (sparseArray != null && sparseArray.size() > 0 && (nVar = (n) sparseArray.get(i2)) != null) {
                if (!nVar.f2048b.equals(resources.getConfiguration()) || (!(theme == null && nVar.f2049c == 0) && (theme == null || nVar.f2049c != theme.hashCode()))) {
                    sparseArray.remove(i2);
                } else {
                    colorStateList2 = nVar.f2047a;
                }
            }
            colorStateList2 = null;
        }
        if (colorStateList2 != null) {
            return colorStateList2;
        }
        ThreadLocal threadLocal = f2057a;
        TypedValue typedValue = (TypedValue) threadLocal.get();
        if (typedValue == null) {
            typedValue = new TypedValue();
            threadLocal.set(typedValue);
        }
        boolean z2 = true;
        resources.getValue(i2, typedValue, true);
        int i3 = typedValue.type;
        if (!((i3 < 28 || i3 > 31) ? false : false)) {
            try {
                colorStateList = b.a(resources, resources.getXml(i2), theme);
            } catch (Exception e) {
                Log.w("ResourcesCompat", "Failed to inflate ColorStateList, leaving it to the framework", e);
            }
        }
        if (colorStateList == null) {
            return Build.VERSION.SDK_INT >= 23 ? m.b(resources, i2, theme) : resources.getColorStateList(i2);
        }
        synchronized (f2059c) {
            WeakHashMap weakHashMap = f2058b;
            SparseArray sparseArray2 = (SparseArray) weakHashMap.get(oVar);
            if (sparseArray2 == null) {
                sparseArray2 = new SparseArray();
                weakHashMap.put(oVar, sparseArray2);
            }
            sparseArray2.append(i2, new n(colorStateList, oVar.f2050a.getConfiguration(), theme));
        }
        return colorStateList;
    }

    public static Drawable b(Resources resources, int i2, Resources.Theme theme) {
        return Build.VERSION.SDK_INT >= 21 ? l.a(resources, i2, theme) : resources.getDrawable(i2);
    }

    public static Drawable c(Resources resources, int i2, int i3, Resources.Theme theme) {
        return Build.VERSION.SDK_INT >= 21 ? l.b(resources, i2, i3, theme) : k.a(resources, i2, i3);
    }
}
