package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.graphics.Bitmap;
import android.graphics.PorterDuff;
import android.os.Build;
import android.os.Parcelable;
import android.util.Log;
import androidx.versionedparcelable.CustomVersionedParcelable;
import java.lang.reflect.InvocationTargetException;
/* loaded from: classes.dex */
public class IconCompat extends CustomVersionedParcelable {

    /* renamed from: k  reason: collision with root package name */
    static final PorterDuff.Mode f2076k = PorterDuff.Mode.SRC_IN;

    /* renamed from: b  reason: collision with root package name */
    Object f2078b;

    /* renamed from: j  reason: collision with root package name */
    public String f2085j;

    /* renamed from: a  reason: collision with root package name */
    public int f2077a = -1;

    /* renamed from: c  reason: collision with root package name */
    public byte[] f2079c = null;

    /* renamed from: d  reason: collision with root package name */
    public Parcelable f2080d = null;
    public int e = 0;

    /* renamed from: f  reason: collision with root package name */
    public int f2081f = 0;

    /* renamed from: g  reason: collision with root package name */
    public ColorStateList f2082g = null;

    /* renamed from: h  reason: collision with root package name */
    PorterDuff.Mode f2083h = f2076k;

    /* renamed from: i  reason: collision with root package name */
    public String f2084i = null;

    public String toString() {
        String str;
        int height;
        int i2;
        int i3;
        if (this.f2077a == -1) {
            return String.valueOf(this.f2078b);
        }
        StringBuilder sb = new StringBuilder("Icon(typ=");
        switch (this.f2077a) {
            case 1:
                str = "BITMAP";
                break;
            case 2:
                str = "RESOURCE";
                break;
            case 3:
                str = "DATA";
                break;
            case 4:
                str = "URI";
                break;
            case 5:
                str = "BITMAP_MASKABLE";
                break;
            case 6:
                str = "URI_MASKABLE";
                break;
            default:
                str = "UNKNOWN";
                break;
        }
        sb.append(str);
        switch (this.f2077a) {
            case 1:
            case 5:
                sb.append(" size=");
                sb.append(((Bitmap) this.f2078b).getWidth());
                sb.append("x");
                height = ((Bitmap) this.f2078b).getHeight();
                sb.append(height);
                break;
            case 2:
                sb.append(" pkg=");
                sb.append(this.f2085j);
                sb.append(" id=");
                Object[] objArr = new Object[1];
                int i4 = this.f2077a;
                if (i4 == -1 && (i3 = Build.VERSION.SDK_INT) >= 23) {
                    Object obj = this.f2078b;
                    if (i3 >= 28) {
                        i2 = e.a(obj);
                    } else {
                        try {
                            i2 = ((Integer) obj.getClass().getMethod("getResId", new Class[0]).invoke(obj, new Object[0])).intValue();
                        } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException e) {
                            Log.e("IconCompat", "Unable to get icon resource", e);
                            i2 = 0;
                        }
                    }
                } else if (i4 == 2) {
                    i2 = this.e;
                } else {
                    throw new IllegalStateException("called getResId() on " + this);
                }
                objArr[0] = Integer.valueOf(i2);
                sb.append(String.format("0x%08x", objArr));
                break;
            case 3:
                sb.append(" len=");
                sb.append(this.e);
                if (this.f2081f != 0) {
                    sb.append(" off=");
                    height = this.f2081f;
                    sb.append(height);
                    break;
                }
                break;
            case 4:
            case 6:
                sb.append(" uri=");
                sb.append(this.f2078b);
                break;
        }
        if (this.f2082g != null) {
            sb.append(" tint=");
            sb.append(this.f2082g);
        }
        if (this.f2083h != f2076k) {
            sb.append(" mode=");
            sb.append(this.f2083h);
        }
        sb.append(")");
        return sb.toString();
    }
}
