package androidx.core.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Drawable;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class h extends Drawable implements Drawable.Callback, g, f {

    /* renamed from: j  reason: collision with root package name */
    static final PorterDuff.Mode f2090j = PorterDuff.Mode.SRC_IN;

    /* renamed from: d  reason: collision with root package name */
    private int f2091d;
    private PorterDuff.Mode e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f2092f;

    /* renamed from: g  reason: collision with root package name */
    j f2093g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f2094h;

    /* renamed from: i  reason: collision with root package name */
    Drawable f2095i;

    /* JADX INFO: Access modifiers changed from: package-private */
    public h(Drawable drawable) {
        this.f2093g = new j(this.f2093g);
        b(drawable);
    }

    private boolean d(int[] iArr) {
        if (c()) {
            j jVar = this.f2093g;
            ColorStateList colorStateList = jVar.f2099c;
            PorterDuff.Mode mode = jVar.f2100d;
            if (colorStateList == null || mode == null) {
                this.f2092f = false;
                clearColorFilter();
            } else {
                int colorForState = colorStateList.getColorForState(iArr, colorStateList.getDefaultColor());
                if (!this.f2092f || colorForState != this.f2091d || mode != this.e) {
                    setColorFilter(colorForState, mode);
                    this.f2091d = colorForState;
                    this.e = mode;
                    this.f2092f = true;
                    return true;
                }
            }
            return false;
        }
        return false;
    }

    @Override // androidx.core.graphics.drawable.g
    public final Drawable a() {
        return this.f2095i;
    }

    @Override // androidx.core.graphics.drawable.g
    public final void b(Drawable drawable) {
        Drawable drawable2 = this.f2095i;
        if (drawable2 != null) {
            drawable2.setCallback(null);
        }
        this.f2095i = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            setVisible(drawable.isVisible(), true);
            setState(drawable.getState());
            setLevel(drawable.getLevel());
            setBounds(drawable.getBounds());
            j jVar = this.f2093g;
            if (jVar != null) {
                jVar.f2098b = drawable.getConstantState();
            }
        }
        invalidateSelf();
    }

    protected boolean c() {
        return true;
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        this.f2095i.draw(canvas);
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        int changingConfigurations = super.getChangingConfigurations();
        j jVar = this.f2093g;
        return changingConfigurations | (jVar != null ? jVar.getChangingConfigurations() : 0) | this.f2095i.getChangingConfigurations();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        j jVar = this.f2093g;
        if (jVar != null) {
            if (jVar.f2098b != null) {
                jVar.f2097a = getChangingConfigurations();
                return this.f2093g;
            }
            return null;
        }
        return null;
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable getCurrent() {
        return this.f2095i.getCurrent();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        return this.f2095i.getIntrinsicHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        return this.f2095i.getIntrinsicWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getLayoutDirection() {
        return d.e(this.f2095i);
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumHeight() {
        return this.f2095i.getMinimumHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumWidth() {
        return this.f2095i.getMinimumWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return this.f2095i.getOpacity();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean getPadding(Rect rect) {
        return this.f2095i.getPadding(rect);
    }

    @Override // android.graphics.drawable.Drawable
    public int[] getState() {
        return this.f2095i.getState();
    }

    @Override // android.graphics.drawable.Drawable
    public Region getTransparentRegion() {
        return this.f2095i.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable drawable) {
        invalidateSelf();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        return d.g(this.f2095i);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        j jVar;
        ColorStateList colorStateList = (!c() || (jVar = this.f2093g) == null) ? null : jVar.f2099c;
        return (colorStateList != null && colorStateList.isStateful()) || this.f2095i.isStateful();
    }

    @Override // android.graphics.drawable.Drawable
    public void jumpToCurrentState() {
        this.f2095i.jumpToCurrentState();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        if (!this.f2094h && super.mutate() == this) {
            this.f2093g = new j(this.f2093g);
            Drawable drawable = this.f2095i;
            if (drawable != null) {
                drawable.mutate();
            }
            j jVar = this.f2093g;
            if (jVar != null) {
                Drawable drawable2 = this.f2095i;
                jVar.f2098b = drawable2 != null ? drawable2.getConstantState() : null;
            }
            this.f2094h = true;
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f2095i;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean onLayoutDirectionChanged(int i2) {
        return d.k(this.f2095i, i2);
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i2) {
        return this.f2095i.setLevel(i2);
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void scheduleDrawable(Drawable drawable, Runnable runnable, long j2) {
        scheduleSelf(runnable, j2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i2) {
        this.f2095i.setAlpha(i2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z2) {
        d.h(this.f2095i, z2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setChangingConfigurations(int i2) {
        this.f2095i.setChangingConfigurations(i2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        this.f2095i.setColorFilter(colorFilter);
    }

    @Override // android.graphics.drawable.Drawable
    public void setDither(boolean z2) {
        this.f2095i.setDither(z2);
    }

    @Override // android.graphics.drawable.Drawable
    public void setFilterBitmap(boolean z2) {
        this.f2095i.setFilterBitmap(z2);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setState(int[] iArr) {
        return d(iArr) || this.f2095i.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTint(int i2) {
        setTintList(ColorStateList.valueOf(i2));
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintList(ColorStateList colorStateList) {
        this.f2093g.f2099c = colorStateList;
        d(getState());
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintMode(PorterDuff.Mode mode) {
        this.f2093g.f2100d = mode;
        d(getState());
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z2, boolean z3) {
        return super.setVisible(z2, z3) || this.f2095i.setVisible(z2, z3);
    }

    @Override // android.graphics.drawable.Drawable.Callback
    public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
        unscheduleSelf(runnable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public h(j jVar, Resources resources) {
        Drawable.ConstantState constantState;
        this.f2093g = jVar;
        if (jVar == null || (constantState = jVar.f2098b) == null) {
            return;
        }
        b(constantState.newDrawable(resources));
    }
}
