package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.system.ErrnoException;
import android.system.Os;
import android.system.OsConstants;
import android.util.Log;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* loaded from: classes.dex */
class j extends h {

    /* renamed from: b  reason: collision with root package name */
    private static Class f2107b;

    /* renamed from: c  reason: collision with root package name */
    private static Constructor f2108c;

    /* renamed from: d  reason: collision with root package name */
    private static Method f2109d;
    private static Method e;

    /* renamed from: f  reason: collision with root package name */
    private static boolean f2110f;

    private static boolean m(Object obj, String str, int i2, boolean z2) {
        o();
        try {
            return ((Boolean) f2109d.invoke(obj, str, Integer.valueOf(i2), Boolean.valueOf(z2))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException e2) {
            throw new RuntimeException(e2);
        }
    }

    private File n(ParcelFileDescriptor parcelFileDescriptor) {
        try {
            String readlink = Os.readlink("/proc/self/fd/" + parcelFileDescriptor.getFd());
            if (OsConstants.S_ISREG(Os.stat(readlink).st_mode)) {
                return new File(readlink);
            }
            return null;
        } catch (ErrnoException unused) {
            return null;
        }
    }

    private static void o() {
        Method method;
        Class<?> cls;
        Method method2;
        if (f2110f) {
            return;
        }
        f2110f = true;
        Constructor<?> constructor = null;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            Constructor<?> constructor2 = cls.getConstructor(new Class[0]);
            method2 = cls.getMethod("addFontWeightStyle", String.class, Integer.TYPE, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
            constructor = constructor2;
        } catch (ClassNotFoundException | NoSuchMethodException e2) {
            Log.e("TypefaceCompatApi21Impl", e2.getClass().getName(), e2);
            method = null;
            cls = null;
            method2 = null;
        }
        f2108c = constructor;
        f2107b = cls;
        f2109d = method2;
        e = method;
    }

    @Override // androidx.core.graphics.h
    public Typeface b(Context context, androidx.core.content.res.f fVar, Resources resources, int i2) {
        androidx.core.content.res.g[] a2;
        o();
        try {
            Object newInstance = f2108c.newInstance(new Object[0]);
            for (androidx.core.content.res.g gVar : fVar.a()) {
                File h2 = g.h(context);
                if (h2 == null) {
                    return null;
                }
                try {
                    if (!g.c(h2, resources, gVar.b())) {
                        return null;
                    }
                    if (!m(newInstance, h2.getPath(), gVar.e(), gVar.f())) {
                        return null;
                    }
                } catch (RuntimeException unused) {
                    return null;
                } finally {
                    h2.delete();
                }
            }
            o();
            try {
                Object newInstance2 = Array.newInstance(f2107b, 1);
                Array.set(newInstance2, 0, newInstance);
                return (Typeface) e.invoke(null, newInstance2);
            } catch (IllegalAccessException | InvocationTargetException e2) {
                throw new RuntimeException(e2);
            }
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException e3) {
            throw new RuntimeException(e3);
        }
    }

    @Override // androidx.core.graphics.h
    public Typeface c(Context context, CancellationSignal cancellationSignal, androidx.core.provider.m[] mVarArr, int i2) {
        if (mVarArr.length < 1) {
            return null;
        }
        androidx.core.provider.m h2 = h(mVarArr, i2);
        try {
            ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(h2.c(), "r", cancellationSignal);
            if (openFileDescriptor == null) {
                if (openFileDescriptor != null) {
                    openFileDescriptor.close();
                }
                return null;
            }
            File n2 = n(openFileDescriptor);
            if (n2 != null && n2.canRead()) {
                Typeface createFromFile = Typeface.createFromFile(n2);
                openFileDescriptor.close();
                return createFromFile;
            }
            FileInputStream fileInputStream = new FileInputStream(openFileDescriptor.getFileDescriptor());
            try {
                Typeface d2 = d(context, fileInputStream);
                fileInputStream.close();
                openFileDescriptor.close();
                return d2;
            } catch (Throwable th) {
                try {
                    fileInputStream.close();
                } catch (Throwable unused) {
                }
                throw th;
            }
        } catch (IOException unused2) {
            return null;
        }
    }
}
