package androidx.core.graphics;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.net.Uri;
import android.os.CancellationSignal;
import android.util.Log;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.nio.MappedByteBuffer;
import java.nio.channels.FileChannel;
import java.util.List;
/* loaded from: classes.dex */
class k extends h {

    /* renamed from: b  reason: collision with root package name */
    private static final Class f2111b;

    /* renamed from: c  reason: collision with root package name */
    private static final Constructor f2112c;

    /* renamed from: d  reason: collision with root package name */
    private static final Method f2113d;
    private static final Method e;

    static {
        Class<?> cls;
        Method method;
        Method method2;
        Constructor<?> constructor = null;
        try {
            cls = Class.forName("android.graphics.FontFamily");
            Constructor<?> constructor2 = cls.getConstructor(new Class[0]);
            Class<?> cls2 = Integer.TYPE;
            method2 = cls.getMethod("addFontWeightStyle", ByteBuffer.class, cls2, List.class, cls2, Boolean.TYPE);
            method = Typeface.class.getMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass());
            constructor = constructor2;
        } catch (ClassNotFoundException | NoSuchMethodException e2) {
            Log.e("TypefaceCompatApi24Impl", e2.getClass().getName(), e2);
            cls = null;
            method = null;
            method2 = null;
        }
        f2112c = constructor;
        f2111b = cls;
        f2113d = method2;
        e = method;
    }

    private static boolean m(Object obj, ByteBuffer byteBuffer, int i2, int i3, boolean z2) {
        try {
            return ((Boolean) f2113d.invoke(obj, byteBuffer, Integer.valueOf(i2), null, Integer.valueOf(i3), Boolean.valueOf(z2))).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private static Typeface n(Object obj) {
        try {
            Object newInstance = Array.newInstance(f2111b, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) e.invoke(null, newInstance);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    public static boolean o() {
        Method method = f2113d;
        if (method == null) {
            Log.w("TypefaceCompatApi24Impl", "Unable to collect necessary private methods.Fallback to legacy implementation.");
        }
        return method != null;
    }

    @Override // androidx.core.graphics.h
    public Typeface b(Context context, androidx.core.content.res.f fVar, Resources resources, int i2) {
        Object obj;
        androidx.core.content.res.g[] a2;
        MappedByteBuffer mappedByteBuffer;
        try {
            obj = f2112c.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            obj = null;
        }
        if (obj == null) {
            return null;
        }
        for (androidx.core.content.res.g gVar : fVar.a()) {
            int b2 = gVar.b();
            File h2 = g.h(context);
            if (h2 != null) {
                try {
                    if (g.c(h2, resources, b2)) {
                        try {
                            FileInputStream fileInputStream = new FileInputStream(h2);
                            try {
                                FileChannel channel = fileInputStream.getChannel();
                                mappedByteBuffer = channel.map(FileChannel.MapMode.READ_ONLY, 0L, channel.size());
                                fileInputStream.close();
                            } catch (Throwable th) {
                                try {
                                    fileInputStream.close();
                                } catch (Throwable unused2) {
                                }
                                throw th;
                                break;
                            }
                        } catch (IOException unused3) {
                            mappedByteBuffer = null;
                        }
                        if (mappedByteBuffer != null || !m(obj, mappedByteBuffer, gVar.c(), gVar.e(), gVar.f())) {
                            return null;
                        }
                    }
                } finally {
                    h2.delete();
                }
            }
            mappedByteBuffer = null;
            if (mappedByteBuffer != null) {
                return null;
            }
        }
        return n(obj);
    }

    @Override // androidx.core.graphics.h
    public Typeface c(Context context, CancellationSignal cancellationSignal, androidx.core.provider.m[] mVarArr, int i2) {
        Object obj;
        try {
            obj = f2112c.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            obj = null;
        }
        if (obj == null) {
            return null;
        }
        k.l lVar = new k.l();
        for (androidx.core.provider.m mVar : mVarArr) {
            Uri c2 = mVar.c();
            ByteBuffer byteBuffer = (ByteBuffer) lVar.get(c2);
            if (byteBuffer == null) {
                byteBuffer = g.i(context, cancellationSignal, c2);
                lVar.put(c2, byteBuffer);
            }
            if (byteBuffer == null || !m(obj, byteBuffer, mVar.b(), mVar.d(), mVar.e())) {
                return null;
            }
        }
        Typeface n2 = n(obj);
        if (n2 == null) {
            return null;
        }
        return Typeface.create(n2, i2);
    }
}
