package androidx.core.graphics;

import android.content.Context;
import android.content.res.AssetManager;
import android.content.res.Resources;
import android.graphics.Typeface;
import android.graphics.fonts.FontVariationAxis;
import android.net.Uri;
import android.os.CancellationSignal;
import android.os.ParcelFileDescriptor;
import android.util.Log;
import java.io.IOException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class l extends j {

    /* renamed from: g  reason: collision with root package name */
    protected final Class f2114g;

    /* renamed from: h  reason: collision with root package name */
    protected final Constructor f2115h;

    /* renamed from: i  reason: collision with root package name */
    protected final Method f2116i;

    /* renamed from: j  reason: collision with root package name */
    protected final Method f2117j;

    /* renamed from: k  reason: collision with root package name */
    protected final Method f2118k;
    protected final Method l;

    /* renamed from: m  reason: collision with root package name */
    protected final Method f2119m;

    public l() {
        Method method;
        Method method2;
        Constructor<?> constructor;
        Method method3;
        Method method4;
        Method method5;
        Class<?> cls = null;
        try {
            Class<?> cls2 = Class.forName("android.graphics.FontFamily");
            constructor = cls2.getConstructor(new Class[0]);
            method3 = v(cls2);
            method4 = w(cls2);
            method5 = cls2.getMethod("freeze", new Class[0]);
            method2 = cls2.getMethod("abortCreation", new Class[0]);
            method = x(cls2);
            cls = cls2;
        } catch (ClassNotFoundException | NoSuchMethodException e) {
            StringBuilder y2 = X.l.y("Unable to collect necessary methods for class ");
            y2.append(e.getClass().getName());
            Log.e("TypefaceCompatApi26Impl", y2.toString(), e);
            method = null;
            method2 = null;
            constructor = null;
            method3 = null;
            method4 = null;
            method5 = null;
        }
        this.f2114g = cls;
        this.f2115h = constructor;
        this.f2116i = method3;
        this.f2117j = method4;
        this.f2118k = method5;
        this.l = method2;
        this.f2119m = method;
    }

    private void p(Object obj) {
        try {
            this.l.invoke(obj, new Object[0]);
        } catch (IllegalAccessException | InvocationTargetException unused) {
        }
    }

    private boolean q(Context context, Object obj, String str, int i2, int i3, int i4, FontVariationAxis[] fontVariationAxisArr) {
        try {
            return ((Boolean) this.f2116i.invoke(obj, context.getAssets(), str, 0, Boolean.FALSE, Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4), fontVariationAxisArr)).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean s(Object obj) {
        try {
            return ((Boolean) this.f2118k.invoke(obj, new Object[0])).booleanValue();
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return false;
        }
    }

    private boolean t() {
        if (this.f2116i == null) {
            Log.w("TypefaceCompatApi26Impl", "Unable to collect necessary private methods. Fallback to legacy implementation.");
        }
        return this.f2116i != null;
    }

    private Object u() {
        try {
            return this.f2115h.newInstance(new Object[0]);
        } catch (IllegalAccessException | InstantiationException | InvocationTargetException unused) {
            return null;
        }
    }

    @Override // androidx.core.graphics.j, androidx.core.graphics.h
    public Typeface b(Context context, androidx.core.content.res.f fVar, Resources resources, int i2) {
        androidx.core.content.res.g[] a2;
        if (t()) {
            Object u2 = u();
            if (u2 == null) {
                return null;
            }
            for (androidx.core.content.res.g gVar : fVar.a()) {
                if (!q(context, u2, gVar.a(), gVar.c(), gVar.e(), gVar.f() ? 1 : 0, FontVariationAxis.fromFontVariationSettings(gVar.d()))) {
                    p(u2);
                    return null;
                }
            }
            if (s(u2)) {
                return r(u2);
            }
            return null;
        }
        return super.b(context, fVar, resources, i2);
    }

    @Override // androidx.core.graphics.j, androidx.core.graphics.h
    public Typeface c(Context context, CancellationSignal cancellationSignal, androidx.core.provider.m[] mVarArr, int i2) {
        Typeface r;
        boolean z2;
        if (mVarArr.length < 1) {
            return null;
        }
        if (!t()) {
            androidx.core.provider.m h2 = h(mVarArr, i2);
            try {
                ParcelFileDescriptor openFileDescriptor = context.getContentResolver().openFileDescriptor(h2.c(), "r", cancellationSignal);
                if (openFileDescriptor == null) {
                    if (openFileDescriptor != null) {
                        openFileDescriptor.close();
                    }
                    return null;
                }
                Typeface build = new Typeface.Builder(openFileDescriptor.getFileDescriptor()).setWeight(h2.d()).setItalic(h2.e()).build();
                openFileDescriptor.close();
                return build;
            } catch (IOException unused) {
                return null;
            }
        }
        HashMap hashMap = new HashMap();
        for (androidx.core.provider.m mVar : mVarArr) {
            if (mVar.a() == 0) {
                Uri c2 = mVar.c();
                if (!hashMap.containsKey(c2)) {
                    hashMap.put(c2, g.i(context, cancellationSignal, c2));
                }
            }
        }
        Map unmodifiableMap = Collections.unmodifiableMap(hashMap);
        Object u2 = u();
        if (u2 == null) {
            return null;
        }
        boolean z3 = false;
        for (androidx.core.provider.m mVar2 : mVarArr) {
            ByteBuffer byteBuffer = (ByteBuffer) unmodifiableMap.get(mVar2.c());
            if (byteBuffer != null) {
                try {
                    z2 = ((Boolean) this.f2117j.invoke(u2, byteBuffer, Integer.valueOf(mVar2.b()), null, Integer.valueOf(mVar2.d()), Integer.valueOf(mVar2.e() ? 1 : 0))).booleanValue();
                } catch (IllegalAccessException | InvocationTargetException unused2) {
                    z2 = false;
                }
                if (!z2) {
                    p(u2);
                    return null;
                }
                z3 = true;
            }
        }
        if (!z3) {
            p(u2);
            return null;
        } else if (s(u2) && (r = r(u2)) != null) {
            return Typeface.create(r, i2);
        } else {
            return null;
        }
    }

    @Override // androidx.core.graphics.h
    public Typeface e(Context context, Resources resources, int i2, String str, int i3) {
        if (t()) {
            Object u2 = u();
            if (u2 == null) {
                return null;
            }
            if (!q(context, u2, str, 0, -1, -1, null)) {
                p(u2);
                return null;
            } else if (s(u2)) {
                return r(u2);
            } else {
                return null;
            }
        }
        return super.e(context, resources, i2, str, i3);
    }

    protected Typeface r(Object obj) {
        try {
            Object newInstance = Array.newInstance(this.f2114g, 1);
            Array.set(newInstance, 0, obj);
            return (Typeface) this.f2119m.invoke(null, newInstance, -1, -1);
        } catch (IllegalAccessException | InvocationTargetException unused) {
            return null;
        }
    }

    protected Method v(Class cls) {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromAssetManager", AssetManager.class, String.class, cls2, Boolean.TYPE, cls2, cls2, cls2, FontVariationAxis[].class);
    }

    protected Method w(Class cls) {
        Class<?> cls2 = Integer.TYPE;
        return cls.getMethod("addFontFromBuffer", ByteBuffer.class, cls2, FontVariationAxis[].class, cls2, cls2);
    }

    protected Method x(Class cls) {
        Class cls2 = Integer.TYPE;
        Method declaredMethod = Typeface.class.getDeclaredMethod("createFromFamiliesWithDefault", Array.newInstance(cls, 1).getClass(), cls2, cls2);
        declaredMethod.setAccessible(true);
        return declaredMethod;
    }
}
