package androidx.core.text;

import android.os.Build;
import android.util.Log;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Locale;
/* loaded from: classes.dex */
public final class c {

    /* renamed from: a  reason: collision with root package name */
    private static Method f2172a;

    /* renamed from: b  reason: collision with root package name */
    private static Method f2173b;

    static {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 21) {
            if (i2 < 24) {
                try {
                    f2173b = Class.forName("libcore.icu.ICU").getMethod("addLikelySubtags", Locale.class);
                    return;
                } catch (Exception e) {
                    throw new IllegalStateException(e);
                }
            }
            return;
        }
        try {
            Class<?> cls = Class.forName("libcore.icu.ICU");
            f2172a = cls.getMethod("getScript", String.class);
            f2173b = cls.getMethod("addLikelySubtags", String.class);
        } catch (Exception e2) {
            f2172a = null;
            f2173b = null;
            Log.w("ICUCompat", e2);
        }
    }

    public static String a(Locale locale) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 24) {
            return b.c(b.a(b.b(locale)));
        }
        if (i2 >= 21) {
            try {
                return a.a((Locale) f2173b.invoke(null, locale));
            } catch (IllegalAccessException | InvocationTargetException e) {
                Log.w("ICUCompat", e);
                return a.a(locale);
            }
        }
        String locale2 = locale.toString();
        try {
            Method method = f2173b;
            if (method != null) {
                locale2 = (String) method.invoke(null, locale2);
            }
        } catch (IllegalAccessException | InvocationTargetException e2) {
            Log.w("ICUCompat", e2);
        }
        if (locale2 != null) {
            try {
                Method method2 = f2172a;
                if (method2 != null) {
                    return (String) method2.invoke(null, locale2);
                }
                return null;
            } catch (IllegalAccessException | InvocationTargetException e3) {
                Log.w("ICUCompat", e3);
                return null;
            }
        }
        return null;
    }
}
