package androidx.core.view;

import android.util.SparseArray;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import com.jsjt2hk.app.R;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.WeakHashMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* renamed from: androidx.core.view.b0  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class C0156b0 {

    /* renamed from: d  reason: collision with root package name */
    private static final ArrayList f2208d = new ArrayList();
    public static final /* synthetic */ int e = 0;

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap f2209a = null;

    /* renamed from: b  reason: collision with root package name */
    private SparseArray f2210b = null;

    /* renamed from: c  reason: collision with root package name */
    private WeakReference f2211c = null;

    private View b(View view, KeyEvent keyEvent) {
        WeakHashMap weakHashMap = this.f2209a;
        if (weakHashMap != null && weakHashMap.containsKey(view)) {
            if (view instanceof ViewGroup) {
                ViewGroup viewGroup = (ViewGroup) view;
                for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                    View b2 = b(viewGroup.getChildAt(childCount), keyEvent);
                    if (b2 != null) {
                        return b2;
                    }
                }
            }
            if (c(view, keyEvent)) {
                return view;
            }
        }
        return null;
    }

    private boolean c(View view, KeyEvent keyEvent) {
        ArrayList arrayList = (ArrayList) view.getTag(R.id.tag_unhandled_key_listeners);
        if (arrayList != null) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (((InterfaceC0154a0) arrayList.get(size)).onUnhandledKeyEvent(view, keyEvent)) {
                    return true;
                }
            }
            return false;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean a(View view, KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            WeakHashMap weakHashMap = this.f2209a;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            ArrayList arrayList = f2208d;
            if (!arrayList.isEmpty()) {
                synchronized (arrayList) {
                    if (this.f2209a == null) {
                        this.f2209a = new WeakHashMap();
                    }
                    int size = arrayList.size();
                    while (true) {
                        size--;
                        if (size < 0) {
                            break;
                        }
                        ArrayList arrayList2 = f2208d;
                        View view2 = (View) ((WeakReference) arrayList2.get(size)).get();
                        if (view2 == null) {
                            arrayList2.remove(size);
                        } else {
                            this.f2209a.put(view2, Boolean.TRUE);
                            for (ViewParent parent = view2.getParent(); parent instanceof View; parent = parent.getParent()) {
                                this.f2209a.put((View) parent, Boolean.TRUE);
                            }
                        }
                    }
                }
            }
        }
        View b2 = b(view, keyEvent);
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (b2 != null && !KeyEvent.isModifierKey(keyCode)) {
                if (this.f2210b == null) {
                    this.f2210b = new SparseArray();
                }
                this.f2210b.put(keyCode, new WeakReference(b2));
            }
        }
        return b2 != null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean d(KeyEvent keyEvent) {
        int indexOfKey;
        WeakReference weakReference = this.f2211c;
        if (weakReference == null || weakReference.get() != keyEvent) {
            this.f2211c = new WeakReference(keyEvent);
            WeakReference weakReference2 = null;
            if (this.f2210b == null) {
                this.f2210b = new SparseArray();
            }
            SparseArray sparseArray = this.f2210b;
            if (keyEvent.getAction() == 1 && (indexOfKey = sparseArray.indexOfKey(keyEvent.getKeyCode())) >= 0) {
                weakReference2 = (WeakReference) sparseArray.valueAt(indexOfKey);
                sparseArray.removeAt(indexOfKey);
            }
            if (weakReference2 == null) {
                weakReference2 = (WeakReference) sparseArray.get(keyEvent.getKeyCode());
            }
            if (weakReference2 != null) {
                View view = (View) weakReference2.get();
                if (view != null && c0.r(view)) {
                    c(view, keyEvent);
                }
                return true;
            }
            return false;
        }
        return false;
    }
}
