package androidx.core.view;

import android.os.Bundle;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeProvider;
import com.jsjt2hk.app.R;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
/* renamed from: androidx.core.view.c  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class C0157c {

    /* renamed from: c  reason: collision with root package name */
    private static final View.AccessibilityDelegate f2212c = new View.AccessibilityDelegate();

    /* renamed from: a  reason: collision with root package name */
    private final View.AccessibilityDelegate f2213a;

    /* renamed from: b  reason: collision with root package name */
    private final View.AccessibilityDelegate f2214b;

    public C0157c() {
        this.f2213a = f2212c;
        this.f2214b = new C0153a(this);
    }

    public C0157c(View.AccessibilityDelegate accessibilityDelegate) {
        this.f2213a = accessibilityDelegate;
        this.f2214b = new C0153a(this);
    }

    public boolean a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f2213a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public androidx.core.view.accessibility.e b(View view) {
        AccessibilityNodeProvider a2 = C0155b.a(this.f2213a, view);
        if (a2 != null) {
            return new androidx.core.view.accessibility.e(a2);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public View.AccessibilityDelegate c() {
        return this.f2214b;
    }

    public void d(View view, AccessibilityEvent accessibilityEvent) {
        this.f2213a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    public void e(View view, androidx.core.view.accessibility.d dVar) {
        this.f2213a.onInitializeAccessibilityNodeInfo(view, dVar.o());
    }

    public void f(View view, AccessibilityEvent accessibilityEvent) {
        this.f2213a.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public boolean g(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f2213a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    public boolean h(View view, int i2, Bundle bundle) {
        boolean z2;
        WeakReference weakReference;
        boolean z3;
        List list = (List) view.getTag(R.id.tag_accessibility_actions);
        if (list == null) {
            list = Collections.emptyList();
        }
        boolean z4 = false;
        int i3 = 0;
        while (true) {
            if (i3 >= list.size()) {
                z2 = false;
                break;
            }
            androidx.core.view.accessibility.b bVar = (androidx.core.view.accessibility.b) list.get(i3);
            if (bVar.a() == i2) {
                z2 = bVar.c(view, bundle);
                break;
            }
            i3++;
        }
        if (!z2) {
            z2 = C0155b.b(this.f2213a, view, i2, bundle);
        }
        if (z2 || i2 != R.id.accessibility_action_clickable_span || bundle == null) {
            return z2;
        }
        int i4 = bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1);
        SparseArray sparseArray = (SparseArray) view.getTag(R.id.tag_accessibility_clickable_spans);
        if (sparseArray != null && (weakReference = (WeakReference) sparseArray.get(i4)) != null) {
            ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
            if (clickableSpan != null) {
                ClickableSpan[] e = androidx.core.view.accessibility.d.e(view.createAccessibilityNodeInfo().getText());
                for (int i5 = 0; e != null && i5 < e.length; i5++) {
                    if (clickableSpan.equals(e[i5])) {
                        z3 = true;
                        break;
                    }
                }
            }
            z3 = false;
            if (z3) {
                clickableSpan.onClick(view);
                z4 = true;
            }
        }
        return z4;
    }

    public void i(View view, int i2) {
        this.f2213a.sendAccessibilityEvent(view, i2);
    }

    public void j(View view, AccessibilityEvent accessibilityEvent) {
        this.f2213a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }
}
