package androidx.core.view;

import android.app.ActionBar;
import android.app.Activity;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.os.Build;
import android.util.Log;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import com.jsjt2hk.app.R;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import m.InterfaceMenuItemC0348b;
/* renamed from: androidx.core.view.o  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class C0169o implements k0 {

    /* renamed from: a  reason: collision with root package name */
    private static boolean f2250a;

    /* renamed from: b  reason: collision with root package name */
    private static Method f2251b;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f2252c;

    /* renamed from: d  reason: collision with root package name */
    private static Field f2253d;
    private static Field e;

    /* renamed from: f  reason: collision with root package name */
    private static boolean f2254f;

    public static boolean d(View view, KeyEvent keyEvent) {
        int i2 = c0.f2221h;
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        int i3 = C0156b0.e;
        C0156b0 c0156b0 = (C0156b0) view.getTag(R.id.tag_unhandled_key_event_manager);
        if (c0156b0 == null) {
            c0156b0 = new C0156b0();
            view.setTag(R.id.tag_unhandled_key_event_manager, c0156b0);
        }
        return c0156b0.d(keyEvent);
    }

    /* JADX WARN: Removed duplicated region for block: B:58:0x00c0  */
    /* JADX WARN: Removed duplicated region for block: B:87:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static boolean e(InterfaceC0168n interfaceC0168n, View view, Window.Callback callback, KeyEvent keyEvent) {
        DialogInterface.OnKeyListener onKeyListener;
        Window window;
        boolean z2 = false;
        if (interfaceC0168n == null) {
            return false;
        }
        if (Build.VERSION.SDK_INT >= 28) {
            return interfaceC0168n.superDispatchKeyEvent(keyEvent);
        }
        if (callback instanceof Activity) {
            Activity activity = (Activity) callback;
            activity.onUserInteraction();
            Window window2 = activity.getWindow();
            if (window2.hasFeature(8)) {
                ActionBar actionBar = activity.getActionBar();
                if (keyEvent.getKeyCode() == 82 && actionBar != null) {
                    if (!f2250a) {
                        try {
                            f2251b = actionBar.getClass().getMethod("onMenuKeyEvent", KeyEvent.class);
                        } catch (NoSuchMethodException unused) {
                        }
                        f2250a = true;
                    }
                    Method method = f2251b;
                    if (method != null) {
                        try {
                            Object invoke = method.invoke(actionBar, keyEvent);
                            if (invoke != null) {
                                z2 = ((Boolean) invoke).booleanValue();
                            }
                        } catch (IllegalAccessException | InvocationTargetException unused2) {
                        }
                    }
                    if (z2) {
                        return true;
                    }
                }
            }
            if (window2.superDispatchKeyEvent(keyEvent)) {
                return true;
            }
            View decorView = window2.getDecorView();
            if (c0.e(decorView, keyEvent)) {
                return true;
            }
            return keyEvent.dispatch(activity, decorView != null ? decorView.getKeyDispatcherState() : null, activity);
        } else if (!(callback instanceof Dialog)) {
            return (view != null && c0.e(view, keyEvent)) || interfaceC0168n.superDispatchKeyEvent(keyEvent);
        } else {
            Dialog dialog = (Dialog) callback;
            if (!f2252c) {
                try {
                    Field declaredField = Dialog.class.getDeclaredField("mOnKeyListener");
                    f2253d = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException unused3) {
                }
                f2252c = true;
            }
            Field field = f2253d;
            if (field != null) {
                try {
                    onKeyListener = (DialogInterface.OnKeyListener) field.get(dialog);
                } catch (IllegalAccessException unused4) {
                }
                if (onKeyListener == null && onKeyListener.onKey(dialog, keyEvent.getKeyCode(), keyEvent)) {
                    return true;
                }
                window = dialog.getWindow();
                if (window.superDispatchKeyEvent(keyEvent)) {
                    View decorView2 = window.getDecorView();
                    if (c0.e(decorView2, keyEvent)) {
                        return true;
                    }
                    return keyEvent.dispatch(dialog, decorView2 != null ? decorView2.getKeyDispatcherState() : null, dialog);
                }
                return true;
            }
            onKeyListener = null;
            if (onKeyListener == null) {
            }
            window = dialog.getWindow();
            if (window.superDispatchKeyEvent(keyEvent)) {
            }
        }
    }

    private static void f(LayoutInflater layoutInflater, LayoutInflater.Factory2 factory2) {
        if (!f2254f) {
            try {
                Field declaredField = LayoutInflater.class.getDeclaredField("mFactory2");
                e = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException e2) {
                StringBuilder y2 = X.l.y("forceSetFactory2 Could not find field 'mFactory2' on class ");
                y2.append(LayoutInflater.class.getName());
                y2.append("; inflation may have unexpected results.");
                Log.e("LayoutInflaterCompatHC", y2.toString(), e2);
            }
            f2254f = true;
        }
        Field field = e;
        if (field != null) {
            try {
                field.set(layoutInflater, factory2);
            } catch (IllegalAccessException e3) {
                Log.e("LayoutInflaterCompatHC", "forceSetFactory2 could not set the Factory2 on LayoutInflater " + layoutInflater + "; inflation may have unexpected results.", e3);
            }
        }
    }

    public static int g(ViewGroup.MarginLayoutParams marginLayoutParams) {
        return C0170p.b(marginLayoutParams);
    }

    public static int h(ViewGroup.MarginLayoutParams marginLayoutParams) {
        return C0170p.c(marginLayoutParams);
    }

    public static boolean i(MotionEvent motionEvent, int i2) {
        return (motionEvent.getSource() & i2) == i2;
    }

    public static boolean j(ViewParent viewParent, View view, float f2, float f3, boolean z2) {
        if (Build.VERSION.SDK_INT < 21) {
            if (viewParent instanceof A) {
                return ((A) viewParent).onNestedFling(view, f2, f3, z2);
            }
            return false;
        }
        try {
            return f0.a(viewParent, view, f2, f3, z2);
        } catch (AbstractMethodError e2) {
            Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedFling", e2);
            return false;
        }
    }

    public static boolean k(ViewParent viewParent, View view, float f2, float f3) {
        if (Build.VERSION.SDK_INT < 21) {
            if (viewParent instanceof A) {
                return ((A) viewParent).onNestedPreFling(view, f2, f3);
            }
            return false;
        }
        try {
            return f0.b(viewParent, view, f2, f3);
        } catch (AbstractMethodError e2) {
            Log.e("ViewParentCompat", "ViewParent " + viewParent + " does not implement interface method onNestedPreFling", e2);
            return false;
        }
    }

    public static void l(MenuItem menuItem, char c2, int i2) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setAlphabeticShortcut(c2, i2);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.g(menuItem, c2, i2);
        }
    }

    public static void o(MenuItem menuItem, CharSequence charSequence) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setContentDescription(charSequence);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.h(menuItem, charSequence);
        }
    }

    public static void p(LayoutInflater layoutInflater, LayoutInflater.Factory2 factory2) {
        layoutInflater.setFactory2(factory2);
        if (Build.VERSION.SDK_INT < 21) {
            LayoutInflater.Factory factory = layoutInflater.getFactory();
            if (factory instanceof LayoutInflater.Factory2) {
                f(layoutInflater, (LayoutInflater.Factory2) factory);
            } else {
                f(layoutInflater, factory2);
            }
        }
    }

    public static void q(MenuItem menuItem, ColorStateList colorStateList) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setIconTintList(colorStateList);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.i(menuItem, colorStateList);
        }
    }

    public static void r(MenuItem menuItem, PorterDuff.Mode mode) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setIconTintMode(mode);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.j(menuItem, mode);
        }
    }

    public static void s(MenuItem menuItem, char c2, int i2) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setNumericShortcut(c2, i2);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.k(menuItem, c2, i2);
        }
    }

    public static void t(MenuItem menuItem, CharSequence charSequence) {
        if (menuItem instanceof InterfaceMenuItemC0348b) {
            ((InterfaceMenuItemC0348b) menuItem).setTooltipText(charSequence);
        } else if (Build.VERSION.SDK_INT >= 26) {
            C0174u.m(menuItem, charSequence);
        }
    }

    @Override // androidx.core.view.k0
    public void b(View view) {
    }

    @Override // androidx.core.view.k0
    public void c(View view) {
    }

    public void m(boolean z2) {
    }

    public void n(boolean z2) {
    }
}
