package androidx.core.view.accessibility;

import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
/* loaded from: classes.dex */
public class b {
    public static final b e;

    /* renamed from: f  reason: collision with root package name */
    public static final b f2198f;

    /* renamed from: g  reason: collision with root package name */
    public static final b f2199g;

    /* renamed from: h  reason: collision with root package name */
    public static final b f2200h;

    /* renamed from: a  reason: collision with root package name */
    final Object f2201a;

    /* renamed from: b  reason: collision with root package name */
    private final int f2202b;

    /* renamed from: c  reason: collision with root package name */
    private final Class f2203c;

    /* renamed from: d  reason: collision with root package name */
    protected final p f2204d;

    static {
        new b(1, null);
        new b(2, null);
        new b(4, null);
        new b(8, null);
        new b(16, null);
        new b(32, null);
        new b(64, null);
        new b(128, null);
        new b(256, null, i.class);
        new b(512, null, i.class);
        new b(1024, null, j.class);
        new b(2048, null, j.class);
        e = new b(4096, null);
        f2198f = new b(8192, null);
        new b(16384, null);
        new b(32768, null);
        new b(65536, null);
        new b(131072, null, n.class);
        new b(262144, null);
        new b(524288, null);
        new b(1048576, null);
        new b(2097152, null, o.class);
        int i2 = Build.VERSION.SDK_INT;
        new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_ON_SCREEN : null, 16908342, null, null, null);
        new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_TO_POSITION : null, 16908343, null, null, l.class);
        f2199g = new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_UP : null, 16908344, null, null, null);
        new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_LEFT : null, 16908345, null, null, null);
        f2200h = new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_DOWN : null, 16908346, null, null, null);
        new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SCROLL_RIGHT : null, 16908347, null, null, null);
        new b(i2 >= 29 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_UP : null, 16908358, null, null, null);
        new b(i2 >= 29 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_DOWN : null, 16908359, null, null, null);
        new b(i2 >= 29 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_LEFT : null, 16908360, null, null, null);
        new b(i2 >= 29 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_PAGE_RIGHT : null, 16908361, null, null, null);
        new b(i2 >= 23 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_CONTEXT_CLICK : null, 16908348, null, null, null);
        new b(i2 >= 24 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SET_PROGRESS : null, 16908349, null, null, m.class);
        new b(i2 >= 26 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_MOVE_WINDOW : null, 16908354, null, null, k.class);
        new b(i2 >= 28 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_TOOLTIP : null, 16908356, null, null, null);
        new b(i2 >= 28 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_HIDE_TOOLTIP : null, 16908357, null, null, null);
        new b(i2 >= 30 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_PRESS_AND_HOLD : null, 16908362, null, null, null);
        new b(i2 >= 30 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_IME_ENTER : null, 16908372, null, null, null);
        new b(i2 >= 32 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_START : null, 16908373, null, null, null);
        new b(i2 >= 32 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_DROP : null, 16908374, null, null, null);
        new b(i2 >= 32 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_DRAG_CANCEL : null, 16908375, null, null, null);
        new b(i2 >= 33 ? AccessibilityNodeInfo.AccessibilityAction.ACTION_SHOW_TEXT_SUGGESTIONS : null, 16908376, null, null, null);
    }

    public b(int i2, CharSequence charSequence) {
        this(null, i2, null, null, null);
    }

    private b(int i2, CharSequence charSequence, Class cls) {
        this(null, i2, null, null, cls);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(Object obj, int i2, CharSequence charSequence, p pVar, Class cls) {
        this.f2202b = i2;
        this.f2204d = null;
        if (Build.VERSION.SDK_INT >= 21 && obj == null) {
            obj = new AccessibilityNodeInfo.AccessibilityAction(i2, charSequence);
        }
        this.f2201a = obj;
        this.f2203c = cls;
    }

    public int a() {
        if (Build.VERSION.SDK_INT >= 21) {
            return ((AccessibilityNodeInfo.AccessibilityAction) this.f2201a).getId();
        }
        return 0;
    }

    public CharSequence b() {
        if (Build.VERSION.SDK_INT >= 21) {
            return ((AccessibilityNodeInfo.AccessibilityAction) this.f2201a).getLabel();
        }
        return null;
    }

    public boolean c(View view, Bundle bundle) {
        h hVar;
        Exception e2;
        if (this.f2204d != null) {
            h hVar2 = null;
            Class cls = this.f2203c;
            if (cls != null) {
                try {
                    hVar = (h) cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                } catch (Exception e3) {
                    hVar = null;
                    e2 = e3;
                }
                try {
                    hVar.getClass();
                } catch (Exception e4) {
                    e2 = e4;
                    Class cls2 = this.f2203c;
                    Log.e("A11yActionCompat", "Failed to execute command with argument class ViewCommandArgument: " + (cls2 == null ? "null" : cls2.getName()), e2);
                    hVar2 = hVar;
                    return this.f2204d.a(view, hVar2);
                }
                hVar2 = hVar;
            }
            return this.f2204d.a(view, hVar2);
        }
        return false;
    }

    public boolean equals(Object obj) {
        if (obj != null && (obj instanceof b)) {
            Object obj2 = this.f2201a;
            Object obj3 = ((b) obj).f2201a;
            return obj2 == null ? obj3 == null : obj2.equals(obj3);
        }
        return false;
    }

    public int hashCode() {
        Object obj = this.f2201a;
        if (obj != null) {
            return obj.hashCode();
        }
        return 0;
    }

    public String toString() {
        StringBuilder y2 = X.l.y("AccessibilityActionCompat: ");
        String d2 = d.d(this.f2202b);
        if (d2.equals("ACTION_UNKNOWN") && b() != null) {
            d2 = b().toString();
        }
        y2.append(d2);
        return y2.toString();
    }
}
