package androidx.core.view.accessibility;

import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.Spanned;
import android.text.TextUtils;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import com.pichillilorenzo.flutter_inappwebview.R;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
/* loaded from: classes.dex */
public class d {

    /* renamed from: b  reason: collision with root package name */
    private static int f2205b;

    /* renamed from: a  reason: collision with root package name */
    private final AccessibilityNodeInfo f2206a;

    private d(AccessibilityNodeInfo accessibilityNodeInfo) {
        this.f2206a = accessibilityNodeInfo;
    }

    private List c(String str) {
        if (Build.VERSION.SDK_INT < 19) {
            return new ArrayList();
        }
        ArrayList<Integer> integerArrayList = c.a(this.f2206a).getIntegerArrayList(str);
        if (integerArrayList == null) {
            ArrayList<Integer> arrayList = new ArrayList<>();
            c.a(this.f2206a).putIntegerArrayList(str, arrayList);
            return arrayList;
        }
        return integerArrayList;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static String d(int i2) {
        if (i2 != 1) {
            if (i2 != 2) {
                switch (i2) {
                    case 4:
                        return "ACTION_SELECT";
                    case 8:
                        return "ACTION_CLEAR_SELECTION";
                    case 16:
                        return "ACTION_CLICK";
                    case R.styleable.AppCompatTheme_actionOverflowButtonStyle /* 32 */:
                        return "ACTION_LONG_CLICK";
                    case R.styleable.AppCompatTheme_dividerHorizontal /* 64 */:
                        return "ACTION_ACCESSIBILITY_FOCUS";
                    case 128:
                        return "ACTION_CLEAR_ACCESSIBILITY_FOCUS";
                    case 256:
                        return "ACTION_NEXT_AT_MOVEMENT_GRANULARITY";
                    case 512:
                        return "ACTION_PREVIOUS_AT_MOVEMENT_GRANULARITY";
                    case 1024:
                        return "ACTION_NEXT_HTML_ELEMENT";
                    case 2048:
                        return "ACTION_PREVIOUS_HTML_ELEMENT";
                    case 4096:
                        return "ACTION_SCROLL_FORWARD";
                    case 8192:
                        return "ACTION_SCROLL_BACKWARD";
                    case 16384:
                        return "ACTION_COPY";
                    case 32768:
                        return "ACTION_PASTE";
                    case 65536:
                        return "ACTION_CUT";
                    case 131072:
                        return "ACTION_SET_SELECTION";
                    case 262144:
                        return "ACTION_EXPAND";
                    case 524288:
                        return "ACTION_COLLAPSE";
                    case 2097152:
                        return "ACTION_SET_TEXT";
                    case 16908354:
                        return "ACTION_MOVE_WINDOW";
                    default:
                        switch (i2) {
                            case 16908342:
                                return "ACTION_SHOW_ON_SCREEN";
                            case 16908343:
                                return "ACTION_SCROLL_TO_POSITION";
                            case 16908344:
                                return "ACTION_SCROLL_UP";
                            case 16908345:
                                return "ACTION_SCROLL_LEFT";
                            case 16908346:
                                return "ACTION_SCROLL_DOWN";
                            case 16908347:
                                return "ACTION_SCROLL_RIGHT";
                            case 16908348:
                                return "ACTION_CONTEXT_CLICK";
                            case 16908349:
                                return "ACTION_SET_PROGRESS";
                            default:
                                switch (i2) {
                                    case 16908356:
                                        return "ACTION_SHOW_TOOLTIP";
                                    case 16908357:
                                        return "ACTION_HIDE_TOOLTIP";
                                    case 16908358:
                                        return "ACTION_PAGE_UP";
                                    case 16908359:
                                        return "ACTION_PAGE_DOWN";
                                    case 16908360:
                                        return "ACTION_PAGE_LEFT";
                                    case 16908361:
                                        return "ACTION_PAGE_RIGHT";
                                    case 16908362:
                                        return "ACTION_PRESS_AND_HOLD";
                                    default:
                                        switch (i2) {
                                            case 16908372:
                                                return "ACTION_IME_ENTER";
                                            case 16908373:
                                                return "ACTION_DRAG_START";
                                            case 16908374:
                                                return "ACTION_DRAG_DROP";
                                            case 16908375:
                                                return "ACTION_DRAG_CANCEL";
                                            default:
                                                return "ACTION_UNKNOWN";
                                        }
                                }
                        }
                }
            }
            return "ACTION_CLEAR_FOCUS";
        }
        return "ACTION_FOCUS";
    }

    public static ClickableSpan[] e(CharSequence charSequence) {
        if (charSequence instanceof Spanned) {
            return (ClickableSpan[]) ((Spanned) charSequence).getSpans(0, charSequence.length(), ClickableSpan.class);
        }
        return null;
    }

    private void h(int i2, boolean z2) {
        Bundle f2 = f();
        if (f2 != null) {
            int i3 = f2.getInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.BOOLEAN_PROPERTY_KEY", 0) & (i2 ^ (-1));
            if (!z2) {
                i2 = 0;
            }
            f2.putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.BOOLEAN_PROPERTY_KEY", i2 | i3);
        }
    }

    public static d p(AccessibilityNodeInfo accessibilityNodeInfo) {
        return new d(accessibilityNodeInfo);
    }

    public void a(b bVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            this.f2206a.addAction((AccessibilityNodeInfo.AccessibilityAction) bVar.f2201a);
        }
    }

    public void b(CharSequence charSequence, View view) {
        int i2;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 < 19 || i3 >= 26) {
            return;
        }
        if (i3 >= 19) {
            c.a(this.f2206a).remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
            c.a(this.f2206a).remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
            c.a(this.f2206a).remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
            c.a(this.f2206a).remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
        }
        SparseArray sparseArray = (SparseArray) view.getTag(com.jsjt2hk.app.R.id.tag_accessibility_clickable_spans);
        if (sparseArray != null) {
            ArrayList arrayList = new ArrayList();
            for (int i4 = 0; i4 < sparseArray.size(); i4++) {
                if (((WeakReference) sparseArray.valueAt(i4)).get() == null) {
                    arrayList.add(Integer.valueOf(i4));
                }
            }
            for (int i5 = 0; i5 < arrayList.size(); i5++) {
                sparseArray.remove(((Integer) arrayList.get(i5)).intValue());
            }
        }
        ClickableSpan[] e = e(charSequence);
        if (e == null || e.length <= 0) {
            return;
        }
        f().putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY", com.jsjt2hk.app.R.id.accessibility_action_clickable_span);
        SparseArray sparseArray2 = (SparseArray) view.getTag(com.jsjt2hk.app.R.id.tag_accessibility_clickable_spans);
        if (sparseArray2 == null) {
            sparseArray2 = new SparseArray();
            view.setTag(com.jsjt2hk.app.R.id.tag_accessibility_clickable_spans, sparseArray2);
        }
        for (int i6 = 0; i6 < e.length; i6++) {
            ClickableSpan clickableSpan = e[i6];
            int i7 = 0;
            while (true) {
                if (i7 >= sparseArray2.size()) {
                    i2 = f2205b;
                    f2205b = i2 + 1;
                    break;
                } else if (clickableSpan.equals((ClickableSpan) ((WeakReference) sparseArray2.valueAt(i7)).get())) {
                    i2 = sparseArray2.keyAt(i7);
                    break;
                } else {
                    i7++;
                }
            }
            sparseArray2.put(i2, new WeakReference(e[i6]));
            ClickableSpan clickableSpan2 = e[i6];
            Spanned spanned = (Spanned) charSequence;
            c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").add(Integer.valueOf(spanned.getSpanStart(clickableSpan2)));
            c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY").add(Integer.valueOf(spanned.getSpanEnd(clickableSpan2)));
            c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY").add(Integer.valueOf(spanned.getSpanFlags(clickableSpan2)));
            c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY").add(Integer.valueOf(i2));
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && (obj instanceof d)) {
            AccessibilityNodeInfo accessibilityNodeInfo = this.f2206a;
            AccessibilityNodeInfo accessibilityNodeInfo2 = ((d) obj).f2206a;
            if (accessibilityNodeInfo == null) {
                if (accessibilityNodeInfo2 != null) {
                    return false;
                }
            } else if (!accessibilityNodeInfo.equals(accessibilityNodeInfo2)) {
                return false;
            }
            return true;
        }
        return false;
    }

    public Bundle f() {
        return Build.VERSION.SDK_INT >= 19 ? c.a(this.f2206a) : new Bundle();
    }

    public boolean g(int i2, Bundle bundle) {
        return this.f2206a.performAction(i2, bundle);
    }

    public int hashCode() {
        AccessibilityNodeInfo accessibilityNodeInfo = this.f2206a;
        if (accessibilityNodeInfo == null) {
            return 0;
        }
        return accessibilityNodeInfo.hashCode();
    }

    public void i(CharSequence charSequence) {
        this.f2206a.setClassName(charSequence);
    }

    public void j(boolean z2) {
        if (Build.VERSION.SDK_INT >= 28) {
            this.f2206a.setHeading(z2);
        } else {
            h(2, z2);
        }
    }

    public void k(CharSequence charSequence) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 28) {
            this.f2206a.setPaneTitle(charSequence);
        } else if (i2 >= 19) {
            c.a(this.f2206a).putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.PANE_TITLE_KEY", charSequence);
        }
    }

    public void l(boolean z2) {
        if (Build.VERSION.SDK_INT >= 28) {
            this.f2206a.setScreenReaderFocusable(z2);
        } else {
            h(1, z2);
        }
    }

    public void m(boolean z2) {
        this.f2206a.setScrollable(z2);
    }

    public void n(CharSequence charSequence) {
        int i2 = androidx.core.os.b.f2125a;
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 30) {
            this.f2206a.setStateDescription(charSequence);
        } else if (i3 >= 19) {
            c.a(this.f2206a).putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.STATE_DESCRIPTION_KEY", charSequence);
        }
    }

    public AccessibilityNodeInfo o() {
        return this.f2206a;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v0, types: [java.lang.StringBuilder] */
    /* JADX WARN: Type inference failed for: r2v62, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r2v63, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r2v64, types: [java.util.ArrayList] */
    /* JADX WARN: Type inference failed for: r8v0, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r8v1, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r8v12, types: [android.text.SpannableString] */
    public String toString() {
        ?? text;
        ?? emptyList;
        ?? sb = new StringBuilder();
        sb.append(super.toString());
        Rect rect = new Rect();
        this.f2206a.getBoundsInParent(rect);
        sb.append("; boundsInParent: " + rect);
        this.f2206a.getBoundsInScreen(rect);
        sb.append("; boundsInScreen: " + rect);
        sb.append("; packageName: ");
        sb.append(this.f2206a.getPackageName());
        sb.append("; className: ");
        sb.append(this.f2206a.getClassName());
        sb.append("; text: ");
        if (!c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").isEmpty()) {
            List c2 = c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
            List c3 = c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
            List c4 = c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
            List c5 = c("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
            text = new SpannableString(TextUtils.substring(this.f2206a.getText(), 0, this.f2206a.getText().length()));
            for (int i2 = 0; i2 < c2.size(); i2++) {
                text.setSpan(new a(((Integer) c5.get(i2)).intValue(), this, f().getInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY")), ((Integer) c2.get(i2)).intValue(), ((Integer) c3.get(i2)).intValue(), ((Integer) c4.get(i2)).intValue());
            }
        } else {
            text = this.f2206a.getText();
        }
        sb.append(text);
        sb.append("; contentDescription: ");
        sb.append(this.f2206a.getContentDescription());
        sb.append("; viewId: ");
        sb.append(this.f2206a.getViewIdResourceName());
        sb.append("; uniqueId: ");
        sb.append(androidx.core.os.b.a() ? this.f2206a.getUniqueId() : Build.VERSION.SDK_INT >= 19 ? c.a(this.f2206a).getString("androidx.view.accessibility.AccessibilityNodeInfoCompat.UNIQUE_ID_KEY") : null);
        sb.append("; checkable: ");
        sb.append(this.f2206a.isCheckable());
        sb.append("; checked: ");
        sb.append(this.f2206a.isChecked());
        sb.append("; focusable: ");
        sb.append(this.f2206a.isFocusable());
        sb.append("; focused: ");
        sb.append(this.f2206a.isFocused());
        sb.append("; selected: ");
        sb.append(this.f2206a.isSelected());
        sb.append("; clickable: ");
        sb.append(this.f2206a.isClickable());
        sb.append("; longClickable: ");
        sb.append(this.f2206a.isLongClickable());
        sb.append("; enabled: ");
        sb.append(this.f2206a.isEnabled());
        sb.append("; password: ");
        sb.append(this.f2206a.isPassword());
        sb.append("; scrollable: " + this.f2206a.isScrollable());
        sb.append("; [");
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 21) {
            List<AccessibilityNodeInfo.AccessibilityAction> actionList = i3 >= 21 ? this.f2206a.getActionList() : null;
            if (actionList != null) {
                emptyList = new ArrayList();
                int size = actionList.size();
                for (int i4 = 0; i4 < size; i4++) {
                    emptyList.add(new b(actionList.get(i4), 0, null, null, null));
                }
            } else {
                emptyList = Collections.emptyList();
            }
            for (int i5 = 0; i5 < emptyList.size(); i5++) {
                b bVar = (b) emptyList.get(i5);
                bVar.getClass();
                String d2 = d(Build.VERSION.SDK_INT >= 21 ? ((AccessibilityNodeInfo.AccessibilityAction) bVar.f2201a).getId() : 0);
                if (d2.equals("ACTION_UNKNOWN") && bVar.b() != null) {
                    d2 = bVar.b().toString();
                }
                sb.append(d2);
                if (i5 != emptyList.size() - 1) {
                    sb.append(", ");
                }
            }
        } else {
            int actions = this.f2206a.getActions();
            while (actions != 0) {
                int numberOfTrailingZeros = 1 << Integer.numberOfTrailingZeros(actions);
                actions &= numberOfTrailingZeros ^ (-1);
                sb.append(d(numberOfTrailingZeros));
                if (actions != 0) {
                    sb.append(", ");
                }
            }
        }
        sb.append("]");
        return sb.toString();
    }
}
