package androidx.core.view;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import com.jsjt2hk.app.R;
import java.lang.reflect.Field;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;
/* loaded from: classes.dex */
public class c0 {

    /* renamed from: a  reason: collision with root package name */
    private static WeakHashMap f2215a;

    /* renamed from: b  reason: collision with root package name */
    private static WeakHashMap f2216b;

    /* renamed from: c  reason: collision with root package name */
    private static Field f2217c;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f2218d;
    private static ThreadLocal e;

    /* renamed from: f  reason: collision with root package name */
    private static final E f2219f;

    /* renamed from: g  reason: collision with root package name */
    private static final J f2220g;

    /* renamed from: h  reason: collision with root package name */
    public static final /* synthetic */ int f2221h = 0;

    static {
        new AtomicInteger(1);
        f2216b = null;
        f2218d = false;
        f2219f = H.f2184d;
        f2220g = new J();
    }

    public static void A(View view, Runnable runnable, long j2) {
        M.n(view, runnable, j2);
    }

    public static void B(View view) {
        if (Build.VERSION.SDK_INT >= 20) {
            P.c(view);
        } else {
            M.p(view);
        }
    }

    public static void C(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i2, int i3) {
        if (Build.VERSION.SDK_INT >= 29) {
            W.c(view, context, iArr, attributeSet, typedArray, i2, i3);
        }
    }

    public static void D(View view, C0157c c0157c) {
        if (c0157c == null && (g(view) instanceof C0153a)) {
            c0157c = new C0157c();
        }
        view.setAccessibilityDelegate(c0157c == null ? null : c0157c.c());
    }

    public static void E(View view, boolean z2) {
        new I(R.id.tag_accessibility_heading, Boolean.class, 28, 3).c(view, Boolean.valueOf(z2));
    }

    public static void F(View view, CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 19) {
            new I(R.id.tag_accessibility_pane_title, CharSequence.class, 8, 28, 1).c(view, charSequence);
            if (charSequence != null) {
                f2220g.a(view);
            } else {
                f2220g.b(view);
            }
        }
    }

    public static void G(View view, Drawable drawable) {
        M.q(view, drawable);
    }

    public static void H(View view, ColorStateList colorStateList) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 21) {
            if (view instanceof G) {
                ((G) view).i(colorStateList);
                return;
            }
            return;
        }
        S.q(view, colorStateList);
        if (i2 == 21) {
            Drawable background = view.getBackground();
            boolean z2 = (S.g(view) == null && S.h(view) == null) ? false : true;
            if (background == null || !z2) {
                return;
            }
            if (background.isStateful()) {
                background.setState(view.getDrawableState());
            }
            M.q(view, background);
        }
    }

    public static void I(View view, PorterDuff.Mode mode) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 21) {
            if (view instanceof G) {
                ((G) view).h(mode);
                return;
            }
            return;
        }
        S.r(view, mode);
        if (i2 == 21) {
            Drawable background = view.getBackground();
            boolean z2 = (S.g(view) == null && S.h(view) == null) ? false : true;
            if (background == null || !z2) {
                return;
            }
            if (background.isStateful()) {
                background.setState(view.getDrawableState());
            }
            M.q(view, background);
        }
    }

    public static void J(View view, float f2) {
        if (Build.VERSION.SDK_INT >= 21) {
            S.s(view, f2);
        }
    }

    public static void K(View view, C c2) {
        if (Build.VERSION.SDK_INT >= 21) {
            S.u(view, c2);
        }
    }

    public static void L(View view, boolean z2) {
        new I(R.id.tag_screen_reader_focusable, Boolean.class, 28, 0).c(view, Boolean.valueOf(z2));
    }

    public static void M(View view, int i2, int i3) {
        if (Build.VERSION.SDK_INT >= 23) {
            T.d(view, i2, i3);
        }
    }

    public static void N(View view, String str) {
        if (Build.VERSION.SDK_INT >= 21) {
            S.v(view, str);
            return;
        }
        if (f2215a == null) {
            f2215a = new WeakHashMap();
        }
        f2215a.put(view, str);
    }

    public static j0 a(View view) {
        if (f2216b == null) {
            f2216b = new WeakHashMap();
        }
        j0 j0Var = (j0) f2216b.get(view);
        if (j0Var == null) {
            j0 j0Var2 = new j0(view);
            f2216b.put(view, j0Var2);
            return j0Var2;
        }
        return j0Var;
    }

    private static void b(View view, int i2) {
        view.offsetTopAndBottom(i2);
        if (view.getVisibility() == 0) {
            float translationY = view.getTranslationY();
            view.setTranslationY(translationY + 1.0f);
            view.setTranslationY(translationY);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                float translationY2 = view2.getTranslationY();
                view2.setTranslationY(1.0f + translationY2);
                view2.setTranslationY(translationY2);
            }
        }
    }

    public static x0 c(View view, x0 x0Var, Rect rect) {
        return Build.VERSION.SDK_INT >= 21 ? S.b(view, x0Var, rect) : x0Var;
    }

    public static x0 d(View view, x0 x0Var) {
        WindowInsets o2;
        if (Build.VERSION.SDK_INT >= 21 && (o2 = x0Var.o()) != null) {
            WindowInsets a2 = P.a(view, o2);
            if (!a2.equals(o2)) {
                return x0.q(a2, view);
            }
        }
        return x0Var;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static boolean e(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        int i2 = C0156b0.e;
        C0156b0 c0156b0 = (C0156b0) view.getTag(R.id.tag_unhandled_key_event_manager);
        if (c0156b0 == null) {
            c0156b0 = new C0156b0();
            view.setTag(R.id.tag_unhandled_key_event_manager, c0156b0);
        }
        return c0156b0.a(view, keyEvent);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void f(View view) {
        View.AccessibilityDelegate g2 = g(view);
        C0157c c0157c = g2 == null ? null : g2 instanceof C0153a ? ((C0153a) g2).f2195a : new C0157c(g2);
        if (c0157c == null) {
            c0157c = new C0157c();
        }
        D(view, c0157c);
    }

    private static View.AccessibilityDelegate g(View view) {
        if (Build.VERSION.SDK_INT >= 29) {
            return W.a(view);
        }
        if (f2218d) {
            return null;
        }
        if (f2217c == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f2217c = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f2218d = true;
                return null;
            }
        }
        Object obj = f2217c.get(view);
        if (obj instanceof View.AccessibilityDelegate) {
            return (View.AccessibilityDelegate) obj;
        }
        return null;
    }

    public static CharSequence h(View view) {
        return (CharSequence) new I(R.id.tag_accessibility_pane_title, CharSequence.class, 8, 28, 1).b(view);
    }

    public static ColorStateList i(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return S.g(view);
        }
        if (view instanceof G) {
            return ((G) view).f();
        }
        return null;
    }

    public static PorterDuff.Mode j(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return S.h(view);
        }
        if (view instanceof G) {
            return ((G) view).c();
        }
        return null;
    }

    public static int k(View view) {
        return N.d(view);
    }

    public static int l(View view) {
        return M.d(view);
    }

    public static String[] m(View view) {
        return Build.VERSION.SDK_INT >= 31 ? Y.a(view) : (String[]) view.getTag(R.id.tag_on_receive_content_mime_types);
    }

    public static x0 n(View view) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 23) {
            return T.a(view);
        }
        if (i2 >= 21) {
            return S.j(view);
        }
        return null;
    }

    public static String o(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return S.k(view);
        }
        WeakHashMap weakHashMap = f2215a;
        if (weakHashMap == null) {
            return null;
        }
        return (String) weakHashMap.get(view);
    }

    @Deprecated
    public static int p(View view) {
        return M.g(view);
    }

    public static boolean q(View view) {
        return L.a(view);
    }

    public static boolean r(View view) {
        return Build.VERSION.SDK_INT >= 19 ? O.b(view) : view.getWindowToken() != null;
    }

    public static boolean s(View view) {
        return Build.VERSION.SDK_INT >= 19 ? O.c(view) : view.getWidth() > 0 && view.getHeight() > 0;
    }

    public static boolean t(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return S.p(view);
        }
        if (view instanceof InterfaceC0176w) {
            return ((InterfaceC0176w) view).isNestedScrollingEnabled();
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static void u(View view, int i2) {
        AccessibilityManager accessibilityManager = (AccessibilityManager) view.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled()) {
            boolean z2 = h(view) != null && view.isShown() && view.getWindowVisibility() == 0;
            if ((Build.VERSION.SDK_INT >= 19 ? O.a(view) : 0) != 0 || z2) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                obtain.setEventType(z2 ? 32 : 2048);
                O.g(obtain, i2);
                if (z2) {
                    obtain.getText().add(h(view));
                    if (M.c(view) == 0) {
                        M.s(view, 1);
                    }
                    ViewParent parent = view.getParent();
                    while (true) {
                        if (!(parent instanceof View)) {
                            break;
                        } else if (M.c((View) parent) == 4) {
                            M.s(view, 2);
                            break;
                        } else {
                            parent = parent.getParent();
                        }
                    }
                }
                view.sendAccessibilityEventUnchecked(obtain);
            } else if (i2 == 32) {
                AccessibilityEvent obtain2 = AccessibilityEvent.obtain();
                view.onInitializeAccessibilityEvent(obtain2);
                obtain2.setEventType(32);
                O.g(obtain2, i2);
                obtain2.setSource(view);
                view.onPopulateAccessibilityEvent(obtain2);
                obtain2.getText().add(h(view));
                accessibilityManager.sendAccessibilityEvent(obtain2);
            } else if (view.getParent() != null) {
                try {
                    O.e(view.getParent(), view, view, i2);
                } catch (AbstractMethodError e2) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e2);
                }
            }
        }
    }

    public static void v(View view, int i2) {
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 23) {
            view.offsetTopAndBottom(i2);
        } else if (i3 < 21) {
            b(view, i2);
        } else {
            if (e == null) {
                e = new ThreadLocal();
            }
            Rect rect = (Rect) e.get();
            if (rect == null) {
                rect = new Rect();
                e.set(rect);
            }
            rect.setEmpty();
            boolean z2 = false;
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                rect.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
                z2 = !rect.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
            b(view, i2);
            if (z2 && rect.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
                ((View) parent).invalidate(rect);
            }
        }
    }

    public static x0 w(View view, x0 x0Var) {
        WindowInsets o2;
        if (Build.VERSION.SDK_INT >= 21 && (o2 = x0Var.o()) != null) {
            WindowInsets b2 = P.b(view, o2);
            if (!b2.equals(o2)) {
                return x0.q(b2, view);
            }
        }
        return x0Var;
    }

    public static C0166l x(View view, C0166l c0166l) {
        if (Log.isLoggable("ViewCompat", 3)) {
            Log.d("ViewCompat", "performReceiveContent: " + c0166l + ", view=" + view.getClass().getSimpleName() + "[" + view.getId() + "]");
        }
        if (Build.VERSION.SDK_INT >= 31) {
            return Y.b(view, c0166l);
        }
        D d2 = (D) view.getTag(R.id.tag_on_receive_content_listener);
        if (d2 == null) {
            return (view instanceof E ? (E) view : f2219f).a(c0166l);
        }
        C0166l a2 = d2.a(view, c0166l);
        if (a2 == null) {
            return null;
        }
        return (view instanceof E ? (E) view : f2219f).a(a2);
    }

    public static void y(View view) {
        M.k(view);
    }

    public static void z(View view, Runnable runnable) {
        M.m(view, runnable);
    }
}
