package androidx.core.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import androidx.core.view.B;
import androidx.core.view.C0169o;
import androidx.core.view.C0177x;
import androidx.core.view.InterfaceC0176w;
import androidx.core.view.InterfaceC0179z;
import androidx.core.view.c0;
import com.jsjt2hk.app.R;
import java.util.ArrayList;
/* loaded from: classes.dex */
public class NestedScrollView extends FrameLayout implements InterfaceC0179z, InterfaceC0176w {

    /* renamed from: E  reason: collision with root package name */
    private static final float f2287E = (float) (Math.log(0.78d) / Math.log(0.9d));

    /* renamed from: F  reason: collision with root package name */
    private static final k f2288F = new k();

    /* renamed from: G  reason: collision with root package name */
    private static final int[] f2289G = {16843130};

    /* renamed from: A  reason: collision with root package name */
    private final B f2290A;

    /* renamed from: B  reason: collision with root package name */
    private final C0177x f2291B;

    /* renamed from: C  reason: collision with root package name */
    private float f2292C;

    /* renamed from: D  reason: collision with root package name */
    private m f2293D;

    /* renamed from: d  reason: collision with root package name */
    private final float f2294d;
    private long e;

    /* renamed from: f  reason: collision with root package name */
    private final Rect f2295f;

    /* renamed from: g  reason: collision with root package name */
    private OverScroller f2296g;

    /* renamed from: h  reason: collision with root package name */
    public EdgeEffect f2297h;

    /* renamed from: i  reason: collision with root package name */
    public EdgeEffect f2298i;

    /* renamed from: j  reason: collision with root package name */
    private int f2299j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f2300k;
    private boolean l;

    /* renamed from: m  reason: collision with root package name */
    private View f2301m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f2302n;

    /* renamed from: o  reason: collision with root package name */
    private VelocityTracker f2303o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f2304p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f2305q;
    private int r;

    /* renamed from: s  reason: collision with root package name */
    private int f2306s;

    /* renamed from: t  reason: collision with root package name */
    private int f2307t;

    /* renamed from: u  reason: collision with root package name */
    private int f2308u;

    /* renamed from: v  reason: collision with root package name */
    private final int[] f2309v;

    /* renamed from: w  reason: collision with root package name */
    private final int[] f2310w;
    private int x;

    /* renamed from: y  reason: collision with root package name */
    private int f2311y;

    /* renamed from: z  reason: collision with root package name */
    private n f2312z;

    public NestedScrollView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet, R.attr.nestedScrollViewStyle);
        this.f2295f = new Rect();
        this.f2300k = true;
        this.l = false;
        this.f2301m = null;
        this.f2302n = false;
        this.f2305q = true;
        this.f2308u = -1;
        this.f2309v = new int[2];
        this.f2310w = new int[2];
        int i2 = Build.VERSION.SDK_INT;
        this.f2297h = i2 >= 31 ? g.a(context, attributeSet) : new EdgeEffect(context);
        this.f2298i = i2 >= 31 ? g.a(context, attributeSet) : new EdgeEffect(context);
        this.f2294d = context.getResources().getDisplayMetrics().density * 160.0f * 386.0878f * 0.84f;
        this.f2296g = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.r = viewConfiguration.getScaledTouchSlop();
        this.f2306s = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f2307t = viewConfiguration.getScaledMaximumFlingVelocity();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, f2289G, R.attr.nestedScrollViewStyle, 0);
        boolean z2 = obtainStyledAttributes.getBoolean(0, false);
        if (z2 != this.f2304p) {
            this.f2304p = z2;
            requestLayout();
        }
        obtainStyledAttributes.recycle();
        this.f2290A = new B();
        this.f2291B = new C0177x(this);
        setNestedScrollingEnabled(true);
        c0.D(this, f2288F);
    }

    private boolean A(MotionEvent motionEvent) {
        boolean z2;
        if (c.c(this.f2297h) != 0.0f) {
            c.f(this.f2297h, 0.0f, motionEvent.getX() / getWidth());
            z2 = true;
        } else {
            z2 = false;
        }
        if (c.c(this.f2298i) != 0.0f) {
            c.f(this.f2298i, 0.0f, 1.0f - (motionEvent.getX() / getWidth()));
            return true;
        }
        return z2;
    }

    private void a() {
        this.f2296g.abortAnimation();
        this.f2291B.m(1);
    }

    private static int c(int i2, int i3, int i4) {
        if (i3 >= i4 || i2 < 0) {
            return 0;
        }
        return i3 + i2 > i4 ? i4 - i3 : i2;
    }

    private void f() {
        this.f2308u = -1;
        this.f2302n = false;
        q();
        this.f2291B.m(0);
        this.f2297h.onRelease();
        this.f2298i.onRelease();
    }

    private static boolean l(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        return (parent instanceof ViewGroup) && l((View) parent, view2);
    }

    private boolean m(View view, int i2, int i3) {
        view.getDrawingRect(this.f2295f);
        offsetDescendantRectToMyCoords(view, this.f2295f);
        return this.f2295f.bottom + i2 >= getScrollY() && this.f2295f.top - i2 <= getScrollY() + i3;
    }

    private void n(int i2, int i3, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i2);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.f2291B.d(0, scrollY2, 0, i2 - scrollY2, null, i3, iArr);
    }

    private void o(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f2308u) {
            int i2 = actionIndex == 0 ? 1 : 0;
            this.f2299j = (int) motionEvent.getY(i2);
            this.f2308u = motionEvent.getPointerId(i2);
            VelocityTracker velocityTracker = this.f2303o;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private void q() {
        VelocityTracker velocityTracker = this.f2303o;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f2303o = null;
        }
    }

    private void r(boolean z2) {
        if (z2) {
            z(2, 1);
        } else {
            this.f2291B.m(1);
        }
        this.f2311y = getScrollY();
        c0.y(this);
    }

    private boolean s(int i2, int i3, int i4) {
        boolean z2;
        int height = getHeight();
        int scrollY = getScrollY();
        int i5 = height + scrollY;
        boolean z3 = i2 == 33;
        ArrayList focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z4 = false;
        for (int i6 = 0; i6 < size; i6++) {
            View view2 = (View) focusables.get(i6);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i3 < bottom && top < i4) {
                boolean z5 = i3 < top && bottom < i4;
                if (view == null) {
                    view = view2;
                    z4 = z5;
                } else {
                    boolean z6 = (z3 && top < view.getTop()) || (!z3 && bottom > view.getBottom());
                    if (z4) {
                        if (z5) {
                            if (!z6) {
                            }
                            view = view2;
                        }
                    } else if (z5) {
                        view = view2;
                        z4 = true;
                    } else {
                        if (!z6) {
                        }
                        view = view2;
                    }
                }
            }
        }
        if (view == null) {
            view = this;
        }
        if (i3 < scrollY || i4 > i5) {
            t(z3 ? i3 - scrollY : i4 - i5, 0, 1, true);
            z2 = true;
        } else {
            z2 = false;
        }
        if (view != findFocus()) {
            view.requestFocus(i2);
        }
        return z2;
    }

    private int t(int i2, int i3, int i4, boolean z2) {
        int i5;
        int i6;
        EdgeEffect edgeEffect;
        if (i4 == 1) {
            z(2, i4);
        }
        boolean z3 = false;
        if (e(0, i2, this.f2310w, this.f2309v, i4)) {
            i5 = i2 - this.f2310w[1];
            i6 = this.f2309v[1] + 0;
        } else {
            i5 = i2;
            i6 = 0;
        }
        int scrollY = getScrollY();
        int j2 = j();
        int overScrollMode = getOverScrollMode();
        boolean z4 = (overScrollMode == 0 || (overScrollMode == 1 && j() > 0)) && !z2;
        boolean z5 = p(0, i5, 0, scrollY, 0, j2, 0, 0) && !this.f2291B.i(i4);
        int scrollY2 = getScrollY() - scrollY;
        int[] iArr = this.f2310w;
        iArr[1] = 0;
        this.f2291B.d(0, scrollY2, 0, i5 - scrollY2, this.f2309v, i4, iArr);
        int i7 = i6 + this.f2309v[1];
        int i8 = i5 - this.f2310w[1];
        int i9 = scrollY + i8;
        if (i9 < 0) {
            if (z4) {
                c.f(this.f2297h, (-i8) / getHeight(), i3 / getWidth());
                if (!this.f2298i.isFinished()) {
                    edgeEffect = this.f2298i;
                    edgeEffect.onRelease();
                }
            }
        } else if (i9 > j2 && z4) {
            c.f(this.f2298i, i8 / getHeight(), 1.0f - (i3 / getWidth()));
            if (!this.f2297h.isFinished()) {
                edgeEffect = this.f2297h;
                edgeEffect.onRelease();
            }
        }
        if (this.f2297h.isFinished() && this.f2298i.isFinished()) {
            z3 = z5;
        } else {
            c0.y(this);
        }
        if (z3 && i4 == 0) {
            this.f2303o.clear();
        }
        if (i4 == 1) {
            this.f2291B.m(i4);
            this.f2297h.onRelease();
            this.f2298i.onRelease();
        }
        return i7;
    }

    private void u(View view) {
        view.getDrawingRect(this.f2295f);
        offsetDescendantRectToMyCoords(view, this.f2295f);
        int d2 = d(this.f2295f);
        if (d2 != 0) {
            scrollBy(0, d2);
        }
    }

    private boolean w(EdgeEffect edgeEffect, int i2) {
        if (i2 > 0) {
            return true;
        }
        float c2 = c.c(edgeEffect) * getHeight();
        double log = Math.log((Math.abs(-i2) * 0.35f) / (this.f2294d * 0.015f));
        double d2 = f2287E;
        Double.isNaN(d2);
        Double.isNaN(d2);
        double d3 = this.f2294d * 0.015f;
        Double.isNaN(d2);
        Double.isNaN(d2);
        double exp = Math.exp((d2 / (d2 - 1.0d)) * log);
        Double.isNaN(d3);
        Double.isNaN(d3);
        return ((float) (exp * d3)) < c2;
    }

    private void x(int i2, int i3, int i4, boolean z2) {
        if (getChildCount() == 0) {
            return;
        }
        if (AnimationUtils.currentAnimationTimeMillis() - this.e > 250) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int scrollY = getScrollY();
            OverScroller overScroller = this.f2296g;
            int scrollX = getScrollX();
            overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i3 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, i4);
            r(z2);
        } else {
            if (!this.f2296g.isFinished()) {
                a();
            }
            scrollBy(i2, i3);
        }
        this.e = AnimationUtils.currentAnimationTimeMillis();
    }

    public void B(int i2) {
        this.f2291B.m(i2);
    }

    @Override // android.view.ViewGroup
    public void addView(View view) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i2);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, i2, layoutParams);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() > 0) {
            throw new IllegalStateException("ScrollView can host only one direct child");
        }
        super.addView(view, layoutParams);
    }

    public boolean b(int i2) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i2);
        int height = (int) (getHeight() * 0.5f);
        if (findNextFocus == null || !m(findNextFocus, height, getHeight())) {
            if (i2 == 33 && getScrollY() < height) {
                height = getScrollY();
            } else if (i2 == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                height = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getHeight() + getScrollY()) - getPaddingBottom()), height);
            }
            if (height == 0) {
                return false;
            }
            if (i2 != 130) {
                height = -height;
            }
            t(height, 0, 1, true);
        } else {
            findNextFocus.getDrawingRect(this.f2295f);
            offsetDescendantRectToMyCoords(findNextFocus, this.f2295f);
            t(d(this.f2295f), 0, 1, true);
            findNextFocus.requestFocus(i2);
        }
        if (findFocus != null && findFocus.isFocused() && (!m(findFocus, 0, getHeight()))) {
            int descendantFocusability = getDescendantFocusability();
            setDescendantFocusability(131072);
            requestFocus();
            setDescendantFocusability(descendantFocusability);
        }
        return true;
    }

    @Override // android.view.View
    public int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    @Override // android.view.View
    public int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    @Override // android.view.View
    public int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    @Override // android.view.View
    public void computeScroll() {
        int round;
        EdgeEffect edgeEffect;
        EdgeEffect edgeEffect2;
        if (this.f2296g.isFinished()) {
            return;
        }
        this.f2296g.computeScrollOffset();
        int currY = this.f2296g.getCurrY();
        int i2 = currY - this.f2311y;
        int height = getHeight();
        if (i2 > 0 && c.c(this.f2297h) != 0.0f) {
            round = Math.round(c.f(this.f2297h, ((-i2) * 4.0f) / height, 0.5f) * ((-height) / 4.0f));
            if (round != i2) {
                edgeEffect = this.f2297h;
                edgeEffect.finish();
            }
            i2 -= round;
        } else if (i2 < 0 && c.c(this.f2298i) != 0.0f) {
            float f2 = height;
            round = Math.round(c.f(this.f2298i, (i2 * 4.0f) / f2, 0.5f) * (f2 / 4.0f));
            if (round != i2) {
                edgeEffect = this.f2298i;
                edgeEffect.finish();
            }
            i2 -= round;
        }
        int i3 = i2;
        this.f2311y = currY;
        int[] iArr = this.f2310w;
        boolean z2 = false;
        iArr[1] = 0;
        e(0, i3, iArr, null, 1);
        int i4 = i3 - this.f2310w[1];
        int j2 = j();
        if (i4 != 0) {
            int scrollY = getScrollY();
            p(0, i4, getScrollX(), scrollY, 0, j2, 0, 0);
            int scrollY2 = getScrollY() - scrollY;
            int i5 = i4 - scrollY2;
            int[] iArr2 = this.f2310w;
            iArr2[1] = 0;
            this.f2291B.d(0, scrollY2, 0, i5, this.f2309v, 1, iArr2);
            i4 = i5 - this.f2310w[1];
        }
        if (i4 != 0) {
            int overScrollMode = getOverScrollMode();
            if (overScrollMode == 0 || (overScrollMode == 1 && j2 > 0)) {
                z2 = true;
            }
            if (z2) {
                if (i4 < 0) {
                    if (this.f2297h.isFinished()) {
                        edgeEffect2 = this.f2297h;
                        edgeEffect2.onAbsorb((int) this.f2296g.getCurrVelocity());
                    }
                } else if (this.f2298i.isFinished()) {
                    edgeEffect2 = this.f2298i;
                    edgeEffect2.onAbsorb((int) this.f2296g.getCurrVelocity());
                }
            }
            a();
        }
        if (this.f2296g.isFinished()) {
            this.f2291B.m(1);
        } else {
            c0.y(this);
        }
    }

    @Override // android.view.View
    public int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    @Override // android.view.View
    public int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    @Override // android.view.View
    public int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        return scrollY < 0 ? bottom - scrollY : scrollY > max ? bottom + (scrollY - max) : bottom;
    }

    protected int d(Rect rect) {
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i2 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        int i3 = rect.bottom < (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin ? i2 - verticalFadingEdgeLength : i2;
        int i4 = rect.bottom;
        if (i4 > i3 && rect.top > scrollY) {
            return Math.min((rect.height() > height ? rect.top - scrollY : rect.bottom - i3) + 0, (childAt.getBottom() + layoutParams.bottomMargin) - i2);
        } else if (rect.top >= scrollY || i4 >= i3) {
            return 0;
        } else {
            return Math.max(rect.height() > height ? 0 - (i3 - rect.bottom) : 0 - (scrollY - rect.top), -getScrollY());
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || g(keyEvent);
    }

    @Override // android.view.View
    public boolean dispatchNestedFling(float f2, float f3, boolean z2) {
        return this.f2291B.a(f2, f3, z2);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreFling(float f2, float f3) {
        return this.f2291B.b(f2, f3);
    }

    @Override // android.view.View
    public boolean dispatchNestedPreScroll(int i2, int i3, int[] iArr, int[] iArr2) {
        return e(i2, i3, iArr, iArr2, 0);
    }

    @Override // android.view.View
    public boolean dispatchNestedScroll(int i2, int i3, int i4, int i5, int[] iArr) {
        return this.f2291B.e(i2, i3, i4, i5, iArr);
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        int paddingLeft;
        super.draw(canvas);
        int scrollY = getScrollY();
        int i2 = 0;
        if (!this.f2297h.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            int i3 = Build.VERSION.SDK_INT;
            if (i3 < 21 || l.a(this)) {
                width -= getPaddingRight() + getPaddingLeft();
                paddingLeft = getPaddingLeft() + 0;
            } else {
                paddingLeft = 0;
            }
            if (i3 >= 21 && l.a(this)) {
                height -= getPaddingBottom() + getPaddingTop();
                min += getPaddingTop();
            }
            canvas.translate(paddingLeft, min);
            this.f2297h.setSize(width, height);
            if (this.f2297h.draw(canvas)) {
                c0.y(this);
            }
            canvas.restoreToCount(save);
        }
        if (this.f2298i.isFinished()) {
            return;
        }
        int save2 = canvas.save();
        int width2 = getWidth();
        int height2 = getHeight();
        int max = Math.max(j(), scrollY) + height2;
        int i4 = Build.VERSION.SDK_INT;
        if (i4 < 21 || l.a(this)) {
            width2 -= getPaddingRight() + getPaddingLeft();
            i2 = 0 + getPaddingLeft();
        }
        if (i4 >= 21 && l.a(this)) {
            height2 -= getPaddingBottom() + getPaddingTop();
            max -= getPaddingBottom();
        }
        canvas.translate(i2 - width2, max);
        canvas.rotate(180.0f, width2, 0.0f);
        this.f2298i.setSize(width2, height2);
        if (this.f2298i.draw(canvas)) {
            c0.y(this);
        }
        canvas.restoreToCount(save2);
    }

    public boolean e(int i2, int i3, int[] iArr, int[] iArr2, int i4) {
        return this.f2291B.c(i2, i3, iArr, iArr2, i4);
    }

    /* JADX WARN: Removed duplicated region for block: B:10:0x0038  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x0062  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean g(KeyEvent keyEvent) {
        boolean z2;
        Rect rect;
        int i2;
        this.f2295f.setEmpty();
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            if (childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin > (getHeight() - getPaddingTop()) - getPaddingBottom()) {
                z2 = true;
                if (z2) {
                    if (!isFocused() || keyEvent.getKeyCode() == 4) {
                        return false;
                    }
                    View findFocus = findFocus();
                    if (findFocus == this) {
                        findFocus = null;
                    }
                    View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
                    return (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) ? false : true;
                } else if (keyEvent.getAction() == 0) {
                    int keyCode = keyEvent.getKeyCode();
                    if (keyCode == 19) {
                        return !keyEvent.isAltPressed() ? b(33) : i(33);
                    } else if (keyCode == 20) {
                        return !keyEvent.isAltPressed() ? b(130) : i(130);
                    } else if (keyCode != 62) {
                        return false;
                    } else {
                        int i3 = keyEvent.isShiftPressed() ? 33 : 130;
                        boolean z3 = i3 == 130;
                        int height = getHeight();
                        if (!z3) {
                            this.f2295f.top = getScrollY() - height;
                            rect = this.f2295f;
                            if (rect.top < 0) {
                                i2 = 0;
                                rect.top = i2;
                            }
                            Rect rect2 = this.f2295f;
                            int i4 = rect2.top;
                            int i5 = height + i4;
                            rect2.bottom = i5;
                            s(i3, i4, i5);
                            return false;
                        }
                        this.f2295f.top = getScrollY() + height;
                        int childCount = getChildCount();
                        if (childCount > 0) {
                            View childAt2 = getChildAt(childCount - 1);
                            int paddingBottom = getPaddingBottom() + childAt2.getBottom() + ((FrameLayout.LayoutParams) childAt2.getLayoutParams()).bottomMargin;
                            rect = this.f2295f;
                            if (rect.top + height > paddingBottom) {
                                i2 = paddingBottom - height;
                                rect.top = i2;
                            }
                        }
                        Rect rect22 = this.f2295f;
                        int i42 = rect22.top;
                        int i52 = height + i42;
                        rect22.bottom = i52;
                        s(i3, i42, i52);
                        return false;
                    }
                } else {
                    return false;
                }
            }
        }
        z2 = false;
        if (z2) {
        }
    }

    @Override // android.view.View
    protected float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return bottom / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    @Override // android.view.ViewGroup
    public int getNestedScrollAxes() {
        return this.f2290A.a();
    }

    @Override // android.view.View
    protected float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return 0.0f;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return scrollY / verticalFadingEdgeLength;
        }
        return 1.0f;
    }

    public void h(int i2) {
        if (getChildCount() > 0) {
            this.f2296g.fling(getScrollX(), getScrollY(), 0, i2, 0, 0, Integer.MIN_VALUE, Integer.MAX_VALUE, 0, 0);
            r(true);
        }
    }

    @Override // android.view.View
    public boolean hasNestedScrollingParent() {
        return k(0);
    }

    public boolean i(int i2) {
        int childCount;
        boolean z2 = i2 == 130;
        int height = getHeight();
        Rect rect = this.f2295f;
        rect.top = 0;
        rect.bottom = height;
        if (z2 && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            this.f2295f.bottom = getPaddingBottom() + childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
            Rect rect2 = this.f2295f;
            rect2.top = rect2.bottom - height;
        }
        Rect rect3 = this.f2295f;
        return s(i2, rect3.top, rect3.bottom);
    }

    @Override // android.view.View, androidx.core.view.InterfaceC0176w
    public boolean isNestedScrollingEnabled() {
        return this.f2291B.j();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public int j() {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
        }
        return 0;
    }

    public boolean k(int i2) {
        return this.f2291B.i(i2);
    }

    @Override // android.view.ViewGroup
    protected void measureChild(View view, int i2, int i3) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        view.measure(FrameLayout.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft(), layoutParams.width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    @Override // android.view.ViewGroup
    protected void measureChildWithMargins(View view, int i2, int i3, int i4, int i5) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(FrameLayout.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i3, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    @Override // android.view.ViewGroup, android.view.View
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.l = false;
    }

    @Override // android.view.View
    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f2;
        int i2;
        if (motionEvent.getAction() == 8 && !this.f2302n) {
            if (C0169o.i(motionEvent, 2)) {
                f2 = motionEvent.getAxisValue(9);
                i2 = (int) motionEvent.getX();
            } else if (C0169o.i(motionEvent, 4194304)) {
                float axisValue = motionEvent.getAxisValue(26);
                i2 = getWidth() / 2;
                f2 = axisValue;
            } else {
                f2 = 0.0f;
                i2 = 0;
            }
            if (f2 != 0.0f) {
                if (this.f2292C == 0.0f) {
                    TypedValue typedValue = new TypedValue();
                    Context context = getContext();
                    if (!context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                        throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
                    }
                    this.f2292C = typedValue.getDimension(context.getResources().getDisplayMetrics());
                }
                t(-((int) (f2 * this.f2292C)), i2, 1, C0169o.i(motionEvent, 8194));
                return true;
            }
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:51:0x00e4  */
    /* JADX WARN: Removed duplicated region for block: B:58:0x00fa  */
    @Override // android.view.ViewGroup
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z2;
        int action = motionEvent.getAction();
        boolean z3 = true;
        if (action == 2 && this.f2302n) {
            return true;
        }
        int i2 = action & 255;
        if (i2 != 0) {
            if (i2 != 1) {
                if (i2 == 2) {
                    int i3 = this.f2308u;
                    if (i3 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i3);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i3 + " in onInterceptTouchEvent");
                        } else {
                            int y2 = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y2 - this.f2299j) > this.r && (2 & getNestedScrollAxes()) == 0) {
                                this.f2302n = true;
                                this.f2299j = y2;
                                if (this.f2303o == null) {
                                    this.f2303o = VelocityTracker.obtain();
                                }
                                this.f2303o.addMovement(motionEvent);
                                this.x = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                } else if (i2 != 3) {
                    if (i2 == 6) {
                        o(motionEvent);
                    }
                }
            }
            this.f2302n = false;
            this.f2308u = -1;
            q();
            if (this.f2296g.springBack(getScrollX(), getScrollY(), 0, 0, 0, j())) {
                c0.y(this);
            }
            this.f2291B.m(0);
        } else {
            int y3 = (int) motionEvent.getY();
            int x = (int) motionEvent.getX();
            if (getChildCount() > 0) {
                int scrollY = getScrollY();
                View childAt = getChildAt(0);
                if (y3 >= childAt.getTop() - scrollY && y3 < childAt.getBottom() - scrollY && x >= childAt.getLeft() && x < childAt.getRight()) {
                    z2 = true;
                    if (z2) {
                        if (!A(motionEvent) && this.f2296g.isFinished()) {
                            z3 = false;
                        }
                        this.f2302n = z3;
                        q();
                    } else {
                        this.f2299j = y3;
                        this.f2308u = motionEvent.getPointerId(0);
                        VelocityTracker velocityTracker = this.f2303o;
                        if (velocityTracker == null) {
                            this.f2303o = VelocityTracker.obtain();
                        } else {
                            velocityTracker.clear();
                        }
                        this.f2303o.addMovement(motionEvent);
                        this.f2296g.computeScrollOffset();
                        if (!A(motionEvent) && this.f2296g.isFinished()) {
                            z3 = false;
                        }
                        this.f2302n = z3;
                        z(2, 0);
                    }
                }
            }
            z2 = false;
            if (z2) {
            }
        }
        return this.f2302n;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        super.onLayout(z2, i2, i3, i4, i5);
        int i6 = 0;
        this.f2300k = false;
        View view = this.f2301m;
        if (view != null && l(view, this)) {
            u(this.f2301m);
        }
        this.f2301m = null;
        if (!this.l) {
            if (this.f2312z != null) {
                scrollTo(getScrollX(), this.f2312z.f2345d);
                this.f2312z = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i6 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            }
            int paddingTop = ((i5 - i3) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            int c2 = c(scrollY, paddingTop, i6);
            if (c2 != scrollY) {
                scrollTo(getScrollX(), c2);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.l = true;
    }

    @Override // android.widget.FrameLayout, android.view.View
    protected void onMeasure(int i2, int i3) {
        super.onMeasure(i2, i3);
        if (this.f2304p && View.MeasureSpec.getMode(i3) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(FrameLayout.getChildMeasureSpec(i2, getPaddingRight() + getPaddingLeft() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, 1073741824));
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public boolean onNestedFling(View view, float f2, float f3, boolean z2) {
        if (z2) {
            return false;
        }
        dispatchNestedFling(0.0f, f3, true);
        h((int) f3);
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public boolean onNestedPreFling(View view, float f2, float f3) {
        return dispatchNestedPreFling(f2, f3);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr) {
        e(i2, i3, iArr, null, 0);
    }

    @Override // androidx.core.view.InterfaceC0178y
    public void onNestedPreScroll(View view, int i2, int i3, int[] iArr, int i4) {
        e(i2, i3, iArr, null, i4);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5) {
        n(i5, 0, null);
    }

    @Override // androidx.core.view.InterfaceC0178y
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6) {
        n(i5, i6, null);
    }

    @Override // androidx.core.view.InterfaceC0179z
    public void onNestedScroll(View view, int i2, int i3, int i4, int i5, int i6, int[] iArr) {
        n(i5, i6, iArr);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public void onNestedScrollAccepted(View view, View view2, int i2) {
        this.f2290A.b(i2, 0);
        z(2, 0);
    }

    @Override // androidx.core.view.InterfaceC0178y
    public void onNestedScrollAccepted(View view, View view2, int i2, int i3) {
        this.f2290A.b(i2, i3);
        z(2, i3);
    }

    @Override // android.view.View
    protected void onOverScrolled(int i2, int i3, boolean z2, boolean z3) {
        super.scrollTo(i2, i3);
    }

    @Override // android.view.ViewGroup
    protected boolean onRequestFocusInDescendants(int i2, Rect rect) {
        if (i2 == 2) {
            i2 = 130;
        } else if (i2 == 1) {
            i2 = 33;
        }
        FocusFinder focusFinder = FocusFinder.getInstance();
        View findNextFocus = rect == null ? focusFinder.findNextFocus(this, null, i2) : focusFinder.findNextFocusFromRect(this, rect, i2);
        if (findNextFocus == null || (true ^ m(findNextFocus, 0, getHeight()))) {
            return false;
        }
        return findNextFocus.requestFocus(i2, rect);
    }

    @Override // android.view.View
    protected void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof n)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        n nVar = (n) parcelable;
        super.onRestoreInstanceState(nVar.getSuperState());
        this.f2312z = nVar;
        requestLayout();
    }

    @Override // android.view.View
    protected Parcelable onSaveInstanceState() {
        n nVar = new n(super.onSaveInstanceState());
        nVar.f2345d = getScrollY();
        return nVar;
    }

    @Override // android.view.View
    protected void onScrollChanged(int i2, int i3, int i4, int i5) {
        super.onScrollChanged(i2, i3, i4, i5);
        m mVar = this.f2293D;
        if (mVar != null) {
            mVar.a(this, i2, i3, i4, i5);
        }
    }

    @Override // android.view.View
    protected void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        View findFocus = findFocus();
        if (findFocus == null || this == findFocus || !m(findFocus, 0, i5)) {
            return;
        }
        findFocus.getDrawingRect(this.f2295f);
        offsetDescendantRectToMyCoords(findFocus, this.f2295f);
        int d2 = d(this.f2295f);
        if (d2 != 0) {
            if (this.f2305q) {
                x(0, d2, 250, false);
            } else {
                scrollBy(0, d2);
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public boolean onStartNestedScroll(View view, View view2, int i2) {
        return (i2 & 2) != 0;
    }

    @Override // androidx.core.view.InterfaceC0178y
    public boolean onStartNestedScroll(View view, View view2, int i2, int i3) {
        return (i2 & 2) != 0;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent, androidx.core.view.A
    public void onStopNestedScroll(View view) {
        this.f2290A.d(0);
        B(0);
    }

    @Override // androidx.core.view.InterfaceC0178y
    public void onStopNestedScroll(View view, int i2) {
        this.f2290A.d(i2);
        B(i2);
    }

    /* JADX WARN: Code restructure failed: missing block: B:26:0x0075, code lost:
        if (r13.f2296g.springBack(getScrollX(), getScrollY(), 0, 0, 0, j()) != false) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x01b5, code lost:
        if (r13.f2296g.springBack(getScrollX(), getScrollY(), 0, 0, 0, j()) != false) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:83:0x01b7, code lost:
        androidx.core.view.c0.y(r13);
     */
    /* JADX WARN: Removed duplicated region for block: B:78:0x0191  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        int i2;
        int i3;
        EdgeEffect edgeEffect;
        float f2;
        EdgeEffect edgeEffect2;
        if (this.f2303o == null) {
            this.f2303o = VelocityTracker.obtain();
        }
        int actionMasked = motionEvent.getActionMasked();
        boolean z2 = false;
        if (actionMasked == 0) {
            this.x = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        float f3 = 0.0f;
        obtain.offsetLocation(0.0f, this.x);
        if (actionMasked != 0) {
            if (actionMasked == 1) {
                VelocityTracker velocityTracker = this.f2303o;
                velocityTracker.computeCurrentVelocity(1000, this.f2307t);
                int yVelocity = (int) velocityTracker.getYVelocity(this.f2308u);
                if (Math.abs(yVelocity) >= this.f2306s) {
                    if (c.c(this.f2297h) == 0.0f) {
                        if (c.c(this.f2298i) != 0.0f) {
                            i2 = -yVelocity;
                            if (w(this.f2298i, i2)) {
                                edgeEffect = this.f2298i;
                                edgeEffect.onAbsorb(i2);
                            } else {
                                i3 = i2;
                                h(i3);
                            }
                        }
                        if (!z2) {
                            int i4 = -yVelocity;
                            float f4 = i4;
                            if (!dispatchNestedPreFling(0.0f, f4)) {
                                dispatchNestedFling(0.0f, f4, true);
                                h(i4);
                            }
                        }
                    } else if (w(this.f2297h, yVelocity)) {
                        edgeEffect = this.f2297h;
                        i2 = yVelocity;
                        edgeEffect.onAbsorb(i2);
                    } else {
                        i3 = -yVelocity;
                        h(i3);
                    }
                    z2 = true;
                    if (!z2) {
                    }
                }
                f();
            } else if (actionMasked == 2) {
                int findPointerIndex = motionEvent.findPointerIndex(this.f2308u);
                if (findPointerIndex == -1) {
                    StringBuilder y2 = X.l.y("Invalid pointerId=");
                    y2.append(this.f2308u);
                    y2.append(" in onTouchEvent");
                    Log.e("NestedScrollView", y2.toString());
                } else {
                    int y3 = (int) motionEvent.getY(findPointerIndex);
                    int i5 = this.f2299j - y3;
                    float x = motionEvent.getX(findPointerIndex) / getWidth();
                    float height = i5 / getHeight();
                    if (c.c(this.f2297h) != 0.0f) {
                        f2 = -c.f(this.f2297h, -height, x);
                        if (c.c(this.f2297h) == 0.0f) {
                            edgeEffect2 = this.f2297h;
                            edgeEffect2.onRelease();
                        }
                        f3 = f2;
                    } else if (c.c(this.f2298i) != 0.0f) {
                        f2 = c.f(this.f2298i, height, 1.0f - x);
                        if (c.c(this.f2298i) == 0.0f) {
                            edgeEffect2 = this.f2298i;
                            edgeEffect2.onRelease();
                        }
                        f3 = f2;
                    }
                    int round = Math.round(f3 * getHeight());
                    if (round != 0) {
                        invalidate();
                    }
                    int i6 = i5 - round;
                    if (!this.f2302n && Math.abs(i6) > this.r) {
                        ViewParent parent2 = getParent();
                        if (parent2 != null) {
                            parent2.requestDisallowInterceptTouchEvent(true);
                        }
                        this.f2302n = true;
                        int i7 = this.r;
                        i6 = i6 > 0 ? i6 - i7 : i6 + i7;
                    }
                    if (this.f2302n) {
                        int t2 = t(i6, (int) motionEvent.getX(findPointerIndex), 0, false);
                        this.f2299j = y3 - t2;
                        this.x += t2;
                    }
                }
            } else if (actionMasked == 3) {
                if (this.f2302n) {
                    if (getChildCount() > 0) {
                    }
                }
                f();
            } else if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                this.f2299j = (int) motionEvent.getY(actionIndex);
                this.f2308u = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                o(motionEvent);
                this.f2299j = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f2308u));
            }
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f2302n && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f2296g.isFinished()) {
                a();
            }
            int pointerId = motionEvent.getPointerId(0);
            this.f2299j = (int) motionEvent.getY();
            this.f2308u = pointerId;
            z(2, 0);
        }
        VelocityTracker velocityTracker2 = this.f2303o;
        if (velocityTracker2 != null) {
            velocityTracker2.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    /* JADX WARN: Removed duplicated region for block: B:38:0x0057  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x005a  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:49:0x0083 A[ADDED_TO_REGION] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    boolean p(int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        boolean z2;
        boolean z3;
        int overScrollMode = getOverScrollMode();
        boolean z4 = computeHorizontalScrollRange() > computeHorizontalScrollExtent();
        boolean z5 = computeVerticalScrollRange() > computeVerticalScrollExtent();
        boolean z6 = overScrollMode == 0 || (overScrollMode == 1 && z4);
        boolean z7 = overScrollMode == 0 || (overScrollMode == 1 && z5);
        int i10 = i4 + i2;
        int i11 = !z6 ? 0 : i8;
        int i12 = i5 + i3;
        int i13 = !z7 ? 0 : i9;
        int i14 = -i11;
        int i15 = i11 + i6;
        int i16 = -i13;
        int i17 = i13 + i7;
        if (i10 > i15) {
            i10 = i15;
        } else if (i10 >= i14) {
            z2 = false;
            if (i12 <= i17) {
                i12 = i17;
            } else if (i12 >= i16) {
                z3 = false;
                if (z3 && !k(1)) {
                    this.f2296g.springBack(i10, i12, 0, 0, 0, j());
                }
                onOverScrolled(i10, i12, z2, z3);
                return !z2 || z3;
            } else {
                i12 = i16;
            }
            z3 = true;
            if (z3) {
                this.f2296g.springBack(i10, i12, 0, 0, 0, j());
            }
            onOverScrolled(i10, i12, z2, z3);
            if (z2) {
            }
        } else {
            i10 = i14;
        }
        z2 = true;
        if (i12 <= i17) {
        }
        z3 = true;
        if (z3) {
        }
        onOverScrolled(i10, i12, z2, z3);
        if (z2) {
        }
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestChildFocus(View view, View view2) {
        if (this.f2300k) {
            this.f2301m = view2;
        } else {
            u(view2);
        }
        super.requestChildFocus(view, view2);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z2) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        int d2 = d(rect);
        boolean z3 = d2 != 0;
        if (z3) {
            if (z2) {
                scrollBy(0, d2);
            } else {
                x(0, d2, 250, false);
            }
        }
        return z3;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void requestDisallowInterceptTouchEvent(boolean z2) {
        if (z2) {
            q();
        }
        super.requestDisallowInterceptTouchEvent(z2);
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        this.f2300k = true;
        super.requestLayout();
    }

    @Override // android.view.View
    public void scrollTo(int i2, int i3) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int c2 = c(i2, (getWidth() - getPaddingLeft()) - getPaddingRight(), childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
            int c3 = c(i3, (getHeight() - getPaddingTop()) - getPaddingBottom(), childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
            if (c2 == getScrollX() && c3 == getScrollY()) {
                return;
            }
            super.scrollTo(c2, c3);
        }
    }

    @Override // android.view.View
    public void setNestedScrollingEnabled(boolean z2) {
        this.f2291B.k(z2);
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup
    public boolean shouldDelayChildPressedState() {
        return true;
    }

    @Override // android.view.View
    public boolean startNestedScroll(int i2) {
        return this.f2291B.l(i2, 0);
    }

    @Override // android.view.View, androidx.core.view.InterfaceC0176w
    public void stopNestedScroll() {
        this.f2291B.m(0);
    }

    public void v(m mVar) {
        this.f2293D = mVar;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void y(int i2, int i3, boolean z2) {
        x(i2 - getScrollX(), i3 - getScrollY(), 250, z2);
    }

    public boolean z(int i2, int i3) {
        return this.f2291B.l(i2, i3);
    }
}
