package androidx.core.widget;

import android.content.res.ColorStateList;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.Log;
import android.view.ActionMode;
import android.view.Gravity;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.EdgeEffect;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.core.view.c0;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
/* loaded from: classes.dex */
public class c {

    /* renamed from: a  reason: collision with root package name */
    private static Field f2324a;

    /* renamed from: b  reason: collision with root package name */
    private static boolean f2325b;

    /* renamed from: c  reason: collision with root package name */
    private static Method f2326c;

    /* renamed from: d  reason: collision with root package name */
    private static boolean f2327d;
    private static Field e;

    /* renamed from: f  reason: collision with root package name */
    private static boolean f2328f;

    public static boolean a(ListView listView, int i2) {
        if (Build.VERSION.SDK_INT >= 19) {
            return j.a(listView, i2);
        }
        int childCount = listView.getChildCount();
        if (childCount == 0) {
            return false;
        }
        int firstVisiblePosition = listView.getFirstVisiblePosition();
        if (i2 > 0) {
            return firstVisiblePosition + childCount < listView.getCount() || listView.getChildAt(childCount + (-1)).getBottom() > listView.getHeight() - listView.getListPaddingBottom();
        }
        return firstVisiblePosition > 0 || listView.getChildAt(0).getTop() < listView.getListPaddingTop();
    }

    public static Drawable b(CompoundButton compoundButton) {
        if (Build.VERSION.SDK_INT >= 23) {
            return e.a(compoundButton);
        }
        if (!f2325b) {
            try {
                Field declaredField = CompoundButton.class.getDeclaredField("mButtonDrawable");
                f2324a = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException e2) {
                Log.i("CompoundButtonCompat", "Failed to retrieve mButtonDrawable field", e2);
            }
            f2325b = true;
        }
        Field field = f2324a;
        if (field != null) {
            try {
                return (Drawable) field.get(compoundButton);
            } catch (IllegalAccessException e3) {
                Log.i("CompoundButtonCompat", "Failed to get button drawable via reflection", e3);
                f2324a = null;
            }
        }
        return null;
    }

    public static float c(EdgeEffect edgeEffect) {
        if (Build.VERSION.SDK_INT >= 31) {
            return g.b(edgeEffect);
        }
        return 0.0f;
    }

    public static ColorStateList d(ImageView imageView) {
        if (Build.VERSION.SDK_INT >= 21) {
            return h.a(imageView);
        }
        if (imageView instanceof y) {
            return ((y) imageView).e();
        }
        return null;
    }

    public static PorterDuff.Mode e(ImageView imageView) {
        if (Build.VERSION.SDK_INT >= 21) {
            return h.b(imageView);
        }
        if (imageView instanceof y) {
            return ((y) imageView).b();
        }
        return null;
    }

    public static float f(EdgeEffect edgeEffect, float f2, float f3) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 31) {
            return g.c(edgeEffect, f2, f3);
        }
        if (i2 >= 21) {
            f.a(edgeEffect, f2, f3);
        } else {
            edgeEffect.onPull(f2);
        }
        return f2;
    }

    public static void g(CompoundButton compoundButton, ColorStateList colorStateList) {
        if (Build.VERSION.SDK_INT >= 21) {
            d.c(compoundButton, colorStateList);
        } else if (compoundButton instanceof w) {
            ((w) compoundButton).b(colorStateList);
        }
    }

    public static void h(CompoundButton compoundButton, PorterDuff.Mode mode) {
        if (Build.VERSION.SDK_INT >= 21) {
            d.d(compoundButton, mode);
        } else if (compoundButton instanceof w) {
            ((w) compoundButton).a(mode);
        }
    }

    public static void i(TextView textView, ColorStateList colorStateList) {
        textView.getClass();
        if (Build.VERSION.SDK_INT >= 24) {
            r.f(textView, colorStateList);
        } else if (textView instanceof x) {
            ((x) textView).e(colorStateList);
        }
    }

    public static void j(TextView textView, PorterDuff.Mode mode) {
        textView.getClass();
        if (Build.VERSION.SDK_INT >= 24) {
            r.g(textView, mode);
        } else if (textView instanceof x) {
            ((x) textView).k(mode);
        }
    }

    public static void k(TextView textView, int i2) {
        androidx.core.util.c.d(i2);
        if (Build.VERSION.SDK_INT >= 28) {
            s.c(textView, i2);
            return;
        }
        Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
        int i3 = q.a(textView) ? fontMetricsInt.top : fontMetricsInt.ascent;
        if (i2 > Math.abs(i3)) {
            textView.setPadding(textView.getPaddingLeft(), i2 + i3, textView.getPaddingRight(), textView.getPaddingBottom());
        }
    }

    public static void l(ImageView imageView, ColorStateList colorStateList) {
        Drawable drawable;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 21) {
            if (imageView instanceof y) {
                ((y) imageView).j(colorStateList);
                return;
            }
            return;
        }
        h.c(imageView, colorStateList);
        if (i2 != 21 || (drawable = imageView.getDrawable()) == null || h.a(imageView) == null) {
            return;
        }
        if (drawable.isStateful()) {
            drawable.setState(imageView.getDrawableState());
        }
        imageView.setImageDrawable(drawable);
    }

    public static void m(ImageView imageView, PorterDuff.Mode mode) {
        Drawable drawable;
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 21) {
            if (imageView instanceof y) {
                ((y) imageView).d(mode);
                return;
            }
            return;
        }
        h.d(imageView, mode);
        if (i2 != 21 || (drawable = imageView.getDrawable()) == null || h.a(imageView) == null) {
            return;
        }
        if (drawable.isStateful()) {
            drawable.setState(imageView.getDrawableState());
        }
        imageView.setImageDrawable(drawable);
    }

    public static void n(TextView textView, int i2) {
        androidx.core.util.c.d(i2);
        Paint.FontMetricsInt fontMetricsInt = textView.getPaint().getFontMetricsInt();
        int i3 = q.a(textView) ? fontMetricsInt.bottom : fontMetricsInt.descent;
        if (i2 > Math.abs(i3)) {
            textView.setPadding(textView.getPaddingLeft(), textView.getPaddingTop(), textView.getPaddingRight(), i2 - i3);
        }
    }

    public static void o(TextView textView, int i2) {
        androidx.core.util.c.d(i2);
        int fontMetricsInt = textView.getPaint().getFontMetricsInt(null);
        if (i2 != fontMetricsInt) {
            textView.setLineSpacing(i2 - fontMetricsInt, 1.0f);
        }
    }

    public static void p(PopupWindow popupWindow, boolean z2) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 23) {
            p.c(popupWindow, z2);
        } else if (i2 >= 21) {
            if (!f2328f) {
                try {
                    Field declaredField = PopupWindow.class.getDeclaredField("mOverlapAnchor");
                    e = declaredField;
                    declaredField.setAccessible(true);
                } catch (NoSuchFieldException e2) {
                    Log.i("PopupWindowCompatApi21", "Could not fetch mOverlapAnchor field from PopupWindow", e2);
                }
                f2328f = true;
            }
            Field field = e;
            if (field != null) {
                try {
                    field.set(popupWindow, Boolean.valueOf(z2));
                } catch (IllegalAccessException e3) {
                    Log.i("PopupWindowCompatApi21", "Could not set overlap anchor field in PopupWindow", e3);
                }
            }
        }
    }

    public static void q(PopupWindow popupWindow, int i2) {
        if (Build.VERSION.SDK_INT >= 23) {
            p.d(popupWindow, i2);
            return;
        }
        if (!f2327d) {
            try {
                Method declaredMethod = PopupWindow.class.getDeclaredMethod("setWindowLayoutType", Integer.TYPE);
                f2326c = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (Exception unused) {
            }
            f2327d = true;
        }
        Method method = f2326c;
        if (method != null) {
            try {
                method.invoke(popupWindow, Integer.valueOf(i2));
            } catch (Exception unused2) {
            }
        }
    }

    public static void r(PopupWindow popupWindow, View view, int i2, int i3, int i4) {
        if (Build.VERSION.SDK_INT >= 19) {
            o.a(popupWindow, view, i2, i3, i4);
            return;
        }
        if ((Gravity.getAbsoluteGravity(i4, c0.k(view)) & 7) == 5) {
            i2 -= popupWindow.getWidth() - view.getWidth();
        }
        popupWindow.showAsDropDown(view, i2, i3);
    }

    public static ActionMode.Callback s(ActionMode.Callback callback) {
        return (!(callback instanceof t) || Build.VERSION.SDK_INT < 26) ? callback : ((t) callback).a();
    }

    public static ActionMode.Callback t(TextView textView, ActionMode.Callback callback) {
        int i2 = Build.VERSION.SDK_INT;
        return (i2 < 26 || i2 > 27 || (callback instanceof t) || callback == null) ? callback : new t(callback, textView);
    }
}
