package androidx.exifinterface.media;

import X.l;
import android.util.Log;
import java.io.ByteArrayInputStream;
import java.io.DataInput;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteOrder;
/* loaded from: classes.dex */
class b extends InputStream implements DataInput {

    /* renamed from: h  reason: collision with root package name */
    private static final ByteOrder f2415h = ByteOrder.LITTLE_ENDIAN;

    /* renamed from: i  reason: collision with root package name */
    private static final ByteOrder f2416i = ByteOrder.BIG_ENDIAN;

    /* renamed from: d  reason: collision with root package name */
    final DataInputStream f2417d;
    private ByteOrder e;

    /* renamed from: f  reason: collision with root package name */
    int f2418f;

    /* renamed from: g  reason: collision with root package name */
    private byte[] f2419g;

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(InputStream inputStream, ByteOrder byteOrder) {
        this.e = ByteOrder.BIG_ENDIAN;
        DataInputStream dataInputStream = new DataInputStream(inputStream);
        this.f2417d = dataInputStream;
        dataInputStream.mark(0);
        this.f2418f = 0;
        this.e = byteOrder;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public b(byte[] bArr) {
        this(new ByteArrayInputStream(bArr), ByteOrder.BIG_ENDIAN);
    }

    public long a() {
        return readInt() & 4294967295L;
    }

    @Override // java.io.InputStream
    public int available() {
        return this.f2417d.available();
    }

    public void c(ByteOrder byteOrder) {
        this.e = byteOrder;
    }

    public void g(int i2) {
        int i3 = 0;
        while (i3 < i2) {
            int i4 = i2 - i3;
            int skip = (int) this.f2417d.skip(i4);
            if (skip <= 0) {
                if (this.f2419g == null) {
                    this.f2419g = new byte[8192];
                }
                skip = this.f2417d.read(this.f2419g, 0, Math.min(8192, i4));
                if (skip == -1) {
                    throw new EOFException("Reached EOF while skipping " + i2 + " bytes.");
                }
            }
            i3 += skip;
        }
        this.f2418f += i3;
    }

    @Override // java.io.InputStream
    public void mark(int i2) {
        throw new UnsupportedOperationException("Mark is currently unsupported");
    }

    @Override // java.io.InputStream
    public int read() {
        this.f2418f++;
        return this.f2417d.read();
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i2, int i3) {
        int read = this.f2417d.read(bArr, i2, i3);
        this.f2418f += read;
        return read;
    }

    @Override // java.io.DataInput
    public boolean readBoolean() {
        this.f2418f++;
        return this.f2417d.readBoolean();
    }

    @Override // java.io.DataInput
    public byte readByte() {
        this.f2418f++;
        int read = this.f2417d.read();
        if (read >= 0) {
            return (byte) read;
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    public char readChar() {
        this.f2418f += 2;
        return this.f2417d.readChar();
    }

    @Override // java.io.DataInput
    public double readDouble() {
        return Double.longBitsToDouble(readLong());
    }

    @Override // java.io.DataInput
    public float readFloat() {
        return Float.intBitsToFloat(readInt());
    }

    @Override // java.io.DataInput
    public void readFully(byte[] bArr) {
        this.f2418f += bArr.length;
        this.f2417d.readFully(bArr);
    }

    @Override // java.io.DataInput
    public void readFully(byte[] bArr, int i2, int i3) {
        this.f2418f += i3;
        this.f2417d.readFully(bArr, i2, i3);
    }

    @Override // java.io.DataInput
    public int readInt() {
        this.f2418f += 4;
        int read = this.f2417d.read();
        int read2 = this.f2417d.read();
        int read3 = this.f2417d.read();
        int read4 = this.f2417d.read();
        if ((read | read2 | read3 | read4) >= 0) {
            ByteOrder byteOrder = this.e;
            if (byteOrder == f2415h) {
                return (read4 << 24) + (read3 << 16) + (read2 << 8) + read;
            }
            if (byteOrder == f2416i) {
                return (read << 24) + (read2 << 16) + (read3 << 8) + read4;
            }
            StringBuilder y2 = l.y("Invalid byte order: ");
            y2.append(this.e);
            throw new IOException(y2.toString());
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    public String readLine() {
        Log.d("ExifInterface", "Currently unsupported");
        return null;
    }

    @Override // java.io.DataInput
    public long readLong() {
        this.f2418f += 8;
        int read = this.f2417d.read();
        int read2 = this.f2417d.read();
        int read3 = this.f2417d.read();
        int read4 = this.f2417d.read();
        int read5 = this.f2417d.read();
        int read6 = this.f2417d.read();
        int read7 = this.f2417d.read();
        int read8 = this.f2417d.read();
        if ((read | read2 | read3 | read4 | read5 | read6 | read7 | read8) >= 0) {
            ByteOrder byteOrder = this.e;
            if (byteOrder == f2415h) {
                return (read8 << 56) + (read7 << 48) + (read6 << 40) + (read5 << 32) + (read4 << 24) + (read3 << 16) + (read2 << 8) + read;
            }
            if (byteOrder == f2416i) {
                return (read << 56) + (read2 << 48) + (read3 << 40) + (read4 << 32) + (read5 << 24) + (read6 << 16) + (read7 << 8) + read8;
            }
            StringBuilder y2 = l.y("Invalid byte order: ");
            y2.append(this.e);
            throw new IOException(y2.toString());
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    public short readShort() {
        this.f2418f += 2;
        int read = this.f2417d.read();
        int read2 = this.f2417d.read();
        if ((read | read2) >= 0) {
            ByteOrder byteOrder = this.e;
            if (byteOrder == f2415h) {
                return (short) ((read2 << 8) + read);
            }
            if (byteOrder == f2416i) {
                return (short) ((read << 8) + read2);
            }
            StringBuilder y2 = l.y("Invalid byte order: ");
            y2.append(this.e);
            throw new IOException(y2.toString());
        }
        throw new EOFException();
    }

    @Override // java.io.DataInput
    public String readUTF() {
        this.f2418f += 2;
        return this.f2417d.readUTF();
    }

    @Override // java.io.DataInput
    public int readUnsignedByte() {
        this.f2418f++;
        return this.f2417d.readUnsignedByte();
    }

    @Override // java.io.DataInput
    public int readUnsignedShort() {
        this.f2418f += 2;
        int read = this.f2417d.read();
        int read2 = this.f2417d.read();
        if ((read | read2) >= 0) {
            ByteOrder byteOrder = this.e;
            if (byteOrder == f2415h) {
                return (read2 << 8) + read;
            }
            if (byteOrder == f2416i) {
                return (read << 8) + read2;
            }
            StringBuilder y2 = l.y("Invalid byte order: ");
            y2.append(this.e);
            throw new IOException(y2.toString());
        }
        throw new EOFException();
    }

    @Override // java.io.InputStream
    public void reset() {
        throw new UnsupportedOperationException("Reset is currently unsupported");
    }

    @Override // java.io.DataInput
    public int skipBytes(int i2) {
        throw new UnsupportedOperationException("skipBytes is currently unsupported");
    }
}
