package androidx.fragment.app;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.widget.FrameLayout;
import androidx.core.view.x0;
import com.jsjt2hk.app.R;
import java.lang.reflect.Modifier;
import java.util.ArrayList;
/* renamed from: androidx.fragment.app.v  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public final class C0210v extends FrameLayout {

    /* renamed from: d  reason: collision with root package name */
    private ArrayList f2732d;
    private ArrayList e;

    /* renamed from: f  reason: collision with root package name */
    private View.OnApplyWindowInsetsListener f2733f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f2734g;

    /* JADX INFO: Access modifiers changed from: package-private */
    public C0210v(Context context, AttributeSet attributeSet, J j2) {
        super(context, attributeSet);
        this.f2734g = true;
        String classAttribute = attributeSet.getClassAttribute();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, G0.i.f419K);
        classAttribute = classAttribute == null ? obtainStyledAttributes.getString(0) : classAttribute;
        String string = obtainStyledAttributes.getString(1);
        obtainStyledAttributes.recycle();
        int id = getId();
        ComponentCallbacksC0203n S2 = j2.S(id);
        if (classAttribute != null && S2 == null) {
            if (id <= 0) {
                throw new IllegalStateException(X.l.v("FragmentContainerView must have an android:id to add Fragment ", classAttribute, string != null ? X.l.u(" with tag ", string) : ""));
            }
            ComponentCallbacksC0203n a2 = j2.X().a(context.getClassLoader(), classAttribute);
            a2.v(attributeSet, null);
            C0190a c0190a = new C0190a(j2);
            c0190a.f2580o = true;
            a2.f2692G = this;
            int id2 = getId();
            int modifiers = ComponentCallbacksC0203n.class.getModifiers();
            if (ComponentCallbacksC0203n.class.isAnonymousClass() || !Modifier.isPublic(modifiers) || (ComponentCallbacksC0203n.class.isMemberClass() && !Modifier.isStatic(modifiers))) {
                StringBuilder y2 = X.l.y("Fragment ");
                y2.append(ComponentCallbacksC0203n.class.getCanonicalName());
                y2.append(" must be a public static class to be  properly recreated from instance state.");
                throw new IllegalStateException(y2.toString());
            }
            if (string != null) {
                String str = a2.f2686A;
                if (str != null && !string.equals(str)) {
                    throw new IllegalStateException("Can't change tag of fragment " + a2 + ": was " + a2.f2686A + " now " + string);
                }
                a2.f2686A = string;
            }
            if (id2 != 0) {
                if (id2 == -1) {
                    throw new IllegalArgumentException("Can't add fragment " + a2 + " with tag " + string + " to container view with no id");
                }
                int i2 = a2.f2721y;
                if (i2 != 0 && i2 != id2) {
                    throw new IllegalStateException("Can't change container ID of fragment " + a2 + ": was " + a2.f2721y + " now " + id2);
                }
                a2.f2721y = id2;
                a2.f2722z = id2;
            }
            c0190a.b(new S(1, a2));
            J j3 = c0190a.f2611p;
            a2.f2718u = j3;
            if (!c0190a.f2573g) {
                j3.O(c0190a, true);
            } else {
                throw new IllegalStateException("This transaction is already being added to the back stack");
            }
        }
        j2.u0(this);
    }

    private void a(View view) {
        ArrayList arrayList = this.e;
        if (arrayList == null || !arrayList.contains(view)) {
            return;
        }
        if (this.f2732d == null) {
            this.f2732d = new ArrayList();
        }
        this.f2732d.add(view);
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i2, ViewGroup.LayoutParams layoutParams) {
        Object tag = view.getTag(R.id.fragment_container_view_tag);
        if ((tag instanceof ComponentCallbacksC0203n ? (ComponentCallbacksC0203n) tag : null) != null) {
            super.addView(view, i2, layoutParams);
            return;
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    @Override // android.view.ViewGroup
    protected boolean addViewInLayout(View view, int i2, ViewGroup.LayoutParams layoutParams, boolean z2) {
        Object tag = view.getTag(R.id.fragment_container_view_tag);
        if ((tag instanceof ComponentCallbacksC0203n ? (ComponentCallbacksC0203n) tag : null) != null) {
            return super.addViewInLayout(view, i2, layoutParams, z2);
        }
        throw new IllegalStateException("Views added to a FragmentContainerView must be associated with a Fragment. View " + view + " is not associated with a Fragment.");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void b(boolean z2) {
        this.f2734g = z2;
    }

    @Override // android.view.ViewGroup, android.view.View
    public WindowInsets dispatchApplyWindowInsets(WindowInsets windowInsets) {
        x0 q2 = x0.q(windowInsets, null);
        View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = this.f2733f;
        x0 p2 = onApplyWindowInsetsListener != null ? x0.p(onApplyWindowInsetsListener.onApplyWindowInsets(this, windowInsets)) : androidx.core.view.c0.w(this, q2);
        if (!p2.k()) {
            int childCount = getChildCount();
            for (int i2 = 0; i2 < childCount; i2++) {
                androidx.core.view.c0.d(getChildAt(i2), p2);
            }
        }
        return windowInsets;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void dispatchDraw(Canvas canvas) {
        if (this.f2734g && this.f2732d != null) {
            for (int i2 = 0; i2 < this.f2732d.size(); i2++) {
                super.drawChild(canvas, (View) this.f2732d.get(i2), getDrawingTime());
            }
        }
        super.dispatchDraw(canvas);
    }

    @Override // android.view.ViewGroup
    protected boolean drawChild(Canvas canvas, View view, long j2) {
        ArrayList arrayList;
        if (!this.f2734g || (arrayList = this.f2732d) == null || arrayList.size() <= 0 || !this.f2732d.contains(view)) {
            return super.drawChild(canvas, view, j2);
        }
        return false;
    }

    @Override // android.view.ViewGroup
    public void endViewTransition(View view) {
        ArrayList arrayList = this.e;
        if (arrayList != null) {
            arrayList.remove(view);
            ArrayList arrayList2 = this.f2732d;
            if (arrayList2 != null && arrayList2.remove(view)) {
                this.f2734g = true;
            }
        }
        super.endViewTransition(view);
    }

    @Override // android.view.View
    public WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        return windowInsets;
    }

    @Override // android.view.ViewGroup
    public void removeAllViewsInLayout() {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            a(getChildAt(childCount));
        }
        super.removeAllViewsInLayout();
    }

    @Override // android.view.ViewGroup
    protected void removeDetachedView(View view, boolean z2) {
        if (z2) {
            a(view);
        }
        super.removeDetachedView(view, z2);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        a(view);
        super.removeView(view);
    }

    @Override // android.view.ViewGroup
    public void removeViewAt(int i2) {
        a(getChildAt(i2));
        super.removeViewAt(i2);
    }

    @Override // android.view.ViewGroup
    public void removeViewInLayout(View view) {
        a(view);
        super.removeViewInLayout(view);
    }

    @Override // android.view.ViewGroup
    public void removeViews(int i2, int i3) {
        for (int i4 = i2; i4 < i2 + i3; i4++) {
            a(getChildAt(i4));
        }
        super.removeViews(i2, i3);
    }

    @Override // android.view.ViewGroup
    public void removeViewsInLayout(int i2, int i3) {
        for (int i4 = i2; i4 < i2 + i3; i4++) {
            a(getChildAt(i4));
        }
        super.removeViewsInLayout(i2, i3);
    }

    @Override // android.view.ViewGroup
    public void setLayoutTransition(LayoutTransition layoutTransition) {
        throw new UnsupportedOperationException("FragmentContainerView does not support Layout Transitions or animateLayoutChanges=\"true\".");
    }

    @Override // android.view.View
    public void setOnApplyWindowInsetsListener(View.OnApplyWindowInsetsListener onApplyWindowInsetsListener) {
        this.f2733f = onApplyWindowInsetsListener;
    }

    @Override // android.view.ViewGroup
    public void startViewTransition(View view) {
        if (view.getParent() == this) {
            if (this.e == null) {
                this.e = new ArrayList();
            }
            this.e.add(view);
        }
        super.startViewTransition(view);
    }
}
