package androidx.fragment.app;

import android.content.Context;
import android.content.Intent;
import android.content.IntentSender;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.AttributeSet;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import androidx.lifecycle.C0236w;
import androidx.lifecycle.EnumC0227m;
import androidx.lifecycle.EnumC0228n;
import java.io.FileDescriptor;
import java.io.PrintWriter;
/* loaded from: classes.dex */
public class r extends androidx.activity.m implements androidx.core.app.h, androidx.core.app.i {
    static final String FRAGMENTS_TAG = "android:support:fragments";
    boolean mCreated;
    final C0236w mFragmentLifecycleRegistry;
    final C0211w mFragments;
    boolean mResumed;
    boolean mStopped;

    public r() {
        this.mFragments = C0211w.b(new C0206q(this));
        this.mFragmentLifecycleRegistry = new C0236w(this);
        this.mStopped = true;
        init();
    }

    public r(int i2) {
        super(i2);
        this.mFragments = C0211w.b(new C0206q(this));
        this.mFragmentLifecycleRegistry = new C0236w(this);
        this.mStopped = true;
        init();
    }

    private void init() {
        getSavedStateRegistry().g(FRAGMENTS_TAG, new C0204o(this));
        addOnContextAvailableListener(new C0205p(this));
    }

    private static boolean markState(J j2, EnumC0228n enumC0228n) {
        EnumC0228n enumC0228n2 = EnumC0228n.STARTED;
        boolean z2 = false;
        for (ComponentCallbacksC0203n componentCallbacksC0203n : j2.Z()) {
            if (componentCallbacksC0203n != null) {
                AbstractC0213y abstractC0213y = componentCallbacksC0203n.f2719v;
                if ((abstractC0213y == null ? null : abstractC0213y.t()) != null) {
                    z2 |= markState(componentCallbacksC0203n.d(), enumC0228n);
                }
                h0 h0Var = componentCallbacksC0203n.f2700O;
                if (h0Var != null && h0Var.getLifecycle().b().a(enumC0228n2)) {
                    componentCallbacksC0203n.f2700O.c(enumC0228n);
                    z2 = true;
                }
                if (componentCallbacksC0203n.f2699N.b().a(enumC0228n2)) {
                    componentCallbacksC0203n.f2699N.j(enumC0228n);
                    z2 = true;
                }
            }
        }
        return z2;
    }

    final View dispatchFragmentsOnCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        return this.mFragments.v(view, str, context, attributeSet);
    }

    @Override // android.app.Activity
    public void dump(String str, FileDescriptor fileDescriptor, PrintWriter printWriter, String[] strArr) {
        super.dump(str, fileDescriptor, printWriter, strArr);
        printWriter.print(str);
        printWriter.print("Local FragmentActivity ");
        printWriter.print(Integer.toHexString(System.identityHashCode(this)));
        printWriter.println(" State:");
        String str2 = str + "  ";
        printWriter.print(str2);
        printWriter.print("mCreated=");
        printWriter.print(this.mCreated);
        printWriter.print(" mResumed=");
        printWriter.print(this.mResumed);
        printWriter.print(" mStopped=");
        printWriter.print(this.mStopped);
        if (getApplication() != null) {
            androidx.loader.app.a.b(this).a(str2, fileDescriptor, printWriter, strArr);
        }
        this.mFragments.t().K(str, fileDescriptor, printWriter, strArr);
    }

    public J getSupportFragmentManager() {
        return this.mFragments.t();
    }

    @Deprecated
    public androidx.loader.app.a getSupportLoaderManager() {
        return androidx.loader.app.a.b(this);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void markFragmentsCreated() {
        do {
        } while (markState(getSupportFragmentManager(), EnumC0228n.CREATED));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.activity.m, android.app.Activity
    public void onActivityResult(int i2, int i3, Intent intent) {
        this.mFragments.u();
        super.onActivityResult(i2, i3, intent);
    }

    @Deprecated
    public void onAttachFragment(ComponentCallbacksC0203n componentCallbacksC0203n) {
    }

    @Override // androidx.activity.m, android.app.Activity, android.content.ComponentCallbacks
    public void onConfigurationChanged(Configuration configuration) {
        this.mFragments.u();
        super.onConfigurationChanged(configuration);
        this.mFragments.d(configuration);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.activity.m, androidx.core.app.s, android.app.Activity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_CREATE);
        this.mFragments.f();
    }

    @Override // androidx.activity.m, android.app.Activity, android.view.Window.Callback
    public boolean onCreatePanelMenu(int i2, Menu menu) {
        return i2 == 0 ? super.onCreatePanelMenu(i2, menu) | this.mFragments.g(menu, getMenuInflater()) : super.onCreatePanelMenu(i2, menu);
    }

    @Override // android.app.Activity, android.view.LayoutInflater.Factory2
    public View onCreateView(View view, String str, Context context, AttributeSet attributeSet) {
        View dispatchFragmentsOnCreateView = dispatchFragmentsOnCreateView(view, str, context, attributeSet);
        return dispatchFragmentsOnCreateView == null ? super.onCreateView(view, str, context, attributeSet) : dispatchFragmentsOnCreateView;
    }

    @Override // android.app.Activity, android.view.LayoutInflater.Factory
    public View onCreateView(String str, Context context, AttributeSet attributeSet) {
        View dispatchFragmentsOnCreateView = dispatchFragmentsOnCreateView(null, str, context, attributeSet);
        return dispatchFragmentsOnCreateView == null ? super.onCreateView(str, context, attributeSet) : dispatchFragmentsOnCreateView;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onDestroy() {
        super.onDestroy();
        this.mFragments.h();
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_DESTROY);
    }

    @Override // android.app.Activity, android.content.ComponentCallbacks
    public void onLowMemory() {
        super.onLowMemory();
        this.mFragments.i();
    }

    @Override // androidx.activity.m, android.app.Activity, android.view.Window.Callback
    public boolean onMenuItemSelected(int i2, MenuItem menuItem) {
        if (super.onMenuItemSelected(i2, menuItem)) {
            return true;
        }
        if (i2 != 0) {
            if (i2 != 6) {
                return false;
            }
            return this.mFragments.e(menuItem);
        }
        return this.mFragments.k(menuItem);
    }

    @Override // androidx.activity.m, android.app.Activity
    public void onMultiWindowModeChanged(boolean z2) {
        this.mFragments.j(z2);
    }

    @Override // androidx.activity.m, android.app.Activity
    protected void onNewIntent(Intent intent) {
        this.mFragments.u();
        super.onNewIntent(intent);
    }

    @Override // androidx.activity.m, android.app.Activity, android.view.Window.Callback
    public void onPanelClosed(int i2, Menu menu) {
        if (i2 == 0) {
            this.mFragments.l(menu);
        }
        super.onPanelClosed(i2, menu);
    }

    @Override // android.app.Activity
    protected void onPause() {
        super.onPause();
        this.mResumed = false;
        this.mFragments.m();
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_PAUSE);
    }

    @Override // androidx.activity.m, android.app.Activity
    public void onPictureInPictureModeChanged(boolean z2) {
        this.mFragments.n(z2);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onPostResume() {
        super.onPostResume();
        onResumeFragments();
    }

    @Deprecated
    protected boolean onPrepareOptionsPanel(View view, Menu menu) {
        return super.onPreparePanel(0, view, menu);
    }

    @Override // androidx.activity.m, android.app.Activity, android.view.Window.Callback
    public boolean onPreparePanel(int i2, View view, Menu menu) {
        return i2 == 0 ? onPrepareOptionsPanel(view, menu) | this.mFragments.o(menu) : super.onPreparePanel(i2, view, menu);
    }

    @Override // androidx.activity.m, android.app.Activity
    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        this.mFragments.u();
        super.onRequestPermissionsResult(i2, strArr, iArr);
    }

    @Override // android.app.Activity
    protected void onResume() {
        this.mFragments.u();
        super.onResume();
        this.mResumed = true;
        this.mFragments.s();
    }

    protected void onResumeFragments() {
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_RESUME);
        this.mFragments.p();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onStart() {
        this.mFragments.u();
        super.onStart();
        this.mStopped = false;
        if (!this.mCreated) {
            this.mCreated = true;
            this.mFragments.c();
        }
        this.mFragments.s();
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_START);
        this.mFragments.q();
    }

    @Override // android.app.Activity
    public void onStateNotSaved() {
        this.mFragments.u();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onStop() {
        super.onStop();
        this.mStopped = true;
        markFragmentsCreated();
        this.mFragments.r();
        this.mFragmentLifecycleRegistry.f(EnumC0227m.ON_STOP);
    }

    public void setEnterSharedElementCallback(androidx.core.app.x xVar) {
        androidx.core.app.j.m(this);
    }

    public void setExitSharedElementCallback(androidx.core.app.x xVar) {
        androidx.core.app.j.n(this);
    }

    public void startActivityFromFragment(ComponentCallbacksC0203n componentCallbacksC0203n, Intent intent, int i2) {
        startActivityFromFragment(componentCallbacksC0203n, intent, i2, (Bundle) null);
    }

    public void startActivityFromFragment(ComponentCallbacksC0203n componentCallbacksC0203n, Intent intent, int i2, Bundle bundle) {
        if (i2 == -1) {
            androidx.core.app.j.p(this, intent, -1, bundle);
        } else if (componentCallbacksC0203n.f2719v != null) {
            componentCallbacksC0203n.k().p0(componentCallbacksC0203n, intent, i2, bundle);
        } else {
            throw new IllegalStateException("Fragment " + componentCallbacksC0203n + " not attached to Activity");
        }
    }

    @Deprecated
    public void startIntentSenderFromFragment(ComponentCallbacksC0203n componentCallbacksC0203n, IntentSender intentSender, int i2, Intent intent, int i3, int i4, int i5, Bundle bundle) {
        if (i2 == -1) {
            androidx.core.app.j.q(this, intentSender, i2, intent, i3, i4, i5, bundle);
        } else if (componentCallbacksC0203n.f2719v == null) {
            throw new IllegalStateException("Fragment " + componentCallbacksC0203n + " not attached to Activity");
        } else {
            if (J.k0(2)) {
                Log.v("FragmentManager", "Fragment " + componentCallbacksC0203n + " received the following in startIntentSenderForResult() requestCode: " + i2 + " IntentSender: " + intentSender + " fillInIntent: " + intent + " options: " + bundle);
            }
            componentCallbacksC0203n.k().q0(componentCallbacksC0203n, intentSender, i2, intent, i3, i4, i5, bundle);
        }
    }

    public void supportFinishAfterTransition() {
        androidx.core.app.j.j(this);
    }

    @Deprecated
    public void supportInvalidateOptionsMenu() {
        invalidateOptionsMenu();
    }

    public void supportPostponeEnterTransition() {
        androidx.core.app.j.k(this);
    }

    public void supportStartPostponedEnterTransition() {
        androidx.core.app.j.r(this);
    }

    @Override // androidx.core.app.i
    @Deprecated
    public final void validateRequestPermissionsRequestCode(int i2) {
    }
}
