package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Xml;
import androidx.core.content.res.s;
import java.io.IOException;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public class d extends i implements Animatable {
    private b e;

    /* renamed from: f  reason: collision with root package name */
    private Context f2938f;

    /* renamed from: g  reason: collision with root package name */
    private ArgbEvaluator f2939g;

    /* renamed from: h  reason: collision with root package name */
    final Drawable.Callback f2940h;

    /* JADX INFO: Access modifiers changed from: package-private */
    public d() {
        this(null, null, null);
    }

    private d(Context context, b bVar, Resources resources) {
        this.f2939g = null;
        a aVar = new a(this);
        this.f2940h = aVar;
        this.f2938f = context;
        this.e = new b(null, aVar, null);
    }

    public static d a(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        d dVar = new d(context, null, null);
        dVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return dVar;
    }

    private void b(Animator animator) {
        ArrayList<Animator> childAnimations;
        if ((animator instanceof AnimatorSet) && (childAnimations = ((AnimatorSet) animator).getChildAnimations()) != null) {
            for (int i2 = 0; i2 < childAnimations.size(); i2++) {
                b(childAnimations.get(i2));
            }
        }
        if (animator instanceof ObjectAnimator) {
            ObjectAnimator objectAnimator = (ObjectAnimator) animator;
            String propertyName = objectAnimator.getPropertyName();
            if ("fillColor".equals(propertyName) || "strokeColor".equals(propertyName)) {
                if (this.f2939g == null) {
                    this.f2939g = new ArgbEvaluator();
                }
                objectAnimator.setEvaluator(this.f2939g);
            }
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.a(drawable, theme);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean canApplyTheme() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            return androidx.core.graphics.drawable.d.b(drawable);
        }
        return false;
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.e.f2934b.draw(canvas);
        if (this.e.f2935c.isStarted()) {
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.c(drawable) : this.e.f2934b.getAlpha();
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getChangingConfigurations() : super.getChangingConfigurations() | this.e.f2933a;
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.d(drawable) : this.e.f2934b.getColorFilter();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        if (this.f2955d == null || Build.VERSION.SDK_INT < 24) {
            return null;
        }
        return new c(this.f2955d.getConstantState());
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getIntrinsicHeight() : this.e.f2934b.getIntrinsicHeight();
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getIntrinsicWidth() : this.e.f2934b.getIntrinsicWidth();
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getOpacity() : this.e.f2934b.getOpacity();
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        inflate(resources, xmlPullParser, attributeSet, null);
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        TypedArray obtainAttributes;
        r rVar;
        int next;
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.f(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                if ("animated-vector".equals(name)) {
                    obtainAttributes = androidx.core.content.res.i.f(resources, theme, attributeSet, e.e);
                    int resourceId = obtainAttributes.getResourceId(0, 0);
                    if (resourceId != 0) {
                        PorterDuff.Mode mode = r.f3007m;
                        if (Build.VERSION.SDK_INT >= 24) {
                            rVar = new r();
                            rVar.f2955d = s.b(resources, resourceId, theme);
                            new q(rVar.f2955d.getConstantState());
                        } else {
                            try {
                                XmlResourceParser xml = resources.getXml(resourceId);
                                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                                while (true) {
                                    next = xml.next();
                                    if (next == 2 || next == 1) {
                                        break;
                                    }
                                }
                                if (next != 2) {
                                    throw new XmlPullParserException("No start tag found");
                                    break;
                                }
                                rVar = r.a(resources, xml, asAttributeSet, theme);
                            } catch (IOException | XmlPullParserException e) {
                                Log.e("VectorDrawableCompat", "parser error", e);
                                rVar = null;
                            }
                        }
                        rVar.c(false);
                        rVar.setCallback(this.f2940h);
                        r rVar2 = this.e.f2934b;
                        if (rVar2 != null) {
                            rVar2.setCallback(null);
                        }
                        this.e.f2934b = rVar;
                    }
                } else if ("target".equals(name)) {
                    obtainAttributes = resources.obtainAttributes(attributeSet, e.f2945f);
                    String string = obtainAttributes.getString(0);
                    int resourceId2 = obtainAttributes.getResourceId(1, 0);
                    if (resourceId2 != 0) {
                        Context context = this.f2938f;
                        if (context != null) {
                            Animator f2 = e.f(context, resourceId2);
                            f2.setTarget(this.e.f2934b.b(string));
                            if (Build.VERSION.SDK_INT < 21) {
                                b(f2);
                            }
                            b bVar = this.e;
                            if (bVar.f2936d == null) {
                                bVar.f2936d = new ArrayList();
                                this.e.e = new k.b();
                            }
                            this.e.f2936d.add(f2);
                            this.e.e.put(f2, string);
                        } else {
                            obtainAttributes.recycle();
                            throw new IllegalStateException("Context can't be null when inflating animators");
                        }
                    }
                } else {
                    continue;
                }
                obtainAttributes.recycle();
            }
            eventType = xmlPullParser.next();
        }
        b bVar2 = this.e;
        if (bVar2.f2935c == null) {
            bVar2.f2935c = new AnimatorSet();
        }
        bVar2.f2935c.playTogether(bVar2.f2936d);
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.g(drawable) : this.e.f2934b.isAutoMirrored();
    }

    @Override // android.graphics.drawable.Animatable
    public boolean isRunning() {
        Drawable drawable = this.f2955d;
        return drawable != null ? ((AnimatedVectorDrawable) drawable).isRunning() : this.e.f2935c.isRunning();
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.isStateful() : this.e.f2934b.isStateful();
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.e.f2934b.setBounds(rect);
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.i, android.graphics.drawable.Drawable
    protected boolean onLevelChange(int i2) {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.setLevel(i2) : this.e.f2934b.setLevel(i2);
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.setState(iArr) : this.e.f2934b.setState(iArr);
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setAlpha(i2);
        } else {
            this.e.f2934b.setAlpha(i2);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.h(drawable, z2);
        } else {
            this.e.f2934b.setAutoMirrored(z2);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
        } else {
            this.e.f2934b.setColorFilter(colorFilter);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setFilterBitmap(boolean z2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setFilterBitmap(z2);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspot(float f2, float f3) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.i(drawable, f2, f3);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspotBounds(int i2, int i3, int i4, int i5) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.j(drawable, i2, i3, i4, i5);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTint(int i2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.l(drawable, i2);
        } else {
            this.e.f2934b.setTint(i2);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.m(drawable, colorStateList);
        } else {
            this.e.f2934b.setTintList(colorStateList);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.n(drawable, mode);
        } else {
            this.e.f2934b.setTintMode(mode);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z2, boolean z3) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            return drawable.setVisible(z2, z3);
        }
        this.e.f2934b.setVisible(z2, z3);
        return super.setVisible(z2, z3);
    }

    @Override // android.graphics.drawable.Animatable
    public void start() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (this.e.f2935c.isStarted()) {
        } else {
            this.e.f2935c.start();
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Animatable
    public void stop() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.e.f2935c.end();
        }
    }
}
