package androidx.vectordrawable.graphics.drawable;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import org.xmlpull.v1.XmlPullParser;
/* loaded from: classes.dex */
public class h implements Interpolator {

    /* renamed from: a  reason: collision with root package name */
    private float[] f2953a;

    /* renamed from: b  reason: collision with root package name */
    private float[] f2954b;

    public h(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray f2 = androidx.core.content.res.i.f(context.getResources(), context.getTheme(), attributeSet, e.l);
        if (androidx.core.content.res.i.c(xmlPullParser, "pathData")) {
            String b2 = androidx.core.content.res.i.b(f2, xmlPullParser, "pathData", 4);
            Path f3 = androidx.core.graphics.g.f(b2);
            if (f3 == null) {
                throw new InflateException(X.l.u("The path is null, which is created from ", b2));
            }
            a(f3);
        } else if (!androidx.core.content.res.i.c(xmlPullParser, "controlX1")) {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        } else {
            if (!androidx.core.content.res.i.c(xmlPullParser, "controlY1")) {
                throw new InflateException("pathInterpolator requires the controlY1 attribute");
            }
            float f4 = !androidx.core.content.res.i.c(xmlPullParser, "controlX1") ? 0.0f : f2.getFloat(0, 0.0f);
            float f5 = !androidx.core.content.res.i.c(xmlPullParser, "controlY1") ? 0.0f : f2.getFloat(1, 0.0f);
            boolean c2 = androidx.core.content.res.i.c(xmlPullParser, "controlX2");
            if (c2 != androidx.core.content.res.i.c(xmlPullParser, "controlY2")) {
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            }
            if (!c2) {
                Path path = new Path();
                path.moveTo(0.0f, 0.0f);
                path.quadTo(f4, f5, 1.0f, 1.0f);
                a(path);
            } else {
                float f6 = !androidx.core.content.res.i.c(xmlPullParser, "controlX2") ? 0.0f : f2.getFloat(2, 0.0f);
                float f7 = !androidx.core.content.res.i.c(xmlPullParser, "controlY2") ? 0.0f : f2.getFloat(3, 0.0f);
                Path path2 = new Path();
                path2.moveTo(0.0f, 0.0f);
                path2.cubicTo(f4, f5, f6, f7, 1.0f, 1.0f);
                a(path2);
            }
        }
        f2.recycle();
    }

    private void a(Path path) {
        int i2 = 0;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min <= 0) {
            throw new IllegalArgumentException("The Path has a invalid length " + length);
        }
        this.f2953a = new float[min];
        this.f2954b = new float[min];
        float[] fArr = new float[2];
        for (int i3 = 0; i3 < min; i3++) {
            pathMeasure.getPosTan((i3 * length) / (min - 1), fArr, null);
            this.f2953a[i3] = fArr[0];
            this.f2954b[i3] = fArr[1];
        }
        if (Math.abs(this.f2953a[0]) <= 1.0E-5d && Math.abs(this.f2954b[0]) <= 1.0E-5d) {
            int i4 = min - 1;
            if (Math.abs(this.f2953a[i4] - 1.0f) <= 1.0E-5d && Math.abs(this.f2954b[i4] - 1.0f) <= 1.0E-5d) {
                float f2 = 0.0f;
                int i5 = 0;
                while (i2 < min) {
                    float[] fArr2 = this.f2953a;
                    int i6 = i5 + 1;
                    float f3 = fArr2[i5];
                    if (f3 < f2) {
                        throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f3);
                    }
                    fArr2[i2] = f3;
                    i2++;
                    f2 = f3;
                    i5 = i6;
                }
                if (pathMeasure.nextContour()) {
                    throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                }
                return;
            }
        }
        StringBuilder y2 = X.l.y("The Path must start at (0,0) and end at (1,1) start: ");
        y2.append(this.f2953a[0]);
        y2.append(",");
        y2.append(this.f2954b[0]);
        y2.append(" end:");
        int i7 = min - 1;
        y2.append(this.f2953a[i7]);
        y2.append(",");
        y2.append(this.f2954b[i7]);
        throw new IllegalArgumentException(y2.toString());
    }

    @Override // android.animation.TimeInterpolator
    public float getInterpolation(float f2) {
        if (f2 <= 0.0f) {
            return 0.0f;
        }
        if (f2 >= 1.0f) {
            return 1.0f;
        }
        int i2 = 0;
        int length = this.f2953a.length - 1;
        while (length - i2 > 1) {
            int i3 = (i2 + length) / 2;
            if (f2 < this.f2953a[i3]) {
                length = i3;
            } else {
                i2 = i3;
            }
        }
        float[] fArr = this.f2953a;
        float f3 = fArr[length] - fArr[i2];
        if (f3 == 0.0f) {
            return this.f2954b[i2];
        }
        float[] fArr2 = this.f2954b;
        float f4 = fArr2[i2];
        return ((fArr2[length] - f4) * ((f2 - fArr[i2]) / f3)) + f4;
    }
}
