package androidx.vectordrawable.graphics.drawable;

import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import java.util.ArrayDeque;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
/* loaded from: classes.dex */
public class r extends i {

    /* renamed from: m  reason: collision with root package name */
    static final PorterDuff.Mode f3007m = PorterDuff.Mode.SRC_IN;
    private p e;

    /* renamed from: f  reason: collision with root package name */
    private PorterDuffColorFilter f3008f;

    /* renamed from: g  reason: collision with root package name */
    private ColorFilter f3009g;

    /* renamed from: h  reason: collision with root package name */
    private boolean f3010h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f3011i;

    /* renamed from: j  reason: collision with root package name */
    private final float[] f3012j;

    /* renamed from: k  reason: collision with root package name */
    private final Matrix f3013k;
    private final Rect l;

    /* JADX INFO: Access modifiers changed from: package-private */
    public r() {
        this.f3011i = true;
        this.f3012j = new float[9];
        this.f3013k = new Matrix();
        this.l = new Rect();
        this.e = new p();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public r(p pVar) {
        this.f3011i = true;
        this.f3012j = new float[9];
        this.f3013k = new Matrix();
        this.l = new Rect();
        this.e = pVar;
        this.f3008f = d(pVar.f2998c, pVar.f2999d);
    }

    public static r a(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        r rVar = new r();
        rVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return rVar;
    }

    @Override // android.graphics.drawable.Drawable
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.a(drawable, theme);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Object b(String str) {
        return this.e.f2997b.f2995p.getOrDefault(str, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c(boolean z2) {
        this.f3011i = z2;
    }

    @Override // android.graphics.drawable.Drawable
    public boolean canApplyTheme() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.b(drawable);
            return false;
        }
        return false;
    }

    PorterDuffColorFilter d(ColorStateList colorStateList, PorterDuff.Mode mode) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return new PorterDuffColorFilter(colorStateList.getColorForState(super.getState(), 0), mode);
    }

    /* JADX WARN: Code restructure failed: missing block: B:39:0x00d3, code lost:
        if ((r1 == r7.getWidth() && r3 == r6.f3000f.getHeight()) == false) goto L65;
     */
    @Override // android.graphics.drawable.Drawable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void draw(Canvas canvas) {
        Paint paint;
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        copyBounds(this.l);
        if (this.l.width() <= 0 || this.l.height() <= 0) {
            return;
        }
        ColorFilter colorFilter = this.f3009g;
        if (colorFilter == null) {
            colorFilter = this.f3008f;
        }
        canvas.getMatrix(this.f3013k);
        this.f3013k.getValues(this.f3012j);
        float abs = Math.abs(this.f3012j[0]);
        float abs2 = Math.abs(this.f3012j[4]);
        float abs3 = Math.abs(this.f3012j[1]);
        float abs4 = Math.abs(this.f3012j[3]);
        if (abs3 != 0.0f || abs4 != 0.0f) {
            abs = 1.0f;
            abs2 = 1.0f;
        }
        int min = Math.min(2048, (int) (this.l.width() * abs));
        int min2 = Math.min(2048, (int) (this.l.height() * abs2));
        if (min <= 0 || min2 <= 0) {
            return;
        }
        int save = canvas.save();
        Rect rect = this.l;
        canvas.translate(rect.left, rect.top);
        if (isAutoMirrored() && androidx.core.graphics.drawable.d.e(this) == 1) {
            canvas.translate(this.l.width(), 0.0f);
            canvas.scale(-1.0f, 1.0f);
        }
        this.l.offsetTo(0, 0);
        p pVar = this.e;
        Bitmap bitmap = pVar.f3000f;
        if (bitmap != null) {
        }
        pVar.f3000f = Bitmap.createBitmap(min, min2, Bitmap.Config.ARGB_8888);
        pVar.f3005k = true;
        if (!this.f3011i) {
            p pVar2 = this.e;
            pVar2.f3000f.eraseColor(0);
            pVar2.f2997b.a(new Canvas(pVar2.f3000f), min, min2, null);
        } else {
            p pVar3 = this.e;
            if (!(!pVar3.f3005k && pVar3.f3001g == pVar3.f2998c && pVar3.f3002h == pVar3.f2999d && pVar3.f3004j == pVar3.e && pVar3.f3003i == pVar3.f2997b.getRootAlpha())) {
                p pVar4 = this.e;
                pVar4.f3000f.eraseColor(0);
                pVar4.f2997b.a(new Canvas(pVar4.f3000f), min, min2, null);
                p pVar5 = this.e;
                pVar5.f3001g = pVar5.f2998c;
                pVar5.f3002h = pVar5.f2999d;
                pVar5.f3003i = pVar5.f2997b.getRootAlpha();
                pVar5.f3004j = pVar5.e;
                pVar5.f3005k = false;
            }
        }
        p pVar6 = this.e;
        Rect rect2 = this.l;
        if ((pVar6.f2997b.getRootAlpha() < 255) || colorFilter != null) {
            if (pVar6.l == null) {
                Paint paint2 = new Paint();
                pVar6.l = paint2;
                paint2.setFilterBitmap(true);
            }
            pVar6.l.setAlpha(pVar6.f2997b.getRootAlpha());
            pVar6.l.setColorFilter(colorFilter);
            paint = pVar6.l;
        } else {
            paint = null;
        }
        canvas.drawBitmap(pVar6.f3000f, (Rect) null, rect2, paint);
        canvas.restoreToCount(save);
    }

    @Override // android.graphics.drawable.Drawable
    public int getAlpha() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.c(drawable) : this.e.f2997b.getRootAlpha();
    }

    @Override // android.graphics.drawable.Drawable
    public int getChangingConfigurations() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getChangingConfigurations() : super.getChangingConfigurations() | this.e.getChangingConfigurations();
    }

    @Override // android.graphics.drawable.Drawable
    public ColorFilter getColorFilter() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.d(drawable) : this.f3009g;
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable.ConstantState getConstantState() {
        if (this.f2955d == null || Build.VERSION.SDK_INT < 24) {
            this.e.f2996a = getChangingConfigurations();
            return this.e;
        }
        return new q(this.f2955d.getConstantState());
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getIntrinsicHeight() : (int) this.e.f2997b.f2990j;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.getIntrinsicWidth() : (int) this.e.f2997b.f2989i;
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            return drawable.getOpacity();
        }
        return -3;
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.inflate(resources, xmlPullParser, attributeSet);
        } else {
            inflate(resources, xmlPullParser, attributeSet, null);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:126:0x02b3  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x00b8  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00c5  */
    /* JADX WARN: Removed duplicated region for block: B:48:0x00d7  */
    /* JADX WARN: Removed duplicated region for block: B:52:0x00ea  */
    /* JADX WARN: Removed duplicated region for block: B:55:0x00f7  */
    @Override // android.graphics.drawable.Drawable
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        ColorStateList colorStateList;
        int i2;
        int i3;
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.f(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        p pVar = this.e;
        pVar.f2997b = new o();
        TypedArray f2 = androidx.core.content.res.i.f(resources, theme, attributeSet, e.f2941a);
        p pVar2 = this.e;
        o oVar = pVar2.f2997b;
        int i4 = androidx.core.content.res.i.c(xmlPullParser, "tintMode") ? f2.getInt(6, -1) : -1;
        PorterDuff.Mode mode = PorterDuff.Mode.SRC_IN;
        int i5 = 3;
        if (i4 == 3) {
            mode = PorterDuff.Mode.SRC_OVER;
        } else if (i4 != 5) {
            if (i4 != 9) {
                switch (i4) {
                    case 14:
                        mode = PorterDuff.Mode.MULTIPLY;
                        break;
                    case 15:
                        mode = PorterDuff.Mode.SCREEN;
                        break;
                    case 16:
                        mode = PorterDuff.Mode.ADD;
                        break;
                }
            } else {
                mode = PorterDuff.Mode.SRC_ATOP;
            }
        }
        pVar2.f2999d = mode;
        int i6 = 0;
        if (androidx.core.content.res.i.c(xmlPullParser, "tint")) {
            TypedValue typedValue = new TypedValue();
            f2.getValue(1, typedValue);
            int i7 = typedValue.type;
            if (i7 == 2) {
                throw new UnsupportedOperationException("Failed to resolve attribute at index 1: " + typedValue);
            }
            if (i7 >= 28 && i7 <= 31) {
                colorStateList = ColorStateList.valueOf(typedValue.data);
            } else {
                Resources resources2 = f2.getResources();
                int resourceId = f2.getResourceId(1, 0);
                int i8 = androidx.core.content.res.b.f2027b;
                try {
                    colorStateList = androidx.core.content.res.b.a(resources2, resources2.getXml(resourceId), theme);
                } catch (Exception e) {
                    Log.e("CSLCompat", "Failed to inflate ColorStateList.", e);
                }
            }
            if (colorStateList != null) {
                pVar2.f2998c = colorStateList;
            }
            boolean z2 = pVar2.e;
            if (androidx.core.content.res.i.c(xmlPullParser, "autoMirrored")) {
                z2 = f2.getBoolean(5, z2);
            }
            pVar2.e = z2;
            float f3 = oVar.f2991k;
            if (androidx.core.content.res.i.c(xmlPullParser, "viewportWidth")) {
                f3 = f2.getFloat(7, f3);
            }
            oVar.f2991k = f3;
            float f4 = oVar.l;
            if (androidx.core.content.res.i.c(xmlPullParser, "viewportHeight")) {
                f4 = f2.getFloat(8, f4);
            }
            oVar.l = f4;
            if (oVar.f2991k > 0.0f) {
                throw new XmlPullParserException(f2.getPositionDescription() + "<vector> tag requires viewportWidth > 0");
            } else if (f4 <= 0.0f) {
                throw new XmlPullParserException(f2.getPositionDescription() + "<vector> tag requires viewportHeight > 0");
            } else {
                oVar.f2989i = f2.getDimension(3, oVar.f2989i);
                float dimension = f2.getDimension(2, oVar.f2990j);
                oVar.f2990j = dimension;
                if (oVar.f2989i <= 0.0f) {
                    throw new XmlPullParserException(f2.getPositionDescription() + "<vector> tag requires width > 0");
                } else if (dimension > 0.0f) {
                    float alpha = oVar.getAlpha();
                    if (androidx.core.content.res.i.c(xmlPullParser, "alpha")) {
                        alpha = f2.getFloat(4, alpha);
                    }
                    oVar.setAlpha(alpha);
                    String string = f2.getString(0);
                    if (string != null) {
                        oVar.f2993n = string;
                        oVar.f2995p.put(string, oVar);
                    }
                    f2.recycle();
                    pVar.f2996a = getChangingConfigurations();
                    pVar.f3005k = true;
                    p pVar3 = this.e;
                    o oVar2 = pVar3.f2997b;
                    ArrayDeque arrayDeque = new ArrayDeque();
                    arrayDeque.push(oVar2.f2988h);
                    int eventType = xmlPullParser.getEventType();
                    int depth = xmlPullParser.getDepth() + 1;
                    boolean z3 = true;
                    for (int i9 = 1; eventType != i9 && (xmlPullParser.getDepth() >= depth || eventType != i5); i9 = 1) {
                        if (eventType == 2) {
                            String name = xmlPullParser.getName();
                            l lVar = (l) arrayDeque.peek();
                            if ("path".equals(name)) {
                                k kVar = new k();
                                kVar.c(resources, attributeSet, theme, xmlPullParser);
                                lVar.f2967b.add(kVar);
                                if (kVar.getPathName() != null) {
                                    oVar2.f2995p.put(kVar.getPathName(), kVar);
                                }
                                pVar3.f2996a = kVar.f2980d | pVar3.f2996a;
                                z3 = false;
                                i5 = 3;
                            } else {
                                if ("clip-path".equals(name)) {
                                    j jVar = new j();
                                    if (androidx.core.content.res.i.c(xmlPullParser, "pathData")) {
                                        TypedArray f5 = androidx.core.content.res.i.f(resources, theme, attributeSet, e.f2944d);
                                        String string2 = f5.getString(i6);
                                        if (string2 != null) {
                                            jVar.f2978b = string2;
                                        }
                                        String string3 = f5.getString(1);
                                        if (string3 != null) {
                                            jVar.f2977a = androidx.core.graphics.g.e(string3);
                                        }
                                        if (androidx.core.content.res.i.c(xmlPullParser, "fillType")) {
                                            i6 = f5.getInt(2, i6);
                                        }
                                        jVar.f2979c = i6;
                                        f5.recycle();
                                    }
                                    lVar.f2967b.add(jVar);
                                    if (jVar.getPathName() != null) {
                                        oVar2.f2995p.put(jVar.getPathName(), jVar);
                                    }
                                    i2 = pVar3.f2996a;
                                    i3 = jVar.f2980d;
                                } else {
                                    if ("group".equals(name)) {
                                        l lVar2 = new l();
                                        lVar2.c(resources, attributeSet, theme, xmlPullParser);
                                        lVar.f2967b.add(lVar2);
                                        arrayDeque.push(lVar2);
                                        if (lVar2.getGroupName() != null) {
                                            oVar2.f2995p.put(lVar2.getGroupName(), lVar2);
                                        }
                                        i2 = pVar3.f2996a;
                                        i3 = lVar2.f2975k;
                                    }
                                    i5 = 3;
                                }
                                pVar3.f2996a = i3 | i2;
                                i5 = 3;
                            }
                        } else {
                            i5 = 3;
                            if (eventType == 3 && "group".equals(xmlPullParser.getName())) {
                                arrayDeque.pop();
                            }
                        }
                        eventType = xmlPullParser.next();
                        i6 = 0;
                    }
                    if (!z3) {
                        this.f3008f = d(pVar.f2998c, pVar.f2999d);
                        return;
                    }
                    throw new XmlPullParserException("no path defined");
                } else {
                    throw new XmlPullParserException(f2.getPositionDescription() + "<vector> tag requires height > 0");
                }
            }
        }
        colorStateList = null;
        if (colorStateList != null) {
        }
        boolean z22 = pVar2.e;
        if (androidx.core.content.res.i.c(xmlPullParser, "autoMirrored")) {
        }
        pVar2.e = z22;
        float f32 = oVar.f2991k;
        if (androidx.core.content.res.i.c(xmlPullParser, "viewportWidth")) {
        }
        oVar.f2991k = f32;
        float f42 = oVar.l;
        if (androidx.core.content.res.i.c(xmlPullParser, "viewportHeight")) {
        }
        oVar.l = f42;
        if (oVar.f2991k > 0.0f) {
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void invalidateSelf() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.invalidateSelf();
        } else {
            super.invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isAutoMirrored() {
        Drawable drawable = this.f2955d;
        return drawable != null ? androidx.core.graphics.drawable.d.g(drawable) : this.e.e;
    }

    @Override // android.graphics.drawable.Drawable
    public boolean isStateful() {
        p pVar;
        ColorStateList colorStateList;
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.isStateful() : super.isStateful() || ((pVar = this.e) != null && (pVar.a() || ((colorStateList = this.e.f2998c) != null && colorStateList.isStateful())));
    }

    @Override // android.graphics.drawable.Drawable
    public Drawable mutate() {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.mutate();
            return this;
        }
        if (!this.f3010h && super.mutate() == this) {
            this.e = new p(this.e);
            this.f3010h = true;
        }
        return this;
    }

    @Override // android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setBounds(rect);
        }
    }

    @Override // android.graphics.drawable.Drawable
    protected boolean onStateChange(int[] iArr) {
        PorterDuff.Mode mode;
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            return drawable.setState(iArr);
        }
        boolean z2 = false;
        p pVar = this.e;
        ColorStateList colorStateList = pVar.f2998c;
        if (colorStateList != null && (mode = pVar.f2999d) != null) {
            this.f3008f = d(colorStateList, mode);
            invalidateSelf();
            z2 = true;
        }
        if (pVar.a()) {
            boolean b2 = pVar.f2997b.f2988h.b(iArr);
            pVar.f3005k |= b2;
            if (b2) {
                invalidateSelf();
                return true;
            }
        }
        return z2;
    }

    @Override // android.graphics.drawable.Drawable
    public void scheduleSelf(Runnable runnable, long j2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.scheduleSelf(runnable, j2);
        } else {
            super.scheduleSelf(runnable, j2);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int i2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setAlpha(i2);
        } else if (this.e.f2997b.getRootAlpha() != i2) {
            this.e.f2997b.setRootAlpha(i2);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setAutoMirrored(boolean z2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.h(drawable, z2);
        } else {
            this.e.e = z2;
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
            return;
        }
        this.f3009g = colorFilter;
        invalidateSelf();
    }

    @Override // android.graphics.drawable.Drawable
    public void setFilterBitmap(boolean z2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.setFilterBitmap(z2);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspot(float f2, float f3) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.i(drawable, f2, f3);
        }
    }

    @Override // android.graphics.drawable.Drawable
    public void setHotspotBounds(int i2, int i3, int i4, int i5) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.j(drawable, i2, i3, i4, i5);
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTint(int i2) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.l(drawable, i2);
        } else {
            setTintList(ColorStateList.valueOf(i2));
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.m(drawable, colorStateList);
            return;
        }
        p pVar = this.e;
        if (pVar.f2998c != colorStateList) {
            pVar.f2998c = colorStateList;
            this.f3008f = d(colorStateList, pVar.f2999d);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable, androidx.core.graphics.drawable.f
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            androidx.core.graphics.drawable.d.n(drawable, mode);
            return;
        }
        p pVar = this.e;
        if (pVar.f2999d != mode) {
            pVar.f2999d = mode;
            this.f3008f = d(pVar.f2998c, mode);
            invalidateSelf();
        }
    }

    @Override // android.graphics.drawable.Drawable
    public boolean setVisible(boolean z2, boolean z3) {
        Drawable drawable = this.f2955d;
        return drawable != null ? drawable.setVisible(z2, z3) : super.setVisible(z2, z3);
    }

    @Override // android.graphics.drawable.Drawable
    public void unscheduleSelf(Runnable runnable) {
        Drawable drawable = this.f2955d;
        if (drawable != null) {
            drawable.unscheduleSelf(runnable);
        } else {
            super.unscheduleSelf(runnable);
        }
    }
}
