package androidx.window.embedding;

import X.l;
import android.app.Activity;
import kotlin.jvm.internal.e;
/* loaded from: classes.dex */
public final class SplitInfo {
    private final ActivityStack primaryActivityStack;
    private final ActivityStack secondaryActivityStack;
    private final float splitRatio;

    public SplitInfo(ActivityStack primaryActivityStack, ActivityStack secondaryActivityStack, float f2) {
        e.e(primaryActivityStack, "primaryActivityStack");
        e.e(secondaryActivityStack, "secondaryActivityStack");
        this.primaryActivityStack = primaryActivityStack;
        this.secondaryActivityStack = secondaryActivityStack;
        this.splitRatio = f2;
    }

    public final boolean contains(Activity activity) {
        e.e(activity, "activity");
        return this.primaryActivityStack.contains(activity) || this.secondaryActivityStack.contains(activity);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof SplitInfo) {
            SplitInfo splitInfo = (SplitInfo) obj;
            if (e.a(this.primaryActivityStack, splitInfo.primaryActivityStack) && e.a(this.secondaryActivityStack, splitInfo.secondaryActivityStack)) {
                return (this.splitRatio > splitInfo.splitRatio ? 1 : (this.splitRatio == splitInfo.splitRatio ? 0 : -1)) == 0;
            }
            return false;
        }
        return false;
    }

    public final ActivityStack getPrimaryActivityStack() {
        return this.primaryActivityStack;
    }

    public final ActivityStack getSecondaryActivityStack() {
        return this.secondaryActivityStack;
    }

    public final float getSplitRatio() {
        return this.splitRatio;
    }

    public int hashCode() {
        int hashCode = this.secondaryActivityStack.hashCode();
        return Float.floatToIntBits(this.splitRatio) + ((hashCode + (this.primaryActivityStack.hashCode() * 31)) * 31);
    }

    public String toString() {
        StringBuilder y2 = l.y("SplitInfo:{");
        StringBuilder y3 = l.y("primaryActivityStack=");
        y3.append(getPrimaryActivityStack());
        y3.append(',');
        y2.append(y3.toString());
        y2.append("secondaryActivityStack=" + getSecondaryActivityStack() + ',');
        y2.append("splitRatio=" + getSplitRatio() + '}');
        String sb = y2.toString();
        e.d(sb, "StringBuilder().apply(builderAction).toString()");
        return sb;
    }
}
