package com.pichillilorenzo.flutter_inappwebview;

import X.l;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.os.Build;
import android.webkit.CookieManager;
import android.webkit.CookieSyncManager;
import android.webkit.ValueCallback;
import androidx.fragment.app.j0;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;
/* loaded from: classes.dex */
public class MyCookieManager implements s {
    static final String LOG_TAG = "MyCookieManager";
    public static CookieManager cookieManager;
    public u channel;
    public InAppWebViewFlutterPlugin plugin;

    public MyCookieManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_inappwebview_cookiemanager");
        this.channel = uVar;
        uVar.d(this);
        cookieManager = getCookieManager();
    }

    public static String getCookieExpirationDate(Long l) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("EEE, dd MMM yyyy hh:mm:ss z", Locale.US);
        simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
        return simpleDateFormat.format(new Date(l.longValue()));
    }

    private static CookieManager getCookieManager() {
        if (cookieManager == null) {
            try {
                cookieManager = CookieManager.getInstance();
            } catch (IllegalArgumentException unused) {
                return null;
            } catch (Exception e) {
                if (e.getMessage() == null || !e.getClass().getCanonicalName().equals("android.webkit.WebViewFactory.MissingWebViewPackageException")) {
                    throw e;
                }
                return null;
            }
        }
        return cookieManager;
    }

    public void deleteAllCookies(final t tVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            return;
        }
        if (Build.VERSION.SDK_INT >= 21) {
            cookieManager2.removeAllCookies(new ValueCallback() { // from class: com.pichillilorenzo.flutter_inappwebview.MyCookieManager.3
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Boolean bool) {
                    tVar.success(Boolean.TRUE);
                }
            });
            cookieManager.flush();
            return;
        }
        CookieSyncManager createInstance = CookieSyncManager.createInstance(this.plugin.applicationContext);
        createInstance.startSync();
        cookieManager.removeAllCookie();
        tVar.success(Boolean.TRUE);
        createInstance.stopSync();
        createInstance.sync();
    }

    public void deleteCookie(String str, String str2, String str3, String str4, final t tVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            return;
        }
        String str5 = str2 + "=; Path=" + str4 + "; Domain=" + str3 + "; Max-Age=-1;";
        if (Build.VERSION.SDK_INT >= 21) {
            cookieManager.setCookie(str, str5, new ValueCallback() { // from class: com.pichillilorenzo.flutter_inappwebview.MyCookieManager.2
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Boolean bool) {
                    tVar.success(Boolean.TRUE);
                }
            });
            cookieManager.flush();
            return;
        }
        CookieSyncManager createInstance = CookieSyncManager.createInstance(this.plugin.applicationContext);
        createInstance.startSync();
        cookieManager.setCookie(str, str5);
        tVar.success(Boolean.TRUE);
        createInstance.stopSync();
        createInstance.sync();
    }

    public void deleteCookies(String str, String str2, String str3, t tVar) {
        CookieSyncManager cookieSyncManager;
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            return;
        }
        String cookie = cookieManager2.getCookie(str);
        if (cookie != null) {
            if (Build.VERSION.SDK_INT < 21) {
                cookieSyncManager = CookieSyncManager.createInstance(this.plugin.applicationContext);
                cookieSyncManager.startSync();
            } else {
                cookieSyncManager = null;
            }
            for (String str4 : cookie.split(";")) {
                String str5 = str4.split("=", 2)[0].trim() + "=; Path=" + str3 + "; Domain=" + str2 + "; Max-Age=-1;";
                if (Build.VERSION.SDK_INT >= 21) {
                    cookieManager.setCookie(str, str5, null);
                } else {
                    cookieManager.setCookie(str, str5);
                }
            }
            if (cookieSyncManager != null) {
                cookieSyncManager.stopSync();
                cookieSyncManager.sync();
            } else if (Build.VERSION.SDK_INT >= 21) {
                cookieManager.flush();
            }
        }
        tVar.success(Boolean.TRUE);
    }

    public void dispose() {
        this.channel.d(null);
        this.plugin = null;
    }

    public List getCookies(String str) {
        String cookie;
        ArrayList arrayList = new ArrayList();
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 != null && (cookie = cookieManager2.getCookie(str)) != null) {
            for (String str2 : cookie.split(";")) {
                String[] split = str2.split("=", 2);
                String trim = split[0].trim();
                String trim2 = split.length > 1 ? split[1].trim() : "";
                HashMap hashMap = new HashMap();
                hashMap.put("name", trim);
                hashMap.put("value", trim2);
                hashMap.put("expiresDate", null);
                hashMap.put("isSessionOnly", null);
                hashMap.put("domain", null);
                hashMap.put("sameSite", null);
                hashMap.put("isSecure", null);
                hashMap.put("isHttpOnly", null);
                hashMap.put("path", null);
                arrayList.add(hashMap);
            }
        }
        return arrayList;
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        String str = rVar.f896a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1222815761:
                if (str.equals("deleteCookie")) {
                    c2 = 0;
                    break;
                }
                break;
            case 126640486:
                if (str.equals("setCookie")) {
                    c2 = 1;
                    break;
                }
                break;
            case 747417188:
                if (str.equals("deleteCookies")) {
                    c2 = 2;
                    break;
                }
                break;
            case 822411705:
                if (str.equals("deleteAllCookies")) {
                    c2 = 3;
                    break;
                }
                break;
            case 1989049945:
                if (str.equals("getCookies")) {
                    c2 = 4;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                deleteCookie((String) rVar.a("url"), (String) rVar.a("name"), (String) rVar.a("domain"), (String) rVar.a("path"), tVar);
                return;
            case 1:
                String str2 = (String) rVar.a("url");
                String str3 = (String) rVar.a("name");
                String str4 = (String) rVar.a("value");
                String str5 = (String) rVar.a("domain");
                String str6 = (String) rVar.a("path");
                String str7 = (String) rVar.a("expiresDate");
                setCookie(str2, str3, str4, str5, str6, str7 != null ? new Long(str7) : null, (Integer) rVar.a("maxAge"), (Boolean) rVar.a("isSecure"), (Boolean) rVar.a("isHttpOnly"), (String) rVar.a("sameSite"), tVar);
                return;
            case 2:
                deleteCookies((String) rVar.a("url"), (String) rVar.a("domain"), (String) rVar.a("path"), tVar);
                return;
            case 3:
                deleteAllCookies(tVar);
                return;
            case 4:
                tVar.success(getCookies((String) rVar.a("url")));
                return;
            default:
                tVar.notImplemented();
                return;
        }
    }

    public void setCookie(String str, String str2, String str3, String str4, String str5, Long l, Integer num, Boolean bool, Boolean bool2, String str6, final t tVar) {
        CookieManager cookieManager2 = getCookieManager();
        cookieManager = cookieManager2;
        if (cookieManager2 == null) {
            return;
        }
        StringBuilder sb = new StringBuilder();
        sb.append(str2);
        sb.append("=");
        sb.append(str3);
        sb.append("; Domain=");
        sb.append(str4);
        String w2 = l.w(sb, "; Path=", str5);
        if (l != null) {
            StringBuilder b2 = j0.b(w2, "; Expires=");
            b2.append(getCookieExpirationDate(l));
            w2 = b2.toString();
        }
        if (num != null) {
            StringBuilder b3 = j0.b(w2, "; Max-Age=");
            b3.append(num.toString());
            w2 = b3.toString();
        }
        if (bool != null && bool.booleanValue()) {
            w2 = l.u(w2, "; Secure");
        }
        if (bool2 != null && bool2.booleanValue()) {
            w2 = l.u(w2, "; HttpOnly");
        }
        if (str6 != null) {
            w2 = l.v(w2, "; SameSite=", str6);
        }
        String u2 = l.u(w2, ";");
        if (Build.VERSION.SDK_INT >= 21) {
            cookieManager.setCookie(str, u2, new ValueCallback() { // from class: com.pichillilorenzo.flutter_inappwebview.MyCookieManager.1
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(Boolean bool3) {
                    tVar.success(Boolean.TRUE);
                }
            });
            cookieManager.flush();
            return;
        }
        CookieSyncManager createInstance = CookieSyncManager.createInstance(this.plugin.applicationContext);
        createInstance.startSync();
        cookieManager.setCookie(str, u2);
        tVar.success(Boolean.TRUE);
        createInstance.stopSync();
        createInstance.sync();
    }
}
