package com.pichillilorenzo.flutter_inappwebview;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.os.Build;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;
/* loaded from: classes.dex */
public class PlatformUtil implements s {
    protected static final String LOG_TAG = "PlatformUtil";
    public u channel;
    public InAppWebViewFlutterPlugin plugin;

    public PlatformUtil(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_inappwebview_platformutil");
        this.channel = uVar;
        uVar.d(this);
    }

    public static String formatDate(long j2, String str, Locale locale, TimeZone timeZone) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str, locale);
        simpleDateFormat.setTimeZone(timeZone);
        return simpleDateFormat.format(new Date(j2));
    }

    public static Locale getLocaleFromString(String str) {
        if (str == null) {
            return Locale.US;
        }
        String[] split = str.split("_");
        return new Locale(split[0], split.length > 1 ? split[1] : "", split.length > 2 ? split[2] : "");
    }

    public void dispose() {
        this.channel.d(null);
        this.plugin = null;
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        String formatDate;
        String str = rVar.f896a;
        str.getClass();
        if (str.equals("formatDate")) {
            long longValue = ((Long) rVar.a("date")).longValue();
            String str2 = (String) rVar.a("format");
            Locale localeFromString = getLocaleFromString((String) rVar.a("locale"));
            String str3 = (String) rVar.a("timezone");
            if (str3 == null) {
                str3 = "UTC";
            }
            formatDate = formatDate(longValue, str2, localeFromString, TimeZone.getTimeZone(str3));
        } else if (!str.equals("getSystemVersion")) {
            tVar.notImplemented();
            return;
        } else {
            formatDate = String.valueOf(Build.VERSION.SDK_INT);
        }
        tVar.success(formatDate);
    }
}
