package com.pichillilorenzo.flutter_inappwebview;

import A.b;
import A.d;
import G0.i;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.os.Build;
import android.util.Log;
import android.webkit.WebResourceRequest;
import android.webkit.WebResourceResponse;
import com.pichillilorenzo.flutter_inappwebview.Util;
import java.io.ByteArrayInputStream;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class ServiceWorkerManager implements s {
    static final String LOG_TAG = "ServiceWorkerManager";
    public static d serviceWorkerController;
    public u channel;
    public InAppWebViewFlutterPlugin plugin;

    public ServiceWorkerManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_inappwebview_android_serviceworkercontroller");
        this.channel = uVar;
        uVar.d(this);
        serviceWorkerController = i.j("SERVICE_WORKER_BASIC_USAGE") ? d.a() : null;
    }

    private b dummyServiceWorkerClientCompat() {
        return new b() { // from class: com.pichillilorenzo.flutter_inappwebview.ServiceWorkerManager.2
            @Override // A.b
            public WebResourceResponse shouldInterceptRequest(WebResourceRequest webResourceRequest) {
                return null;
            }
        };
    }

    private void setServiceWorkerClient(Boolean bool) {
        d dVar = serviceWorkerController;
        if (dVar != null) {
            dVar.c(bool.booleanValue() ? dummyServiceWorkerClientCompat() : new b() { // from class: com.pichillilorenzo.flutter_inappwebview.ServiceWorkerManager.1
                @Override // A.b
                public WebResourceResponse shouldInterceptRequest(WebResourceRequest webResourceRequest) {
                    HashMap hashMap = new HashMap();
                    hashMap.put("url", webResourceRequest.getUrl().toString());
                    hashMap.put("method", webResourceRequest.getMethod());
                    hashMap.put("headers", webResourceRequest.getRequestHeaders());
                    hashMap.put("isForMainFrame", Boolean.valueOf(webResourceRequest.isForMainFrame()));
                    hashMap.put("hasGesture", Boolean.valueOf(webResourceRequest.hasGesture()));
                    hashMap.put("isRedirect", Boolean.valueOf(webResourceRequest.isRedirect()));
                    try {
                        Util.WaitFlutterResult invokeMethodAndWait = Util.invokeMethodAndWait(ServiceWorkerManager.this.channel, "shouldInterceptRequest", hashMap);
                        String str = invokeMethodAndWait.error;
                        if (str != null) {
                            Log.e(ServiceWorkerManager.LOG_TAG, str);
                            return null;
                        }
                        Object obj = invokeMethodAndWait.result;
                        if (obj != null) {
                            Map map = (Map) obj;
                            String str2 = (String) map.get("contentType");
                            String str3 = (String) map.get("contentEncoding");
                            byte[] bArr = (byte[]) map.get("data");
                            Map map2 = (Map) map.get("headers");
                            Integer num = (Integer) map.get("statusCode");
                            String str4 = (String) map.get("reasonPhrase");
                            ByteArrayInputStream byteArrayInputStream = bArr != null ? new ByteArrayInputStream(bArr) : null;
                            return (!(map2 == null && num == null && str4 == null) && Build.VERSION.SDK_INT >= 21) ? new WebResourceResponse(str2, str3, num.intValue(), str4, map2, byteArrayInputStream) : new WebResourceResponse(str2, str3, byteArrayInputStream);
                        }
                        return null;
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                        return null;
                    }
                }
            });
        }
    }

    public void dispose() {
        this.channel.d(null);
        d dVar = serviceWorkerController;
        if (dVar != null) {
            dVar.c(dummyServiceWorkerClientCompat());
            serviceWorkerController = null;
        }
        this.plugin = null;
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        boolean a2;
        Object valueOf;
        d dVar = serviceWorkerController;
        B.s b2 = dVar != null ? dVar.b() : null;
        String str = rVar.f896a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1332730774:
                if (str.equals("getAllowContentAccess")) {
                    c2 = 0;
                    break;
                }
                break;
            case -1165005700:
                if (str.equals("setServiceWorkerClient")) {
                    c2 = 1;
                    break;
                }
                break;
            case -563397233:
                if (str.equals("getCacheMode")) {
                    c2 = 2;
                    break;
                }
                break;
            case 674894835:
                if (str.equals("getAllowFileAccess")) {
                    c2 = 3;
                    break;
                }
                break;
            case 985595395:
                if (str.equals("setCacheMode")) {
                    c2 = 4;
                    break;
                }
                break;
            case 1083898794:
                if (str.equals("setBlockNetworkLoads")) {
                    c2 = 5;
                    break;
                }
                break;
            case 1203480182:
                if (str.equals("setAllowContentAccess")) {
                    c2 = 6;
                    break;
                }
                break;
            case 1594928487:
                if (str.equals("setAllowFileAccess")) {
                    c2 = 7;
                    break;
                }
                break;
            case 1694822198:
                if (str.equals("getBlockNetworkLoads")) {
                    c2 = '\b';
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                if (b2 != null && i.j("SERVICE_WORKER_CONTENT_ACCESS")) {
                    a2 = b2.a();
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 1:
                setServiceWorkerClient((Boolean) rVar.a("isNull"));
                valueOf = Boolean.TRUE;
                break;
            case 2:
                if (b2 != null && i.j("SERVICE_WORKER_CACHE_MODE")) {
                    valueOf = Integer.valueOf(b2.e());
                    break;
                } else {
                    tVar.success(null);
                    return;
                }
            case 3:
                if (b2 != null && i.j("SERVICE_WORKER_FILE_ACCESS")) {
                    a2 = b2.b();
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            case 4:
                if (b2 != null && i.j("SERVICE_WORKER_CACHE_MODE")) {
                    b2.j(((Integer) rVar.a("mode")).intValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 5:
                if (b2 != null && i.j("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    b2.i(((Boolean) rVar.a("flag")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 6:
                if (b2 != null && i.j("SERVICE_WORKER_CONTENT_ACCESS")) {
                    b2.g(((Boolean) rVar.a("allow")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case 7:
                if (b2 != null && i.j("SERVICE_WORKER_FILE_ACCESS")) {
                    b2.h(((Boolean) rVar.a("allow")).booleanValue());
                }
                valueOf = Boolean.TRUE;
                break;
            case '\b':
                if (b2 != null && i.j("SERVICE_WORKER_BLOCK_NETWORK_LOADS")) {
                    a2 = b2.c();
                    valueOf = Boolean.valueOf(a2);
                    break;
                }
                valueOf = Boolean.FALSE;
                break;
            default:
                tVar.notImplemented();
                return;
        }
        tVar.success(valueOf);
    }
}
