package com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs;

import Y.j;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.app.Activity;
import android.app.PendingIntent;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import androidx.browser.customtabs.a;
import androidx.browser.customtabs.c;
import androidx.browser.customtabs.l;
import androidx.browser.customtabs.m;
import androidx.browser.customtabs.p;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.R;
import com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.CustomTabActivityHelper;
import com.pichillilorenzo.flutter_inappwebview.types.CustomTabsActionButton;
import com.pichillilorenzo.flutter_inappwebview.types.CustomTabsMenuItem;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class ChromeCustomTabsActivity extends Activity implements s {
    protected static final String LOG_TAG = "CustomTabsActivity";
    public CustomTabsActionButton actionButton;
    public l builder;
    public u channel;
    public p customTabsSession;
    public String id;
    public String initialUrl;
    public ChromeSafariBrowserManager manager;
    public ChromeCustomTabsOptions options;
    public CustomTabActivityHelper customTabActivityHelper = new CustomTabActivityHelper();
    protected final int CHROME_CUSTOM_TAB_REQUEST_CODE = 100;
    protected boolean onChromeSafariBrowserOpened = false;
    protected boolean onChromeSafariBrowserCompletedInitialLoad = false;
    public List menuItems = new ArrayList();

    private PendingIntent createPendingIntent(int i2) {
        if (this.manager == null) {
            return null;
        }
        Intent intent = new Intent(this, ActionBroadcastReceiver.class);
        Bundle bundle = new Bundle();
        bundle.putInt(ActionBroadcastReceiver.KEY_ACTION_ID, i2);
        bundle.putString(ActionBroadcastReceiver.KEY_ACTION_VIEW_ID, this.id);
        bundle.putString(ActionBroadcastReceiver.CHROME_MANAGER_ID, this.manager.id);
        intent.putExtras(bundle);
        return PendingIntent.getBroadcast(this, i2, intent, Build.VERSION.SDK_INT >= 31 ? 167772160 : 134217728);
    }

    private void prepareCustomTabs() {
        ChromeCustomTabsOptions chromeCustomTabsOptions = this.options;
        Boolean bool = chromeCustomTabsOptions.addDefaultShareMenuItem;
        if (bool != null) {
            this.builder.g(bool.booleanValue() ? 1 : 2);
        } else {
            this.builder.g(chromeCustomTabsOptions.shareState.intValue());
        }
        String str = this.options.toolbarBackgroundColor;
        if (str != null && !str.isEmpty()) {
            a aVar = new a();
            l lVar = this.builder;
            aVar.b(Color.parseColor(this.options.toolbarBackgroundColor));
            lVar.d(aVar.a());
        }
        this.builder.h(this.options.showTitle.booleanValue());
        this.builder.i(this.options.enableUrlBarHiding.booleanValue());
        this.builder.e(this.options.instantAppsEnabled.booleanValue());
        for (CustomTabsMenuItem customTabsMenuItem : this.menuItems) {
            PendingIntent createPendingIntent = createPendingIntent(customTabsMenuItem.getId());
            if (createPendingIntent != null) {
                this.builder.a(customTabsMenuItem.getLabel(), createPendingIntent);
            }
        }
        CustomTabsActionButton customTabsActionButton = this.actionButton;
        if (customTabsActionButton != null) {
            byte[] icon = customTabsActionButton.getIcon();
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inMutable = true;
            Bitmap decodeByteArray = BitmapFactory.decodeByteArray(icon, 0, icon.length, options);
            PendingIntent createPendingIntent2 = createPendingIntent(this.actionButton.getId());
            if (createPendingIntent2 != null) {
                this.builder.c(decodeByteArray, this.actionButton.getDescription(), createPendingIntent2, this.actionButton.isShouldTint());
            }
        }
    }

    private void prepareCustomTabsIntent(m mVar) {
        String str = this.options.packageName;
        if (str != null) {
            mVar.f1965a.setPackage(str);
        } else {
            mVar.f1965a.setPackage(CustomTabsHelper.getPackageNameToUse(this));
        }
        if (this.options.keepAliveEnabled.booleanValue()) {
            CustomTabsHelper.addKeepAliveExtra(this, mVar.f1965a);
        }
    }

    public void close() {
        onStop();
        onDestroy();
        this.customTabsSession = null;
        finish();
        this.channel.c("onChromeSafariBrowserClosed", new HashMap(), null);
    }

    public void customTabsConnected() {
        this.customTabsSession = this.customTabActivityHelper.getSession();
        Uri parse = Uri.parse(this.initialUrl);
        this.customTabActivityHelper.mayLaunchUrl(parse, null, null);
        this.builder = new l(this.customTabsSession);
        prepareCustomTabs();
        m b2 = this.builder.b();
        prepareCustomTabsIntent(b2);
        CustomTabActivityHelper.openCustomTab(this, b2, parse, 100);
    }

    public void dispose() {
        onStop();
        onDestroy();
        this.channel.d(null);
        this.manager = null;
    }

    @Override // android.app.Activity
    protected void onActivityResult(int i2, int i3, Intent intent) {
        if (i2 == 100) {
            close();
            dispose();
        }
    }

    @Override // android.app.Activity
    protected void onCreate(Bundle bundle) {
        InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin;
        j jVar;
        super.onCreate(bundle);
        setContentView(R.layout.chrome_custom_tabs_layout);
        Bundle extras = getIntent().getExtras();
        if (extras == null) {
            return;
        }
        this.id = extras.getString("id");
        ChromeSafariBrowserManager chromeSafariBrowserManager = (ChromeSafariBrowserManager) ChromeSafariBrowserManager.shared.get(extras.getString("managerId"));
        this.manager = chromeSafariBrowserManager;
        if (chromeSafariBrowserManager == null || (inAppWebViewFlutterPlugin = chromeSafariBrowserManager.plugin) == null || (jVar = inAppWebViewFlutterPlugin.messenger) == null) {
            return;
        }
        StringBuilder y2 = X.l.y("com.pichillilorenzo/flutter_chromesafaribrowser_");
        y2.append(this.id);
        u uVar = new u(jVar, y2.toString());
        this.channel = uVar;
        uVar.d(this);
        this.initialUrl = extras.getString("url");
        ChromeCustomTabsOptions chromeCustomTabsOptions = new ChromeCustomTabsOptions();
        this.options = chromeCustomTabsOptions;
        chromeCustomTabsOptions.parse((Map) extras.getSerializable("options"));
        this.actionButton = CustomTabsActionButton.fromMap((Map) extras.getSerializable("actionButton"));
        for (Map map : (List) extras.getSerializable("menuItemList")) {
            this.menuItems.add(CustomTabsMenuItem.fromMap(map));
        }
        this.customTabActivityHelper.setConnectionCallback(new CustomTabActivityHelper.ConnectionCallback() { // from class: com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.ChromeCustomTabsActivity.1
            @Override // com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.CustomTabActivityHelper.ConnectionCallback
            public void onCustomTabsConnected() {
                ChromeCustomTabsActivity.this.customTabsConnected();
            }

            @Override // com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.CustomTabActivityHelper.ConnectionCallback
            public void onCustomTabsDisconnected() {
                this.close();
                ChromeCustomTabsActivity.this.dispose();
            }
        });
        this.customTabActivityHelper.setCustomTabsCallback(new c() { // from class: com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.ChromeCustomTabsActivity.2
            @Override // androidx.browser.customtabs.c
            public void extraCallback(String str, Bundle bundle2) {
            }

            @Override // androidx.browser.customtabs.c
            public void onMessageChannelReady(Bundle bundle2) {
            }

            @Override // androidx.browser.customtabs.c
            public void onNavigationEvent(int i2, Bundle bundle2) {
                if (i2 == 5) {
                    ChromeCustomTabsActivity chromeCustomTabsActivity = ChromeCustomTabsActivity.this;
                    if (!chromeCustomTabsActivity.onChromeSafariBrowserOpened) {
                        chromeCustomTabsActivity.onChromeSafariBrowserOpened = true;
                        ChromeCustomTabsActivity.this.channel.c("onChromeSafariBrowserOpened", new HashMap(), null);
                    }
                }
                if (i2 == 2) {
                    ChromeCustomTabsActivity chromeCustomTabsActivity2 = ChromeCustomTabsActivity.this;
                    if (chromeCustomTabsActivity2.onChromeSafariBrowserCompletedInitialLoad) {
                        return;
                    }
                    chromeCustomTabsActivity2.onChromeSafariBrowserCompletedInitialLoad = true;
                    ChromeCustomTabsActivity.this.channel.c("onChromeSafariBrowserCompletedInitialLoad", new HashMap(), null);
                }
            }

            @Override // androidx.browser.customtabs.c
            public void onPostMessage(String str, Bundle bundle2) {
            }

            @Override // androidx.browser.customtabs.c
            public void onRelationshipValidationResult(int i2, Uri uri, boolean z2, Bundle bundle2) {
            }
        });
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin;
        String str = rVar.f896a;
        str.getClass();
        if (!str.equals("close")) {
            tVar.notImplemented();
            return;
        }
        onStop();
        onDestroy();
        close();
        ChromeSafariBrowserManager chromeSafariBrowserManager = this.manager;
        if (chromeSafariBrowserManager != null && (inAppWebViewFlutterPlugin = chromeSafariBrowserManager.plugin) != null && inAppWebViewFlutterPlugin.activity != null) {
            Activity activity = this.manager.plugin.activity;
            Intent intent = new Intent(activity, activity.getClass());
            intent.addFlags(67108864);
            intent.addFlags(536870912);
            this.manager.plugin.activity.startActivity(intent);
        }
        dispose();
        tVar.success(Boolean.TRUE);
    }

    @Override // android.app.Activity
    protected void onStart() {
        super.onStart();
        this.customTabActivityHelper.bindCustomTabsService(this);
    }

    @Override // android.app.Activity
    protected void onStop() {
        super.onStop();
        this.customTabActivityHelper.unbindCustomTabsService(this);
    }
}
