package com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs;

import G0.i;
import android.content.Intent;
import com.pichillilorenzo.flutter_inappwebview.Options;
import j.C0333a;
import j.b;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class ChromeCustomTabsOptions implements Options {
    static final String LOG_TAG = "ChromeCustomTabsOptions";
    @Deprecated
    public Boolean addDefaultShareMenuItem;
    public List additionalTrustedOrigins;
    public b displayMode;
    public Boolean enableUrlBarHiding;
    public Boolean instantAppsEnabled;
    public Boolean isSingleInstance;
    public Boolean isTrustedWebActivity;
    public Boolean keepAliveEnabled;
    public Boolean noHistory;
    public String packageName;
    public Integer screenOrientation;
    public Integer shareState = 0;
    public Boolean showTitle = Boolean.TRUE;
    public String toolbarBackgroundColor;

    public ChromeCustomTabsOptions() {
        Boolean bool = Boolean.FALSE;
        this.enableUrlBarHiding = bool;
        this.instantAppsEnabled = bool;
        this.keepAliveEnabled = bool;
        this.isSingleInstance = bool;
        this.noHistory = bool;
        this.isTrustedWebActivity = bool;
        this.additionalTrustedOrigins = new ArrayList();
        this.displayMode = null;
        this.screenOrientation = 0;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.Options
    public Map getRealOptions(ChromeCustomTabsActivity chromeCustomTabsActivity) {
        Intent intent;
        Map map = toMap();
        if (chromeCustomTabsActivity != null && (intent = chromeCustomTabsActivity.getIntent()) != null) {
            map.put("packageName", intent.getPackage());
            map.put("keepAliveEnabled", Boolean.valueOf(intent.hasExtra("android.support.customtabs.extra.KEEP_ALIVE")));
        }
        return map;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.Options
    public ChromeCustomTabsOptions parse(Map map) {
        for (Map.Entry entry : map.entrySet()) {
            String str = (String) entry.getKey();
            Object value = entry.getValue();
            if (value != null) {
                str.getClass();
                char c2 = 65535;
                switch (str.hashCode()) {
                    case -2112880751:
                        if (str.equals("addDefaultShareMenuItem")) {
                            c2 = 0;
                            break;
                        }
                        break;
                    case -1913803429:
                        if (str.equals("showTitle")) {
                            c2 = 1;
                            break;
                        }
                        break;
                    case -1799055374:
                        if (str.equals("shareState")) {
                            c2 = 2;
                            break;
                        }
                        break;
                    case -632275769:
                        if (str.equals("isSingleInstance")) {
                            c2 = 3;
                            break;
                        }
                        break;
                    case -227713574:
                        if (str.equals("toolbarBackgroundColor")) {
                            c2 = 4;
                            break;
                        }
                        break;
                    case 137483238:
                        if (str.equals("enableUrlBarHiding")) {
                            c2 = 5;
                            break;
                        }
                        break;
                    case 227582404:
                        if (str.equals("screenOrientation")) {
                            c2 = 6;
                            break;
                        }
                        break;
                    case 390710230:
                        if (str.equals("isTrustedWebActivity")) {
                            c2 = 7;
                            break;
                        }
                        break;
                    case 472764366:
                        if (str.equals("instantAppsEnabled")) {
                            c2 = '\b';
                            break;
                        }
                        break;
                    case 908759025:
                        if (str.equals("packageName")) {
                            c2 = '\t';
                            break;
                        }
                        break;
                    case 1518510995:
                        if (str.equals("noHistory")) {
                            c2 = '\n';
                            break;
                        }
                        break;
                    case 1578203421:
                        if (str.equals("additionalTrustedOrigins")) {
                            c2 = 11;
                            break;
                        }
                        break;
                    case 1714132357:
                        if (str.equals("displayMode")) {
                            c2 = '\f';
                            break;
                        }
                        break;
                    case 2126240217:
                        if (str.equals("keepAliveEnabled")) {
                            c2 = '\r';
                            break;
                        }
                        break;
                }
                switch (c2) {
                    case 0:
                        this.addDefaultShareMenuItem = (Boolean) value;
                        continue;
                    case 1:
                        this.showTitle = (Boolean) value;
                        continue;
                    case 2:
                        this.shareState = (Integer) value;
                        continue;
                    case 3:
                        this.isSingleInstance = (Boolean) value;
                        continue;
                    case 4:
                        this.toolbarBackgroundColor = (String) value;
                        continue;
                    case 5:
                        this.enableUrlBarHiding = (Boolean) value;
                        continue;
                    case 6:
                        this.screenOrientation = (Integer) value;
                        continue;
                    case 7:
                        this.isTrustedWebActivity = (Boolean) value;
                        continue;
                    case '\b':
                        this.instantAppsEnabled = (Boolean) value;
                        continue;
                    case '\t':
                        this.packageName = (String) value;
                        continue;
                    case '\n':
                        this.noHistory = (Boolean) value;
                        continue;
                    case 11:
                        this.additionalTrustedOrigins = (List) value;
                        continue;
                    case '\f':
                        Map map2 = (Map) value;
                        String str2 = (String) map2.get("type");
                        if (str2 != null) {
                            if (str2.equals("IMMERSIVE_MODE")) {
                                this.displayMode = new C0333a(((Boolean) map2.get("isSticky")).booleanValue(), ((Integer) map2.get("layoutInDisplayCutoutMode")).intValue());
                            } else if (!str2.equals("DEFAULT_MODE")) {
                                break;
                            }
                            this.displayMode = new i();
                            break;
                        } else {
                            continue;
                        }
                    case '\r':
                        this.keepAliveEnabled = (Boolean) value;
                        continue;
                }
            }
        }
        return this;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.Options
    public Map toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("addDefaultShareMenuItem", this.addDefaultShareMenuItem);
        hashMap.put("showTitle", this.showTitle);
        hashMap.put("toolbarBackgroundColor", this.toolbarBackgroundColor);
        hashMap.put("enableUrlBarHiding", this.enableUrlBarHiding);
        hashMap.put("instantAppsEnabled", this.instantAppsEnabled);
        hashMap.put("packageName", this.packageName);
        hashMap.put("keepAliveEnabled", this.keepAliveEnabled);
        hashMap.put("isSingleInstance", this.isSingleInstance);
        hashMap.put("noHistory", this.noHistory);
        hashMap.put("isTrustedWebActivity", this.isTrustedWebActivity);
        hashMap.put("additionalTrustedOrigins", this.additionalTrustedOrigins);
        hashMap.put("screenOrientation", this.screenOrientation);
        return hashMap;
    }
}
