package com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.Util;
import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;
/* loaded from: classes.dex */
public class ChromeSafariBrowserManager implements s {
    protected static final String LOG_TAG = "ChromeBrowserManager";
    public static final Map shared = new HashMap();
    public u channel;
    public String id = UUID.randomUUID().toString();
    public InAppWebViewFlutterPlugin plugin;

    public ChromeSafariBrowserManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_chromesafaribrowser");
        this.channel = uVar;
        uVar.d(this);
        shared.put(this.id, this);
    }

    public void dispose() {
        this.channel.d(null);
        shared.remove(this.id);
        this.plugin = null;
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        Boolean bool;
        Activity activity;
        String str = (String) rVar.a("id");
        String str2 = rVar.f896a;
        str2.getClass();
        if (str2.equals("open")) {
            InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
            if (inAppWebViewFlutterPlugin != null && inAppWebViewFlutterPlugin.activity != null) {
                open(this.plugin.activity, str, (String) rVar.a("url"), (HashMap) rVar.a("options"), (HashMap) rVar.a("actionButton"), (List) rVar.a("menuItemList"), tVar);
                return;
            }
        } else if (!str2.equals("isAvailable")) {
            tVar.notImplemented();
            return;
        } else {
            InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin2 = this.plugin;
            if (inAppWebViewFlutterPlugin2 != null && (activity = inAppWebViewFlutterPlugin2.activity) != null) {
                bool = Boolean.valueOf(CustomTabActivityHelper.isAvailable(activity));
                tVar.success(bool);
            }
        }
        bool = Boolean.FALSE;
        tVar.success(bool);
    }

    public void open(Activity activity, String str, String str2, HashMap hashMap, HashMap hashMap2, List list, t tVar) {
        Bundle bundle = new Bundle();
        bundle.putString("url", str2);
        bundle.putBoolean("isData", false);
        bundle.putString("id", str);
        bundle.putString("managerId", this.id);
        bundle.putSerializable("options", hashMap);
        bundle.putSerializable("actionButton", hashMap2);
        bundle.putSerializable("menuItemList", (Serializable) list);
        Boolean bool = Boolean.FALSE;
        Boolean bool2 = (Boolean) Util.getOrDefault(hashMap, "isSingleInstance", bool);
        Boolean bool3 = (Boolean) Util.getOrDefault(hashMap, "isTrustedWebActivity", bool);
        if (!CustomTabActivityHelper.isAvailable(activity)) {
            tVar.error(LOG_TAG, "ChromeCustomTabs is not available!", null);
            return;
        }
        Intent intent = new Intent(activity, !bool2.booleanValue() ? !bool3.booleanValue() ? ChromeCustomTabsActivity.class : TrustedWebActivity.class : !bool3.booleanValue() ? ChromeCustomTabsActivitySingleInstance.class : TrustedWebActivitySingleInstance.class);
        intent.putExtras(bundle);
        if (((Boolean) Util.getOrDefault(hashMap, "noHistory", bool)).booleanValue()) {
            intent.addFlags(1073741824);
        }
        activity.startActivity(intent);
        tVar.success(Boolean.TRUE);
    }
}
