package com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs;

import android.app.Activity;
import android.net.Uri;
import android.os.Bundle;
import androidx.browser.customtabs.c;
import androidx.browser.customtabs.j;
import androidx.browser.customtabs.m;
import androidx.browser.customtabs.o;
import androidx.browser.customtabs.p;
import java.util.List;
/* loaded from: classes.dex */
public class CustomTabActivityHelper implements ServiceConnectionCallback {
    private j mClient;
    private o mConnection;
    private ConnectionCallback mConnectionCallback;
    private c mCustomTabsCallback;
    private p mCustomTabsSession;

    /* loaded from: classes.dex */
    public interface ConnectionCallback {
        void onCustomTabsConnected();

        void onCustomTabsDisconnected();
    }

    public static boolean isAvailable(Activity activity) {
        return CustomTabsHelper.getPackageNameToUse(activity) != null;
    }

    public static void openCustomTab(Activity activity, m mVar, Uri uri, int i2) {
        mVar.f1965a.setData(uri);
        activity.startActivityForResult(mVar.f1965a, i2);
    }

    public static void openCustomTab(Activity activity, j.c cVar, Uri uri, int i2) {
        cVar.a().setData(uri);
        activity.startActivityForResult(cVar.a(), i2);
    }

    public void bindCustomTabsService(Activity activity) {
        String packageNameToUse;
        if (this.mClient == null && (packageNameToUse = CustomTabsHelper.getPackageNameToUse(activity)) != null) {
            ServiceConnection serviceConnection = new ServiceConnection(this);
            this.mConnection = serviceConnection;
            j.a(activity, packageNameToUse, serviceConnection);
        }
    }

    public p getSession() {
        p b2;
        j jVar = this.mClient;
        if (jVar != null) {
            if (this.mCustomTabsSession == null) {
                b2 = jVar.b(this.mCustomTabsCallback);
            }
            return this.mCustomTabsSession;
        }
        b2 = null;
        this.mCustomTabsSession = b2;
        return this.mCustomTabsSession;
    }

    public boolean mayLaunchUrl(Uri uri, Bundle bundle, List list) {
        p session;
        if (this.mClient == null || (session = getSession()) == null) {
            return false;
        }
        return session.d(uri, bundle, list);
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.ServiceConnectionCallback
    public void onServiceConnected(j jVar) {
        this.mClient = jVar;
        jVar.c(0L);
        ConnectionCallback connectionCallback = this.mConnectionCallback;
        if (connectionCallback != null) {
            connectionCallback.onCustomTabsConnected();
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.chrome_custom_tabs.ServiceConnectionCallback
    public void onServiceDisconnected() {
        this.mClient = null;
        this.mCustomTabsSession = null;
        ConnectionCallback connectionCallback = this.mConnectionCallback;
        if (connectionCallback != null) {
            connectionCallback.onCustomTabsDisconnected();
        }
    }

    public void setConnectionCallback(ConnectionCallback connectionCallback) {
        this.mConnectionCallback = connectionCallback;
    }

    public void setCustomTabsCallback(c cVar) {
        this.mCustomTabsCallback = cVar;
    }

    public void unbindCustomTabsService(Activity activity) {
        o oVar = this.mConnection;
        if (oVar == null) {
            return;
        }
        activity.unbindService(oVar);
        this.mClient = null;
        this.mCustomTabsSession = null;
        this.mConnection = null;
    }
}
