package com.pichillilorenzo.flutter_inappwebview.content_blocker;

import X.l;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.regex.Pattern;
/* loaded from: classes.dex */
public class ContentBlockerTrigger {
    private List ifDomain;
    private List ifTopUrl;
    private List loadType;
    private List resourceType;
    private List unlessDomain;
    private List unlessTopUrl;
    private String urlFilter;
    private Boolean urlFilterIsCaseSensitive;
    private Pattern urlFilterPatternCompiled;

    public ContentBlockerTrigger(String str, Boolean bool, List list, List list2, List list3, List list4, List list5, List list6) {
        this.resourceType = new ArrayList();
        this.ifDomain = new ArrayList();
        this.unlessDomain = new ArrayList();
        this.loadType = new ArrayList();
        this.ifTopUrl = new ArrayList();
        this.unlessTopUrl = new ArrayList();
        this.urlFilter = str;
        this.urlFilterPatternCompiled = Pattern.compile(str);
        this.resourceType = list == null ? this.resourceType : list;
        boolean z2 = false;
        this.urlFilterIsCaseSensitive = Boolean.valueOf(bool != null ? bool.booleanValue() : false);
        list2 = list2 == null ? this.ifDomain : list2;
        this.ifDomain = list2;
        this.unlessDomain = list3 == null ? this.unlessDomain : list3;
        if ((list2.isEmpty() || this.unlessDomain.isEmpty()) ? false : true) {
            throw new AssertionError();
        }
        list4 = list4 == null ? this.loadType : list4;
        this.loadType = list4;
        if (list4.size() > 2) {
            throw new AssertionError();
        }
        list5 = list5 == null ? this.ifTopUrl : list5;
        this.ifTopUrl = list5;
        this.unlessTopUrl = list6 == null ? this.unlessTopUrl : list6;
        if (!list5.isEmpty() && !this.unlessTopUrl.isEmpty()) {
            z2 = true;
        }
        if (z2) {
            throw new AssertionError();
        }
    }

    public static ContentBlockerTrigger fromMap(Map map) {
        String str = (String) map.get("url-filter");
        Boolean bool = (Boolean) map.get("url-filter-is-case-sensitive");
        List<String> list = (List) map.get("resource-type");
        ArrayList arrayList = new ArrayList();
        if (list != null) {
            for (String str2 : list) {
                arrayList.add(ContentBlockerTriggerResourceType.fromValue(str2));
            }
        } else {
            arrayList.addAll(Arrays.asList(ContentBlockerTriggerResourceType.values()));
        }
        return new ContentBlockerTrigger(str, bool, arrayList, (List) map.get("if-domain"), (List) map.get("unless-domain"), (List) map.get("load-type"), (List) map.get("if-top-url"), (List) map.get("unless-top-url"));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        ContentBlockerTrigger contentBlockerTrigger = (ContentBlockerTrigger) obj;
        if (this.urlFilter.equals(contentBlockerTrigger.urlFilter) && this.urlFilterPatternCompiled.equals(contentBlockerTrigger.urlFilterPatternCompiled) && this.urlFilterIsCaseSensitive.equals(contentBlockerTrigger.urlFilterIsCaseSensitive) && this.resourceType.equals(contentBlockerTrigger.resourceType) && this.ifDomain.equals(contentBlockerTrigger.ifDomain) && this.unlessDomain.equals(contentBlockerTrigger.unlessDomain) && this.loadType.equals(contentBlockerTrigger.loadType) && this.ifTopUrl.equals(contentBlockerTrigger.ifTopUrl)) {
            return this.unlessTopUrl.equals(contentBlockerTrigger.unlessTopUrl);
        }
        return false;
    }

    public List getIfDomain() {
        return this.ifDomain;
    }

    public List getIfTopUrl() {
        return this.ifTopUrl;
    }

    public List getLoadType() {
        return this.loadType;
    }

    public List getResourceType() {
        return this.resourceType;
    }

    public List getUnlessDomain() {
        return this.unlessDomain;
    }

    public List getUnlessTopUrl() {
        return this.unlessTopUrl;
    }

    public String getUrlFilter() {
        return this.urlFilter;
    }

    public Boolean getUrlFilterIsCaseSensitive() {
        return this.urlFilterIsCaseSensitive;
    }

    public Pattern getUrlFilterPatternCompiled() {
        return this.urlFilterPatternCompiled;
    }

    public int hashCode() {
        int hashCode = this.urlFilterPatternCompiled.hashCode();
        int hashCode2 = this.urlFilterIsCaseSensitive.hashCode();
        int hashCode3 = this.resourceType.hashCode();
        int hashCode4 = this.ifDomain.hashCode();
        int hashCode5 = this.unlessDomain.hashCode();
        int hashCode6 = this.loadType.hashCode();
        int hashCode7 = this.ifTopUrl.hashCode();
        return this.unlessTopUrl.hashCode() + ((hashCode7 + ((hashCode6 + ((hashCode5 + ((hashCode4 + ((hashCode3 + ((hashCode2 + ((hashCode + (this.urlFilter.hashCode() * 31)) * 31)) * 31)) * 31)) * 31)) * 31)) * 31)) * 31);
    }

    public void setIfDomain(List list) {
        this.ifDomain = list;
    }

    public void setIfTopUrl(List list) {
        this.ifTopUrl = list;
    }

    public void setLoadType(List list) {
        this.loadType = list;
    }

    public void setResourceType(List list) {
        this.resourceType = list;
    }

    public void setUnlessDomain(List list) {
        this.unlessDomain = list;
    }

    public void setUnlessTopUrl(List list) {
        this.unlessTopUrl = list;
    }

    public void setUrlFilter(String str) {
        this.urlFilter = str;
    }

    public void setUrlFilterIsCaseSensitive(Boolean bool) {
        this.urlFilterIsCaseSensitive = bool;
    }

    public void setUrlFilterPatternCompiled(Pattern pattern) {
        this.urlFilterPatternCompiled = pattern;
    }

    public String toString() {
        StringBuilder y2 = l.y("ContentBlockerTrigger{urlFilter='");
        y2.append(this.urlFilter);
        y2.append('\'');
        y2.append(", urlFilterPatternCompiled=");
        y2.append(this.urlFilterPatternCompiled);
        y2.append(", urlFilterIsCaseSensitive=");
        y2.append(this.urlFilterIsCaseSensitive);
        y2.append(", resourceType=");
        y2.append(this.resourceType);
        y2.append(", ifDomain=");
        y2.append(this.ifDomain);
        y2.append(", unlessDomain=");
        y2.append(this.unlessDomain);
        y2.append(", loadType=");
        y2.append(this.loadType);
        y2.append(", ifTopUrl=");
        y2.append(this.ifTopUrl);
        y2.append(", unlessTopUrl=");
        y2.append(this.unlessTopUrl);
        y2.append('}');
        return y2.toString();
    }
}
