package com.pichillilorenzo.flutter_inappwebview.credential_database;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.content.Context;
import android.webkit.WebViewDatabase;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.credential_database.URLCredentialContract;
import com.pichillilorenzo.flutter_inappwebview.credential_database.URLProtectionSpaceContract;
import com.pichillilorenzo.flutter_inappwebview.types.URLCredential;
import com.pichillilorenzo.flutter_inappwebview.types.URLProtectionSpace;
import java.util.ArrayList;
import java.util.HashMap;
/* loaded from: classes.dex */
public class CredentialDatabaseHandler implements s {
    static final String LOG_TAG = "CredentialDatabaseHandler";
    public static CredentialDatabase credentialDatabase;
    public u channel;
    public InAppWebViewFlutterPlugin plugin;

    public CredentialDatabaseHandler(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_inappwebview_credential_database");
        this.channel = uVar;
        uVar.d(this);
        credentialDatabase = CredentialDatabase.getInstance(inAppWebViewFlutterPlugin.applicationContext);
    }

    public void dispose() {
        this.channel.d(null);
        this.plugin = null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r14v11, types: [java.lang.Boolean] */
    /* JADX WARN: Type inference failed for: r14v15, types: [java.util.ArrayList] */
    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        Context context;
        Object obj;
        String str = rVar.f896a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -1851697792:
                if (str.equals("clearAllAuthCredentials")) {
                    c2 = 0;
                    break;
                }
                break;
            case -410271914:
                if (str.equals("getHttpAuthCredentials")) {
                    c2 = 1;
                    break;
                }
                break;
            case 589173355:
                if (str.equals("removeHttpAuthCredential")) {
                    c2 = 2;
                    break;
                }
                break;
            case 998955721:
                if (str.equals("setHttpAuthCredential")) {
                    c2 = 3;
                    break;
                }
                break;
            case 1084504936:
                if (str.equals("removeHttpAuthCredentials")) {
                    c2 = 4;
                    break;
                }
                break;
            case 1930845769:
                if (str.equals("getAllAuthCredentials")) {
                    c2 = 5;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                credentialDatabase.clearAllAuthCredentials();
                InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
                if (inAppWebViewFlutterPlugin != null && (context = inAppWebViewFlutterPlugin.applicationContext) != null) {
                    WebViewDatabase.getInstance(context).clearHttpAuthUsernamePassword();
                }
                obj = Boolean.TRUE;
                break;
            case 1:
                ArrayList arrayList = new ArrayList();
                for (URLCredential uRLCredential : credentialDatabase.getHttpAuthCredentials((String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_HOST), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PROTOCOL), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_REALM), (Integer) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PORT))) {
                    arrayList.add(uRLCredential.toMap());
                }
                tVar.success(arrayList);
                return;
            case 2:
                credentialDatabase.removeHttpAuthCredential((String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_HOST), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PROTOCOL), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_REALM), (Integer) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PORT), (String) rVar.a(URLCredentialContract.FeedEntry.COLUMN_NAME_USERNAME), (String) rVar.a(URLCredentialContract.FeedEntry.COLUMN_NAME_PASSWORD));
                obj = Boolean.TRUE;
                break;
            case 3:
                credentialDatabase.setHttpAuthCredential((String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_HOST), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PROTOCOL), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_REALM), (Integer) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PORT), (String) rVar.a(URLCredentialContract.FeedEntry.COLUMN_NAME_USERNAME), (String) rVar.a(URLCredentialContract.FeedEntry.COLUMN_NAME_PASSWORD));
                obj = Boolean.TRUE;
                break;
            case 4:
                credentialDatabase.removeHttpAuthCredentials((String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_HOST), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PROTOCOL), (String) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_REALM), (Integer) rVar.a(URLProtectionSpaceContract.FeedEntry.COLUMN_NAME_PORT));
                obj = Boolean.TRUE;
                break;
            case 5:
                obj = new ArrayList();
                for (URLProtectionSpace uRLProtectionSpace : credentialDatabase.protectionSpaceDao.getAll()) {
                    ArrayList arrayList2 = new ArrayList();
                    for (URLCredential uRLCredential2 : credentialDatabase.credentialDao.getAllByProtectionSpaceId(uRLProtectionSpace.getId())) {
                        arrayList2.add(uRLCredential2.toMap());
                    }
                    HashMap hashMap = new HashMap();
                    hashMap.put("protectionSpace", uRLProtectionSpace.toMap());
                    hashMap.put("credentials", arrayList2);
                    obj.add(hashMap);
                }
                break;
            default:
                tVar.notImplemented();
                return;
        }
        tVar.success(obj);
    }
}
