package com.pichillilorenzo.flutter_inappwebview.headless_in_app_webview;

import X.l;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.Util;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.FlutterWebView;
import com.pichillilorenzo.flutter_inappwebview.types.Size2D;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class HeadlessInAppWebView implements s {
    protected static final String LOG_TAG = "HeadlessInAppWebView";
    public final u channel;
    public FlutterWebView flutterWebView;
    public final String id;
    public InAppWebViewFlutterPlugin plugin;

    public HeadlessInAppWebView(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin, String str, FlutterWebView flutterWebView) {
        this.id = str;
        this.plugin = inAppWebViewFlutterPlugin;
        this.flutterWebView = flutterWebView;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, l.u("com.pichillilorenzo/flutter_headless_inappwebview_", str));
        this.channel = uVar;
        uVar.d(this);
    }

    public void dispose() {
        Activity activity;
        ViewGroup viewGroup;
        ViewGroup viewGroup2;
        FlutterWebView flutterWebView;
        this.channel.d(null);
        Map map = HeadlessInAppWebViewManager.webViews;
        if (map.containsKey(this.id)) {
            map.put(this.id, null);
        }
        InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
        if (inAppWebViewFlutterPlugin != null && (activity = inAppWebViewFlutterPlugin.activity) != null && (viewGroup = (ViewGroup) activity.findViewById(16908290)) != null && (viewGroup2 = (ViewGroup) viewGroup.getChildAt(0)) != null && (flutterWebView = this.flutterWebView) != null) {
            viewGroup2.removeView(flutterWebView.getView());
        }
        FlutterWebView flutterWebView2 = this.flutterWebView;
        if (flutterWebView2 != null) {
            flutterWebView2.dispose();
        }
        this.flutterWebView = null;
        this.plugin = null;
    }

    public Size2D getSize() {
        FlutterWebView flutterWebView = this.flutterWebView;
        if (flutterWebView == null || flutterWebView.webView == null) {
            return null;
        }
        View view = flutterWebView.getView();
        float pixelDensity = Util.getPixelDensity(view.getContext());
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        return new Size2D(layoutParams.width / pixelDensity, layoutParams.height / pixelDensity);
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        Object obj;
        String str = rVar.f896a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case -75151241:
                if (str.equals("getSize")) {
                    c2 = 0;
                    break;
                }
                break;
            case 1671767583:
                if (str.equals("dispose")) {
                    c2 = 1;
                    break;
                }
                break;
            case 1984958339:
                if (str.equals("setSize")) {
                    c2 = 2;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                Size2D size = getSize();
                if (size == null) {
                    obj = null;
                    break;
                } else {
                    obj = size.toMap();
                    break;
                }
            case 1:
                dispose();
                obj = Boolean.TRUE;
                break;
            case 2:
                Size2D fromMap = Size2D.fromMap((Map) rVar.a("size"));
                if (fromMap != null) {
                    setSize(fromMap);
                }
                obj = Boolean.TRUE;
                break;
            default:
                tVar.notImplemented();
                return;
        }
        tVar.success(obj);
    }

    public void onWebViewCreated() {
        this.channel.c("onWebViewCreated", new HashMap(), null);
    }

    public void prepare(Map map) {
        Activity activity;
        ViewGroup viewGroup;
        ViewGroup viewGroup2;
        FlutterWebView flutterWebView;
        InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
        if (inAppWebViewFlutterPlugin == null || (activity = inAppWebViewFlutterPlugin.activity) == null || (viewGroup = (ViewGroup) activity.findViewById(16908290)) == null || (viewGroup2 = (ViewGroup) viewGroup.getChildAt(0)) == null || (flutterWebView = this.flutterWebView) == null) {
            return;
        }
        View view = flutterWebView.getView();
        Size2D fromMap = Size2D.fromMap((Map) map.get("initialSize"));
        if (fromMap != null) {
            setSize(fromMap);
        } else {
            view.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        }
        viewGroup2.addView(view, 0);
        view.setVisibility(4);
    }

    public void setSize(Size2D size2D) {
        FlutterWebView flutterWebView = this.flutterWebView;
        if (flutterWebView == null || flutterWebView.webView == null) {
            return;
        }
        View view = flutterWebView.getView();
        float pixelDensity = Util.getPixelDensity(view.getContext());
        double width = size2D.getWidth();
        double d2 = pixelDensity;
        Double.isNaN(d2);
        int i2 = (int) (width * d2);
        double height = size2D.getHeight();
        Double.isNaN(d2);
        view.setLayoutParams(new FrameLayout.LayoutParams(i2, (int) (height * d2)));
    }
}
