package com.pichillilorenzo.flutter_inappwebview.headless_in_app_webview;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.app.Activity;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.FlutterWebView;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class HeadlessInAppWebViewManager implements s {
    protected static final String LOG_TAG = "HeadlessInAppWebViewManager";
    public static final Map webViews = new HashMap();
    public u channel;
    public InAppWebViewFlutterPlugin plugin;

    public HeadlessInAppWebViewManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_headless_inappwebview");
        this.channel = uVar;
        uVar.d(this);
    }

    public void dispose() {
        this.channel.d(null);
        for (HeadlessInAppWebView headlessInAppWebView : webViews.values()) {
            if (headlessInAppWebView != null) {
                headlessInAppWebView.dispose();
            }
        }
        webViews.clear();
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        String str = (String) rVar.a("id");
        String str2 = rVar.f896a;
        str2.getClass();
        if (!str2.equals("run")) {
            tVar.notImplemented();
            return;
        }
        run(str, (HashMap) rVar.a("params"));
        tVar.success(Boolean.TRUE);
    }

    public void run(String str, HashMap hashMap) {
        Activity activity;
        InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
        if (inAppWebViewFlutterPlugin == null || (activity = inAppWebViewFlutterPlugin.activity) == null) {
            return;
        }
        FlutterWebView flutterWebView = new FlutterWebView(inAppWebViewFlutterPlugin, activity, str, hashMap);
        HeadlessInAppWebView headlessInAppWebView = new HeadlessInAppWebView(this.plugin, str, flutterWebView);
        webViews.put(str, headlessInAppWebView);
        headlessInAppWebView.prepare(hashMap);
        headlessInAppWebView.onWebViewCreated();
        flutterWebView.makeInitialLoad(hashMap);
    }
}
