package com.pichillilorenzo.flutter_inappwebview.in_app_browser;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.app.Activity;
import android.content.Intent;
import android.content.pm.ResolveInfo;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import android.webkit.MimeTypeMap;
import androidx.fragment.app.j0;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;
/* loaded from: classes.dex */
public class InAppBrowserManager implements s {
    protected static final String LOG_TAG = "InAppBrowserManager";
    public static final Map shared = new HashMap();
    public u channel;
    public String id = UUID.randomUUID().toString();
    public InAppWebViewFlutterPlugin plugin;

    public InAppBrowserManager(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin) {
        this.plugin = inAppWebViewFlutterPlugin;
        u uVar = new u(inAppWebViewFlutterPlugin.messenger, "com.pichillilorenzo/flutter_inappbrowser");
        this.channel = uVar;
        uVar.d(this);
        shared.put(this.id, this);
    }

    public static String getMimeType(String str) {
        String fileExtensionFromUrl = MimeTypeMap.getFileExtensionFromUrl(str);
        if (fileExtensionFromUrl != null) {
            return MimeTypeMap.getSingleton().getMimeTypeFromExtension(fileExtensionFromUrl);
        }
        return null;
    }

    public void dispose() {
        this.channel.d(null);
        shared.remove(this.id);
        this.plugin = null;
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        Boolean bool;
        Activity activity;
        String str = rVar.f896a;
        str.getClass();
        if (str.equals("openWithSystemBrowser")) {
            InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin = this.plugin;
            if (inAppWebViewFlutterPlugin != null && inAppWebViewFlutterPlugin.activity != null) {
                openWithSystemBrowser(this.plugin.activity, (String) rVar.a("url"), tVar);
                return;
            }
        } else if (!str.equals("open")) {
            tVar.notImplemented();
            return;
        } else {
            InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin2 = this.plugin;
            if (inAppWebViewFlutterPlugin2 != null && (activity = inAppWebViewFlutterPlugin2.activity) != null) {
                open(activity, (Map) rVar.f897b);
                bool = Boolean.TRUE;
                tVar.success(bool);
            }
        }
        bool = Boolean.FALSE;
        tVar.success(bool);
    }

    public void open(Activity activity, Map map) {
        Integer num = (Integer) map.get("windowId");
        List list = (List) map.get("initialUserScripts");
        Map map2 = (Map) map.get("pullToRefreshOptions");
        Bundle bundle = new Bundle();
        bundle.putString("fromActivity", activity.getClass().getName());
        bundle.putSerializable("initialUrlRequest", (Serializable) ((Map) map.get("urlRequest")));
        bundle.putString("initialFile", (String) map.get("assetFilePath"));
        bundle.putString("initialData", (String) map.get("data"));
        bundle.putString("initialMimeType", (String) map.get("mimeType"));
        bundle.putString("initialEncoding", (String) map.get("encoding"));
        bundle.putString("initialBaseUrl", (String) map.get("baseUrl"));
        bundle.putString("initialHistoryUrl", (String) map.get("historyUrl"));
        bundle.putString("id", (String) map.get("id"));
        bundle.putString("managerId", this.id);
        bundle.putSerializable("options", (Serializable) ((Map) map.get("options")));
        bundle.putSerializable("contextMenu", (Serializable) ((Map) map.get("contextMenu")));
        bundle.putInt("windowId", num != null ? num.intValue() : -1);
        bundle.putSerializable("initialUserScripts", (Serializable) list);
        bundle.putSerializable("pullToRefreshInitialOptions", (Serializable) map2);
        startInAppBrowserActivity(activity, bundle);
    }

    public void openExternalExcludeCurrentApp(Activity activity, Intent intent) {
        String packageName = activity.getPackageName();
        List<ResolveInfo> queryIntentActivities = activity.getPackageManager().queryIntentActivities(intent, 0);
        ArrayList arrayList = new ArrayList();
        boolean z2 = false;
        for (ResolveInfo resolveInfo : queryIntentActivities) {
            if (packageName.equals(resolveInfo.activityInfo.packageName)) {
                z2 = true;
            } else {
                Intent intent2 = (Intent) intent.clone();
                intent2.setPackage(resolveInfo.activityInfo.packageName);
                arrayList.add(intent2);
            }
        }
        if (z2 && arrayList.size() != 0) {
            if (arrayList.size() == 1) {
                intent = (Intent) arrayList.get(0);
            } else if (arrayList.size() <= 0) {
                return;
            } else {
                intent = Intent.createChooser((Intent) arrayList.remove(arrayList.size() - 1), null);
                intent.putExtra("android.intent.extra.INITIAL_INTENTS", (Parcelable[]) arrayList.toArray(new Parcelable[0]));
            }
        }
        activity.startActivity(intent);
    }

    public void openWithSystemBrowser(Activity activity, String str, t tVar) {
        try {
            Intent intent = new Intent("android.intent.action.VIEW");
            Uri parse = Uri.parse(str);
            if ("file".equals(parse.getScheme())) {
                intent.setDataAndType(parse, getMimeType(str));
            } else {
                intent.setData(parse);
            }
            intent.putExtra("com.android.browser.application_id", activity.getPackageName());
            openExternalExcludeCurrentApp(activity, intent);
            tVar.success(Boolean.TRUE);
        } catch (RuntimeException e) {
            StringBuilder b2 = j0.b(str, " cannot be opened: ");
            b2.append(e.toString());
            Log.d(LOG_TAG, b2.toString());
            tVar.error(LOG_TAG, str + " cannot be opened!", null);
        }
    }

    public void startInAppBrowserActivity(Activity activity, Bundle bundle) {
        Intent intent = new Intent(activity, InAppBrowserActivity.class);
        if (bundle != null) {
            intent.putExtras(bundle);
        }
        activity.startActivity(intent);
    }
}
