package com.pichillilorenzo.flutter_inappwebview.in_app_webview;

import A.k;
import G0.i;
import Y.j;
import Y.u;
import android.content.Context;
import android.hardware.display.DisplayManager;
import android.os.Build;
import android.os.Message;
import android.util.Log;
import android.view.View;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.FrameLayout;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewMethodHandler;
import com.pichillilorenzo.flutter_inappwebview.plugin_scripts_js.JavaScriptBridgeJS;
import com.pichillilorenzo.flutter_inappwebview.pull_to_refresh.PullToRefreshLayout;
import com.pichillilorenzo.flutter_inappwebview.pull_to_refresh.PullToRefreshOptions;
import com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView;
import com.pichillilorenzo.flutter_inappwebview.types.URLRequest;
import com.pichillilorenzo.flutter_inappwebview.types.UserScript;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class FlutterWebView implements PlatformWebView {
    static final String LOG_TAG = "IAWFlutterWebView";
    public final u channel;
    public InAppWebViewMethodHandler methodCallDelegate;
    public PullToRefreshLayout pullToRefreshLayout;
    public InAppWebView webView;

    public FlutterWebView(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin, Context context, Object obj, HashMap hashMap) {
        j jVar = inAppWebViewFlutterPlugin.messenger;
        this.channel = new u(jVar, "com.pichillilorenzo/flutter_inappwebview_" + obj);
        DisplayListenerProxy displayListenerProxy = new DisplayListenerProxy();
        DisplayManager displayManager = (DisplayManager) context.getSystemService("display");
        displayListenerProxy.onPreWebViewInitialization(displayManager);
        Map map = (Map) hashMap.get("contextMenu");
        Integer num = (Integer) hashMap.get("windowId");
        List<Map> list = (List) hashMap.get("initialUserScripts");
        Map map2 = (Map) hashMap.get("pullToRefreshOptions");
        InAppWebViewOptions inAppWebViewOptions = new InAppWebViewOptions();
        inAppWebViewOptions.parse((Map) hashMap.get("initialOptions"));
        if (inAppWebViewFlutterPlugin.activity == null) {
            Log.e(LOG_TAG, "\n\n\nERROR: You need to upgrade your Flutter project to use the new Java Embedding API:\n\n- Take a look at the \"IMPORTANT Note for Android\" section here: https://github.com/pichillilorenzo/flutter_inappwebview#important-note-for-android\n- See the official wiki here: https://github.com/flutter/flutter/wiki/Upgrading-pre-1.12-Android-projects\n\n\n");
            return;
        }
        ArrayList arrayList = new ArrayList();
        if (list != null) {
            for (Map map3 : list) {
                arrayList.add(UserScript.fromMap(map3));
            }
        }
        u uVar = this.channel;
        inAppWebViewOptions.useHybridComposition.booleanValue();
        this.webView = new InAppWebView(context, inAppWebViewFlutterPlugin, uVar, obj, num, inAppWebViewOptions, map, null, arrayList);
        displayListenerProxy.onPostWebViewInitialization(displayManager);
        if (inAppWebViewOptions.useHybridComposition.booleanValue()) {
            this.webView.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
            j jVar2 = inAppWebViewFlutterPlugin.messenger;
            u uVar2 = new u(jVar2, "com.pichillilorenzo/flutter_inappwebview_pull_to_refresh_" + obj);
            PullToRefreshOptions pullToRefreshOptions = new PullToRefreshOptions();
            pullToRefreshOptions.parse(map2);
            PullToRefreshLayout pullToRefreshLayout = new PullToRefreshLayout(context, uVar2, pullToRefreshOptions);
            this.pullToRefreshLayout = pullToRefreshLayout;
            pullToRefreshLayout.addView(this.webView);
            this.pullToRefreshLayout.prepare();
        }
        InAppWebViewMethodHandler inAppWebViewMethodHandler = new InAppWebViewMethodHandler(this.webView);
        this.methodCallDelegate = inAppWebViewMethodHandler;
        this.channel.d(inAppWebViewMethodHandler);
        this.webView.prepare();
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public void dispose() {
        this.channel.d(null);
        InAppWebViewMethodHandler inAppWebViewMethodHandler = this.methodCallDelegate;
        if (inAppWebViewMethodHandler != null) {
            inAppWebViewMethodHandler.dispose();
            this.methodCallDelegate = null;
        }
        InAppWebView inAppWebView = this.webView;
        if (inAppWebView != null) {
            inAppWebView.removeJavascriptInterface(JavaScriptBridgeJS.JAVASCRIPT_BRIDGE_NAME);
            if (Build.VERSION.SDK_INT >= 29 && i.j("WEB_VIEW_RENDERER_CLIENT_BASIC_USAGE")) {
                k.h(this.webView, null);
            }
            this.webView.setWebChromeClient(new WebChromeClient());
            this.webView.setWebViewClient(new WebViewClient() { // from class: com.pichillilorenzo.flutter_inappwebview.in_app_webview.FlutterWebView.1
                @Override // android.webkit.WebViewClient
                public void onPageFinished(WebView webView, String str) {
                    InAppWebViewRenderProcessClient inAppWebViewRenderProcessClient = FlutterWebView.this.webView.inAppWebViewRenderProcessClient;
                    if (inAppWebViewRenderProcessClient != null) {
                        inAppWebViewRenderProcessClient.dispose();
                    }
                    FlutterWebView.this.webView.inAppWebViewChromeClient.dispose();
                    FlutterWebView.this.webView.inAppWebViewClient.dispose();
                    FlutterWebView.this.webView.javaScriptBridgeInterface.dispose();
                    FlutterWebView.this.webView.dispose();
                    FlutterWebView.this.webView.destroy();
                    FlutterWebView flutterWebView = FlutterWebView.this;
                    flutterWebView.webView = null;
                    PullToRefreshLayout pullToRefreshLayout = flutterWebView.pullToRefreshLayout;
                    if (pullToRefreshLayout != null) {
                        pullToRefreshLayout.dispose();
                        FlutterWebView.this.pullToRefreshLayout = null;
                    }
                }
            });
            this.webView.getSettings().setJavaScriptEnabled(false);
            this.webView.loadUrl("about:blank");
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public View getView() {
        PullToRefreshLayout pullToRefreshLayout = this.pullToRefreshLayout;
        return pullToRefreshLayout != null ? pullToRefreshLayout : this.webView;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView
    public void makeInitialLoad(HashMap hashMap) {
        Integer num = (Integer) hashMap.get("windowId");
        Map map = (Map) hashMap.get("initialUrlRequest");
        String str = (String) hashMap.get("initialFile");
        Map map2 = (Map) hashMap.get("initialData");
        if (num != null) {
            Message message = (Message) InAppWebViewChromeClient.windowWebViewMessages.get(num);
            if (message != null) {
                ((WebView.WebViewTransport) message.obj).setWebView(this.webView);
                message.sendToTarget();
            }
        } else if (str != null) {
            try {
                this.webView.loadFile(str);
            } catch (IOException e) {
                e.printStackTrace();
                Log.e(LOG_TAG, str + " asset file cannot be found!", e);
            }
        } else if (map2 == null) {
            if (map != null) {
                this.webView.loadUrl(URLRequest.fromMap(map));
            }
        } else {
            String str2 = (String) map2.get("data");
            String str3 = (String) map2.get("mimeType");
            String str4 = (String) map2.get("encoding");
            this.webView.loadDataWithBaseURL((String) map2.get("baseUrl"), str2, str3, str4, (String) map2.get("historyUrl"));
        }
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public void onFlutterViewAttached(View view) {
        InAppWebView inAppWebView = this.webView;
        if (inAppWebView == null || inAppWebView.options.useHybridComposition.booleanValue()) {
            return;
        }
        this.webView.setContainerView(view);
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public void onFlutterViewDetached() {
        InAppWebView inAppWebView = this.webView;
        if (inAppWebView == null || inAppWebView.options.useHybridComposition.booleanValue()) {
            return;
        }
        this.webView.setContainerView(null);
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public void onInputConnectionLocked() {
        InAppWebView inAppWebView = this.webView;
        if (inAppWebView == null || inAppWebView.inAppBrowserDelegate != null || inAppWebView.options.useHybridComposition.booleanValue()) {
            return;
        }
        this.webView.lockInputConnection();
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.PlatformWebView, io.flutter.plugin.platform.h
    public void onInputConnectionUnlocked() {
        InAppWebView inAppWebView = this.webView;
        if (inAppWebView == null || inAppWebView.inAppBrowserDelegate != null || inAppWebView.options.useHybridComposition.booleanValue()) {
            return;
        }
        this.webView.unlockInputConnection();
    }
}
