package com.pichillilorenzo.flutter_inappwebview.pull_to_refresh;

import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.content.Context;
import android.graphics.Color;
import android.util.AttributeSet;
import android.view.View;
import androidx.swiperefreshlayout.widget.j;
import androidx.swiperefreshlayout.widget.k;
import androidx.swiperefreshlayout.widget.m;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.InAppWebView;
import java.util.HashMap;
/* loaded from: classes.dex */
public class PullToRefreshLayout extends m implements s {
    static final String LOG_TAG = "PullToRefreshLayout";
    public u channel;
    public PullToRefreshOptions options;

    public PullToRefreshLayout(Context context) {
        super(context);
        this.channel = null;
        this.options = null;
    }

    public PullToRefreshLayout(Context context, u uVar, PullToRefreshOptions pullToRefreshOptions) {
        super(context);
        this.channel = uVar;
        this.options = pullToRefreshOptions;
    }

    public PullToRefreshLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.channel = null;
        this.options = null;
    }

    public void dispose() {
        removeAllViews();
        u uVar = this.channel;
        if (uVar != null) {
            uVar.d(null);
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        char c2;
        int i2;
        String str = rVar.f896a;
        str.getClass();
        switch (str.hashCode()) {
            case -1790841290:
                if (str.equals("setSlingshotDistance")) {
                    c2 = 0;
                    break;
                }
                c2 = 65535;
                break;
            case 154556713:
                if (str.equals("setRefreshing")) {
                    c2 = 1;
                    break;
                }
                c2 = 65535;
                break;
            case 1235582893:
                if (str.equals("getDefaultSlingshotDistance")) {
                    c2 = 2;
                    break;
                }
                c2 = 65535;
                break;
            case 1364071551:
                if (str.equals("setEnabled")) {
                    c2 = 3;
                    break;
                }
                c2 = 65535;
                break;
            case 1389555745:
                if (str.equals("setColor")) {
                    c2 = 4;
                    break;
                }
                c2 = 65535;
                break;
            case 1743806995:
                if (str.equals("setBackgroundColor")) {
                    c2 = 5;
                    break;
                }
                c2 = 65535;
                break;
            case 1807783361:
                if (str.equals("setDistanceToTriggerSync")) {
                    c2 = 6;
                    break;
                }
                c2 = 65535;
                break;
            case 1849446385:
                if (str.equals("isRefreshing")) {
                    c2 = 7;
                    break;
                }
                c2 = 65535;
                break;
            case 1984958339:
                if (str.equals("setSize")) {
                    c2 = '\b';
                    break;
                }
                c2 = 65535;
                break;
            default:
                c2 = 65535;
                break;
        }
        switch (c2) {
            case 0:
                setSlingshotDistance(((Integer) rVar.a("slingshotDistance")).intValue());
                i2 = Boolean.TRUE;
                break;
            case 1:
                setRefreshing(((Boolean) rVar.a("refreshing")).booleanValue());
                i2 = Boolean.TRUE;
                break;
            case 2:
                i2 = -1;
                break;
            case 3:
                setEnabled(((Boolean) rVar.a("enabled")).booleanValue());
                i2 = Boolean.TRUE;
                break;
            case 4:
                setColorSchemeColors(Color.parseColor((String) rVar.a("color")));
                i2 = Boolean.TRUE;
                break;
            case 5:
                setProgressBackgroundColorSchemeColor(Color.parseColor((String) rVar.a("color")));
                i2 = Boolean.TRUE;
                break;
            case 6:
                setDistanceToTriggerSync(((Integer) rVar.a("distanceToTriggerSync")).intValue());
                i2 = Boolean.TRUE;
                break;
            case 7:
                i2 = Boolean.valueOf(isRefreshing());
                break;
            case '\b':
                setSize(((Integer) rVar.a("size")).intValue());
                i2 = Boolean.TRUE;
                break;
            default:
                tVar.notImplemented();
                return;
        }
        tVar.success(i2);
    }

    public void prepare() {
        u uVar = this.channel;
        if (uVar != null) {
            uVar.d(this);
        }
        setEnabled(this.options.enabled.booleanValue());
        setOnChildScrollUpCallback(new j() { // from class: com.pichillilorenzo.flutter_inappwebview.pull_to_refresh.PullToRefreshLayout.1
            @Override // androidx.swiperefreshlayout.widget.j
            public boolean canChildScrollUp(m mVar, View view) {
                if (view instanceof InAppWebView) {
                    InAppWebView inAppWebView = (InAppWebView) view;
                    if (!inAppWebView.canScrollVertically() || inAppWebView.getScrollY() <= 0) {
                        return !inAppWebView.canScrollVertically() && inAppWebView.getScrollY() == 0;
                    }
                    return true;
                }
                return true;
            }
        });
        setOnRefreshListener(new k() { // from class: com.pichillilorenzo.flutter_inappwebview.pull_to_refresh.PullToRefreshLayout.2
            @Override // androidx.swiperefreshlayout.widget.k
            public void onRefresh() {
                if (PullToRefreshLayout.this.channel == null) {
                    this.setRefreshing(false);
                    return;
                }
                PullToRefreshLayout.this.channel.c("onRefresh", new HashMap(), null);
            }
        });
        String str = this.options.color;
        if (str != null) {
            setColorSchemeColors(Color.parseColor(str));
        }
        String str2 = this.options.backgroundColor;
        if (str2 != null) {
            setProgressBackgroundColorSchemeColor(Color.parseColor(str2));
        }
        Integer num = this.options.distanceToTriggerSync;
        if (num != null) {
            setDistanceToTriggerSync(num.intValue());
        }
        Integer num2 = this.options.slingshotDistance;
        if (num2 != null) {
            setSlingshotDistance(num2.intValue());
        }
        Integer num3 = this.options.size;
        if (num3 != null) {
            setSize(num3.intValue());
        }
    }
}
