package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.security.Principal;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
/* loaded from: classes.dex */
public class ClientCertChallenge extends URLAuthenticationChallenge {
    private String[] keyTypes;
    private Principal[] principals;

    public ClientCertChallenge(URLProtectionSpace uRLProtectionSpace, Principal[] principalArr, String[] strArr) {
        super(uRLProtectionSpace);
        this.principals = principalArr;
        this.keyTypes = strArr;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.URLAuthenticationChallenge
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass() && super.equals(obj)) {
            ClientCertChallenge clientCertChallenge = (ClientCertChallenge) obj;
            if (Arrays.equals(this.principals, clientCertChallenge.principals)) {
                return Arrays.equals(this.keyTypes, clientCertChallenge.keyTypes);
            }
            return false;
        }
        return false;
    }

    public String[] getKeyTypes() {
        return this.keyTypes;
    }

    public Principal[] getPrincipals() {
        return this.principals;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.URLAuthenticationChallenge
    public int hashCode() {
        return (((super.hashCode() * 31) + Arrays.hashCode(this.principals)) * 31) + Arrays.hashCode(this.keyTypes);
    }

    public void setKeyTypes(String[] strArr) {
        this.keyTypes = strArr;
    }

    public void setPrincipals(Principal[] principalArr) {
        this.principals = principalArr;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.URLAuthenticationChallenge
    public Map toMap() {
        ArrayList arrayList;
        if (this.principals != null) {
            arrayList = new ArrayList();
            for (Principal principal : this.principals) {
                arrayList.add(principal.getName());
            }
        } else {
            arrayList = null;
        }
        Map map = super.toMap();
        map.put("androidPrincipals", arrayList);
        String[] strArr = this.keyTypes;
        map.put("androidKeyTypes", strArr != null ? Arrays.asList(strArr) : null);
        return map;
    }

    @Override // com.pichillilorenzo.flutter_inappwebview.types.URLAuthenticationChallenge
    public String toString() {
        StringBuilder y2 = l.y("ClientCertChallenge{principals=");
        y2.append(Arrays.toString(this.principals));
        y2.append(", keyTypes=");
        y2.append(Arrays.toString(this.keyTypes));
        y2.append("} ");
        y2.append(super.toString());
        return y2.toString();
    }
}
