package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.Arrays;
import java.util.Map;
/* loaded from: classes.dex */
public class CustomTabsActionButton {
    private String description;
    private byte[] icon;
    private int id;
    private boolean shouldTint;

    public CustomTabsActionButton(int i2, byte[] bArr, String str, boolean z2) {
        this.id = i2;
        this.icon = bArr;
        this.description = str;
        this.shouldTint = z2;
    }

    public static CustomTabsActionButton fromMap(Map map) {
        if (map == null) {
            return null;
        }
        return new CustomTabsActionButton(((Integer) map.get("id")).intValue(), (byte[]) map.get("icon"), (String) map.get("description"), ((Boolean) map.get("shouldTint")).booleanValue());
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        CustomTabsActionButton customTabsActionButton = (CustomTabsActionButton) obj;
        if (this.id == customTabsActionButton.id && this.shouldTint == customTabsActionButton.shouldTint && Arrays.equals(this.icon, customTabsActionButton.icon)) {
            return this.description.equals(customTabsActionButton.description);
        }
        return false;
    }

    public String getDescription() {
        return this.description;
    }

    public byte[] getIcon() {
        return this.icon;
    }

    public int getId() {
        return this.id;
    }

    public int hashCode() {
        int hashCode = Arrays.hashCode(this.icon);
        return ((this.description.hashCode() + ((hashCode + (this.id * 31)) * 31)) * 31) + (this.shouldTint ? 1 : 0);
    }

    public boolean isShouldTint() {
        return this.shouldTint;
    }

    public void setDescription(String str) {
        this.description = str;
    }

    public void setIcon(byte[] bArr) {
        this.icon = bArr;
    }

    public void setId(int i2) {
        this.id = i2;
    }

    public void setShouldTint(boolean z2) {
        this.shouldTint = z2;
    }

    public String toString() {
        StringBuilder y2 = l.y("CustomTabsActionButton{id=");
        y2.append(this.id);
        y2.append(", icon=");
        y2.append(Arrays.toString(this.icon));
        y2.append(", description='");
        y2.append(this.description);
        y2.append('\'');
        y2.append(", shouldTint=");
        y2.append(this.shouldTint);
        y2.append('}');
        return y2.toString();
    }
}
