package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.Map;
/* loaded from: classes.dex */
public class CustomTabsMenuItem {
    private int id;
    private String label;

    public CustomTabsMenuItem(int i2, String str) {
        this.id = i2;
        this.label = str;
    }

    public static CustomTabsMenuItem fromMap(Map map) {
        if (map == null) {
            return null;
        }
        return new CustomTabsMenuItem(((Integer) map.get("id")).intValue(), (String) map.get("label"));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        CustomTabsMenuItem customTabsMenuItem = (CustomTabsMenuItem) obj;
        if (this.id != customTabsMenuItem.id) {
            return false;
        }
        return this.label.equals(customTabsMenuItem.label);
    }

    public int getId() {
        return this.id;
    }

    public String getLabel() {
        return this.label;
    }

    public int hashCode() {
        return this.label.hashCode() + (this.id * 31);
    }

    public void setId(int i2) {
        this.id = i2;
    }

    public void setLabel(String str) {
        this.label = str;
    }

    public String toString() {
        StringBuilder y2 = l.y("CustomTabsMenuItem{id=");
        y2.append(this.id);
        y2.append(", label='");
        y2.append(this.label);
        y2.append('\'');
        y2.append('}');
        return y2.toString();
    }
}
