package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class DownloadStartRequest {
    private String contentDisposition;
    private long contentLength;
    private String mimeType;
    private String suggestedFilename;
    private String textEncodingName;
    private String url;
    private String userAgent;

    public DownloadStartRequest(String str, String str2, String str3, String str4, long j2, String str5, String str6) {
        this.url = str;
        this.userAgent = str2;
        this.contentDisposition = str3;
        this.mimeType = str4;
        this.contentLength = j2;
        this.suggestedFilename = str5;
        this.textEncodingName = str6;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        DownloadStartRequest downloadStartRequest = (DownloadStartRequest) obj;
        if (this.contentLength == downloadStartRequest.contentLength && this.url.equals(downloadStartRequest.url) && this.userAgent.equals(downloadStartRequest.userAgent) && this.contentDisposition.equals(downloadStartRequest.contentDisposition) && this.mimeType.equals(downloadStartRequest.mimeType)) {
            String str = this.suggestedFilename;
            if (str == null ? downloadStartRequest.suggestedFilename == null : str.equals(downloadStartRequest.suggestedFilename)) {
                String str2 = this.textEncodingName;
                String str3 = downloadStartRequest.textEncodingName;
                return str2 != null ? str2.equals(str3) : str3 == null;
            }
            return false;
        }
        return false;
    }

    public String getContentDisposition() {
        return this.contentDisposition;
    }

    public long getContentLength() {
        return this.contentLength;
    }

    public String getMimeType() {
        return this.mimeType;
    }

    public String getSuggestedFilename() {
        return this.suggestedFilename;
    }

    public String getTextEncodingName() {
        return this.textEncodingName;
    }

    public String getUrl() {
        return this.url;
    }

    public String getUserAgent() {
        return this.userAgent;
    }

    public int hashCode() {
        int hashCode = this.userAgent.hashCode();
        int hashCode2 = this.contentDisposition.hashCode();
        int hashCode3 = this.mimeType.hashCode();
        long j2 = this.contentLength;
        int hashCode4 = (((hashCode3 + ((hashCode2 + ((hashCode + (this.url.hashCode() * 31)) * 31)) * 31)) * 31) + ((int) (j2 ^ (j2 >>> 32)))) * 31;
        String str = this.suggestedFilename;
        int hashCode5 = (hashCode4 + (str != null ? str.hashCode() : 0)) * 31;
        String str2 = this.textEncodingName;
        return hashCode5 + (str2 != null ? str2.hashCode() : 0);
    }

    public void setContentDisposition(String str) {
        this.contentDisposition = str;
    }

    public void setContentLength(long j2) {
        this.contentLength = j2;
    }

    public void setMimeType(String str) {
        this.mimeType = str;
    }

    public void setSuggestedFilename(String str) {
        this.suggestedFilename = str;
    }

    public void setTextEncodingName(String str) {
        this.textEncodingName = str;
    }

    public void setUrl(String str) {
        this.url = str;
    }

    public void setUserAgent(String str) {
        this.userAgent = str;
    }

    public Map toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("url", this.url);
        hashMap.put("userAgent", this.userAgent);
        hashMap.put("contentDisposition", this.contentDisposition);
        hashMap.put("mimeType", this.mimeType);
        hashMap.put("contentLength", Long.valueOf(this.contentLength));
        hashMap.put("suggestedFilename", this.suggestedFilename);
        hashMap.put("textEncodingName", this.textEncodingName);
        return hashMap;
    }

    public String toString() {
        StringBuilder y2 = l.y("DownloadStartRequest{url='");
        y2.append(this.url);
        y2.append('\'');
        y2.append(", userAgent='");
        y2.append(this.userAgent);
        y2.append('\'');
        y2.append(", contentDisposition='");
        y2.append(this.contentDisposition);
        y2.append('\'');
        y2.append(", mimeType='");
        y2.append(this.mimeType);
        y2.append('\'');
        y2.append(", contentLength=");
        y2.append(this.contentLength);
        y2.append(", suggestedFilename='");
        y2.append(this.suggestedFilename);
        y2.append('\'');
        y2.append(", textEncodingName='");
        y2.append(this.textEncodingName);
        y2.append('\'');
        y2.append('}');
        return y2.toString();
    }
}
