package com.pichillilorenzo.flutter_inappwebview.types;

import Y.t;
import android.content.Context;
import android.net.Uri;
import android.net.http.SslCertificate;
import android.os.Looper;
import android.webkit.ValueCallback;
import android.webkit.WebView;
import com.pichillilorenzo.flutter_inappwebview.InAppWebViewFlutterPlugin;
import com.pichillilorenzo.flutter_inappwebview.in_app_browser.InAppBrowserDelegate;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.InAppWebViewOptions;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public interface InAppWebViewInterface {
    void addWebMessageListener(WebMessageListener webMessageListener);

    void callAsyncJavaScript(String str, Map map, ContentWorld contentWorld, ValueCallback valueCallback);

    boolean canGoBack();

    boolean canGoBackOrForward(int i2);

    boolean canGoForward();

    boolean canScrollHorizontally();

    boolean canScrollVertically();

    void clearAllCache();

    void clearFocus();

    void clearHistory();

    void clearMatches();

    void clearSslPreferences();

    WebMessageChannel createCompatWebMessageChannel();

    WebMessageChannel createWebMessageChannel(ValueCallback valueCallback);

    void disposeWebMessageChannels();

    void disposeWebMessageListeners();

    void evaluateJavascript(String str, ContentWorld contentWorld, ValueCallback valueCallback);

    void findAllAsync(String str);

    void findNext(boolean z2);

    SslCertificate getCertificate();

    int getContentHeight();

    void getContentHeight(ValueCallback valueCallback);

    Context getContext();

    Map getContextMenu();

    HashMap getCopyBackForwardList();

    WebView.HitTestResult getHitTestResult();

    void getHitTestResult(ValueCallback valueCallback);

    InAppBrowserDelegate getInAppBrowserDelegate();

    Map getOptions();

    String getOriginalUrl();

    InAppWebViewFlutterPlugin getPlugin();

    int getProgress();

    int getScrollX();

    int getScrollY();

    void getSelectedText(ValueCallback valueCallback);

    String getTitle();

    String getUrl();

    UserContentController getUserContentController();

    Map getWebMessageChannels();

    Looper getWebViewLooper();

    float getZoomScale();

    void getZoomScale(ValueCallback valueCallback);

    void goBack();

    void goBackOrForward(int i2);

    void goForward();

    void injectCSSCode(String str);

    void injectCSSFileFromUrl(String str, Map map);

    void injectJavascriptFileFromUrl(String str, Map map);

    boolean isLoading();

    void isSecureContext(ValueCallback valueCallback);

    void loadDataWithBaseURL(String str, String str2, String str3, String str4, String str5);

    void loadFile(String str);

    void loadUrl(URLRequest uRLRequest);

    void onPause();

    void onResume();

    boolean pageDown(boolean z2);

    boolean pageUp(boolean z2);

    void pauseTimers();

    void postUrl(String str, byte[] bArr);

    void postWebMessage(android.webkit.WebMessage webMessage, Uri uri);

    void postWebMessage(WebMessage webMessage, Uri uri, ValueCallback valueCallback);

    void printCurrentPage();

    void reload();

    Map requestFocusNodeHref();

    Map requestImageRef();

    void resumeTimers();

    void saveWebArchive(String str, boolean z2, ValueCallback valueCallback);

    void scrollBy(Integer num, Integer num2, Boolean bool);

    void scrollTo(Integer num, Integer num2, Boolean bool);

    void setContextMenu(Map map);

    void setInAppBrowserDelegate(InAppBrowserDelegate inAppBrowserDelegate);

    void setOptions(InAppWebViewOptions inAppWebViewOptions, HashMap hashMap);

    void setPlugin(InAppWebViewFlutterPlugin inAppWebViewFlutterPlugin);

    void setUserContentController(UserContentController userContentController);

    void setWebMessageChannels(Map map);

    void stopLoading();

    void takeScreenshot(Map map, t tVar);

    void zoomBy(float f2);

    boolean zoomIn();

    boolean zoomOut();
}
