package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class NavigationAction {
    boolean hasGesture;
    boolean isForMainFrame;
    boolean isRedirect;
    URLRequest request;

    public NavigationAction(URLRequest uRLRequest, boolean z2, boolean z3, boolean z4) {
        this.request = uRLRequest;
        this.isForMainFrame = z2;
        this.hasGesture = z3;
        this.isRedirect = z4;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        NavigationAction navigationAction = (NavigationAction) obj;
        if (this.isForMainFrame == navigationAction.isForMainFrame && this.hasGesture == navigationAction.hasGesture && this.isRedirect == navigationAction.isRedirect) {
            return this.request.equals(navigationAction.request);
        }
        return false;
    }

    public URLRequest getRequest() {
        return this.request;
    }

    public int hashCode() {
        return (((((this.request.hashCode() * 31) + (this.isForMainFrame ? 1 : 0)) * 31) + (this.hasGesture ? 1 : 0)) * 31) + (this.isRedirect ? 1 : 0);
    }

    public boolean isForMainFrame() {
        return this.isForMainFrame;
    }

    public boolean isHasGesture() {
        return this.hasGesture;
    }

    public boolean isRedirect() {
        return this.isRedirect;
    }

    public void setForMainFrame(boolean z2) {
        this.isForMainFrame = z2;
    }

    public void setHasGesture(boolean z2) {
        this.hasGesture = z2;
    }

    public void setRedirect(boolean z2) {
        this.isRedirect = z2;
    }

    public void setRequest(URLRequest uRLRequest) {
        this.request = uRLRequest;
    }

    public Map toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("request", this.request.toMap());
        hashMap.put("isForMainFrame", Boolean.valueOf(this.isForMainFrame));
        hashMap.put("androidHasGesture", Boolean.valueOf(this.hasGesture));
        hashMap.put("androidIsRedirect", Boolean.valueOf(this.isRedirect));
        return hashMap;
    }

    public String toString() {
        StringBuilder y2 = l.y("NavigationAction{request=");
        y2.append(this.request);
        y2.append(", isForMainFrame=");
        y2.append(this.isForMainFrame);
        y2.append(", hasGesture=");
        y2.append(this.hasGesture);
        y2.append(", isRedirect=");
        y2.append(this.isRedirect);
        y2.append('}');
        return y2.toString();
    }
}
