package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
/* loaded from: classes.dex */
public class URLRequest {
    private byte[] body;
    private Map headers;
    private String method;
    private String url;

    public URLRequest(String str, String str2, byte[] bArr, Map map) {
        this.url = str;
        this.method = str2;
        this.body = bArr;
        this.headers = map;
    }

    public static URLRequest fromMap(Map map) {
        if (map == null) {
            return null;
        }
        String str = (String) map.get("url");
        if (str == null) {
            str = "about:blank";
        }
        return new URLRequest(str, (String) map.get("method"), (byte[]) map.get("body"), (Map) map.get("headers"));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        URLRequest uRLRequest = (URLRequest) obj;
        String str = this.url;
        if (str == null ? uRLRequest.url == null : str.equals(uRLRequest.url)) {
            String str2 = this.method;
            if (str2 == null ? uRLRequest.method == null : str2.equals(uRLRequest.method)) {
                if (Arrays.equals(this.body, uRLRequest.body)) {
                    Map map = this.headers;
                    Map map2 = uRLRequest.headers;
                    return map != null ? map.equals(map2) : map2 == null;
                }
                return false;
            }
            return false;
        }
        return false;
    }

    public byte[] getBody() {
        return this.body;
    }

    public Map getHeaders() {
        return this.headers;
    }

    public String getMethod() {
        return this.method;
    }

    public String getUrl() {
        return this.url;
    }

    public int hashCode() {
        String str = this.url;
        int hashCode = (str != null ? str.hashCode() : 0) * 31;
        String str2 = this.method;
        int hashCode2 = (Arrays.hashCode(this.body) + ((hashCode + (str2 != null ? str2.hashCode() : 0)) * 31)) * 31;
        Map map = this.headers;
        return hashCode2 + (map != null ? map.hashCode() : 0);
    }

    public void setBody(byte[] bArr) {
        this.body = bArr;
    }

    public void setHeaders(Map map) {
        this.headers = map;
    }

    public void setMethod(String str) {
        this.method = str;
    }

    public void setUrl(String str) {
        this.url = str;
    }

    public Map toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("url", this.url);
        hashMap.put("method", this.method);
        hashMap.put("body", this.body);
        return hashMap;
    }

    public String toString() {
        StringBuilder y2 = l.y("URLRequest{url='");
        y2.append(this.url);
        y2.append('\'');
        y2.append(", method='");
        y2.append(this.method);
        y2.append('\'');
        y2.append(", body=");
        y2.append(Arrays.toString(this.body));
        y2.append(", headers=");
        y2.append(this.headers);
        y2.append('}');
        return y2.toString();
    }
}
