package com.pichillilorenzo.flutter_inappwebview.types;

import X.l;
import java.util.Map;
/* loaded from: classes.dex */
public class UserScript {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    private ContentWorld contentWorld;
    private String groupName;
    private UserScriptInjectionTime injectionTime;
    private String source;

    public UserScript(String str, String str2, UserScriptInjectionTime userScriptInjectionTime, ContentWorld contentWorld) {
        this.groupName = str;
        this.source = str2;
        this.injectionTime = userScriptInjectionTime;
        this.contentWorld = contentWorld == null ? ContentWorld.PAGE : contentWorld;
    }

    public static UserScript fromMap(Map map) {
        if (map == null) {
            return null;
        }
        return new UserScript((String) map.get("groupName"), (String) map.get("source"), UserScriptInjectionTime.fromValue(((Integer) map.get("injectionTime")).intValue()), ContentWorld.fromMap((Map) map.get("contentWorld")));
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        UserScript userScript = (UserScript) obj;
        String str = this.groupName;
        if (str == null ? userScript.groupName == null : str.equals(userScript.groupName)) {
            if (this.source.equals(userScript.source) && this.injectionTime == userScript.injectionTime) {
                return this.contentWorld.equals(userScript.contentWorld);
            }
            return false;
        }
        return false;
    }

    public ContentWorld getContentWorld() {
        return this.contentWorld;
    }

    public String getGroupName() {
        return this.groupName;
    }

    public UserScriptInjectionTime getInjectionTime() {
        return this.injectionTime;
    }

    public String getSource() {
        return this.source;
    }

    public int hashCode() {
        String str = this.groupName;
        int hashCode = str != null ? str.hashCode() : 0;
        int hashCode2 = this.source.hashCode();
        return this.contentWorld.hashCode() + ((this.injectionTime.hashCode() + ((hashCode2 + (hashCode * 31)) * 31)) * 31);
    }

    public void setContentWorld(ContentWorld contentWorld) {
        if (contentWorld == null) {
            contentWorld = ContentWorld.PAGE;
        }
        this.contentWorld = contentWorld;
    }

    public void setGroupName(String str) {
        this.groupName = str;
    }

    public void setInjectionTime(UserScriptInjectionTime userScriptInjectionTime) {
        this.injectionTime = userScriptInjectionTime;
    }

    public void setSource(String str) {
        this.source = str;
    }

    public String toString() {
        StringBuilder y2 = l.y("UserScript{groupName='");
        y2.append(this.groupName);
        y2.append('\'');
        y2.append(", source='");
        y2.append(this.source);
        y2.append('\'');
        y2.append(", injectionTime=");
        y2.append(this.injectionTime);
        y2.append(", contentWorld=");
        y2.append(this.contentWorld);
        y2.append('}');
        return y2.toString();
    }
}
