package com.pichillilorenzo.flutter_inappwebview.types;

import A.f;
import A.g;
import A.h;
import A.k;
import G0.i;
import X.l;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.webkit.ValueCallback;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.InAppWebView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
/* loaded from: classes.dex */
public class WebMessageChannel implements s {
    static final String LOG_TAG = "WebMessageChannel";
    public u channel;
    public final List compatPorts;
    public String id;
    public final List ports;
    public InAppWebViewInterface webView;

    public WebMessageChannel(String str, InAppWebViewInterface inAppWebViewInterface) {
        this.id = str;
        u uVar = new u(inAppWebViewInterface.getPlugin().messenger, l.u("com.pichillilorenzo/flutter_inappwebview_web_message_channel_", str));
        this.channel = uVar;
        uVar.d(this);
        if (inAppWebViewInterface instanceof InAppWebView) {
            this.compatPorts = new ArrayList(Arrays.asList(k.b((InAppWebView) inAppWebViewInterface)));
            this.ports = new ArrayList();
        } else {
            this.ports = Arrays.asList(new WebMessagePort("port1", this), new WebMessagePort("port2", this));
            this.compatPorts = new ArrayList();
        }
        this.webView = inAppWebViewInterface;
    }

    private void closeForInAppWebView(Integer num, t tVar) {
        if (this.webView == null || this.compatPorts.size() <= 0 || !i.j("WEB_MESSAGE_PORT_CLOSE")) {
            tVar.success(Boolean.TRUE);
            return;
        }
        try {
            ((h) this.compatPorts.get(num.intValue())).a();
            tVar.success(Boolean.TRUE);
        } catch (Exception e) {
            tVar.error(LOG_TAG, e.getMessage(), null);
        }
    }

    private void postMessageForInAppWebView(Integer num, Map map, t tVar) {
        if (this.webView == null || this.compatPorts.size() <= 0 || !i.j("WEB_MESSAGE_PORT_POST_MESSAGE")) {
            tVar.success(Boolean.TRUE);
            return;
        }
        h hVar = (h) this.compatPorts.get(num.intValue());
        ArrayList arrayList = new ArrayList();
        List<Map> list = (List) map.get("ports");
        if (list != null) {
            for (Map map2 : list) {
                Integer num2 = (Integer) map2.get("index");
                WebMessageChannel webMessageChannel = (WebMessageChannel) this.webView.getWebMessageChannels().get((String) map2.get("webMessageChannelId"));
                if (webMessageChannel != null) {
                    arrayList.add((h) webMessageChannel.compatPorts.get(num2.intValue()));
                }
            }
        }
        try {
            hVar.d(new f((String) map.get("data"), (h[]) arrayList.toArray(new h[0])));
            tVar.success(Boolean.TRUE);
        } catch (Exception e) {
            tVar.error(LOG_TAG, e.getMessage(), null);
        }
    }

    private void setWebMessageCallbackForInAppWebView(final Integer num, t tVar) {
        if (this.webView == null || this.compatPorts.size() <= 0 || !i.j("WEB_MESSAGE_PORT_SET_MESSAGE_CALLBACK")) {
            tVar.success(Boolean.TRUE);
            return;
        }
        try {
            ((h) this.compatPorts.get(num.intValue())).e(new g() { // from class: com.pichillilorenzo.flutter_inappwebview.types.WebMessageChannel.2
                @Override // A.g
                public void onMessage(h hVar, f fVar) {
                    super.onMessage(hVar, fVar);
                    HashMap hashMap = new HashMap();
                    hashMap.put("index", num);
                    hashMap.put("message", fVar != null ? fVar.a() : null);
                    WebMessageChannel.this.channel.c("onMessage", hashMap, null);
                }
            });
            tVar.success(Boolean.TRUE);
        } catch (Exception e) {
            tVar.error(LOG_TAG, e.getMessage(), null);
        }
    }

    public void dispose() {
        if (i.j("WEB_MESSAGE_PORT_CLOSE")) {
            for (h hVar : this.compatPorts) {
                try {
                    hVar.a();
                } catch (Exception unused) {
                }
            }
        }
        this.channel.d(null);
        this.compatPorts.clear();
        this.webView = null;
    }

    public void initJsInstance(InAppWebViewInterface inAppWebViewInterface, final ValueCallback valueCallback) {
        if (inAppWebViewInterface != null) {
            inAppWebViewInterface.evaluateJavascript(l.w(l.y("(function() {window.flutter_inappwebview._webMessageChannels['"), this.id, "'] = new MessageChannel();})();"), null, new ValueCallback() { // from class: com.pichillilorenzo.flutter_inappwebview.types.WebMessageChannel.1
                @Override // android.webkit.ValueCallback
                public void onReceiveValue(String str) {
                    valueCallback.onReceiveValue(this);
                }
            });
        } else {
            valueCallback.onReceiveValue(this);
        }
    }

    public void onMessage(Integer num, String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("index", num);
        hashMap.put("message", str);
        this.channel.c("onMessage", hashMap, null);
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        String str = rVar.f896a;
        str.getClass();
        char c2 = 65535;
        switch (str.hashCode()) {
            case 94756344:
                if (str.equals("close")) {
                    c2 = 0;
                    break;
                }
                break;
            case 556190586:
                if (str.equals("setWebMessageCallback")) {
                    c2 = 1;
                    break;
                }
                break;
            case 1490029383:
                if (str.equals("postMessage")) {
                    c2 = 2;
                    break;
                }
                break;
        }
        switch (c2) {
            case 0:
                if (this.webView instanceof InAppWebView) {
                    closeForInAppWebView((Integer) rVar.a("index"), tVar);
                    return;
                }
                break;
            case 1:
                if (this.webView instanceof InAppWebView) {
                    setWebMessageCallbackForInAppWebView((Integer) rVar.a("index"), tVar);
                    return;
                }
                break;
            case 2:
                if (this.webView instanceof InAppWebView) {
                    postMessageForInAppWebView((Integer) rVar.a("index"), (Map) rVar.a("message"), tVar);
                    return;
                }
                break;
            default:
                tVar.notImplemented();
                return;
        }
        tVar.success(Boolean.TRUE);
    }

    public Map toMap() {
        HashMap hashMap = new HashMap();
        hashMap.put("id", this.id);
        return hashMap;
    }
}
