package com.pichillilorenzo.flutter_inappwebview.types;

import A.f;
import A.j;
import G0.i;
import X.l;
import Y.r;
import Y.s;
import Y.t;
import Y.u;
import android.net.Uri;
import android.text.TextUtils;
import android.webkit.WebView;
import com.pichillilorenzo.flutter_inappwebview.Util;
import com.pichillilorenzo.flutter_inappwebview.in_app_webview.InAppWebView;
import com.pichillilorenzo.flutter_inappwebview.plugin_scripts_js.JavaScriptBridgeJS;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
/* loaded from: classes.dex */
public class WebMessageListener implements s {
    static final /* synthetic */ boolean $assertionsDisabled = false;
    static final String LOG_TAG = "WebMessageListener";
    public Set allowedOriginRules;
    public u channel;
    public String jsObjectName;
    public j listener;
    public A.a replyProxy;
    public InAppWebViewInterface webView;

    public WebMessageListener(InAppWebViewInterface inAppWebViewInterface, Y.j jVar, String str, Set set) {
        this.webView = inAppWebViewInterface;
        this.jsObjectName = str;
        this.allowedOriginRules = set;
        StringBuilder y2 = l.y("com.pichillilorenzo/flutter_inappwebview_web_message_listener_");
        y2.append(this.jsObjectName);
        u uVar = new u(jVar, y2.toString());
        this.channel = uVar;
        uVar.d(this);
        if (this.webView instanceof InAppWebView) {
            this.listener = new j() { // from class: com.pichillilorenzo.flutter_inappwebview.types.WebMessageListener.1
                @Override // A.j
                public void onPostMessage(WebView webView, f fVar, Uri uri, boolean z2, A.a aVar) {
                    WebMessageListener.this.replyProxy = aVar;
                    this.onPostMessage(fVar.a(), uri, z2);
                }
            };
        }
    }

    public static WebMessageListener fromMap(InAppWebViewInterface inAppWebViewInterface, Y.j jVar, Map map) {
        if (map == null) {
            return null;
        }
        return new WebMessageListener(inAppWebViewInterface, jVar, (String) map.get("jsObjectName"), new HashSet((List) map.get("allowedOriginRules")));
    }

    private void postMessageForInAppWebView(String str, t tVar) {
        if (this.replyProxy != null && i.j("WEB_MESSAGE_LISTENER")) {
            this.replyProxy.a(str);
        }
        tVar.success(Boolean.TRUE);
    }

    public void assertOriginRulesValid() {
        int i2 = 0;
        for (String str : this.allowedOriginRules) {
            if (str == null) {
                throw new Exception("allowedOriginRules[" + i2 + "] is null");
            } else if (str.isEmpty()) {
                throw new Exception("allowedOriginRules[" + i2 + "] is empty");
            } else if (!"*".equals(str)) {
                Uri parse = Uri.parse(str);
                String scheme = parse.getScheme();
                String host = parse.getHost();
                String path = parse.getPath();
                int port = parse.getPort();
                if (scheme == null) {
                    throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                }
                if (("http".equals(scheme) || "https".equals(scheme)) && (host == null || host.isEmpty())) {
                    throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                }
                if (!"http".equals(scheme) && !"https".equals(scheme) && (host != null || port != -1)) {
                    throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                }
                if ((host == null || host.isEmpty()) && port != -1) {
                    throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                }
                if (!path.isEmpty()) {
                    throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                }
                if (host != null) {
                    int indexOf = host.indexOf("*");
                    if (indexOf != 0 || (indexOf == 0 && !host.startsWith("*."))) {
                        throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                    }
                    if (host.startsWith("[")) {
                        if (!host.endsWith("]")) {
                            throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                        }
                        if (!Util.isIPv6(host.substring(1, host.length() - 1))) {
                            throw new Exception(l.v("allowedOriginRules ", str, " is invalid"));
                        }
                    }
                }
                i2++;
            }
        }
    }

    public void dispose() {
        this.channel.d(null);
        this.listener = null;
        this.replyProxy = null;
        this.webView = null;
    }

    public void initJsInstance() {
        String str;
        String sb;
        if (this.webView != null) {
            String replaceAll = Util.replaceAll(this.jsObjectName, "'", "\\'");
            ArrayList arrayList = new ArrayList();
            for (String str2 : this.allowedOriginRules) {
                if ("*".equals(str2)) {
                    sb = "'*'";
                } else {
                    Uri parse = Uri.parse(str2);
                    if (parse.getHost() != null) {
                        StringBuilder y2 = l.y("'");
                        y2.append(Util.replaceAll(parse.getHost(), "'", "\\'"));
                        y2.append("'");
                        str = y2.toString();
                    } else {
                        str = "null";
                    }
                    StringBuilder y3 = l.y("{scheme: '");
                    y3.append(parse.getScheme());
                    y3.append("', host: ");
                    y3.append(str);
                    y3.append(", port: ");
                    y3.append(parse.getPort() != -1 ? Integer.valueOf(parse.getPort()) : "null");
                    y3.append("}");
                    sb = y3.toString();
                }
                arrayList.add(sb);
            }
            String str3 = "(function() {  var allowedOriginRules = [" + TextUtils.join(", ", arrayList) + "];  var isPageBlank = window.location.href === 'about:blank';  var scheme = !isPageBlank ? window.location.protocol.replace(':', '') : null;  var host = !isPageBlank ? window.location.hostname : null;  var port = !isPageBlank ? window.location.port : null;  if (window." + JavaScriptBridgeJS.JAVASCRIPT_BRIDGE_NAME + "._isOriginAllowed(allowedOriginRules, scheme, host, port)) {      window['" + replaceAll + "'] = new FlutterInAppWebViewWebMessageListener('" + replaceAll + "');  }})();";
            UserContentController userContentController = this.webView.getUserContentController();
            StringBuilder y4 = l.y("WebMessageListener-");
            y4.append(this.jsObjectName);
            userContentController.addPluginScript(new PluginScript(y4.toString(), str3, UserScriptInjectionTime.AT_DOCUMENT_START, null, false));
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(13:17|(2:72|(1:74)(1:75))(1:21)|(2:69|(1:71))(1:24)|25|(8:29|30|32|33|34|(1:64)(1:49)|(1:51)|(2:57|58))|68|32|33|34|(1:36)|64|(0)|(1:63)(4:53|55|57|58)) */
    /* JADX WARN: Removed duplicated region for block: B:67:0x00f5  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean isOriginAllowed(String str, String str2, int i2) {
        String str3;
        boolean equals;
        Iterator it = this.allowedOriginRules.iterator();
        while (true) {
            if (!it.hasNext()) {
                return false;
            }
            String str4 = (String) it.next();
            if ("*".equals(str4)) {
                return true;
            }
            if (str != null && !str.isEmpty() && (!str.isEmpty() || ((str2 != null && !str2.isEmpty()) || (i2 != 0 && i2 != -1)))) {
                Uri parse = Uri.parse(str4);
                int i3 = 443;
                int port = (parse.getPort() == -1 || parse.getPort() == 0) ? "https".equals(parse.getScheme()) ? 443 : 80 : parse.getPort();
                if (i2 != 0 && i2 != -1) {
                    i3 = i2;
                } else if (!"https".equals(str)) {
                    i3 = 80;
                }
                String str5 = null;
                if (parse.getHost() != null && parse.getHost().startsWith("[")) {
                    try {
                        str3 = Util.normalizeIPv6(parse.getHost().substring(1, parse.getHost().length() - 1));
                    } catch (Exception unused) {
                    }
                    str5 = Util.normalizeIPv6(str2);
                    equals = parse.getScheme().equals(str);
                    boolean z2 = parse.getHost() != null || parse.getHost().isEmpty() || parse.getHost().equals(str2) || (parse.getHost().startsWith("*") && str2 != null && str2.contains(parse.getHost().split("\\*")[1])) || !(str5 == null || str3 == null || !str5.equals(str3));
                    boolean z3 = port == i3;
                    if (equals && z2 && z3) {
                        return true;
                    }
                }
                str3 = null;
                str5 = Util.normalizeIPv6(str2);
                equals = parse.getScheme().equals(str);
                if (parse.getHost() != null) {
                }
                if (port == i3) {
                }
                if (equals) {
                    return true;
                }
                continue;
            }
        }
    }

    @Override // Y.s
    public void onMethodCall(r rVar, t tVar) {
        String str = rVar.f896a;
        str.getClass();
        if (!str.equals("postMessage")) {
            tVar.notImplemented();
        } else if (this.webView instanceof InAppWebView) {
            postMessageForInAppWebView((String) rVar.a("message"), tVar);
        } else {
            tVar.success(Boolean.TRUE);
        }
    }

    public void onPostMessage(String str, Uri uri, boolean z2) {
        HashMap hashMap = new HashMap();
        hashMap.put("message", str);
        hashMap.put("sourceOrigin", uri.toString().equals("null") ? null : uri.toString());
        hashMap.put("isMainFrame", Boolean.valueOf(z2));
        this.channel.c("onPostMessage", hashMap, null);
    }
}
