package io.flutter.embedding.android;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.window.OnBackInvokedCallback;
import androidx.lifecycle.AbstractC0229o;
import androidx.lifecycle.C0236w;
import androidx.lifecycle.EnumC0227m;
import androidx.lifecycle.InterfaceC0234u;
/* renamed from: io.flutter.embedding.android.g  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class ActivityC0312g extends Activity implements InterfaceC0315j, InterfaceC0234u {

    /* renamed from: g  reason: collision with root package name */
    public static final int f3261g = View.generateViewId();

    /* renamed from: d  reason: collision with root package name */
    protected C0316k f3262d;
    private C0236w e;

    /* renamed from: f  reason: collision with root package name */
    private final OnBackInvokedCallback f3263f;

    public ActivityC0312g() {
        this.f3263f = Build.VERSION.SDK_INT >= 33 ? new C0311f(this) : null;
        this.e = new C0236w(this);
    }

    private boolean h(String str) {
        String sb;
        C0316k c0316k = this.f3262d;
        if (c0316k == null) {
            StringBuilder y2 = X.l.y("FlutterActivity ");
            y2.append(hashCode());
            y2.append(" ");
            y2.append(str);
            y2.append(" called after release.");
            sb = y2.toString();
        } else if (c0316k.i()) {
            return true;
        } else {
            StringBuilder y3 = X.l.y("FlutterActivity ");
            y3.append(hashCode());
            y3.append(" ");
            y3.append(str);
            y3.append(" called after detach.");
            sb = y3.toString();
        }
        Log.w("FlutterActivity", sb);
        return false;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public int a() {
        if (getIntent().hasExtra("background_mode")) {
            return C0317l.c(getIntent().getStringExtra("background_mode"));
        }
        return 1;
    }

    public String b() {
        return getIntent().getStringExtra("cached_engine_id");
    }

    public String c() {
        try {
            Bundle d2 = d();
            String string = d2 != null ? d2.getString("io.flutter.Entrypoint") : null;
            return string != null ? string : "main";
        } catch (PackageManager.NameNotFoundException unused) {
            return "main";
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public Bundle d() {
        return getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
    }

    public int e() {
        return a() == 1 ? 1 : 2;
    }

    public boolean f() {
        boolean booleanExtra = getIntent().getBooleanExtra("destroy_engine_with_activity", false);
        return (b() != null || this.f3262d.j()) ? booleanExtra : getIntent().getBooleanExtra("destroy_engine_with_activity", true);
    }

    public boolean g() {
        return getIntent().hasExtra("enable_state_restoration") ? getIntent().getBooleanExtra("enable_state_restoration", false) : b() == null;
    }

    @Override // androidx.lifecycle.InterfaceC0234u
    public AbstractC0229o getLifecycle() {
        return this.e;
    }

    @Override // android.app.Activity
    protected void onActivityResult(int i2, int i3, Intent intent) {
        if (h("onActivityResult")) {
            this.f3262d.l(i2, i3, intent);
        }
    }

    @Override // android.app.Activity
    public void onBackPressed() {
        if (h("onBackPressed")) {
            this.f3262d.n();
        }
    }

    @Override // android.app.Activity
    protected void onCreate(Bundle bundle) {
        int i2;
        try {
            Bundle d2 = d();
            if (d2 != null && (i2 = d2.getInt("io.flutter.embedding.android.NormalTheme", -1)) != -1) {
                setTheme(i2);
            }
        } catch (PackageManager.NameNotFoundException unused) {
            Log.e("FlutterActivity", "Could not read meta-data for FlutterActivity. Using the launch theme as normal theme.");
        }
        super.onCreate(bundle);
        C0316k c0316k = new C0316k(this);
        this.f3262d = c0316k;
        c0316k.m();
        this.f3262d.v(bundle);
        this.e.f(EnumC0227m.ON_CREATE);
        int i3 = Build.VERSION.SDK_INT;
        if (i3 >= 33) {
            getOnBackInvokedDispatcher().registerOnBackInvokedCallback(0, this.f3263f);
        }
        if (a() == 2) {
            getWindow().setBackgroundDrawable(new ColorDrawable(0));
        }
        setContentView(this.f3262d.o(f3261g, e() == 1));
        if (i3 >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(1073741824);
            window.getDecorView().setSystemUiVisibility(1280);
        }
    }

    @Override // android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        if (h("onDestroy")) {
            this.f3262d.p();
            this.f3262d.q();
        }
        if (Build.VERSION.SDK_INT >= 33) {
            getOnBackInvokedDispatcher().unregisterOnBackInvokedCallback(this.f3263f);
        }
        C0316k c0316k = this.f3262d;
        if (c0316k != null) {
            c0316k.C();
            this.f3262d = null;
        }
        this.e.f(EnumC0227m.ON_DESTROY);
    }

    @Override // android.app.Activity
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        if (h("onNewIntent")) {
            this.f3262d.r(intent);
        }
    }

    @Override // android.app.Activity
    protected void onPause() {
        super.onPause();
        if (h("onPause")) {
            this.f3262d.s();
        }
        this.e.f(EnumC0227m.ON_PAUSE);
    }

    @Override // android.app.Activity
    public void onPostResume() {
        super.onPostResume();
        if (h("onPostResume")) {
            this.f3262d.t();
        }
    }

    @Override // android.app.Activity
    public void onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        if (h("onRequestPermissionsResult")) {
            this.f3262d.u(i2, strArr, iArr);
        }
    }

    @Override // android.app.Activity
    protected void onResume() {
        super.onResume();
        this.e.f(EnumC0227m.ON_RESUME);
        if (h("onResume")) {
            this.f3262d.w();
        }
    }

    @Override // android.app.Activity
    protected void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (h("onSaveInstanceState")) {
            this.f3262d.x(bundle);
        }
    }

    @Override // android.app.Activity
    protected void onStart() {
        super.onStart();
        this.e.f(EnumC0227m.ON_START);
        if (h("onStart")) {
            this.f3262d.y();
        }
    }

    @Override // android.app.Activity
    protected void onStop() {
        super.onStop();
        if (h("onStop")) {
            this.f3262d.z();
        }
        this.e.f(EnumC0227m.ON_STOP);
    }

    @Override // android.app.Activity, android.content.ComponentCallbacks2
    public void onTrimMemory(int i2) {
        super.onTrimMemory(i2);
        if (h("onTrimMemory")) {
            this.f3262d.A(i2);
        }
    }

    @Override // android.app.Activity
    public void onUserLeaveHint() {
        if (h("onUserLeaveHint")) {
            this.f3262d.B();
        }
    }
}
