package io.flutter.embedding.android;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorSpace;
import android.graphics.Paint;
import android.hardware.HardwareBuffer;
import android.media.Image;
import android.media.ImageReader;
import android.os.Build;
import android.util.Log;
import android.view.Surface;
import android.view.View;
import androidx.fragment.app.j0;
import java.nio.ByteBuffer;
import java.util.Locale;
/* renamed from: io.flutter.embedding.android.m  reason: case insensitive filesystem */
/* loaded from: classes.dex */
public class C0318m extends View implements W.j {

    /* renamed from: d  reason: collision with root package name */
    private ImageReader f3277d;
    private Image e;

    /* renamed from: f  reason: collision with root package name */
    private Bitmap f3278f;

    /* renamed from: g  reason: collision with root package name */
    private W.h f3279g;

    /* renamed from: h  reason: collision with root package name */
    private int f3280h;

    /* renamed from: i  reason: collision with root package name */
    private boolean f3281i;

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public C0318m(Context context, int i2, int i3, int i4) {
        super(context, null);
        ImageReader h2 = h(i2, i3);
        this.f3281i = false;
        this.f3277d = h2;
        this.f3280h = i4;
        setAlpha(0.0f);
    }

    private void f() {
        Image image = this.e;
        if (image != null) {
            image.close();
            this.e = null;
        }
    }

    private static ImageReader h(int i2, int i3) {
        int i4;
        int i5;
        if (i2 <= 0) {
            Log.w("FlutterImageView", String.format(Locale.US, "ImageReader width must be greater than 0, but given width=%d, set width=1", Integer.valueOf(i2)));
            i4 = 1;
        } else {
            i4 = i2;
        }
        if (i3 <= 0) {
            Log.w("FlutterImageView", String.format(Locale.US, "ImageReader height must be greater than 0, but given height=%d, set height=1", Integer.valueOf(i3)));
            i5 = 1;
        } else {
            i5 = i3;
        }
        return Build.VERSION.SDK_INT >= 29 ? ImageReader.newInstance(i4, i5, 1, 3, 768L) : ImageReader.newInstance(i4, i5, 1, 3);
    }

    @Override // W.j
    public void a() {
    }

    @Override // W.j
    public void b() {
        if (this.f3281i) {
            setAlpha(0.0f);
            e();
            this.f3278f = null;
            f();
            invalidate();
            this.f3281i = false;
        }
    }

    @Override // W.j
    public void c(W.h hVar) {
        if (j0.c(this.f3280h) == 0) {
            hVar.q(this.f3277d.getSurface());
        }
        setAlpha(1.0f);
        this.f3279g = hVar;
        this.f3281i = true;
    }

    @Override // W.j
    public W.h d() {
        return this.f3279g;
    }

    public boolean e() {
        if (this.f3281i) {
            Image acquireLatestImage = this.f3277d.acquireLatestImage();
            if (acquireLatestImage != null) {
                f();
                this.e = acquireLatestImage;
                invalidate();
            }
            return acquireLatestImage != null;
        }
        return false;
    }

    public void g() {
        this.f3277d.close();
    }

    public Surface i() {
        return this.f3277d.getSurface();
    }

    public void j(int i2, int i3) {
        if (this.f3279g == null) {
            return;
        }
        if (i2 == this.f3277d.getWidth() && i3 == this.f3277d.getHeight()) {
            return;
        }
        f();
        this.f3277d.close();
        this.f3277d = h(i2, i3);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        Image image = this.e;
        if (image != null) {
            if (Build.VERSION.SDK_INT >= 29) {
                HardwareBuffer hardwareBuffer = image.getHardwareBuffer();
                this.f3278f = Bitmap.wrapHardwareBuffer(hardwareBuffer, ColorSpace.get(ColorSpace.Named.SRGB));
                hardwareBuffer.close();
            } else {
                Image.Plane[] planes = image.getPlanes();
                if (planes.length == 1) {
                    Image.Plane plane = planes[0];
                    int rowStride = plane.getRowStride() / plane.getPixelStride();
                    int height = this.e.getHeight();
                    Bitmap bitmap = this.f3278f;
                    if (bitmap == null || bitmap.getWidth() != rowStride || this.f3278f.getHeight() != height) {
                        this.f3278f = Bitmap.createBitmap(rowStride, height, Bitmap.Config.ARGB_8888);
                    }
                    ByteBuffer buffer = plane.getBuffer();
                    buffer.rewind();
                    this.f3278f.copyPixelsFromBuffer(buffer);
                }
            }
        }
        Bitmap bitmap2 = this.f3278f;
        if (bitmap2 != null) {
            canvas.drawBitmap(bitmap2, 0.0f, 0.0f, (Paint) null);
        }
    }

    @Override // android.view.View
    protected void onSizeChanged(int i2, int i3, int i4, int i5) {
        if (!(i2 == this.f3277d.getWidth() && i3 == this.f3277d.getHeight()) && this.f3280h == 1 && this.f3281i) {
            j(i2, i3);
            this.f3279g.q(this.f3277d.getSurface());
        }
    }
}
