package io.flutter.plugin.platform;

import android.app.Presentation;
import android.content.Context;
import android.content.MutableContextWrapper;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.WindowManager;
import android.widget.FrameLayout;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes.dex */
public class SingleViewPresentation extends Presentation {
    private static final String TAG = "PlatformViewsController";
    private final C0327a accessibilityEventsDelegate;
    private FrameLayout container;
    private final View.OnFocusChangeListener focusChangeListener;
    private final Context outerContext;
    private t rootView;
    private boolean startFocused;
    private final x state;
    private int viewId;

    public SingleViewPresentation(Context context, Display display, C0327a c0327a, x xVar, View.OnFocusChangeListener onFocusChangeListener, boolean z2) {
        super(new v(context), display);
        this.startFocused = false;
        this.accessibilityEventsDelegate = c0327a;
        this.state = xVar;
        this.focusChangeListener = onFocusChangeListener;
        this.outerContext = context;
        getWindow().setFlags(8, 8);
        this.startFocused = z2;
    }

    public SingleViewPresentation(Context context, Display display, h hVar, C0327a c0327a, int i2, View.OnFocusChangeListener onFocusChangeListener) {
        super(new v(context), display);
        this.startFocused = false;
        this.accessibilityEventsDelegate = c0327a;
        this.viewId = i2;
        this.focusChangeListener = onFocusChangeListener;
        this.outerContext = context;
        x xVar = new x();
        this.state = xVar;
        xVar.f3471a = hVar;
        getWindow().setFlags(8, 8);
        if (Build.VERSION.SDK_INT >= 19) {
            getWindow().setType(2030);
        }
    }

    public x detachState() {
        this.container.removeAllViews();
        this.rootView.removeAllViews();
        return this.state;
    }

    public h getView() {
        h hVar;
        h hVar2;
        hVar = this.state.f3471a;
        if (hVar == null) {
            return null;
        }
        hVar2 = this.state.f3471a;
        return hVar2;
    }

    @Override // android.app.Dialog
    protected void onCreate(Bundle bundle) {
        u uVar;
        y yVar;
        y yVar2;
        h hVar;
        u uVar2;
        u uVar3;
        super.onCreate(bundle);
        getWindow().setBackgroundDrawable(new ColorDrawable(0));
        uVar = this.state.f3473c;
        if (uVar == null) {
            this.state.f3473c = new u(getContext());
        }
        yVar = this.state.f3472b;
        if (yVar == null) {
            x xVar = this.state;
            uVar3 = xVar.f3473c;
            xVar.f3472b = new y((WindowManager) getContext().getSystemService("window"), uVar3);
        }
        this.container = new FrameLayout(getContext());
        Context context = getContext();
        yVar2 = this.state.f3472b;
        w wVar = new w(context, yVar2, this.outerContext);
        hVar = this.state.f3471a;
        View view = hVar.getView();
        if (view.getContext() instanceof MutableContextWrapper) {
            ((MutableContextWrapper) view.getContext()).setBaseContext(wVar);
        } else {
            StringBuilder y2 = X.l.y("Unexpected platform view context for view ID ");
            y2.append(this.viewId);
            y2.append("; some functionality may not work correctly. When constructing a platform view in the factory, ensure that the view returned from PlatformViewFactory#create returns the provided context from getContext(). If you are unable to associate the view with that context, consider using Hybrid Composition instead.");
            Log.w(TAG, y2.toString());
        }
        this.container.addView(view);
        t tVar = new t(getContext(), this.accessibilityEventsDelegate, view);
        this.rootView = tVar;
        tVar.addView(this.container);
        t tVar2 = this.rootView;
        uVar2 = this.state.f3473c;
        tVar2.addView(uVar2);
        view.setOnFocusChangeListener(this.focusChangeListener);
        this.rootView.setFocusableInTouchMode(true);
        if (this.startFocused) {
            view.requestFocus();
        } else {
            this.rootView.requestFocus();
        }
        setContentView(this.rootView);
    }
}
