package io.flutter.plugin.platform;

import android.app.Activity;
import android.app.ActivityManager;
import android.content.ClipData;
import android.content.ClipDescription;
import android.content.ClipboardManager;
import android.graphics.Bitmap;
import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.Window;
import androidx.core.view.C0160f;
import androidx.fragment.app.j0;
import io.flutter.embedding.android.Q;
import java.io.FileNotFoundException;
import java.util.List;
/* loaded from: classes.dex */
public class g {

    /* renamed from: a */
    private final Activity f3418a;

    /* renamed from: b */
    private final X.q f3419b;

    /* renamed from: c */
    private final f f3420c;

    /* renamed from: d */
    private X.o f3421d;
    private int e;

    public g(Activity activity, X.q qVar, f fVar) {
        C0329c c0329c = new C0329c(this);
        this.f3418a = activity;
        this.f3419b = qVar;
        qVar.f(c0329c);
        this.f3420c = fVar;
        this.e = 1280;
    }

    public static void a(g gVar, int i2) {
        gVar.getClass();
        if (i2 == 1) {
            gVar.f3418a.getWindow().getDecorView().playSoundEffect(0);
        }
    }

    public static void b(g gVar, int i2) {
        gVar.f3418a.setRequestedOrientation(i2);
    }

    public static void c(g gVar, String str) {
        ((ClipboardManager) gVar.f3418a.getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text label?", str));
    }

    public static boolean d(g gVar) {
        ClipDescription primaryClipDescription;
        ClipboardManager clipboardManager = (ClipboardManager) gVar.f3418a.getSystemService("clipboard");
        if (clipboardManager.hasPrimaryClip() && (primaryClipDescription = clipboardManager.getPrimaryClipDescription()) != null) {
            return primaryClipDescription.hasMimeType("text/*");
        }
        return false;
    }

    public static void f(g gVar, Q q2) {
        gVar.getClass();
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 21) {
            return;
        }
        if (i2 < 28 && i2 > 21) {
            gVar.f3418a.setTaskDescription(new ActivityManager.TaskDescription((String) q2.f3240b, (Bitmap) null, q2.f3239a));
        }
        if (i2 >= 28) {
            gVar.f3418a.setTaskDescription(new ActivityManager.TaskDescription((String) q2.f3240b, 0, q2.f3239a));
        }
    }

    public static void g(g gVar, List list) {
        gVar.getClass();
        int i2 = (list.size() != 0 || Build.VERSION.SDK_INT < 19) ? 1798 : 5894;
        for (int i3 = 0; i3 < list.size(); i3++) {
            int ordinal = ((X.p) list.get(i3)).ordinal();
            if (ordinal == 0) {
                i2 &= -5;
            } else if (ordinal == 1) {
                i2 = i2 & (-513) & (-3);
            }
        }
        gVar.e = i2;
        gVar.o();
    }

    public static void h(g gVar, int i2) {
        int i3;
        gVar.getClass();
        if (i2 == 1) {
            i3 = 1798;
        } else if (i2 == 2 && Build.VERSION.SDK_INT >= 19) {
            i3 = 3846;
        } else if (i2 == 3 && Build.VERSION.SDK_INT >= 19) {
            i3 = 5894;
        } else if (i2 != 4 || Build.VERSION.SDK_INT < 29) {
            return;
        } else {
            i3 = 1792;
        }
        gVar.e = i3;
        gVar.o();
    }

    public static void i(g gVar) {
        View decorView = gVar.f3418a.getWindow().getDecorView();
        decorView.setOnSystemUiVisibilityChangeListener(new e(gVar, decorView));
    }

    public static /* synthetic */ void j(g gVar, X.o oVar) {
        gVar.n(oVar);
    }

    public static void k(g gVar) {
        f fVar = gVar.f3420c;
        Activity activity = gVar.f3418a;
        if (activity instanceof androidx.activity.v) {
            ((androidx.activity.v) activity).getOnBackPressedDispatcher().d();
        } else {
            activity.finish();
        }
    }

    public static CharSequence l(g gVar, int i2) {
        ClipboardManager clipboardManager = (ClipboardManager) gVar.f3418a.getSystemService("clipboard");
        if (clipboardManager.hasPrimaryClip()) {
            try {
                ClipData primaryClip = clipboardManager.getPrimaryClip();
                if (primaryClip == null) {
                    return null;
                }
                if (i2 == 0 || i2 == 1) {
                    ClipData.Item itemAt = primaryClip.getItemAt(0);
                    if (itemAt.getUri() != null) {
                        gVar.f3418a.getContentResolver().openTypedAssetFileDescriptor(itemAt.getUri(), "text/*", null);
                    }
                    return itemAt.coerceToText(gVar.f3418a);
                }
                return null;
            } catch (FileNotFoundException unused) {
                return null;
            } catch (SecurityException e) {
                Log.w("PlatformPlugin", "Attempted to get clipboard data that requires additional permission(s).\nSee the exception details for which permission(s) are required, and consider adding them to your Android Manifest as described in:\nhttps://developer.android.com/guide/topics/permissions/overview", e);
                return null;
            }
        }
        return null;
    }

    public void n(X.o oVar) {
        Window window = this.f3418a.getWindow();
        C0160f c0160f = new C0160f(window, window.getDecorView());
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 30) {
            window.addFlags(Integer.MIN_VALUE);
            window.clearFlags(201326592);
        }
        if (i2 >= 23) {
            int i3 = oVar.f820b;
            if (i3 != 0) {
                int c2 = j0.c(i3);
                if (c2 == 0) {
                    c0160f.h(false);
                } else if (c2 == 1) {
                    c0160f.h(true);
                }
            }
            Integer num = oVar.f819a;
            if (num != null) {
                window.setStatusBarColor(num.intValue());
            }
        }
        Boolean bool = oVar.f821c;
        if (bool != null && i2 >= 29) {
            window.setStatusBarContrastEnforced(bool.booleanValue());
        }
        if (i2 >= 26) {
            int i4 = oVar.e;
            if (i4 != 0) {
                int c3 = j0.c(i4);
                if (c3 == 0) {
                    c0160f.g(false);
                } else if (c3 == 1) {
                    c0160f.g(true);
                }
            }
            Integer num2 = oVar.f822d;
            if (num2 != null) {
                window.setNavigationBarColor(num2.intValue());
            }
        }
        Integer num3 = oVar.f823f;
        if (num3 != null && i2 >= 28) {
            window.setNavigationBarDividerColor(num3.intValue());
        }
        Boolean bool2 = oVar.f824g;
        if (bool2 != null && i2 >= 29) {
            window.setNavigationBarContrastEnforced(bool2.booleanValue());
        }
        this.f3421d = oVar;
    }

    public void m() {
        this.f3419b.f(null);
    }

    public void o() {
        this.f3418a.getWindow().getDecorView().setSystemUiVisibility(this.e);
        X.o oVar = this.f3421d;
        if (oVar != null) {
            n(oVar);
        }
    }

    public void p(X.m mVar) {
        int i2;
        View decorView = this.f3418a.getWindow().getDecorView();
        int ordinal = mVar.ordinal();
        if (ordinal != 0) {
            int i3 = 1;
            if (ordinal != 1) {
                if (ordinal == 2) {
                    decorView.performHapticFeedback(3);
                    return;
                } else if (ordinal != 3) {
                    i3 = 4;
                    if (ordinal != 4 || Build.VERSION.SDK_INT < 21) {
                        return;
                    }
                } else if (Build.VERSION.SDK_INT < 23) {
                    return;
                } else {
                    i2 = 6;
                }
            }
            decorView.performHapticFeedback(i3);
            return;
        }
        i2 = 0;
        decorView.performHapticFeedback(i2);
    }
}
