package io.flutter.plugin.platform;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.SurfaceTexture;
import android.os.Build;
import android.util.Log;
import android.view.MotionEvent;
import android.view.Surface;
import android.view.View;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityEvent;
import android.widget.FrameLayout;
import io.flutter.embedding.android.C0306a;
import java.util.concurrent.atomic.AtomicLong;
/* loaded from: classes.dex */
public class n extends FrameLayout {

    /* renamed from: d */
    private int f3425d;
    private int e;

    /* renamed from: f */
    private int f3426f;

    /* renamed from: g */
    private int f3427g;

    /* renamed from: h */
    private int f3428h;

    /* renamed from: i */
    private int f3429i;

    /* renamed from: j */
    private SurfaceTexture f3430j;

    /* renamed from: k */
    private Surface f3431k;
    private C0306a l;

    /* renamed from: m */
    ViewTreeObserver.OnGlobalFocusChangeListener f3432m;

    /* renamed from: n */
    private final AtomicLong f3433n;

    /* renamed from: o */
    private final io.flutter.view.s f3434o;

    /* renamed from: p */
    private boolean f3435p;

    /* renamed from: q */
    private final io.flutter.view.t f3436q;

    public n(Context context) {
        super(context);
        this.f3433n = new AtomicLong(0L);
        this.f3434o = new C0329c(this);
        this.f3435p = false;
        this.f3436q = new l(this);
        setWillNotDraw(false);
    }

    public n(Context context, io.flutter.view.u uVar) {
        this(context);
        int i2;
        uVar.c(this.f3434o);
        uVar.b(this.f3436q);
        SurfaceTexture d2 = uVar.d();
        int i3 = Build.VERSION.SDK_INT;
        if (i3 < 23) {
            Log.e("PlatformViewWrapper", "Platform views cannot be displayed below API level 23. You can prevent this issue by setting `minSdkVersion: 23` in build.gradle.");
            return;
        }
        this.f3430j = d2;
        int i4 = this.f3428h;
        if (i4 > 0 && (i2 = this.f3429i) > 0) {
            d2.setDefaultBufferSize(i4, i2);
        }
        Surface surface = this.f3431k;
        if (surface != null) {
            surface.release();
        }
        Surface surface2 = new Surface(d2);
        this.f3431k = surface2;
        Canvas lockHardwareCanvas = surface2.lockHardwareCanvas();
        try {
            lockHardwareCanvas.drawColor(0, PorterDuff.Mode.CLEAR);
            if (i3 == 29) {
                this.f3433n.incrementAndGet();
            }
        } finally {
            this.f3431k.unlockCanvasAndPost(lockHardwareCanvas);
        }
    }

    public static /* synthetic */ AtomicLong a(n nVar) {
        return nVar.f3433n;
    }

    public int c() {
        return this.f3429i;
    }

    public int d() {
        return this.f3428h;
    }

    @Override // android.view.View
    public void draw(Canvas canvas) {
        String str;
        Surface surface = this.f3431k;
        if (surface == null) {
            super.draw(canvas);
            str = "Platform view cannot be composed without a surface.";
        } else if (surface.isValid()) {
            SurfaceTexture surfaceTexture = this.f3430j;
            if (surfaceTexture != null && !surfaceTexture.isReleased()) {
                int i2 = Build.VERSION.SDK_INT;
                boolean z2 = true;
                if (i2 == 29 && this.f3433n.get() > 0) {
                    z2 = false;
                }
                if (!z2) {
                    invalidate();
                    return;
                }
                if (this.f3435p) {
                    Surface surface2 = this.f3431k;
                    if (surface2 != null) {
                        surface2.release();
                    }
                    this.f3431k = new Surface(this.f3430j);
                    this.f3435p = false;
                }
                Canvas lockHardwareCanvas = this.f3431k.lockHardwareCanvas();
                try {
                    lockHardwareCanvas.drawColor(0, PorterDuff.Mode.CLEAR);
                    super.draw(lockHardwareCanvas);
                    if (i2 == 29) {
                        this.f3433n.incrementAndGet();
                    }
                    return;
                } finally {
                    this.f3431k.unlockCanvasAndPost(lockHardwareCanvas);
                }
            }
            str = "Invalid texture. The platform view cannot be displayed.";
        } else {
            str = "Invalid surface. The platform view cannot be displayed.";
        }
        Log.e("PlatformViewWrapper", str);
    }

    public void e() {
        this.f3430j = null;
        Surface surface = this.f3431k;
        if (surface != null) {
            surface.release();
            this.f3431k = null;
        }
    }

    public void f(int i2, int i3) {
        this.f3428h = i2;
        this.f3429i = i3;
        SurfaceTexture surfaceTexture = this.f3430j;
        if (surfaceTexture != null) {
            surfaceTexture.setDefaultBufferSize(i2, i3);
        }
    }

    public void g(FrameLayout.LayoutParams layoutParams) {
        setLayoutParams(layoutParams);
        this.f3426f = layoutParams.leftMargin;
        this.f3427g = layoutParams.topMargin;
    }

    public void h(C0306a c0306a) {
        this.l = c0306a;
    }

    public void i() {
        ViewTreeObserver.OnGlobalFocusChangeListener onGlobalFocusChangeListener;
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (!viewTreeObserver.isAlive() || (onGlobalFocusChangeListener = this.f3432m) == null) {
            return;
        }
        this.f3432m = null;
        viewTreeObserver.removeOnGlobalFocusChangeListener(onGlobalFocusChangeListener);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public ViewParent invalidateChildInParent(int[] iArr, Rect rect) {
        invalidate();
        return super.invalidateChildInParent(iArr, rect);
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public void onDescendantInvalidated(View view, View view2) {
        super.onDescendantInvalidated(view, view2);
        invalidate();
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return true;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent motionEvent) {
        int i2;
        float f2;
        if (this.l == null) {
            return super.onTouchEvent(motionEvent);
        }
        Matrix matrix = new Matrix();
        int action = motionEvent.getAction();
        if (action == 0) {
            int i3 = this.f3426f;
            this.f3425d = i3;
            i2 = this.f3427g;
            this.e = i2;
            f2 = i3;
        } else if (action == 2) {
            matrix.postTranslate(this.f3425d, this.e);
            this.f3425d = this.f3426f;
            this.e = this.f3427g;
            this.l.f(motionEvent, matrix);
            return true;
        } else {
            f2 = this.f3426f;
            i2 = this.f3427g;
        }
        matrix.postTranslate(f2, i2);
        this.l.f(motionEvent, matrix);
        return true;
    }

    @Override // android.view.ViewGroup, android.view.ViewParent
    public boolean requestSendAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
        View childAt = getChildAt(0);
        if (childAt == null || childAt.getImportantForAccessibility() != 4) {
            return super.requestSendAccessibilityEvent(view, accessibilityEvent);
        }
        return false;
    }
}
