package io.flutter.plugins.imagepicker;

import android.app.Activity;
import android.content.ActivityNotFoundException;
import android.content.ClipData;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.net.Uri;
import android.os.Build;
import androidx.core.content.FileProvider;
import c.C0245c;
import c.C0246d;
import c.C0247e;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Iterator;
import java.util.UUID;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
/* loaded from: classes.dex */
public class j implements Y.w, Y.z {

    /* renamed from: d  reason: collision with root package name */
    final String f3496d;
    private final Activity e;

    /* renamed from: f  reason: collision with root package name */
    private final m f3497f;

    /* renamed from: g  reason: collision with root package name */
    private final C0330a f3498g;

    /* renamed from: h  reason: collision with root package name */
    private final e f3499h;

    /* renamed from: i  reason: collision with root package name */
    private final e f3500i;

    /* renamed from: j  reason: collision with root package name */
    private final C f3501j;

    /* renamed from: k  reason: collision with root package name */
    private final ExecutorService f3502k;
    private int l;

    /* renamed from: m  reason: collision with root package name */
    private Uri f3503m;

    /* renamed from: n  reason: collision with root package name */
    private i f3504n;

    /* renamed from: o  reason: collision with root package name */
    private final Object f3505o;

    public j(Activity activity, m mVar, C0330a c0330a) {
        e eVar = new e(activity);
        e eVar2 = new e(activity);
        C c2 = new C();
        ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
        this.f3505o = new Object();
        this.e = activity;
        this.f3497f = mVar;
        this.f3496d = activity.getPackageName() + ".flutter.image_provider";
        this.f3499h = eVar;
        this.f3500i = eVar2;
        this.f3501j = c2;
        this.f3498g = c0330a;
        this.f3502k = newSingleThreadExecutor;
    }

    private boolean A(x xVar, B b2, z zVar) {
        synchronized (this.f3505o) {
            if (this.f3504n != null) {
                return false;
            }
            this.f3504n = new i(xVar, b2, zVar);
            this.f3498g.a();
            return true;
        }
    }

    private void D(Intent intent) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 < 22) {
            intent.putExtra("android.intent.extras.CAMERA_FACING", 1);
            return;
        }
        intent.putExtra("android.intent.extras.CAMERA_FACING", 0);
        if (i2 >= 26) {
            intent.putExtra("android.intent.extra.USE_FRONT_CAMERA", true);
        }
    }

    public static void a(j jVar, int i2, Intent intent) {
        ClipData clipData;
        jVar.getClass();
        if (i2 != -1 || intent == null) {
            jVar.p(null);
            return;
        }
        Uri data = intent.getData();
        if (data == null && (clipData = intent.getClipData()) != null && clipData.getItemCount() == 1) {
            data = clipData.getItemAt(0).getUri();
        }
        if (data == null) {
            jVar.n("no_valid_image_uri", "Cannot find the selected image.");
        } else {
            jVar.s(jVar.f3501j.c(jVar.e, data), false);
        }
    }

    public static void b(j jVar, int i2) {
        if (i2 != -1) {
            jVar.p(null);
            return;
        }
        Uri uri = jVar.f3503m;
        e eVar = jVar.f3500i;
        if (uri == null) {
            uri = Uri.parse(jVar.f3498g.c());
        }
        eVar.a(uri, new C0331b(jVar, 0));
    }

    public static void c(j jVar, String str) {
        jVar.p(str);
    }

    public static void d(j jVar, int i2, Intent intent) {
        jVar.getClass();
        if (i2 != -1 || intent == null) {
            jVar.p(null);
            return;
        }
        ArrayList arrayList = new ArrayList();
        if (intent.getClipData() != null) {
            for (int i3 = 0; i3 < intent.getClipData().getItemCount(); i3++) {
                arrayList.add(new g(jVar, jVar.f3501j.c(jVar.e, intent.getClipData().getItemAt(i3).getUri()), null));
            }
        } else {
            arrayList.add(new g(jVar, jVar.f3501j.c(jVar.e, intent.getData()), null));
        }
        jVar.t(arrayList);
    }

    public static void e(j jVar, int i2, Intent intent) {
        jVar.getClass();
        if (i2 != -1 || intent == null) {
            jVar.p(null);
            return;
        }
        ArrayList arrayList = new ArrayList();
        if (intent.getClipData() != null) {
            for (int i3 = 0; i3 < intent.getClipData().getItemCount(); i3++) {
                Uri uri = intent.getClipData().getItemAt(i3).getUri();
                arrayList.add(new g(jVar, jVar.f3501j.c(jVar.e, uri), jVar.e.getContentResolver().getType(uri)));
            }
        } else {
            arrayList.add(new g(jVar, jVar.f3501j.c(jVar.e, intent.getData()), null));
        }
        jVar.t(arrayList);
    }

    public static void f(j jVar, int i2, Intent intent) {
        ClipData clipData;
        jVar.getClass();
        if (i2 == -1 && intent != null) {
            Uri data = intent.getData();
            if (data == null && (clipData = intent.getClipData()) != null && clipData.getItemCount() == 1) {
                data = clipData.getItemAt(0).getUri();
            }
            if (data == null) {
                jVar.n("no_valid_video_uri", "Cannot find the selected video.");
                return;
            } else {
                jVar.p(jVar.f3501j.c(jVar.e, data));
                return;
            }
        }
        jVar.p(null);
    }

    public static void g(j jVar, int i2) {
        if (i2 != -1) {
            jVar.p(null);
            return;
        }
        Uri uri = jVar.f3503m;
        e eVar = jVar.f3500i;
        if (uri == null) {
            uri = Uri.parse(jVar.f3498g.c());
        }
        eVar.a(uri, new C0331b(jVar, 1));
    }

    private File l(String str) {
        String uuid = UUID.randomUUID().toString();
        File cacheDir = this.e.getCacheDir();
        try {
            cacheDir.mkdirs();
            return File.createTempFile(uuid, str, cacheDir);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    private void m(z zVar) {
        ((v) zVar).a(new r("already_active", "Image picker is already active", null));
    }

    private void n(String str, String str2) {
        z zVar;
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            zVar = iVar != null ? iVar.f3495c : null;
            this.f3504n = null;
        }
        if (zVar == null) {
            this.f3498g.f(null, str, str2);
        } else {
            ((v) zVar).a(new r(str, str2, null));
        }
    }

    private void o(ArrayList arrayList) {
        z zVar;
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            zVar = iVar != null ? iVar.f3495c : null;
            this.f3504n = null;
        }
        if (zVar == null) {
            this.f3498g.f(arrayList, null, null);
        } else {
            ((v) zVar).b(arrayList);
        }
    }

    private void p(String str) {
        z zVar;
        ArrayList arrayList = new ArrayList();
        if (str != null) {
            arrayList.add(str);
        }
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            zVar = iVar != null ? iVar.f3495c : null;
            this.f3504n = null;
        }
        if (zVar != null) {
            ((v) zVar).b(arrayList);
        } else if (arrayList.isEmpty()) {
        } else {
            this.f3498g.f(arrayList, null, null);
        }
    }

    private String q(String str, x xVar) {
        return this.f3497f.i(str, xVar.c(), xVar.b(), xVar.d().intValue());
    }

    private void r(Intent intent, Uri uri) {
        for (ResolveInfo resolveInfo : this.e.getPackageManager().queryIntentActivities(intent, 65536)) {
            this.e.grantUriPermission(resolveInfo.activityInfo.packageName, uri, 3);
        }
    }

    private void t(ArrayList arrayList) {
        x xVar;
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            xVar = iVar != null ? iVar.f3493a : null;
        }
        ArrayList arrayList2 = new ArrayList();
        int i2 = 0;
        if (xVar != null) {
            while (i2 < arrayList.size()) {
                g gVar = (g) arrayList.get(i2);
                String str = gVar.f3491a;
                String str2 = gVar.f3492b;
                if (str2 == null || !str2.startsWith("video/")) {
                    str = q(gVar.f3491a, xVar);
                }
                arrayList2.add(str);
                i2++;
            }
        } else {
            while (i2 < arrayList.size()) {
                arrayList2.add(((g) arrayList.get(i2)).f3491a);
                i2++;
            }
        }
        o(arrayList2);
    }

    private void u() {
        Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
        if (this.l == 2) {
            D(intent);
        }
        File l = l(".jpg");
        StringBuilder y2 = X.l.y("file:");
        y2.append(l.getAbsolutePath());
        this.f3503m = Uri.parse(y2.toString());
        e eVar = this.f3500i;
        Uri uriForFile = FileProvider.getUriForFile(eVar.f3489a, this.f3496d, l);
        intent.putExtra("output", uriForFile);
        r(intent, uriForFile);
        try {
            try {
                this.e.startActivityForResult(intent, 2343);
            } catch (ActivityNotFoundException unused) {
                l.delete();
                n("no_available_camera", "No cameras available for taking pictures.");
            }
        } catch (SecurityException e) {
            e.printStackTrace();
            n("no_available_camera", "No cameras available for taking pictures.");
        }
    }

    private void v() {
        B b2;
        Intent intent = new Intent("android.media.action.VIDEO_CAPTURE");
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            b2 = iVar != null ? iVar.f3494b : null;
        }
        if (b2 != null && b2.b() != null) {
            intent.putExtra("android.intent.extra.durationLimit", b2.b().intValue());
        }
        if (this.l == 2) {
            D(intent);
        }
        File l = l(".mp4");
        StringBuilder y2 = X.l.y("file:");
        y2.append(l.getAbsolutePath());
        this.f3503m = Uri.parse(y2.toString());
        Uri uriForFile = FileProvider.getUriForFile(this.f3500i.f3489a, this.f3496d, l);
        intent.putExtra("output", uriForFile);
        r(intent, uriForFile);
        try {
            try {
                this.e.startActivityForResult(intent, 2353);
            } catch (ActivityNotFoundException unused) {
                l.delete();
                n("no_available_camera", "No cameras available for taking pictures.");
            }
        } catch (SecurityException e) {
            e.printStackTrace();
            n("no_available_camera", "No cameras available for taking pictures.");
        }
    }

    private boolean w() {
        boolean z2;
        e eVar = this.f3499h;
        if (eVar == null) {
            return false;
        }
        Activity activity = eVar.f3489a;
        if (Build.VERSION.SDK_INT >= 23) {
            try {
                z2 = Arrays.asList(activity.getPackageManager().getPackageInfo(activity.getPackageName(), 4096).requestedPermissions).contains("android.permission.CAMERA");
            } catch (PackageManager.NameNotFoundException e) {
                e.printStackTrace();
                z2 = false;
            }
            return z2;
        }
        return false;
    }

    public void B(x xVar, z zVar) {
        if (!A(xVar, null, zVar)) {
            m(zVar);
            return;
        }
        if (w()) {
            if (!(androidx.core.content.h.a(this.f3499h.f3489a, "android.permission.CAMERA") == 0)) {
                androidx.core.app.j.l(this.f3499h.f3489a, new String[]{"android.permission.CAMERA"}, 2345);
                return;
            }
        }
        u();
    }

    public void C(B b2, z zVar) {
        if (!A(null, b2, zVar)) {
            m(zVar);
            return;
        }
        if (w()) {
            if (!(androidx.core.content.h.a(this.f3499h.f3489a, "android.permission.CAMERA") == 0)) {
                androidx.core.app.j.l(this.f3499h.f3489a, new String[]{"android.permission.CAMERA"}, 2355);
                return;
            }
        }
        v();
    }

    public void h(x xVar, boolean z2, z zVar) {
        Intent intent;
        if (!A(xVar, null, zVar)) {
            m(zVar);
            return;
        }
        if (!Boolean.valueOf(z2).booleanValue() || Build.VERSION.SDK_INT < 19) {
            intent = new Intent("android.intent.action.GET_CONTENT");
            intent.setType("image/*");
        } else {
            c.i iVar = new c.i();
            Activity activity = this.e;
            androidx.activity.result.k kVar = new androidx.activity.result.k();
            kVar.b(C0247e.f3038a);
            intent = iVar.a(activity, kVar.a());
        }
        this.e.startActivityForResult(intent, 2342);
    }

    public void i(y yVar, s sVar, z zVar) {
        Intent intent;
        if (!A(yVar.b(), null, zVar)) {
            m(zVar);
            return;
        }
        if (!sVar.c().booleanValue() || Build.VERSION.SDK_INT < 19) {
            intent = new Intent("android.intent.action.GET_CONTENT");
            intent.setType("*/*");
            intent.putExtra("CONTENT_TYPE", new String[]{"video/*", "image/*"});
            intent.putExtra("android.intent.extra.ALLOW_MULTIPLE", sVar.b());
        } else if (sVar.b().booleanValue()) {
            C0245c c0245c = new C0245c();
            Activity activity = this.e;
            androidx.activity.result.k kVar = new androidx.activity.result.k();
            kVar.b(C0246d.f3037a);
            intent = c0245c.a(activity, kVar.a());
        } else {
            c.i iVar = new c.i();
            Activity activity2 = this.e;
            androidx.activity.result.k kVar2 = new androidx.activity.result.k();
            kVar2.b(C0246d.f3037a);
            intent = iVar.a(activity2, kVar2.a());
        }
        this.e.startActivityForResult(intent, 2347);
    }

    public void j(x xVar, boolean z2, z zVar) {
        Intent intent;
        if (!A(xVar, null, zVar)) {
            m(zVar);
            return;
        }
        if (!Boolean.valueOf(z2).booleanValue() || Build.VERSION.SDK_INT < 19) {
            intent = new Intent("android.intent.action.GET_CONTENT");
            intent.setType("image/*");
            intent.putExtra("android.intent.extra.ALLOW_MULTIPLE", true);
        } else {
            C0245c c0245c = new C0245c();
            Activity activity = this.e;
            androidx.activity.result.k kVar = new androidx.activity.result.k();
            kVar.b(C0247e.f3038a);
            intent = c0245c.a(activity, kVar.a());
        }
        this.e.startActivityForResult(intent, 2346);
    }

    public void k(B b2, boolean z2, z zVar) {
        Intent intent;
        if (!A(null, b2, zVar)) {
            m(zVar);
            return;
        }
        if (!Boolean.valueOf(z2).booleanValue() || Build.VERSION.SDK_INT < 19) {
            intent = new Intent("android.intent.action.GET_CONTENT");
            intent.setType("video/*");
        } else {
            c.i iVar = new c.i();
            Activity activity = this.e;
            androidx.activity.result.k kVar = new androidx.activity.result.k();
            kVar.b(c.g.f3039a);
            intent = iVar.a(activity, kVar.a());
        }
        this.e.startActivityForResult(intent, 2352);
    }

    @Override // Y.w
    public boolean onActivityResult(int i2, final int i3, final Intent intent) {
        Runnable runnable;
        if (i2 == 2342) {
            runnable = new Runnable(this) { // from class: io.flutter.plugins.imagepicker.c
                public final /* synthetic */ j e;

                {
                    this.e = this;
                }

                @Override // java.lang.Runnable
                public final void run() {
                    switch (r4) {
                        case 0:
                            j.a(this.e, i3, intent);
                            return;
                        case 1:
                            j.d(this.e, i3, intent);
                            return;
                        case 2:
                            j.e(this.e, i3, intent);
                            return;
                        default:
                            j.f(this.e, i3, intent);
                            return;
                    }
                }
            };
        } else if (i2 == 2343) {
            runnable = new d(this, i3, 0);
        } else if (i2 == 2346) {
            runnable = new Runnable(this) { // from class: io.flutter.plugins.imagepicker.c
                public final /* synthetic */ j e;

                {
                    this.e = this;
                }

                @Override // java.lang.Runnable
                public final void run() {
                    switch (r4) {
                        case 0:
                            j.a(this.e, i3, intent);
                            return;
                        case 1:
                            j.d(this.e, i3, intent);
                            return;
                        case 2:
                            j.e(this.e, i3, intent);
                            return;
                        default:
                            j.f(this.e, i3, intent);
                            return;
                    }
                }
            };
        } else if (i2 == 2347) {
            runnable = new Runnable(this) { // from class: io.flutter.plugins.imagepicker.c
                public final /* synthetic */ j e;

                {
                    this.e = this;
                }

                @Override // java.lang.Runnable
                public final void run() {
                    switch (r4) {
                        case 0:
                            j.a(this.e, i3, intent);
                            return;
                        case 1:
                            j.d(this.e, i3, intent);
                            return;
                        case 2:
                            j.e(this.e, i3, intent);
                            return;
                        default:
                            j.f(this.e, i3, intent);
                            return;
                    }
                }
            };
        } else if (i2 == 2352) {
            runnable = new Runnable(this) { // from class: io.flutter.plugins.imagepicker.c
                public final /* synthetic */ j e;

                {
                    this.e = this;
                }

                @Override // java.lang.Runnable
                public final void run() {
                    switch (r4) {
                        case 0:
                            j.a(this.e, i3, intent);
                            return;
                        case 1:
                            j.d(this.e, i3, intent);
                            return;
                        case 2:
                            j.e(this.e, i3, intent);
                            return;
                        default:
                            j.f(this.e, i3, intent);
                            return;
                    }
                }
            };
        } else if (i2 != 2353) {
            return false;
        } else {
            runnable = new d(this, i3, 1);
        }
        this.f3502k.execute(runnable);
        return true;
    }

    @Override // Y.z
    public boolean onRequestPermissionsResult(int i2, String[] strArr, int[] iArr) {
        boolean z2 = iArr.length > 0 && iArr[0] == 0;
        if (i2 != 2345) {
            if (i2 != 2355) {
                return false;
            }
            if (z2) {
                v();
            }
        } else if (z2) {
            u();
        }
        if (!z2 && (i2 == 2345 || i2 == 2355)) {
            n("camera_access_denied", "The user did not allow camera access.");
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void s(String str, boolean z2) {
        x xVar;
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            xVar = iVar != null ? iVar.f3493a : null;
        }
        if (xVar == null) {
            p(str);
            return;
        }
        String q2 = q(str, xVar);
        if (q2 != null && !q2.equals(str) && z2) {
            new File(str).delete();
        }
        p(q2);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public p x() {
        HashMap hashMap = (HashMap) this.f3498g.b();
        if (hashMap.isEmpty()) {
            return null;
        }
        o oVar = new o();
        q qVar = (q) hashMap.get("type");
        if (qVar != null) {
            oVar.d(qVar);
        }
        oVar.b((n) hashMap.get("error"));
        ArrayList arrayList = (ArrayList) hashMap.get("pathList");
        if (arrayList != null) {
            ArrayList arrayList2 = new ArrayList();
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                String str = (String) it.next();
                Double d2 = (Double) hashMap.get("maxWidth");
                Double d3 = (Double) hashMap.get("maxHeight");
                Integer num = (Integer) hashMap.get("imageQuality");
                arrayList2.add(this.f3497f.i(str, d2, d3, num == null ? 100 : num.intValue()));
            }
            oVar.c(arrayList2);
        }
        this.f3498g.a();
        return oVar.a();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void y() {
        synchronized (this.f3505o) {
            i iVar = this.f3504n;
            if (iVar == null) {
                return;
            }
            x xVar = iVar.f3493a;
            this.f3498g.g(xVar != null ? 1 : 2);
            if (xVar != null) {
                this.f3498g.d(xVar);
            }
            Uri uri = this.f3503m;
            if (uri != null) {
                this.f3498g.e(uri);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void z(int i2) {
        this.l = i2;
    }
}
