package io.flutter.view;

import android.os.Build;
import android.os.Parcel;
import android.util.Log;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityRecord;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
/* loaded from: classes.dex */
class p {

    /* renamed from: a  reason: collision with root package name */
    private final Method f3648a;

    /* renamed from: b  reason: collision with root package name */
    private final Method f3649b;

    /* renamed from: c  reason: collision with root package name */
    private final Method f3650c;

    /* renamed from: d  reason: collision with root package name */
    private final Method f3651d;
    private final Field e;

    /* renamed from: f  reason: collision with root package name */
    private final Method f3652f;

    /* JADX INFO: Access modifiers changed from: package-private */
    public p(o oVar) {
        Method method;
        Method method2;
        Method method3;
        Method method4;
        Field declaredField;
        Method method5;
        Method method6 = null;
        try {
            method = AccessibilityNodeInfo.class.getMethod("getSourceNodeId", new Class[0]);
        } catch (NoSuchMethodException unused) {
            Log.w("AccessibilityBridge", "can't invoke AccessibilityNodeInfo#getSourceNodeId with reflection");
            method = null;
        }
        try {
            method2 = AccessibilityRecord.class.getMethod("getSourceNodeId", new Class[0]);
        } catch (NoSuchMethodException unused2) {
            Log.w("AccessibilityBridge", "can't invoke AccessibiiltyRecord#getSourceNodeId with reflection");
            method2 = null;
        }
        if (Build.VERSION.SDK_INT <= 26) {
            try {
                method4 = AccessibilityNodeInfo.class.getMethod("getParentNodeId", new Class[0]);
            } catch (NoSuchMethodException unused3) {
                Log.w("AccessibilityBridge", "can't invoke getParentNodeId with reflection");
                method4 = null;
            }
            try {
                method3 = AccessibilityNodeInfo.class.getMethod("getChildId", Integer.TYPE);
            } catch (NoSuchMethodException unused4) {
                Log.w("AccessibilityBridge", "can't invoke getChildId with reflection");
                method3 = null;
            }
        } else {
            try {
                declaredField = AccessibilityNodeInfo.class.getDeclaredField("mChildNodeIds");
                declaredField.setAccessible(true);
                method5 = Class.forName("android.util.LongArray").getMethod("get", Integer.TYPE);
                method3 = null;
            } catch (ClassNotFoundException | NoSuchFieldException | NoSuchMethodException | NullPointerException unused5) {
                Log.w("AccessibilityBridge", "can't access childNodeIdsField with reflection");
                method3 = null;
                method4 = null;
            }
            this.f3648a = method;
            this.f3649b = method6;
            this.f3650c = method2;
            this.f3651d = method3;
            this.e = declaredField;
            this.f3652f = method5;
        }
        method5 = null;
        method6 = method4;
        declaredField = null;
        this.f3648a = method;
        this.f3649b = method6;
        this.f3650c = method2;
        this.f3651d = method3;
        this.e = declaredField;
        this.f3652f = method5;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Long a(p pVar, AccessibilityNodeInfo accessibilityNodeInfo) {
        String str;
        Method method = pVar.f3648a;
        if (method == null) {
            return null;
        }
        try {
            return (Long) method.invoke(accessibilityNodeInfo, new Object[0]);
        } catch (IllegalAccessException e) {
            e = e;
            str = "Failed to access getSourceNodeId method.";
            Log.w("AccessibilityBridge", str, e);
            return null;
        } catch (InvocationTargetException e2) {
            e = e2;
            str = "The getSourceNodeId method threw an exception when invoked.";
            Log.w("AccessibilityBridge", str, e);
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static int b(long j2) {
        return (int) (j2 >> 32);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:13:0x0029  */
    /* JADX WARN: Removed duplicated region for block: B:15:0x0030  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static Long c(p pVar, AccessibilityNodeInfo accessibilityNodeInfo) {
        String str;
        Method method = pVar.f3649b;
        if (method != null) {
            try {
                return Long.valueOf(((Long) method.invoke(accessibilityNodeInfo, new Object[0])).longValue());
            } catch (IllegalAccessException e) {
                e = e;
                str = "Failed to access getParentNodeId method.";
                Log.w("AccessibilityBridge", str, e);
                if (Build.VERSION.SDK_INT < 26) {
                }
                return r2;
            } catch (InvocationTargetException e2) {
                e = e2;
                str = "The getParentNodeId method threw an exception when invoked.";
                Log.w("AccessibilityBridge", str, e);
                if (Build.VERSION.SDK_INT < 26) {
                }
                return r2;
            }
        }
        if (Build.VERSION.SDK_INT < 26) {
            Log.w("AccessibilityBridge", "Unexpected Android version. Unable to find the parent ID.");
        } else {
            AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(accessibilityNodeInfo);
            Parcel obtain2 = Parcel.obtain();
            obtain2.setDataPosition(0);
            obtain.writeToParcel(obtain2, 0);
            obtain2.setDataPosition(0);
            long readLong = obtain2.readLong();
            if (f(readLong, 0)) {
                obtain2.readInt();
            }
            if (f(readLong, 1)) {
                obtain2.readLong();
            }
            if (f(readLong, 2)) {
                obtain2.readInt();
            }
            r2 = f(readLong, 3) ? Long.valueOf(obtain2.readLong()) : null;
            obtain2.recycle();
        }
        return r2;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Long d(p pVar, AccessibilityNodeInfo accessibilityNodeInfo, int i2) {
        String str;
        Method method = pVar.f3651d;
        if (method != null || (pVar.e != null && pVar.f3652f != null)) {
            if (method != null) {
                try {
                    return (Long) method.invoke(accessibilityNodeInfo, Integer.valueOf(i2));
                } catch (IllegalAccessException e) {
                    e = e;
                    str = "Failed to access getChildId method.";
                } catch (InvocationTargetException e2) {
                    e = e2;
                    str = "The getChildId method threw an exception when invoked.";
                }
            } else {
                try {
                    return Long.valueOf(((Long) pVar.f3652f.invoke(pVar.e.get(accessibilityNodeInfo), Integer.valueOf(i2))).longValue());
                } catch (ArrayIndexOutOfBoundsException e3) {
                    e = e3;
                    str = "The longArrayGetIndex method threw an exception when invoked.";
                    Log.w("AccessibilityBridge", str, e);
                    return null;
                } catch (IllegalAccessException e4) {
                    e = e4;
                    str = "Failed to access longArrayGetIndex method or the childNodeId field.";
                } catch (InvocationTargetException e5) {
                    e = e5;
                    str = "The longArrayGetIndex method threw an exception when invoked.";
                    Log.w("AccessibilityBridge", str, e);
                    return null;
                }
            }
            Log.w("AccessibilityBridge", str, e);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Long e(p pVar, AccessibilityRecord accessibilityRecord) {
        String str;
        Method method = pVar.f3650c;
        if (method == null) {
            return null;
        }
        try {
            return (Long) method.invoke(accessibilityRecord, new Object[0]);
        } catch (IllegalAccessException e) {
            e = e;
            str = "Failed to access the getRecordSourceNodeId method.";
            Log.w("AccessibilityBridge", str, e);
            return null;
        } catch (InvocationTargetException e2) {
            e = e2;
            str = "The getRecordSourceNodeId method threw an exception when invoked.";
            Log.w("AccessibilityBridge", str, e);
            return null;
        }
    }

    private static boolean f(long j2, int i2) {
        return (j2 & (1 << i2)) != 0;
    }
}
