package kotlinx.coroutines.scheduling;

import androidx.fragment.app.j0;
import java.io.Closeable;
import java.util.ArrayList;
import java.util.concurrent.Executor;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.atomic.AtomicIntegerFieldUpdater;
import java.util.concurrent.atomic.AtomicLongFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import kotlinx.coroutines.internal.u;
import kotlinx.coroutines.internal.x;
import w0.A;
/* loaded from: classes.dex */
public final class b implements Executor, Closeable {
    private volatile /* synthetic */ int _isTerminated;
    volatile /* synthetic */ long controlState;

    /* renamed from: d  reason: collision with root package name */
    public final int f3805d;
    public final int e;

    /* renamed from: f  reason: collision with root package name */
    public final long f3806f;

    /* renamed from: g  reason: collision with root package name */
    public final String f3807g;

    /* renamed from: h  reason: collision with root package name */
    public final e f3808h;

    /* renamed from: i  reason: collision with root package name */
    public final e f3809i;

    /* renamed from: j  reason: collision with root package name */
    public final u f3810j;
    private volatile /* synthetic */ long parkedWorkersStack;

    /* renamed from: n  reason: collision with root package name */
    public static final x f3804n = new x("NOT_IN_STACK");

    /* renamed from: k  reason: collision with root package name */
    private static final /* synthetic */ AtomicLongFieldUpdater f3802k = AtomicLongFieldUpdater.newUpdater(b.class, "parkedWorkersStack");
    static final /* synthetic */ AtomicLongFieldUpdater l = AtomicLongFieldUpdater.newUpdater(b.class, "controlState");

    /* renamed from: m  reason: collision with root package name */
    private static final /* synthetic */ AtomicIntegerFieldUpdater f3803m = AtomicIntegerFieldUpdater.newUpdater(b.class, "_isTerminated");

    public b(int i2, int i3, long j2, String str) {
        this.f3805d = i2;
        this.e = i3;
        this.f3806f = j2;
        this.f3807g = str;
        if (!(i2 >= 1)) {
            throw new IllegalArgumentException(("Core pool size " + i2 + " should be at least 1").toString());
        }
        if (!(i3 >= i2)) {
            throw new IllegalArgumentException(("Max pool size " + i3 + " should be greater than or equals to core pool size " + i2).toString());
        }
        if (!(i3 <= 2097150)) {
            throw new IllegalArgumentException(("Max pool size " + i3 + " should not exceed maximal supported number of threads 2097150").toString());
        }
        if (!(j2 > 0)) {
            throw new IllegalArgumentException(("Idle worker keep alive time " + j2 + " must be positive").toString());
        }
        this.f3808h = new e();
        this.f3809i = new e();
        this.parkedWorkersStack = 0L;
        this.f3810j = new u(i2 + 1);
        this.controlState = i2 << 42;
        this._isTerminated = 0;
    }

    private final int a() {
        int i2;
        synchronized (this.f3810j) {
            if (h()) {
                i2 = -1;
            } else {
                long j2 = this.controlState;
                int i3 = (int) (j2 & 2097151);
                int i4 = i3 - ((int) ((j2 & 4398044413952L) >> 21));
                if (i4 < 0) {
                    i4 = 0;
                }
                if (i4 >= this.f3805d) {
                    return 0;
                }
                if (i3 >= this.e) {
                    return 0;
                }
                int i5 = ((int) (this.controlState & 2097151)) + 1;
                if (!(i5 > 0 && this.f3810j.b(i5) == null)) {
                    throw new IllegalArgumentException("Failed requirement.".toString());
                }
                a aVar = new a(this, i5);
                this.f3810j.c(i5, aVar);
                if (!(i5 == ((int) (2097151 & l.incrementAndGet(this))))) {
                    throw new IllegalArgumentException("Failed requirement.".toString());
                }
                aVar.start();
                i2 = i4 + 1;
            }
            return i2;
        }
    }

    private final a c() {
        Thread currentThread = Thread.currentThread();
        a aVar = currentThread instanceof a ? (a) currentThread : null;
        if (aVar == null || !kotlin.jvm.internal.e.a(aVar.f3801j, this)) {
            return null;
        }
        return aVar;
    }

    private final int j(a aVar) {
        int b2;
        do {
            Object c2 = aVar.c();
            if (c2 == f3804n) {
                return -1;
            }
            if (c2 == null) {
                return 0;
            }
            aVar = (a) c2;
            b2 = aVar.b();
        } while (b2 == 0);
        return b2;
    }

    private final boolean u(long j2) {
        int i2 = ((int) (2097151 & j2)) - ((int) ((j2 & 4398044413952L) >> 21));
        if (i2 < 0) {
            i2 = 0;
        }
        if (i2 < this.f3805d) {
            int a2 = a();
            if (a2 == 1 && this.f3805d > 1) {
                a();
            }
            if (a2 > 0) {
                return true;
            }
        }
        return false;
    }

    private final boolean x() {
        while (true) {
            long j2 = this.parkedWorkersStack;
            a aVar = (a) this.f3810j.b((int) (2097151 & j2));
            if (aVar == null) {
                aVar = null;
            } else {
                long j3 = (2097152 + j2) & (-2097152);
                int j4 = j(aVar);
                if (j4 >= 0 && f3802k.compareAndSet(this, j2, j4 | j3)) {
                    aVar.g(f3804n);
                }
            }
            if (aVar == null) {
                return false;
            }
            if (a.f3795k.compareAndSet(aVar, -1, 0)) {
                LockSupport.unpark(aVar);
                return true;
            }
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        int i2;
        h hVar;
        if (f3803m.compareAndSet(this, 0, 1)) {
            a c2 = c();
            synchronized (this.f3810j) {
                i2 = (int) (this.controlState & 2097151);
            }
            if (1 <= i2) {
                int i3 = 1;
                while (true) {
                    Object b2 = this.f3810j.b(i3);
                    kotlin.jvm.internal.e.b(b2);
                    a aVar = (a) b2;
                    if (aVar != c2) {
                        while (aVar.isAlive()) {
                            LockSupport.unpark(aVar);
                            aVar.join(10000L);
                        }
                        aVar.f3796d.e(this.f3809i);
                    }
                    if (i3 == i2) {
                        break;
                    }
                    i3++;
                }
            }
            this.f3809i.b();
            this.f3808h.b();
            while (true) {
                if (c2 != null) {
                    hVar = c2.a(true);
                    if (hVar != null) {
                        continue;
                        q(hVar);
                    }
                }
                hVar = (h) this.f3808h.d();
                if (hVar == null && (hVar = (h) this.f3809i.d()) == null) {
                    break;
                }
                q(hVar);
            }
            if (c2 != null) {
                c2.h(5);
            }
            this.parkedWorkersStack = 0L;
            this.controlState = 0L;
        }
    }

    @Override // java.util.concurrent.Executor
    public void execute(Runnable runnable) {
        g(runnable, l.f3827f, false);
    }

    public final void g(Runnable runnable, i iVar, boolean z2) {
        h kVar;
        h hVar;
        ((f) l.e).getClass();
        long nanoTime = System.nanoTime();
        if (runnable instanceof h) {
            kVar = (h) runnable;
            kVar.f3820d = nanoTime;
            kVar.e = iVar;
        } else {
            kVar = new k(runnable, nanoTime, iVar);
        }
        a c2 = c();
        boolean z3 = true;
        if (c2 == null || c2.e == 5 || (kVar.e.a() == 0 && c2.e == 2)) {
            hVar = kVar;
        } else {
            c2.f3800i = true;
            hVar = c2.f3796d.a(kVar, z2);
        }
        if (hVar != null) {
            if (!(hVar.e.a() == 1 ? this.f3809i : this.f3808h).a(hVar)) {
                throw new RejectedExecutionException(X.l.w(new StringBuilder(), this.f3807g, " was terminated"));
            }
        }
        z3 = (!z2 || c2 == null) ? false : false;
        if (kVar.e.a() == 0) {
            if (z3) {
                return;
            }
            t();
            return;
        }
        long addAndGet = l.addAndGet(this, 2097152L);
        if (z3 || x() || u(addAndGet)) {
            return;
        }
        x();
    }

    /* JADX WARN: Type inference failed for: r0v0, types: [boolean, int] */
    public final boolean h() {
        return this._isTerminated;
    }

    public final boolean k(a aVar) {
        long j2;
        int b2;
        if (aVar.c() != f3804n) {
            return false;
        }
        do {
            j2 = this.parkedWorkersStack;
            b2 = aVar.b();
            aVar.g(this.f3810j.b((int) (2097151 & j2)));
        } while (!f3802k.compareAndSet(this, j2, ((2097152 + j2) & (-2097152)) | b2));
        return true;
    }

    public final void n(a aVar, int i2, int i3) {
        while (true) {
            long j2 = this.parkedWorkersStack;
            int i4 = (int) (2097151 & j2);
            long j3 = (2097152 + j2) & (-2097152);
            if (i4 == i2) {
                i4 = i3 == 0 ? j(aVar) : i3;
            }
            if (i4 >= 0 && f3802k.compareAndSet(this, j2, j3 | i4)) {
                return;
            }
        }
    }

    public final void q(h hVar) {
        try {
            hVar.run();
        } finally {
        }
    }

    public final void t() {
        if (x() || u(this.controlState)) {
            return;
        }
        x();
    }

    public String toString() {
        StringBuilder sb;
        char c2;
        ArrayList arrayList = new ArrayList();
        int a2 = this.f3810j.a();
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        for (int i7 = 1; i7 < a2; i7++) {
            a aVar = (a) this.f3810j.b(i7);
            if (aVar != null) {
                int d2 = aVar.f3796d.d();
                int c3 = j0.c(aVar.e);
                if (c3 == 0) {
                    i2++;
                    sb = new StringBuilder();
                    sb.append(d2);
                    c2 = 'c';
                } else if (c3 == 1) {
                    i3++;
                    sb = new StringBuilder();
                    sb.append(d2);
                    c2 = 'b';
                } else if (c3 == 2) {
                    i4++;
                } else if (c3 == 3) {
                    i5++;
                    if (d2 > 0) {
                        sb = new StringBuilder();
                        sb.append(d2);
                        c2 = 'd';
                    }
                } else if (c3 == 4) {
                    i6++;
                }
                sb.append(c2);
                arrayList.add(sb.toString());
            }
        }
        long j2 = this.controlState;
        return this.f3807g + '@' + A.n(this) + "[Pool Size {core = " + this.f3805d + ", max = " + this.e + "}, Worker States {CPU = " + i2 + ", blocking = " + i3 + ", parked = " + i4 + ", dormant = " + i5 + ", terminated = " + i6 + "}, running workers queues = " + arrayList + ", global CPU queue size = " + this.f3808h.c() + ", global blocking queue size = " + this.f3809i.c() + ", Control State {created workers= " + ((int) (2097151 & j2)) + ", blocking tasks = " + ((int) ((4398044413952L & j2) >> 21)) + ", CPUs acquired = " + (this.f3805d - ((int) ((9223367638808264704L & j2) >> 42))) + "}]";
    }
}
