package okhttp3.internal.publicsuffix;

import J0.j;
import M0.g;
import M0.l;
import M0.o;
import java.io.IOException;
import java.io.InputStream;
import java.io.InterruptedIOException;
import java.net.IDN;
import java.nio.charset.StandardCharsets;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.atomic.AtomicBoolean;
/* loaded from: classes.dex */
public final class PublicSuffixDatabase {
    private static final byte[] e = {42};

    /* renamed from: f  reason: collision with root package name */
    private static final String[] f3845f = new String[0];

    /* renamed from: g  reason: collision with root package name */
    private static final String[] f3846g = {"*"};

    /* renamed from: h  reason: collision with root package name */
    private static final PublicSuffixDatabase f3847h = new PublicSuffixDatabase();

    /* renamed from: a  reason: collision with root package name */
    private final AtomicBoolean f3848a = new AtomicBoolean(false);

    /* renamed from: b  reason: collision with root package name */
    private final CountDownLatch f3849b = new CountDownLatch(1);

    /* renamed from: c  reason: collision with root package name */
    private byte[] f3850c;

    /* renamed from: d  reason: collision with root package name */
    private byte[] f3851d;

    private static String a(byte[] bArr, byte[][] bArr2, int i2) {
        int i3;
        boolean z2;
        int i4;
        int i5;
        int length = bArr.length;
        int i6 = 0;
        while (i6 < length) {
            int i7 = (i6 + length) / 2;
            while (i7 > -1 && bArr[i7] != 10) {
                i7--;
            }
            int i8 = i7 + 1;
            int i9 = 1;
            while (true) {
                i3 = i8 + i9;
                if (bArr[i3] == 10) {
                    break;
                }
                i9++;
            }
            int i10 = i3 - i8;
            int i11 = i2;
            boolean z3 = false;
            int i12 = 0;
            int i13 = 0;
            while (true) {
                if (z3) {
                    i4 = 46;
                    z2 = false;
                } else {
                    z2 = z3;
                    i4 = bArr2[i11][i12] & 255;
                }
                i5 = i4 - (bArr[i8 + i13] & 255);
                if (i5 == 0) {
                    i13++;
                    i12++;
                    if (i13 == i10) {
                        break;
                    } else if (bArr2[i11].length != i12) {
                        z3 = z2;
                    } else if (i11 == bArr2.length - 1) {
                        break;
                    } else {
                        i11++;
                        z3 = true;
                        i12 = -1;
                    }
                } else {
                    break;
                }
            }
            if (i5 >= 0) {
                if (i5 <= 0) {
                    int i14 = i10 - i13;
                    int length2 = bArr2[i11].length - i12;
                    while (true) {
                        i11++;
                        if (i11 >= bArr2.length) {
                            break;
                        }
                        length2 += bArr2[i11].length;
                    }
                    if (length2 >= i14) {
                        if (length2 <= i14) {
                            return new String(bArr, i8, i10, StandardCharsets.UTF_8);
                        }
                    }
                }
                i6 = i3 + 1;
            }
            length = i8 - 1;
        }
        return null;
    }

    public static PublicSuffixDatabase b() {
        return f3847h;
    }

    private void d() {
        InputStream resourceAsStream = PublicSuffixDatabase.class.getResourceAsStream("publicsuffixes.gz");
        if (resourceAsStream == null) {
            return;
        }
        g b2 = o.b(new l(o.e(resourceAsStream)));
        try {
            byte[] bArr = new byte[b2.readInt()];
            b2.readFully(bArr);
            byte[] bArr2 = new byte[b2.readInt()];
            b2.readFully(bArr2);
            synchronized (this) {
                this.f3850c = bArr;
                this.f3851d = bArr2;
            }
            this.f3849b.countDown();
        } catch (Throwable th) {
            try {
                throw th;
            } finally {
                try {
                    b2.close();
                } catch (Throwable unused) {
                }
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:14:0x0030, code lost:
        if (r1 == false) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0032, code lost:
        java.lang.Thread.currentThread().interrupt();
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0020, code lost:
        if (r1 != false) goto L85;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public String c(String str) {
        String str2;
        String str3;
        String str4;
        String[] split;
        String[] split2 = IDN.toUnicode(str).split("\\.");
        if (this.f3848a.get() || !this.f3848a.compareAndSet(false, true)) {
            try {
                this.f3849b.await();
            } catch (InterruptedException unused) {
                Thread.currentThread().interrupt();
            }
        } else {
            boolean z2 = false;
            while (true) {
                try {
                    try {
                        try {
                            d();
                            break;
                        } catch (IOException e2) {
                            j.i().o(5, "Failed to read public suffix list", e2);
                        }
                    } catch (InterruptedIOException unused2) {
                        Thread.interrupted();
                        z2 = true;
                    }
                } catch (Throwable th) {
                    if (z2) {
                        Thread.currentThread().interrupt();
                    }
                    throw th;
                }
            }
        }
        synchronized (this) {
            if (this.f3850c == null) {
                throw new IllegalStateException("Unable to load publicsuffixes.gz resource from the classpath.");
            }
        }
        int length = split2.length;
        byte[][] bArr = new byte[length];
        for (int i2 = 0; i2 < split2.length; i2++) {
            bArr[i2] = split2[i2].getBytes(StandardCharsets.UTF_8);
        }
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                str2 = null;
                break;
            }
            str2 = a(this.f3850c, bArr, i3);
            if (str2 != null) {
                break;
            }
            i3++;
        }
        if (length > 1) {
            byte[][] bArr2 = (byte[][]) bArr.clone();
            for (int i4 = 0; i4 < bArr2.length - 1; i4++) {
                bArr2[i4] = e;
                str3 = a(this.f3850c, bArr2, i4);
                if (str3 != null) {
                    break;
                }
            }
        }
        str3 = null;
        if (str3 != null) {
            for (int i5 = 0; i5 < length - 1; i5++) {
                str4 = a(this.f3851d, bArr, i5);
                if (str4 != null) {
                    break;
                }
            }
        }
        str4 = null;
        if (str4 != null) {
            split = ("!" + str4).split("\\.");
        } else if (str2 == null && str3 == null) {
            split = f3846g;
        } else {
            split = str2 != null ? str2.split("\\.") : f3845f;
            String[] split3 = str3 != null ? str3.split("\\.") : f3845f;
            if (split.length <= split3.length) {
                split = split3;
            }
        }
        if (split2.length != split.length || split[0].charAt(0) == '!') {
            char charAt = split[0].charAt(0);
            int length2 = split2.length;
            int length3 = split.length;
            if (charAt != '!') {
                length3++;
            }
            StringBuilder sb = new StringBuilder();
            String[] split4 = str.split("\\.");
            for (int i6 = length2 - length3; i6 < split4.length; i6++) {
                sb.append(split4[i6]);
                sb.append('.');
            }
            sb.deleteCharAt(sb.length() - 1);
            return sb.toString();
        }
        return null;
    }
}
